%define libxml2_version 2.6.23
%define orbit2_version 2.14.17
%define glib2_version 2.20.0
%define dbus_version 1.2.16
%define dbus_glib_version 0.82

Summary: A process-transparent configuration system
Summary(ja): プロセス透過型設定システム
Name: GConf2
Version: 2.28.1
Release: 2%{?_dist_release}
License: LGPL
Group: System Environment/Base
Source: GConf-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.gnome.org
BuildRequires: libxml2-devel >= %{libxml2_version}
BuildRequires: ORBit2-devel >= %{orbit2_version}
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: dbus-devel >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: gtk2-devel
BuildRequires: openldap-devel
BuildRequires: gtk-doc >= 0.9
BuildRequires: polkit-devel >= 0.92
Requires: dbus

Patch0: GConf-2.18.0.1-reload.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=568845
Patch1: GConf-gettext.patch
#
Patch2: GConf-2.28.0-no-access-crash.patch
# upstream fix
Patch3: 0001-Make-the-defaults-mechanism-find-the-right-polkit-ac.patch
# https://bugzilla.gnome.org/show_bug.cgi?id=608705
Patch4: 0001-gconfd-Remove-worse-than-useless-signal-handlers-for.patch



%description
GConf is a process-transparent configuration database API used to 
store user preferences. It has pluggable backends and features to 
support workgroup administration.

%description -l ja
GConf は、ユーザの設定を保存するためのプロセス透過型の設定データ
ベースの API です。バックエンドに接続しワークグループ管理をサポー
トする機能を持っています。

%package devel
Summary: Headers and libraries for GConf development
Summary(ja): GConf を使って開発するためのヘッダーファイルとライブラリ
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: libxml2-devel >= %{libxml2_version}
Requires: ORBit2-devel >= %{orbit2_version}
Requires: glib2-devel >= %{glib2_version}
Requires: dbus-devel >= %{dbus_version}
Requires: dbus-glib-devel >= %{dbus_glib_version}

%description devel
GConf development package. Contains files needed for doing
development using GConf.

%description -l ja devel
GConf 開発パッケージです。GConf を使って開発するために必要なファ
イルが含まれています。

%prep
%setup -q -n GConf-%{version}

%patch0 -p1 -b .reload
%patch1 -p1 -b .gettext
## %patch2 -p1 -b .no-access
## %patch3 -p1 -b .defaults-actions
## %patch4 -p1 -b .segv

%build
%configure --disable-gtk-doc --disable-static --enable-defaults-service
%__make %{?_smp_mflags}

%install
rm -fr $RPM_BUILD_ROOT
%__make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gconf/gconf.xml.system

rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/GConf/2/*.la

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
if [ $1 -gt 1 ]; then
    if ! fgrep -q gconf.xml.system %{_sysconfdir}/gconf/2/path; then
        sed -i -e 's@xml:readwrite:$(HOME)/.gconf@&\n\n# Location for system-wide settings.\nxml:readonly:/etc/gconf/gconf.xml.system@' %{_sysconfdir}/gconf/2/path
    fi
fi
    
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc COPYING ChangeLog NEWS README backends/README.evoldap
%config %{_sysconfdir}/gconf/2/path
%config %{_sysconfdir}/gconf/2/evoldap.conf
%dir %{_sysconfdir}/gconf
%dir %{_sysconfdir}/gconf/2
%dir %{_sysconfdir}/gconf/gconf.xml.defaults
%dir %{_sysconfdir}/gconf/gconf.xml.mandatory
%dir %{_sysconfdir}/gconf/gconf.xml.system
%dir %{_sysconfdir}/gconf/schemas
%{_bindir}/*
%{_libexecdir}/*
%{_libdir}/*.so.*
%{_libdir}/GConf/2/*.so
%dir %{_libdir}/GConf
%dir %{_libdir}/GConf/2
%{_mandir}/man1/*
%{_datadir}/sgml/gconf/gconf-1.0.dtd
%{_datadir}/GConf
%{_sysconfdir}/dbus-1/system.d/org.gnome.GConf.Defaults.conf
%{_libexecdir}/gconf-defaults-mechanism
%{_datadir}/polkit-1/actions/org.gnome.gconf.defaults.policy
%{_datadir}/dbus-1/system-services/org.gnome.GConf.Defaults.service
%{_datadir}/dbus-1/services/org.gnome.GConf.service

%files devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_includedir}/gconf
%{_datadir}/aclocal/*.m4
%{_datadir}/gtk-doc
%{_libdir}/pkgconfig/*

%changelog
* Tue Sep 21 2010 IWAI, Masaharu <iwai@alib.jp> 2.28.1-2
- build with rpm-4.8.1-1 for pkg-config file

* Sun Apr 11 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.1-1
- new upstream release
- drop Patch2, Patch3, Patch4

* Mon Feb 22 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 2.28.0-2
- import upstream patches from fedora
  - Patch1: gettext fix
  - Patch2: avoid crash wen gconftool-2 cant read the db
  - Patch3: make the defaults mechanism use the right polkit actions
  - Patch4: donot catch segv etc. let abrt catch them
- build with polkit, add BR: polkit-devel

* Sat Sep 26 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.28.0-1
- new upstream release

* Fri May 29 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.2-2
- add BR: dbus-devel, dbus-glib-devel (<BTS:0700>)

* Thu May 28 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.2-1
- new upstream release

* Wed May 13 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-3
- drop obsolete patch1

* Sun Mar 22 2009 NAKAMURA Kenta <kenta@vinelinux.org> 2.26.0-2
- rebuilt with openldap-2.4.11

* Thu Mar 19 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- new upstream release

* Tue Sep 23 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- new upstream release

* Tue Sep 23 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.23.2-1
- new upstream release

* Tue Jul 29 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.22.0-2
- spec in UTF-8

* Thu Mar 20 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.0-1vl5
- new upstream release

* Sat Nov 17 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.20.1-0vl1
- new upstream release
- removed Prereq: install-info

* Sun May 20 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.0.1-0vl2
- rebuild with new environment

* Wed Apr 25 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.0.1-0vl1
- new upstream release

* Mon Sep 18 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.14.0-0vl5
- add BuildRequires: gtk2-devel

* Sun Aug 27 2006 NAKAMURA Kenta <kenta@vinelinux.org> 2.14.0-0vl4
- rebuilt with openldap-2.3.27-0vl1

* Sun Jul 02 2006 Satoshi MACHINO <machino@vinelinux.org> 2.14.0-0vl3
- rebuilt with openldap-2.3.24-0vl1

* Tue May 30 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl2
- add BuildRequires: openldap-devel

* Sun Mar 19 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl1
- new upstream release

* Tue Mar 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.13.5-0vl2
- reload gconf2 when schema is added/removed (patch0 from mdk)
- only sync db once when installing multiple schemas. (patch1 from fc)

* Sun Mar 05 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.13.5-0vl1
- new upstream release

* Wed Jan 25 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.1-0vl1
- new upstream release

* Sun Sep 18 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.0-0vl1
- new upstream release

* Wed Aug 24 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.11.92-0vl1
- new upstream release

* Tue Aug 02 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.11.90-0vl1
- new upstream release

* Mon Mar 21 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl1
- new upstream version

* Thu Nov 11 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.1-0vl2
- add Japanese summaries and descriptions.
  thanks to spec file translation project.

* Sun Nov 07 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.1-0vl1
- new upstream release

* Thu Sep 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0.1-0vl1
- new upstream release

* Wed Sep 10 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl1
- new upstream release

* Tue Sep 02 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.3-0vl1
- new upstream release

* Tue Jun 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1-0vl1
- new upstream release
- fix specfile kanjicode

* Tue Jan 21 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0-0vl1
- new upstream release

* Thu Jan 16 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.90-0vl1
- new upstream release

* Sat Dec 14 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.1-0vl1
- build for Vine Linux

* Fri Aug 30 2002 Havoc Pennington <hp@redhat.com>
- add GCONF_LOCAL_LOCKS mode, and syslog encoding patch from tagoh

* Wed Aug 21 2002 Havoc Pennington <hp@redhat.com>
- add dialog to offer to delete gconf locks

* Tue Aug  6 2002 Havoc Pennington <hp@redhat.com>
- 1.2.1
- include libexecdir stuff

* Wed Jul 31 2002 Havoc Pennington <hp@redhat.com>
- move .pc fle to -devel package

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- fix warning on gnome-panel install

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 1.2.0
- own libdir/GConf/2 directory
- include gtk-doc docs
- don't include static lib for backend modules

* Thu Jun 06 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue Jun  4 2002 Havoc Pennington <hp@redhat.com>
- 1.1.11
- remove AUTHORS for rpmlint

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Fri May 17 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu May  2 2002 Havoc Pennington <hp@redhat.com>
- 1.1.10

* Thu Apr  4 2002 Jeremy Katz <katzj@redhat.com>
- 1.1.9

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- 1.1.8
- remove .la files

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Version 1.1.6
- Rebuild for dependencies

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Jan  4 2002 Havoc Pennington <hp@redhat.com>
- 1.1.5.93 snap with important bugfix so gconf actually works

* Thu Jan  3 2002 Havoc Pennington <hp@redhat.com>
- 1.1.5.92 snap with GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

* Thu Jan  3 2002 Havoc Pennington <hp@redhat.com>
- 1.1.5.91 snap with gconf.m4 fix for libgnome

* Wed Jan  2 2002 Havoc Pennington <hp@redhat.com>
- since every other build seems to avoid libglib-1.3.so.11, 
  rebuild and hope

* Wed Jan  2 2002 Havoc Pennington <hp@redhat.com>
- cvs snap 1.1.5.90

* Mon Nov 26 2001 Havoc Pennington <hp@redhat.com>
- GConf 1.1.5, glib 1.3.11

* Sat Oct 27 2001 Havoc Pennington <hp@redhat.com>
- rebuild for glib 1.3.10

* Sun Oct 14 2001 Havoc Pennington <hp@redhat.com>
- 1.1.3

* Fri Oct  5 2001 Havoc Pennington <hp@redhat.com>
- cvs snap, remove bonobo-activation deps

* Fri Sep 21 2001 Havoc Pennington <hp@redhat.com>
- update to new CVS snap, rebuild

* Mon Sep 17 2001 Havoc Pennington <hp@redhat.com>
- create gconf2 rpm based on gconf1, comment out pofiles 
- include .pc files

* Fri Sep 14 2001 Havoc Pennington <hp@redhat.com>
- fix description/summary

* Fri Aug 31 2001 Havoc Pennington <hp@redhat.com>
- Add po files from sources.redhat.com

* Mon Aug 27 2001 Havoc Pennington <hp@redhat.com>
- Add po files from sources.redhat.com

* Wed Aug 15 2001 Havoc Pennington <hp@redhat.com>
- upgrade to 1.0.4 release I just made
- fixes #51223, syslog spew

* Tue Jul 24 2001 Havoc Pennington <hp@redhat.com>
- move gconf-config to devel RPM

* Mon Jul 23 2001 Havoc Pennington <hp@redhat.com>
- how many releases of GConf can I make before it works?

* Sun Jul 22 2001 Havoc Pennington <hp@redhat.com>
- Upgrade to 1.0.2 (which contains only bugfixes that 
  I reviewed and/or wrote myself)

* Wed Jul 18 2001 Havoc Pennington <hp@redhat.com>
- create the %{_sysconfdir}/gconf/gconf.xml.defaults directory 

* Fri Jul  6 2001 Alexander Larsson <alexl@redhat.com>
- Install the .la files in the devel package.

* Fri Jul  6 2001 Trond Eivind Glomsr藷?<teg@redhat.com>
- Use %%{_tmppath}
- Move the .so files to the devel subpackage
- langify
- Move changelog to the end, where it should be :)
- Don't specify (a bad) doc directory
- Don't define name, version and release and use it in the rpm headers later
- Remove "Packager:"
- s/Copyright/License/

* Fri Jun 22 2001 Havoc Pennington <hp@redhat.com>
- add --direct option to gconftool to avoid spawning oafd,
  then commented out gconftool entirely since it checks
  whether gconfd is running and that spawns oafd anyhow.
  oafd simply needs to exit when unused.

* Tue May 15 2001 Havoc Pennington <hp@redhat.com>
- Fix post, pointed out by Bill

* Mon May 14 2001 Havoc Pennington <hp@redhat.com>
- Upgrade to 1.0.1

* Tue Apr 17 2001 Jonathan Blandford <jrb@redhat.com>
- Import to Red Hat build system.

* Sun Jun 11 2000  Eskil Heyn Olsen <deity@eazel.com>

- Created the .spec file
