Summary:	A high-performance CORBA Object Request Broker.
Summary(ja):	高機能な CORBA Object Request Broker.
Name:		ORBit
Version:	0.5.17
Release:	17%{?_dist_release}

URL:		http://www.labs.redhat.com/orbit/
Source:		ftp://ftp.gnome.org/pub/GNOME/sources/ORBit/0.5/%{name}-%{version}.tar.gz
Patch0:		ORBit-0.5.17-aligned-access.patch
Patch1:         ORBit-underquoted.patch

Group:		System Environment/Daemons
License:	LGPL/GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  glib-devel
BuildRequires:  tcp_wrappers
BuildRequires:  pkgconfig

Vendor: Project Vine
Distribution: Vine Linux

Packager: inagaki

%description
ORBit is a high-performance CORBA (Common Object Request Broker
Architecture) ORB (object request broker). It allows programs to send
requests and receive replies from other programs, regardless of the
locations of the two programs. CORBA is an architecture that enables
communication between program objects, regardless of the programming
language they are written in or the operating system they run on.

You will need to install this package and ORBIT-devel if you want to 
write programs that use CORBA technology.

%package devel
Summary:	Development libraries, header files and utilities for ORBit.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	indent
Requires:       pkgconfig
Requires:	glib-devel
Requires(post):	 /sbin/install-info
Requires(preun): /sbin/install-info

%description devel
ORBit is a high-performance CORBA (Common Object Request Broker
Architecture) ORB (object request broker) with support for the
C language.

This package contains the header files, libraries, and utilities
necessary to write programs that use CORBA technology. If you want to
write such programs, you also need to install the ORBit package.

%prep
%setup -q
%patch0 -p1 -b .aligned
%patch1 -p1 -b .underquoted

%build
%configure 
make %{?_smp_mflags}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall

#%find_lang %{name}

# remove unneeded files
rm -f $RPM_BUILD_ROOT%{_bindir}/ior-decode
rm -f $RPM_BUILD_ROOT%{_bindir}/old-name-server
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_datadir}/idl/orbit-1.0/*
rm -f $RPM_BUILD_ROOT%{_datadir}/info/dir

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
/sbin/install-info %{_infodir}/libIDL.info.gz %{_infodir}/dir

%preun devel
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_infodir}/libIDL.info.gz %{_infodir}/dir
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)

%doc AUTHORS COPYING ChangeLog NEWS README TODO
%doc -P libIDL/COPYING libIDL/ChangeLog libIDL/AUTHORS
%doc -P libIDL/README* libIDL/NEWS libIDL/BUGS libIDL/tstidl.c

%{_libdir}/lib*.so*
%{_bindir}/orbit-event-server
%{_bindir}/orbit-name-server
#don't install old-name-server
#%{prefix}/bin/old-name-server
%{_bindir}/name-client
%{_bindir}/orbit-ird
#{_bindir}/ior-decode

%files devel
%defattr(-,root,root)
%{_bindir}/orbit-idl
%{_bindir}/orbit-config
%{_bindir}/libIDL-config
%{_libdir}/*.a
#{_libdir}/*.la
%{_libdir}/*.sh
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*
%{_infodir}/libIDL.info.gz

%changelog
* Wed Jun 24 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5.17-17
- spec in UTF-8

* Mon Jun 30 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5.17-16
- applied new versioning policy

* Sun Jun 03 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5.17-15vl1
- rebuilt with new toolchain
- added Patch1 from Fedora
  * Fri Aug  6 2004 Tim Waugh <twaugh@redhat.com> 1:0.5.17-14
  - Fixed another m4 warning.
  * Thu Jul 15 2004 Tim Waugh <twaugh@redhat.com> 1:0.5.17-13
  - Fixed warnings in shipped m4 file.

* Thu Feb 09 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.5.17-8vl2
- rebuild
- move PreReq: install-info to devel package
- disable %%find_lang macro
- remove unneeded files
- add %%{_libdir}/pkgconfig/*.pc to devel package

* Wed May  7 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5.17-8vl1
- rebuild with new toolchains
- apply Patch0 from Redhat Rawhide 0.5.17-8
  - Wed Apr  2 2003 Matt Wilson <msw@redhat.com> 1:0.5.17-8
  - added ORBit-0.5.17-aligned-access.patch to fix accesses on some
    non-ia32 architectures (#86347)

* Fri Oct 25 2002 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5.17-0vl1
- New upstream release.

* Fri Dec 14 2001 Akira TAGOH <tagoh@gnome.gr.jp> 0.5.12-0vl1
- New upstream release.

* Tue Jun 19 2001 Akira TAGOH <tagoh@gnome.gr.jp> 0.5.8-0vl1
- New upstream release.

* Wed May  9 2001 Akira TAGOH <tagoh@gnome.gr.jp> 0.5.7-1vl2
- Fixed missing files.

* Thu Jan 18 2001 Elliot Lee <sopwith@redhat.com>
- 0.5.7

* Tue Dec 19 2000 Elliot Lee <sopwith@redhat.com>
- 0.5.6

* Thu Nov 30 2000 Elliot Lee <sopwith@redhat.com>
- 0.5.5

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Tue Jul 25 2000 Elliot Lee <sopwith@redhat.com>
- 0.5.3

* Wed Jul 19 2000 Jonathan Blandford <jrb@redhat.com>
- fixed to work with new cpp.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul 11 2000 Jonathan Blandford <jrb@redhat.com>
- Upgraded to 0.5.2 - a bug fix release.

* Tue Jun 27 2000 Havoc Pennington <hp@redhat.com>
- Trying to build the package for Preston and the build
  system wants a new changelog entry

* Sat Jun 24 2000 Preston Brown <pbrown@redhat.com>
- defattr the devel pkg
- FHS paths

* Fri May 19 2000 Jonathan Blandford <jrb@redhat.com>
- Upgraded to 0.5.1

* Tue Feb  3 2000 Elliot Lee <sopwith@redhat.com> 0.5.0-3
- Strip shared libraries

* Mon Aug 30 1999 Elliot Lee <sopwith@redhat.com> 0.4.94-1
- Spec file fixes from RHL 6.0.

* Wed Jun 2 1999  Jose Mercado <jmercado@mit.edu>
- Fixed configure.in so spec.in could be used.

* Mon Nov 23 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>

- improved %files section, and added use of %{prefix} and install-info
  (well,... no. The info file has not dir info inside, commented out)
