%define name	SDL_perl
%define version	2.1.2
%define release	2%{?_dist_release}

Summary:	SDL_perl - Simple Direct Media Layer for Perl
Summary(ja): 	SDL_perl - Perl 用 SDL(Simple DirectMedia Layer) モジュール
Name:		%{name}
Version:	%{version}
Release: 	%{release}
Source0:	http://search.cpan.org/CPAN/authors/id/D/DG/DGOEHRIG/SDL_Perl-%{version}.tar.gz
Patch0:		sdl-2.1.3.build.patch
License:	Artistic and GPL
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/SDL_Perl/

Requires:	perl
BuildRequires:	perl, perl-Module-Build >= 0.22
BuildRequires:	SDL-devel >= 1.2.6, smpeg-devel >= 0.4.4
BuildRequires:	SDL_image-devel >= 1.2.2, SDL_gfx-devel >= 2.0.3
BuildRequires:	SDL_mixer-devel >= 1.2.5, SDL_ttf-devel >= 2.0.5
BuildRequires:	SDL_net-devel >= 1.2.4
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
SDL_perl is a package of perl modules that provides both
functional and object orient interfaces to the Simple DirectMedia
Layer for Perl 5.

%description -l ja
SDL_perl は、Perl 5 に SDL (Simple DirectMedia Layer) 用の機能
とオブジェクト指向のインターフェースを提供する、Perl モジュール
のパッケージです。


%prep

%setup -q -n SDL_Perl-%{version}
# apply patch from CPAN bug report #19155
%patch0 -p1 -b .build

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Build.PL installdirs=vendor
./Build

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
./Build install destdir=${RPM_BUILD_ROOT}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc BUGS CHANGELOG COPYING MANIFEST README TODO
%{perl_vendorarch}/SDL.pm
%{perl_vendorarch}/SDL/*
%{perl_vendorarch}/SDL_perl.pm
%{perl_vendorarch}/auto/SDL/*
%{perl_vendorarch}/auto/SDL_perl/*
%{_mandir}/man3/SDL.3pm*
%{_mandir}/man3/SDL::*


%changelog
* Mon Jun 22 2009 Shu KONNO <owa@bg.wakwak.com> 2.1.2-2
- spec in utf-8

* Wed Sep 03 2008 Shu KONNO <owa@bg.wakwak.com> 2.1.2-1vl5
- applied new versioning policy, spec in utf-8

* Mon Mar 26 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.1.2-0vl1
- initial build for Vine Linux
