Name:         STLport
Version:      5.1.5
Release:      2%{?_dist_release}
Summary:      C++ STL library compatible with the latest ANSI/ISO C++ specification
Summary(ja):  ANSI/ISO C++ 仕様に沿った C++ 標準テンプレートライブラリ
Group:        System Environment/Libraries
License:      Opensource (Free and Unrestricted)
URL:          http://www.stlport.org/
Source:       %{name}-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-root
Vendor:       Project Vine
Distribution: Vine Linux

%description
The ANSI/ISO C++ specifcation includes a standard C++ library, also known as
the STL. GCC by default comes with an implementation that does not comply
with this standard, but instead partly implements an older version. STLport
is freely available version, based on the SGI STL implementation. It is
fully-compliant, supported, and very fast. Includes special debugging
facilities, and interesting and useful extensions to the standard.

%package devel
Summary:  STLport development headers and documentation
Summary(ja):  STL の開発用ヘッダファイルとドキュメント
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Documentarion and headers for STLport


%prep
%setup -q

%build
#cd src
#make -f gcc.mak INSTALLDIR=$RPM_BUILD_ROOT%{_prefix} clean all
pushd build/lib
export OPT="${RPM_OPT_FLAGS} -fPIC"
make %{?_smp_mflags} -f gcc.mak all
popd

%install
rm -rf %{buildroot}
#cd src
#make -f gcc.mak INSTALLDIR=$RPM_BUILD_ROOT%{_prefix} install
#cd $RPM_BUILD_ROOT/usr/include/stlport
#ln -s . ext

pushd build/lib
make -f gcc.mak install
make -f gcc.mak \
    install-release-static \
    install-dbg-static     \
    install-stldbg-static
popd

echo "Installing libs"
install -d $RPM_BUILD_ROOT%{_libdir}
#install -m0755 lib/* $RPM_BUILD_ROOT%{_libdir}
cp -a lib/* $RPM_BUILD_ROOT%{_libdir}

echo "Installing includes"
install -d $RPM_BUILD_ROOT%{_includedir}/stlport
cp -a stlport $RPM_BUILD_ROOT%{_includedir}/stlport


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALL README
%defattr(0644,root,root,0755)
%{_libdir}/*.so.*

%files devel
%defattr(0644,root,root,0755)
%doc doc/*
%{_includedir}/stlport
%{_libdir}/*.a
%{_libdir}/*.so


%changelog
* Sun Oct 12 2008 Shu KONNO <owa@bg.wakwak.com> 5.1.5-2vl5
- fixed copy option for symlink at %%install

* Sun Oct 05 2008 Shu KONNO <owa@bg.wakwak.com> 5.1.5-1vl5
- updated to 5.1.5
- modified build, install scripts
- applied new versioning policy, spec in utf-8

* Wed Dec 21 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.2-0vl2
- fixed typo at Group:

* Mon Dec 19 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.2-0vl1
- updated to 4.6.2
- rebuilt with new toolchains
- changed Group:
- added Japanese summary
- added %post, %postun section

* Fri Sep 28 2001 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 4.0-0vl1
- built for Vine
