%define fontname konatu
%define _fontdir %{_datadir}/fonts/TrueType-%{fontname}

Name: TrueType-%{fontname}
Summary: Konatu font - Gothic type font set for Japanese
Summary(ja): ゴシック系日本語フォントセット 小夏フォント
Version: 26
Release: 1%{?_dist_release}
License: Creative Commons (CC-BY-SA)
Group: User Interface/X
URL: http://www.masuseki.com/index.php?u=be/konatu.htm

Source0: Konatu_ver_%{version}.zip

BuildRequires: unzip
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Requires: %{name}-doc

%description
Konatu is Gothic type font set for Japanese. 
This font was created as BeOS(ZETA) bitmap font at first,
and also made as TrueType font. 

This font is contained two type fonts.

- Konatsu.ttf（proportional）
- KonatuTohaba.ttf （fixed）

%description -l ja
小夏フォントはゴシック形の日本語フォントセットです。
当初は BeOS(ZETA) のビットマップフォントとして
作られ、その後 TrueType フォントとしても作成されました。

このフォントは2つのタイプのフォントを含んでいます。 

- Konatsu.ttf（プロポーショナル）
- KonatuTohaba.ttf （等幅）

このパッケージは上記2つのフォントをインストールするメタパッケージです。

%package fixed
Summary: Konatu fonts (fixed)
Summary(ja): 小夏フォント（等幅）
Group: User Interface/X
Requires: %{name}-doc

%description fixed
This package includes Konatu TrueType fonts (fixed).

%description -l ja fixed
このパッケージには小夏フォント（等幅）が含まれています。


%package proportional
Summary(ja): 小夏フォント（プロポーショナル）
Group: User Interface/X
Requires: %{name}-doc

%description proportional
This package includes Konatu TrueType fonts (proportional).

%description -l ja proportional
このパッケージには小夏フォント（プロポーショナル）が含まれています。


%package doc
Summary: Konatu font Documents
Summary(ja): 小夏フォントドキュメント
Group: User Interface/X

%description doc
This package includes important documents for Konatu font
includes enduser license.

%description -l ja doc
このパッケージには小夏フォントのライセンスを含む
ドキュメント類が含まれています。


%prep
%setup -q -n Konatu_ver_%{version}

%clean
if test -n "${RPM_BUILD_ROOT}" && test "/" != "${RPM_BUILD_ROOT}"; then
    rm -rf ${RPM_BUILD_ROOT}
fi

%build

%install
rm -rf %{buildroot}

mkdir -p $RPM_BUILD_ROOT%{_fontdir}
cp -a *.ttf $RPM_BUILD_ROOT%{_fontdir}

%post fixed
%__font_install_post %{_fontdir}

%post proportional
%__font_install_post %{_fontdir}

%postun fixed
%__font_install_postun %{_fontdir}

%postun proportional
%__font_install_postun %{_fontdir}

%files

%files fixed
%{_fontdir}/KonatuTohaba.ttf

%files proportional
%{_fontdir}/Konatu.ttf

%files doc
%doc *.txt

%changelog
* Wed Jan 6 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 26-1
- new upstream release
- splitted two packages - fixed and proportional

* Fri Oct 23 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 25-1
- initial build for Vine Linux
