Name: amarok
Version: 1.4.10
Release: 4%{?_dist_release}
Summary: a music player with an intuitive interface.
Summary(ja): 直感的なインターフェースを備えた音楽プレイヤです。
License: GPLv2
Group: Applications/Multimedia
URL: http://amarok.kde.org
Source0: ftp://ftp.kddlabs.co.jp/pub/X11/kde/stable/%{name}/%{version}/src/%{name}-%{version}.tar.bz2
Patch1: amarok-1.4.8-gcc43.patch
Patch2: amarok-1.4.7-xdg.patch
Patch3: workaround-missing-libfam.la-libidn.la.patch
Patch4: amarok-1.4.10-fix-libmtp-0.3.0-API.patch
Patch100: amarok-1.4.10-CVE-2009-0135-0136.patch
#PreReq: self-build-faac
PreReq: MySQL-server, MySQL-client, MySQL-shared, libnjb, libnjb-examples, xine-lib, libgpod >= 0.4.2, SDL, kdemultimedia >= 3.5, xine-lib-alsa, xine-lib-ogg, libart_lgpl
PreReq: ruby, taglib, libstdc++3, desktop-file-utils, self-build-libmad, self-build-faad2
BuildPreReq: XOrg-devel, kdelibs-devel >= 3.5, kdebase-devel, qt >= 3.3.5, libusb-devel, mysql-devel, xine-lib-devel, libstdc++3-devel
BuildPreReq: ruby-devel, SDL-devel, desktop-file-utils, taglib-devel, libvisual, libvisual-plugins, avahi-qt3-devel, libgpod-devel
BuildPreReq: xmms-devel, HelixPlayer, libpng-devel,libjpeg-devel, postgresql-devel, esound-devel,libgpod >= 0.4.2, libart_lgpl-devel, libvisual-devel
BuildPreReq: libnjb-devel,self-build-faad2, self-build-libmad
#xdg-utils

# --with-gstreamer 
#BuildRequires: gstreamer-plugins-base-devel, gstreamer-plugins-good-devel, gstreamer-devel

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Vendor: Project Vine
Distribution: Vine Linux

%description
Amarok is the music player for Linux and Unix with an intuitive interface. 
Amarok makes playing the music you love easier than ever before.
%description -l ja
Amarokは、直感的インターフェースを備えた、Linux および Unix 用の音楽プレーヤーです。
Amarokはより好きな音楽を簡単に再生します。 
%package konqueror
Summary: Amarok konqueror (service menus, sidebar) support
Summary(ja): Amarok konqueror (サービスメニュー, サイドバー) をサポートします。
Group:   Applications/Multimedia
Requires: %{name} = %{version}-%{release}
%description konqueror
Amarok konqueror (service menus, sidebar) support
%description konqueror -l ja
Amarok konqueror (サービスメニュー, サイドバー) をサポートします。

%package visualisation
Summary: Visualisation plugins for Amarok
Summary(ja): Amarok 用の Visualisation プラグインです。
Group:      Applications/Multimedia
Requires:   %{name} = %{version}-%{release}
Requires:   libvisual, libvisual-plugins
%description visualisation
Visualisation plugins for Amarok
%description visualisation -l ja
Amarok 用の Visualisation プラグインです。

%package xine-engine
Summary: xine-engine for Amarok
Summary(ja): Amarok 用の xine エンジンです。
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}
%description xine-engine
xine-engine for Amarok
%description xine-engine -l ja
Amarok 用の xine エンジンです。

%package helix-engine
Summary: helix-engine for Amarok
Summary(ja): Amarok 用の Helix エンジンです。
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}
Requires: HelixPlayer
%description helix-engine
helix-engine for Amarok
%description xine-engine -l ja
Amarok 用の Helix エンジンです。

%package void-engine
Summary: void-engine for Amarok
Summary(ja): Amarok 用の void-engine です。
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}
%description void-engine
void-engine for Amarok
%description void-engine -l ja
Amarok 用の void-engine です。

%prep
%setup -q

%patch1 -p1 -b .gcc43
%patch2 -p1 -b .xdg
%patch3 -p1 -b .work
%patch4 -p1 -b .api
%patch100 -p1 -b .cve
%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
%configure \
	--disable-rpath \
	--enable-new-ldflags \
	--prefix=%{_prefix} \
	--enable-mysql \
	--enable-postgresql \
	--with-mp4v2 \
	--with-libgpod \
	--without-kdnssd-avahi \
	--with-helix=%{_libdir}/helix

%{__make} %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT 
%{__make} install DESTDIR=$RPM_BUILD_ROOT 

# unpackaged files
%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/*.la
%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/ruby_lib/*.la

%find_lang %{name}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
update-desktop-database &> /dev/null ||:

if [ $LANG = "ja_JP.UTF-8" ]; then
	echo ""
	echo ""
	echo "amarok 関連パッケージがあります。"
	echo "併せてインストールしてください。"
	echo ""
	echo "amarok-xine-engine"
	echo "amarok 用の xine エンジン"
	echo ""
	echo "self-build-xine-lib-extras"
	echo "m4a フォーマット形式の音楽ファイルを再生する為のパッケージ"
	echo "self-build-xine-lib-faad はこのパッケージに統合されましたので、こちらをインストールしてください。"
	echo ""
	echo "amarok-visualisation"
	echo "amarok 用のビジュアルを有効にするためのパッケージ"
	echo ""
	echo "moodbar"
	echo "オーディオファイルの内容を色鮮やかなビジュアル表現で作成するパッケージ"
	echo ""
	echo "amarok-helix-engine"
	echo "amarok 用の Helix エンジン"
	echo ""
	echo "amarok-void-engine"
	echo "amarok 用の void エンジン"
	echo ""
	echo "amarok-konqueror"
	echo "amarok 用の konqueror (サービスメニュー, サイドバー) をサポートする為のパッケージ"
	echo ""
	echo "Please visit the website."
	echo "http://amarok.kde.org/wiki/Main_Page"
	echo ""
	echo ""
fi

%postun
/sbin/ldconfig
update-desktop-database &> /dev/null ||:

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%doc %{_docdir}/HTML/*/amarok/*
%{_bindir}/amarok
%{_bindir}/amarokapp
%{_bindir}/amarokcollectionscanner
%{_bindir}/amarok_proxy.rb
%{_libdir}/libamarok.so*
%{_libdir}/ruby_lib/*.rb
%{_libdir}/ruby_lib/*.so*
%{_datadir}/applications/kde/*.desktop
%{_datadir}/apps/amarok/*.rc
%{_datadir}/apps/amarok/data/*
%{_datadir}/apps/amarok/icons/*/*/actions/*
%{_datadir}/apps/amarok/images/*
%{_datadir}/apps/amarok/ruby_lib/*
%{_datadir}/apps/amarok/scripts/*/*
%{_datadir}/apps/amarok/themes/*
%{_datadir}/apps/profiles/*.xml
%{_datadir}/config.kcfg/*
%{_datadir}/config/*
%{_datadir}/icons/hicolor/*/apps/amarok.png
%{_datadir}/services/*.protocol
%{_datadir}/servicetypes/*

# DAAP
%{_bindir}/amarok_daapserver.*
%{_libdir}/kde3/libamarok_daap-mediadevice.*
%{_datadir}/services/amarok_daap-mediadevice.desktop
# VFAT
%{_libdir}/kde3/libamarok_generic-mediadevice.*
%{_datadir}/services/amarok_generic-mediadevice.desktop
# ipod
%{_libdir}/kde3/libamarok_ipod-mediadevice.*
%{_datadir}/services/amarok_ipod-mediadevice.desktop
# Mass-storage
%{_libdir}/kde3/libamarok_massstorage-device.*
%{_datadir}/services/amarok_massstorage-device.desktop
# NFS
%{_libdir}/kde3/libamarok_nfs-device.*
%{_datadir}/services/amarok_nfs-device.desktop
# NJB
%{_libdir}/kde3/libamarok_njb-mediadevice.*
%{_datadir}/services/amarok_njb-mediadevice.desktop
# SMB
%{_libdir}/kde3/libamarok_smb-device.*
%{_datadir}/services/amarok_smb-device.desktop

%files void-engine
%defattr(-,root,root,-)
%{_libdir}/kde3/libamarok_void-engine_plugin.*
%{_datadir}/services/amarok_void-engine_plugin.desktop

%files xine-engine
%defattr(-,root,root,-)
%{_libdir}/kde3/libamarok_xine-engine.*
%{_datadir}/services/amarok_xine-engine.desktop

%files helix-engine
%defattr(-,root,root,-)
%{_libdir}/kde3/libamarok_helixengine_plugin.*
%{_datadir}/services/amarok_helixengine_plugin.desktop

%files konqueror
%defattr(-,root,root,-)
%{_libdir}/kde3/konqsidebar_universalamarok.*
%{_datadir}/apps/konqueror/servicemenus/*.desktop
%{_datadir}/apps/konqsidebartng/*/amarok.desktop

%files visualisation
%defattr(-,root,root,-)
%{_bindir}/amarok_libvisual

%changelog
* Wed Jun 17 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.4.10-4vl5
- add BuildRequires: libvisual-devel

* Tue Jun 16 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.4.10-3vl5
- add Patch4 (from Ubuntu/Debian) to fix build against libmtp >= 0.3.0

* Sat Mar 21 2009 TOSHI <milk-tea1977@dune.ocn.ne.jp> 1.4.10-2vl5
- Package Name Changes: self-build-libmad, self-build-faad2
- add patch100 for fix CVE2009-0135, CVE-2009-0136
- add PreReq & BuildPreReq: libart_lgpl, libart_lgpl-devel

* Wed Dec 31 2008 TOSHI <milk-tea1977@dune.ocn.ne.jp> 1.4.10-1vl5
- initial build for Vine Seed.
- add Patch3
- spec in utf-8, and applied vine versioning policy

# end of file

