%define _aud_ver	2.3
#define extraver alpha5

Summary:	Audacious - a versatile and handy multi platform media player
Summary(ja):	Audacious - 多くのフォーマットに対応した便利なメディアプレイヤー
Name:		audacious
Version:	2.3
Release:	1%{?_dist_release}
License:	GPLv3
Group:		Applications/Multimedia
URL:		http://audacious-media-player.org/
Source:		http://distfiles.atheme.org/%{name}-%{version}%{?extraver:-%extraver}.tgz
Source1:	audacious2.desktop
#Source2:	audacious2-gtkui.desktop

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	glib2-devel 
BuildRequires:  gtk2-devel 
BuildRequires:  libmowgli-devel
BuildRequires:	mcs-devel
BuildRequires:  dbus-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  libSM-devel
BuildRequires:	oniguruma-devel

Requires:	%{name}-libs = %{version}-%{release}
Requires:	audacious-plugins >= %{_aud_ver}

Requires(post):   desktop-file-utils
Requires(postun): desktop-file-utils

Vendor:		Project Vine
Distribution:	Vine Linux

%description
Audacious is a media player that currently uses a skinned user 
interface based on Winamp 2.x skins. It is based on BMP.

%package libs
Summary: Library files for the Audacious media player
Group: System Environment/Libraries

%description libs
Library files for the Audacious media player.

%package devel
Summary:	Development files for Audacious
Summary(ja):	Audacious の開発用ファイル
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= 2.12.0
Requires:	gtk2-devel >= 2.8.0
Requires:	pango-devel >= 1.8.0
Requires:	cairo-devel >= 1.2.4
Requires:	libmowgli-devel >= 0.4.0
Requires:	mcs-devel >= 0.7
Requires:	dbus-devel >= 0.60
Requires:	dbus-glib-devel >= 0.60

%description devel
This package contains header files required to develop plugins for
Audacious.

%description -l ja devel
このパッケージには、Audacious のプラグインを開発するために必要なヘッダ
ファイルが含まれています。

%prep
%setup -q -n %{name}-%{version}%{?extraver:-%extraver}

%build
%configure \
	--enable-chardet		\
	--with-regexlib=oniguruma

make %{?_smp_mflags} VERBOSE=1

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%find_lang %{name}

%__mkdir_p %{buildroot}%{_libdir}/audacious/Container
%__mkdir_p %{buildroot}%{_libdir}/audacious/Effect
%__mkdir_p %{buildroot}%{_libdir}/audacious/General
%__mkdir_p %{buildroot}%{_libdir}/audacious/Input
%__mkdir_p %{buildroot}%{_libdir}/audacious/Output
%__mkdir_p %{buildroot}%{_libdir}/audacious/Transport
%__mkdir_p %{buildroot}%{_libdir}/audacious/Visualization

install -p -m644 %{SOURCE1} %{buildroot}%{_datadir}/applications
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/audacious2-gtkui.desktop
#install -p -m644 %{SOURCE2} %{buildroot}%{_datadir}/applications

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
mv $RPM_BUILD_ROOT%{_datadir}/pixmaps/audacious2.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps

# fixes symbolic link
pushd $RPM_BUILD_ROOT%{_bindir}
ln -sf audacious2 audacious
ln -sf audtool2 audtool
popd

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_bindir}/update-desktop-database %{_datadir}/applications >& /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
%{_bindir}/update-desktop-database %{_datadir}/applications >& /dev/null ||:
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS* README* 
%{_bindir}/audacious*
%{_bindir}/audtool*
%{_libdir}/audacious
%{_datadir}/audacious
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/48x48/apps/*
%{_mandir}/man1/audacious2.1*
%{_mandir}/man1/audtool2.1*

%files libs
%defattr(-,root,root,-)
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/audacious
%{_includedir}/libaudcore
%{_includedir}/libaudgui
%{_includedir}/libaudtag
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Sat May 29 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.3-1
- new upstream release

* Thu Aug 13 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.1-2
- added BuildRequires: libsamplerate-devel to devel package

* Sun Aug  9 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.1-1
- new upstream release

* Sun Apr 26 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.5.1-5
- rebuilt with libmowgli-0.7.0

* Sat Apr  4 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.5.1-4
- added BuildRequires: dbus-devel, dbus-glib-devel
- added Requires: dbus-devel, dbus-glib-devel to devel package

* Wed Mar 25 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.5.1-3
- rebuilt again with oniguruma-5.9.1 (ppc)

* Thu Mar 19 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.5.1-2vl5
- rebuilt with oniguruma-5.9.1

* Sat Dec  6 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.5.1-1vl5
- new upstream release (dropped Patch1 and Source2)

* Sun Sep 14 2008 Shu KONNO <owa@bg.wakwak.com> 1.3.2-1vl5
- applied new versioning policy, spec in utf-8

* Tue Sep 04 2007 KAZUKI SHIMURA <ksh753@y5.dion.ne.jp> 1.3.2-0vl3
- update desktop file (source1)

* Tue Aug 21 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.3.2-0vl2
- add Requires: mcs-devel for audacious-devel subpackage

* Fri May 18 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3.2-0vl1
- new upstream release
- build with new environment/toolchain

* Mon Mar 12 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.3.1-0vl1
- new upstream release
- drop '--disable-gconf' option from %%configure

* Fri Mar 09 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.3.0-0vl1
- new upstream release
- update ja.po (source2)
- add BuildRequires: mcs-devel, libsamplerate-devel

* Wed Feb 21 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.3.0-0vl0.0alpha5
- update to 1.3.0alpha5
- update ja.po (source2)
- drop obsolete playlist-set-utf8-name.patch (patch2)
- add new file: libaudid3tag.so

* Mon Feb 12 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.3.0-0vl0.0alpha4.1
- add playlist-set-utf8-name.patch (patch2)
  to use utf-8-converted filename as playlist title

* Thu Feb 08 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.3.0-0vl0.0alpha4
- update to 1.3.0alpha4
- update ja.po (source2)
- update URLs

* Wed Jan 31 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.3.0-0vl0.0alpha3
- update to 1.3.0alpha3
- update ja.po (source2)
- update use-xfont.patch (patch1)
- fix typo

* Sun Jan 21 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.3.0-0vl0.0alpha2.1
- update ja.po (source2)

* Sat Jan 13 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.3.0-0vl0.0alpha2
- update to 1.3.0alpha2
- use oniguruma regex library
  - add BuildRequires: oniguruma-devel
  - add '--with-regexlib=oniguruma' option to %%configure

* Thu Nov 30 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.2.2-0vl2
- add '--enable-chardet' option to %%configure again

* Wed Nov 29 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.2.2-0vl1
- new upstream release
- update ja.po (source2)

* Sun Aug 27 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.2-0vl1
- new upstream release

* Tue Aug 01 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.1-0vl2
- oops, really update ja.po (source2)

* Mon Jul 31 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.1-0vl1
- new upstream release
- make with 'VERBOSE=1'
- drop obsolete POTFILES.in (source3)
- make update-po before make
  - 1.1.1 contains old version of audacious.pot...
- update ja.po (source2)

* Sat Jul 22 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.0-0vl2
- overwrite POTFILES.in (source3)
  - 1.1.0 contains old version of POTFILES.in
- update ja.po (source2)

* Sat Jul 22 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.0-0vl1
- new upstream release
- drop unneeded patch0 (was merged)
- add '--enable-ipv6 --enable-chardet' to %%configure option
- add BuildRequires: taglib-devel instead of id3lib-devel
- update ja.po (source2)

* Sun Jun 04 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.0.0-0vl2
- add flac-filename-utf8.patch (patch0)
      to convert filename on fileinfo box for FLAC files to UTF-8
- add use-xfont.patch (patch1)
      to disable 'Use Bitmap fonts if available' by default
- add ja.po (source2)

* Sat Jun 03 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.0.0-0vl1
- initial build
