Summary: A GNU general-purpose parser generator.
Summary(ja): GNU 汎用構文解析器生成プログラム
Name: bison
Version: 2.4.1
Release: 2%{?_dist_release}
License: GPL
Group: Development/Tools
Source: http://ftp.gnu.org/gnu/bison/bison-%{version}.tar.bz2
Patch1: bison-2.4-reap_subpipe.patch
URL: http://www.gnu.org/software/bison/

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: m4 >= 1.4
Requires(post): install-info
Requires(preun): install-info

Vendor:        Project Vine
Distribution:  Vine Linux

%description
Bison is a general purpose parser generator which converts a grammar
description for an LALR(1) context-free grammar into a C program to parse
that grammar.  Bison can be used to develop a wide range of language
parsers, from ones used in simple desk calculators to complex programming
languages.  Bison is upwardly compatible with Yacc, so any correctly
written Yacc grammar should work with Bison without any changes.  If
you know Yacc, you shouldn't have any trouble using Bison. You do need
to be very proficient in C programming to be able to use Bison).  Bison 
is only needed on systems that are used for development.

If your system will be used for C development, you should install Bison
since it is used to build many C programs.

#'
%description -l ja
bison は汎用構文解析器を生成するプログラムで，LALR(1) 文脈自由文法で
書かれた文法記述を元に，その記述を解析する C プログラムを生成します．
bison は簡単な電卓から複雑なプログラミング言語まで，幅広い種類の
言語解析器を開発するのに使うことが出来ます．
bison は yacc の上位互換ですので，yacc で書かれた文法を修正すること
なしに解析することが出来ます．yacc を知っているのであれば，bison を
使って困ることは何もないでしょう．bison を使うには C プログラミングの
豊富な知識が必要となります．bison は開発を行うシステム以外では特に
必要にならないでしょう．

C 言語による開発を行う場合は，多くの C プログラムの作成に使われるので
bison をインストールして下さい．


%prep
%setup -q
%patch1 -p1


%build
%configure
make 
make check


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# Remove unpackaged files.
rm -f $RPM_BUILD_ROOT/%{_bindir}/yacc
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir
rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/yacc*

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/install-info %{_infodir}/bison.info.gz %{_infodir}/dir \
    --entry="* bison: (bison).                        The GNU parser generator."

%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/bison.info.gz %{_infodir}/dir \
      --entry="* bison: (bison).                        The GNU parser generator."
fi


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS OChangeLog README THANKS TODO
%{_bindir}/bison
%{_libdir}/liby.a
%{_datadir}/bison
%{_datadir}/aclocal/*.m4
%{_datadir}/locale/*/LC_MESSAGES/%{name}-runtime.mo
%{_mandir}/*/bison*
%{_infodir}/bison.info*


%changelog
* Wed Feb 17 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.1-2
- rebuilt with new toolchain

* Tue Feb  3 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.4.1-1
- new upstream release
- import Patch1 from Fedora

* Sat Nov  8 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4-1
- new upstream release
- spec in UTF-8

* Sun Apr 13 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.3-1
- rebuild with new toolchain.
- apply new versioning policy.

* Sat Nov 25 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.3-0vl1
- new upstream release

* Tue Mar 28 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.1-0vl1
- new upstream release

* Thu Jun 09 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0-6vl1
- new upstream release
- dropped Patch1
- added %doc files
- updated URL

* Sun Feb 08 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.875-6vl1
- add Patch1 from fedora
- add Requires: m4
  * Thu Oct 30 2003 Roland McGrath <roland@redhat.com> 1.875-6
  - add dependency on m4 (bug #108655)
  * Wed Sep 24 2003 Roland McGrath <roland@redhat.com> 1.875-5
  - remove problematic __attribute__ use for label (bug #105034)

* Sun Jul  6 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.875-3vl1
- based on Rawhide 1.875-3
- s/Copyright/License/

* Tue Dec 10 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.75-2vl1
  - new upstream release
  - merged with rawhide release
    * Thu Nov 21 2002 Tim Waugh <twaugh@redhat.com> 1.75-2
    - Run 'make check'.
    - Apply patch from bison-patches to fix bash compilation.
    * Thu Oct 17 2002 Florian La Roche <Florian.LaRoche@redhat.de>
    - update to 1.75

* Fri May 31 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org>
- 1.35-2vl1: synced with rawhide

* Thu Dec 28 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 1.28-5vl1
- rebuilt with new %%{_mandir} definition
- added Japanese summary and description

* Sun Nov 19 2000 Satoshi MACHINO <machino@vinelinux.org> 1.28-5vl1
- build on Vine Linux with gcc-2.95.3

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Than Ngo <than@redhat.de>
- rebuilt in the new build environment
- FHS packaging

* Sat May 27 2000 Ngo Than <than@redhat.de>
- rebuild for 7.0
- put man pages and info files to correct place

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com> 
- rebuild to gzip man page.

* Fri Jul 16 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.28.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Mon Mar  8 1999 Jeff Johnson <jbj@redhat.com>
- configure with datadir=/usr/lib (#1386).

* Mon Feb 22 1999 Jeff Johnson <jbj@redhat.com>
- updated text in spec file.
- update to 1.27

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- built for Manhattan
- added build root

* Wed Oct 15 1997 Donnie Barnes <djb@redhat.com>
- various spec file cleanups

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

