Name:           compizconfig-python
Version:        0.8.2
Release:        3%{?_dist_release}
Summary:        Python bindings for the Compiz Configuration System
Summary(ja):    Compiz 設定システム用の Python バインディング

Group:          Development/Libraries
License:        LGPLv2+
URL:            http://www.compiz-fusion.org

Source0:        http://releases.compiz.org/%{version}/%{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
ExcludeArch:    s390 s390x ppc64
BuildRequires:  libcompizconfig-devel >= 0.7.4, python-pyrex, glib2-devel
BuildRequires:	libXrender-devel

%description
The Compiz Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
though plugins and themes contributed by the community giving a
rich desktop experience.

This package contains bindings to configure Compiz's
plugins and the composite window manager.

%prep
%setup -q 

%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.a" -o -name "*.la" | xargs rm -f


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING
%{python_sitearch}/compizconfig.so
%exclude %{_libdir}/pkgconfig/compizconfig-python.pc


%changelog
* Sun Feb 21 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.2-3
- add BuildRequires: libXrender-devel

* Tue Feb 02 2010 Shu KONNO <owa@bg.wakwak.com> 0.8.2-2
- rebuild with python-2.6

* Mon May 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.8.2-1
- new upstream release

* Sat Oct 11 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.8-1
- new upstream release

* Mon Jul 21 2008 Shu KONNO <owa@bg.wakwak.com> 0.7.6-2
- rebuilt with python-2.5.2

* Wed Jun 11 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.6-1
- new upstream release

* Mon May 19 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.4-1
- new upstream release

* Wed May 14 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.2-1
- initial build for Vine Linux

* Tue Mar 28 2008 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.7.2-1
- 0.7.2 update

* Sat Nov 25 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0.1-2
- 0.6.0.1 release

* Sat Oct 21 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-1
- official 0.6.0 tarball release

* Fri Aug 19 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-0.3.20071018git
- removed devel package

* Thu Aug 18 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-0.2.20071018git0e80b1
- 0.6.0 prerelease

* Sun Jun 30 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.0.1-0.3.20070630git
- 20070630git

* Sun Jun 24 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.0.1-20070622git
- Initial specfile, borrowing descriptions from Trevino ubuntu debs
