Name: dbusmenu-qt
Summary: A Qt implementation of the DBusMenu protocol 
Version: 0.5.2
Release: 2%{?_dist_release}

Group: System Environment/Libraries
License: LGPLv2+
URL: https://launchpad.net/libdbusmenu-qt/

Source0: http://launchpad.net/libdbusmenu-qt/trunk/%{version}/+download/libdbusmenu-qt-%{version}.tar.bz2

## upstream patches
# honor LIB_SUFFIX (ie, use /usr/lib64 on 64bit)
Patch100: dbusmenu-qt-0.3.2-pkgconfig.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: cmake
BuildRequires: pkgconfig
BuildRequires: qjson-devel
BuildRequires: qt4-devel

Provides: libdbusmenu-qt = %{version}-%{release}

%description
This library provides a Qt implementation of the DBusMenu protocol.

The DBusMenu protocol makes it possible for applications to export and import
their menus over DBus.


%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Provides: libdbusmenu-devel = %{version}-%{release}

%description devel
%{summary}.


%prep
%setup -q -n libdbusmenu-qt-%{version}

%patch100 -p1 -b .pkgconfig


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake .. 
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%check
# verify pkg-config version
export PKG_CONFIG_PATH=%{buildroot}%{_datadir}/pkgconfig:%{buildroot}%{_libdir}/pkgconfig
test "$(pkg-config --modversion dbusmenu-qt)" = "%{version}"
# unfortunately, most of these require an active X/dbus session
make -C %{_target_platform}/tests check ||:


%clean
rm -rf %{buildroot} 


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_libdir}/libdbusmenu-qt.so.2*

%files devel
%defattr(-,root,root,-)
%{_includedir}/dbusmenu-qt/
%{_libdir}/libdbusmenu-qt.so
%{_libdir}/pkgconfig/dbusmenu-qt.pc


%changelog
* Sun Aug 15 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5.2-2
- initial build for Vine Linux

* Fri Aug 06 2010 Rex Dieter <rdieter@fedoraproject.org> 0.5.2-1
- dbusmenu-qt-0.5.2

* Fri May 21 2010 Rex Dieter <rdieter@fedoraproject.org> 0.3.3-1
- dbusmenu-qt-0.3.3

* Sun Apr 25 2010 Rex Dieter <rdieter@fedoraproject.org> 0.3.2-2
- pkg rename s/libdbusmenu-qt/dbusmenu-qt/
- Provides: libdbusmenu-qt(-devel)

* Sun Apr 25 2010 Rex Dieter <rdieter@fedoraproject.org> 0.3.2-1
- dbusmenu-qt-0.3.2

