%define pyver %(python -c 'import sys;print(sys.version[0:3])')
%define pysite %{_libdir}/python%{pyver}/site-packages

Summary:	Dock application for GNOME
Summary(ja): 	GNOME 向けのドックアプリケーション
Name:		docky
Version:	2.0.6
Release: 	1%{?_dist_release}
Source0:	http://launchpad.net/docky/2.0/2.0.5/+download/%{name}-%{version}.tar.gz
Source1:	docky-2.0.5-ja.po
Patch1:		docky-2.0.5-clock-date-format.patch
License:	GPLv3
Group:		Applications/Accessories
URL:		http://www.go-docky.com/

Requires(post):	 desktop-file-utils
Requires(postun):desktop-file-utils
BuildRequires:	python
BuildRequires:	gtk2-devel
BuildRequires:	GConf2
BuildRequires:	gtk-sharp2-gapi
BuildRequires:	gconf-sharp2
BuildRequires:	gtk-sharp2
BuildRequires:	gnome-desktop-sharp2
BuildRequires:	gnome-keyring-sharp-devel
BuildRequires:	gnome-sharp2
BuildRequires:	gnome-vfs-sharp2
BuildRequires:	rsvg2-sharp
BuildRequires:	notify-sharp-devel
BuildRequires:	wnck-sharp
BuildRequires:	mono-addins
BuildRequires:	mono-core
BuildRequires:	mono-devel
BuildRequires:	ndesk-dbus-glib
BuildRequires:	ndesk-dbus
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	kazutaka

%description
Docky is a full fledged dock application that makes opening common applications
and managing windows easier and quicker. Docky is fully integrated into the GNOME
Desktop and features a no non-sense approach to configuration and usage. 

%description -l ja
Docky はアプリケーションの実行やウィンドウの操作を簡単かつ素早く実行できる、
十分な機能を備えたドックアプリケーションです。Docky は GNOME デスクトップ
環境と密接に統合されており、直感的に使えるようにデザインされています。


%prep
%setup -q
%patch1 -p1 -b .clock-date-format
%{__cp} %{SOURCE1} po/ja.po


%build
%configure
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

%post
update-desktop-database %{_datadir}/applications >& /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache -q %{_datadir}/icons/hicolor ||:
fi

%postun
update-desktop-database %{_datadir}/applications >& /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache -q %{_datadir}/icons/hicolor ||:
fi


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_libdir}/pkgconfig/%{name}.*
#%{pysite}/%name
%{python_sitelib}/%name
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/16x16/apps/%{name}.svg
%{_datadir}/icons/hicolor/22x22/apps/%{name}.svg
%{_datadir}/icons/hicolor/24x24/apps/%{name}.svg
%{_datadir}/icons/hicolor/32x32/apps/%{name}.svg
%{_datadir}/icons/hicolor/48x48/apps/%{name}.svg
%{_datadir}/icons/hicolor/48x48/mimetypes/extension.svg
%{_datadir}/icons/hicolor/64x64/apps/%{name}.svg
%{_datadir}/icons/hicolor/128x128/apps/%{name}.svg
%{_datadir}/icons/hicolor/128x128/apps/gmail.png


%changelog
* Thu Sep 09 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 2.0.6-1
- new upstream release

* Fri Aug 13 2010 Shu KONNO <owa@bg.wakwak.com> 2.0.5-2
- fixed python2.6/site-package path in %%files

* Sat Aug 07 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 2.0.5-1
- initial build for Vine Linux
- add Patch1: modify date/time format to make them translatable
- add Source1: updated japanese translation

