# Note that this is NOT a relocatable package
%define ver     0.9.7
%define RELEASE 2%{?_dist_release}
%define rel     %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}


Summary:     Graphical network viewer modeled after etherman.
Summary(ja): グラフィカルネットワークビューア
Name:        etherape
Version:     %ver
Release:     %rel
License:     GPL
Group:       Applications/Internet
Source:      http://download.sourceforge.net/etherape/etherape-%{ver}.tar.gz
# Source1:   ee-stdimg-new.xpm

BuildRoot:   %{_tmppath}/%{name}-%{version}-root
URL:         http://etherape.sourceforge.net/
Requires:    libgnomeui
Requires:    libglade2
BuildPreReq: libgnomeui-devel, ORBit2-devel, libglade2-devel
#BuildPreReq: libpcap
BuildRequires: libpcap-devel
Prereq:      scrollkeeper

%description
Etherape is a graphical network monitor for Unix modeled after
etherman. Featuring ether, ip and tcp modes, it displays network
activity graphically. Hosts and links change in size with traffic. 
Color coded protocols display. It supports ethernet, ppp and slip 
devices. It can filter traffic to be shown, and can read traffic 
from a file as well as live from the network. 

%description -l ja
Etherape は Unix 向けグラフィカルネットワークモニタで，
etherman を参考に作られました．ether, ip, tcp モードをサポートし，
グラフィカルにネットワークの状況を標示します．
ethernet, ppp, slip をサポートします．どのトラフィックを表示するか
フィルタしたり，ファイルからトラフィックを読んだりする事も可能です．


%prep
%setup -q

# insert new rh logo image
#cp %{SOURCE1} stdimg.xpm


%build
%configure --enable-static-pcap
make


%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

rm -rf $RPM_BUILD_ROOT%{_localstatedir}/scrollkeeper

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT

%post
scrollkeeper-update > /dev/null 2>&1 || :
exit 0

%postun
scrollkeeper-update > /dev/null 2>&1 || :
exit 0


%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README FAQ README.help README.bugs README.thanks
%config %{_sysconfdir}/etherape/*
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/etherape/*
%{_datadir}/omf/*
%{_datadir}/pixmaps/*
%{_mandir}/man1/*

%changelog
* Thu Jul 30 2009 Shu KONNO <owa@bg.wakwak.com> 0.9.7-2
- dropt BPR: libpcap
- added BR: libpcap-devel

* Mon Sep 22 2008 Shu KONNO <owa@bg.wakwak.com> 0.9.7-1vl5
- applied new versioning policy, spec in utf-8

* Mon Jul 16 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.9.7-0vl1
- updated to 0.9.7
- rebuilt with libpcap-0.9.6

* Fri Jul  7 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.9.6-0vl1
- updated to 0.9.6
- changed to Applications/Internet
- added %post and %postun section
- added Prereq: scrollkeeper

* Sat Jun  5 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.9.0-0vl1
- updated to 0.9.0
- rebuild with new toolchains
- rebuild with gnome2
 
* Fri May 18 2001 <sagami@vinelinux.org>
- added BuildPreReq: libpcap :-)

* Tue May 15 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 0.7.3-1vl1
- built for Vine Linux

* Mon Apr 3 2000 Juan Toledo <toledo@sourceforge.net>
- Initial spec file copied from electric eyes
