%define dbus_glib_version 0.86
%define dbus_version 1.2.24
%define eds_version 2.30.2
%define gnome_doc_utils_version 0.8.0
%define gnome_icon_theme_version 2.30.0
%define gnome_pilot_version 2.0.13
%define libxml2_version 2.7.6
%define gtkhtml_version 3.30.0
%define intltool_version 0.35.5
%define last_libgal2_version 2:2.5.3-2
%define orbit2_version 2.14.0
%define pilot_link_version 2:0.12.1
%define scrollkeeper_version 0.1.4
%define soup_version 2.30.0
%define unique_version 1.1.6
%define gstreamer_version 0.10.28
%define gnome_desktop_version 2.30.0

%define evo_major 2.30

%define inline_audio_support 0
%define ldap_support 1
%define libnotify_support 1
%define krb5_support 1

%define nm_support 1
%define build_conduits 0
%define use_mozilla_nss 1

# Use stricter build settings than required by upstream.
%define strict_build_settings 0

%define evo_plugin_dir %{_libdir}/evolution/%{evo_major}/plugins

### Abstract ###

Name: evolution
Version: 2.30.2
Release: 1%{?_dist_release}
License: GPLv2 and GFDL+
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.gnome.org/projects/evolution/
Source0: ftp://ftp.gnome.org/pub/gnome/sources/evolution/2.30/%{name}-%{version}.tar.bz2

Summary: GNOME's next-generation groupware suite
Summary(ja): GNOME 次世代グループウェアスイート
Group: Applications/Productivity

### Patches ###

# bad hack
Patch10: evolution-1.4.4-ldap-x86_64-hack.patch

# Move .conduit files from share to lib (for the sake of multilib)
# This patch effects other parts of evolution.spec and so is necessary
# for a successful build.
Patch13: evolution-2.5.4-fix-conduit-dir.patch

# RH bug #176400
Patch15: evolution-2.9.1-im-context-reset.patch

### Dependencies ###

Requires(post): GConf2
Requires(post): scrollkeeper >= %{scrollkeeper_version}
Requires(postun): scrollkeeper >= %{scrollkeeper_version}

Requires: ORBit2 >= %{orbit2_version}
Requires: dbus >= %{dbus_version}
Requires: evolution-data-server >= %{eds_version}
Requires: gnome-icon-theme >= %{gnome_icon_theme_version}
Requires: gnome-vfs2 >= %{gnomevfs2_version}
Requires: gnutls
Requires: gtk2 >= 2.20.0
Requires: libsoup >= %{soup_version}

%if %{libnotify_support}
Requires: libnotify >= 0.4
%endif

Obsoletes: libgal2 <= %{last_libgal2_version}


### Build Dependencies ###

BuildRequires: GConf2-devel
BuildRequires: ORBit2-devel >= %{orbit2_version}
BuildRequires: atk-devel
BuildRequires: autoconf >= 2.59
BuildRequires: automake >= 1.9
BuildRequires: bison
## BuildRequires: byacc
BuildRequires: dbus-devel >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: desktop-file-utils
BuildRequires: evolution-data-server-devel >= %{eds_version}
## BuildRequires: flex
BuildRequires: gettext
BuildRequires: gnome-doc-utils >= %{gnome_doc_utils_version}
BuildRequires: gnome-vfs2-devel >= %{gnomevfs2_version}
BuildRequires: gnutls-devel
BuildRequires: gtk-doc
BuildRequires: gtkhtml3-devel >= %{gtkhtml_version}
BuildRequires: intltool >= %{intltool_version}
BuildRequires: libgnomecanvas-devel >= 2.0
BuildRequires: libgnomeui-devel >= 2.0
BuildRequires: libsoup-devel >= %{soup_version}
BuildRequires: libtool >= 1.5
BuildRequires: libxml2-devel >= %{libxml2_version}
BuildRequires: pkgconfig
BuildRequires: unique-devel >= %{unique_version}
BuildRequires: libcanberra-devel
BuildRequires: gnome-icon-theme >= %{gnome_icon_theme_version}
BuildRequires: gstreamer-devel >= %{gstreamer_version}
BuildRequires: gtkimageview-devel
BuildRequires: libSM-devel
BuildRequires: gnome-desktop-devel >= %{gnome_desktop_version}
BuildRequires: rarian-compat

%if %{use_mozilla_nss}
BuildRequires: nspr-devel
BuildRequires: nss-devel
%else
BuildRequires: openssl-devel
%endif

%if %{inline_audio_support}
# audio-inline plugin requires gstreamer to build:
BuildRequires: gstreamer08-devel
%endif

%if %{ldap_support} 
BuildRequires: openldap-devel >= 2.0.11 
%endif

%if %{build_conduits} 
BuildRequires: gnome-pilot-devel >= %{gnome_pilot_version}
%endif

%if %{krb5_support} 
BuildRequires: krb5-devel 
# tweak for krb5 1.2 vs 1.3
%define krb5dir /usr/kerberos
#define krb5dir `pwd`/krb5-fakeprefix
%endif

%if %{nm_support}
BuildRequires: NetworkManager-glib-devel
%endif

%if %{libnotify_support}
BuildRequires: libnotify-devel
%endif


%description
Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool.

%description -l ja
Evolution はメーラ，カレンダー，アドレス帳， TO DO リスト，メモ帳
を含むツールです．Evolution を構成する各ツールはしっかりと統合され
ており、シームレスに個人情報管理ツールとして機能します．

%package devel
Summary: Development files for building against evolution
Summary(ja): Evolution の開発用ファイル
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: gtkhtml3-devel >= %{gtkhtml_version}
Requires: libsoup-devel >= %{soup_version}

%description devel
Development files needed for building things which link against evolution.

%description devel -l ja
evolution をリンクするプログラムをビルドするために必要な開発用ファイルです．

%package help
Summary: Help files for %{name}
Summary(ja): %{name} 用ヘルプファイル
Group: Applications/Documentation
Requires: %{name} = %{version}-%{release}

%description help
This package contains user documentation for %{name}. 

%description help -l ja
%{name} のユーザ用ドキュメントです.  

%if %{build_conduits}
%package conduits
Group: Applictions/Communications
Summary: gnome-pilot conduits for %{name}
Requires: %{name} = %{version}-%{release}
Requires: gnome-pilot >= %{gnome_pilot_version}

%description conduits
This package contains conduits for synchronizing PalmPilot<tm> or other
PalmOS<tm> devices with %{name}.
%endif

%package bogofilter
Summary: Bogofilter plugin for Evolution
Summary(ja): Evolution 用 Bogofilter プラグイン
Group: Applications/Productivity
Requires: %{name} = %{version}-%{release}
Requires: bogofilter
Requires(post): GConf2

%description bogofilter
This package contains the plugin to filter junk mail using Bogofilter.

%description bogofilter -l ja
Bogofilter を使って迷惑メールをフィルタリングするためのプラグインです．

%package spamassassin
Summary: SpamAssassin plugin for Evolution
Summary(ja): Evolution 用 SpamAssassin プラグイン
Group: Applications/Productivity
Requires: %{name} = %{version}-%{release}
Requires: spamassassin

%description spamassassin
This package contains the plugin to filter junk mail using SpamAssassin.

%description spamassassin -l ja
SpamAssassin を使って迷惑メールをフィルタリングするためのプラグインです．

%prep
%setup -q
## %patch10 -p1 -b .ldaphack
#patch12 -p1 -b .fix-conduits  # leave commented
%patch13 -p1 -b .fix-conduit-dir
%patch15 -p1 -b .im-context-reset

mkdir -p krb5-fakeprefix/include
mkdir -p krb5-fakeprefix/lib
mkdir -p krb5-fakeprefix/%{_lib}

# Remove the welcome email from Novell
for inbox in mail/default/*/Inbox; do
  echo -n "" > $inbox
done

%build
# define all of our flags, this is kind of ugly :(
%if %{ldap_support}
%define ldap_flags --with-openldap=yes
%else
%define ldap_flags --without-openldap
%endif

%if %{build_conduits}
%define pilot_flags --enable-pilot-conduits=yes
%else
%define pilot_flags --enable-pilot-conduits=no
%endif

%if %{krb5_support}
%define krb5_flags --with-krb5=%{krb5dir}
%else
%define krb5_flags --without-krb5
%endif

%if %{use_mozilla_nss}
%define ssl_flags --enable-nss=yes --enable-smime=yes
%else
%define ssl_flags --enable-openssl=yes
%endif

%if %{use_mozilla_nss}
if ! pkg-config --exists nss; then 
  echo "Unable to find suitable version of mozilla nss to use!"
  exit 1
fi
%endif

CPPFLAGS="-I%{_includedir}/et"; export CPPFLAGS
CFLAGS="$RPM_OPT_FLAGS -fPIC -DLDAP_DEPRECATED -I%{_includedir}/et -Wno-sign-compare"; export CFLAGS
%if ! %{use_mozilla_nss}
if pkg-config openssl ; then
	CFLAGS="$CFLAGS `pkg-config --cflags openssl`"
	LDFLAGS="$LDFLAGS `pkg-config --libs-only-L openssl`"
fi
%endif

# Add stricter build settings here as the source code gets cleaned up.
# We want to make sure things like compiler warnings and avoiding deprecated
# functions in the GNOME/GTK+ libraries stay fixed.
#
# Please file a bug report at bugzilla.gnome.org if these settings break
# compilation, and encourage the upstream developers to use them.

%if %{strict_build_settings}
CFLAGS="$CFLAGS \
	-DG_DISABLE_DEPRECATED=1 \
        -DPANGO_DISABLE_DEPRECATED=1 \
	-DGDK_PIXBUF_DISABLE_DEPRECATED=1 \
	-DGDK_DISABLE_DEPRECATED=1 \
	-DEDS_DISABLE_DEPRECATED=1 \
	-Wdeclaration-after-statement \
	-Werror-implicit-function-declaration"
# TODO: Make -DCAMEL_DISABLE_DEPRECATED work.

%else
CPPFLAGS="-I%{_includedir}/et"; export CPPFLAGS
CFLAGS="$RPM_OPT_FLAGS -fPIC -DLDAP_DEPRECATED -I%{_includedir}/et -Wno-sign-compare"; export CFLAGS
%endif

%configure \
  --enable-gtk-doc \
  --with-sub-version=" (%{version}-%{release})" \
  --with-kde-applnk-path=no \
  %ldap_flags %pilot_flags %krb5_flags %ssl_flags \
  --disable-pst-import \
  --enable-plugins=all
export tagname=CC
make %{?_smp_mflags} LIBTOOL=/usr/bin/libtool CFLAGS="$CFLAGS -UGNOME_DISABLE_DEPRECATED -fno-strict-aliasing"
#  --enable-file-locking=fcntl --enable-dot-locking=no \
#  --enable-file-chooser=yes \

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export tagname=CC
make LIBTOOL=%{_bindir}/libtool DESTDIR=$RPM_BUILD_ROOT install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# remove libtool archives for importers and the like
find $RPM_BUILD_ROOT/%{_libdir}/evolution -name '*.la' -exec rm {} \;

# remove statically built libraries:
find $RPM_BUILD_ROOT/%{_libdir}/evolution -name '*.a' -exec rm {} \;

# pilot conduits static and libtool bits should go away too
rm -f $RPM_BUILD_ROOT/%{_libdir}/gnome-pilot/conduits/*.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/gnome-pilot/conduits/*.la

# remove additional things we don't want
%if ! %{inline_audio_support}
%{__rm} -f $RPM_BUILD_ROOT%{evo_plugin_dir}/org-gnome-audio-inline.eplug \
           $RPM_BUILD_ROOT%{evo_plugin_dir}/liborg-gnome-audio-inline.so
%endif

# scrollkeeper gets handled in %post
rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

rm -f $RPM_BUILD_ROOT%{_datadir}/mime-info/evolution.keys
rm -f $RPM_BUILD_ROOT%{_datadir}/mime-info/evolution.mime

# evolution link
#ln -sf ./evolution-%{evo_major} $RPM_BUILD_ROOT/%{_bindir}/evolution

%find_lang %name-%{evo_major} --all-name --with-gnome

grep "%{_datadir}/locale" evolution-%{evo_major}.lang > translations.lang
grep -v "%{_datadir}/locale" evolution-%{evo_major}.lang > help.lang

%post
/sbin/ldconfig
scrollkeeper-update -q
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="apps-evolution-mail-notification.schemas \
         apps-evolution-mail-prompts-checkdefault.schemas \
	 apps_evolution_addressbook.schemas \
	 apps-evolution-attachment-reminder.schemas \
	 apps_evolution_calendar.schemas \
	 apps_evolution_shell.schemas \
	 evolution-mail.schemas \
	 apps-evolution-template-placeholders.schemas \
	 apps_evolution_email_custom_header.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule /etc/gconf/schemas/$S > /dev/null
done

%post bogofilter
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/bogo-junk-plugin.schemas > /dev/null

%postun
/sbin/ldconfig
scrollkeeper-update -q
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%clean
rm -rf $RPM_BUILD_ROOT

%files -f translations.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README

# GConf schemas:
%{_sysconfdir}/gconf/schemas/apps-evolution-attachment-reminder.schemas
%{_sysconfdir}/gconf/schemas/apps-evolution-mail-notification.schemas
%{_sysconfdir}/gconf/schemas/apps-evolution-mail-prompts-checkdefault.schemas 
%{_sysconfdir}/gconf/schemas/apps_evolution_addressbook.schemas
%{_sysconfdir}/gconf/schemas/apps_evolution_calendar.schemas
%{_sysconfdir}/gconf/schemas/apps_evolution_shell.schemas
%{_sysconfdir}/gconf/schemas/apps-evolution-template-placeholders.schemas
%{_sysconfdir}/gconf/schemas/apps_evolution_email_custom_header.schemas
%{_sysconfdir}/gconf/schemas/evolution-mail.schemas

# The main executable
%{_bindir}/evolution

%{_bindir}/evolution-settings

# Desktop files:
%{_datadir}/applications/evolution.desktop
%{_datadir}/applications/evolution-settings.desktop
%{_sysconfdir}/xdg/autostart/evolution-alarm-notify.desktop

# Icons:
%{_datadir}/icons/hicolor/16x16/apps/*
%{_datadir}/icons/hicolor/22x22/apps/*
%{_datadir}/icons/hicolor/24x24/apps/*
%{_datadir}/icons/hicolor/32x32/apps/*
%{_datadir}/icons/hicolor/48x48/apps/*
%{_datadir}/icons/hicolor/scalable/apps/*

# The main data directory
# (have not attempted to split this up into an explicit list)
%dir %{_datadir}/evolution
%{_datadir}/evolution/%{evo_major}

# Modules:
%dir %{_libdir}/evolution
%dir %{_libdir}/evolution/%{evo_major}
%{_libdir}/evolution/%{evo_major}/modules

# Shared libraries:
%{_libdir}/evolution/%{evo_major}/lib*.so.*

# Various libexec programs:
%dir %{_libexecdir}/evolution
%dir %{_libexecdir}/evolution/%{evo_major}
%{_libexecdir}/evolution/%{evo_major}/evolution-addressbook-export
%{_libexecdir}/evolution/%{evo_major}/evolution-backup
%{_libexecdir}/evolution/%{evo_major}/killev
%{_libexecdir}/evolution/%{evo_major}/csv2vcard
%{_libexecdir}/evolution/%{evo_major}/evolution-addressbook-clean
%{_libexecdir}/evolution/%{evo_major}/evolution-alarm-notify

# The plugin directory:
%dir %{evo_plugin_dir}

# The various plugins follow; they are all part of the main package:
# (note that there are various resources such as ui and pixmap files that 
# are built as part of specific plugins but which are currently packaged using 
# globs above; the purpose of the separation below is to be more explicit about
# which plugins we ship)
%{evo_plugin_dir}/org-gnome-addressbook-file.eplug
%{evo_plugin_dir}/liborg-gnome-addressbook-file.so

%{evo_plugin_dir}/org-gnome-evolution-attachment-reminder.eplug
%{evo_plugin_dir}/liborg-gnome-evolution-attachment-reminder.so

%if %{inline_audio_support}
%{evo_plugin_dir}/org-gnome-audio-inline.eplug
%{evo_plugin_dir}/liborg-gnome-audio-inline.so
%endif

%{evo_plugin_dir}/org-gnome-backup-restore.eplug
%{evo_plugin_dir}/liborg-gnome-backup-restore.so

%{evo_plugin_dir}/org-gnome-evolution-caldav.eplug
%{evo_plugin_dir}/liborg-gnome-evolution-caldav.so

%{evo_plugin_dir}/org-gnome-calendar-file.eplug
%{evo_plugin_dir}/liborg-gnome-calendar-file.so

%{evo_plugin_dir}/org-gnome-calendar-http.eplug
%{evo_plugin_dir}/liborg-gnome-calendar-http.so

%{evo_plugin_dir}/org-gnome-calendar-weather.eplug
%{evo_plugin_dir}/liborg-gnome-calendar-weather.so

%{evo_plugin_dir}/org-gnome-default-mailer.eplug
%{evo_plugin_dir}/liborg-gnome-default-mailer.so

%{evo_plugin_dir}/org-gnome-default-source.eplug
%{evo_plugin_dir}/liborg-gnome-default-source.so

%{evo_plugin_dir}/org-gnome-email-custom-header.eplug
%{evo_plugin_dir}/liborg-gnome-email-custom-header.so

%{evo_plugin_dir}/org-gnome-evolution-bbdb.eplug
%{evo_plugin_dir}/liborg-gnome-evolution-bbdb.so

%{evo_plugin_dir}/org-gnome-evolution-google.eplug
%{evo_plugin_dir}/liborg-gnome-evolution-google.so

%{evo_plugin_dir}/org-gnome-evolution-startup-wizard.eplug
%{evo_plugin_dir}/liborg-gnome-evolution-startup-wizard.so

%{evo_plugin_dir}/org-gnome-groupwise-features.eplug
%{evo_plugin_dir}/liborg-gnome-groupwise-features.so
%{evo_plugin_dir}/org-gnome-compose-send-options.xml

%{evo_plugin_dir}/org-gnome-image-inline.eplug
%{evo_plugin_dir}/liborg-gnome-image-inline.so

%{evo_plugin_dir}/org-gnome-imap-features.eplug
%{evo_plugin_dir}/liborg-gnome-imap-features.so

%{evo_plugin_dir}/org-gnome-itip-formatter.eplug
%{evo_plugin_dir}/liborg-gnome-itip-formatter.so

%{evo_plugin_dir}/org-gnome-mailing-list-actions.eplug
%{evo_plugin_dir}/liborg-gnome-mailing-list-actions.so

%{evo_plugin_dir}/org-gnome-mail-notification.eplug
%{evo_plugin_dir}/liborg-gnome-mail-notification.so

%{evo_plugin_dir}/org-gnome-mail-to-task.eplug
%{evo_plugin_dir}/liborg-gnome-mail-to-task.so

%{evo_plugin_dir}/org-gnome-mark-all-read.eplug
%{evo_plugin_dir}/liborg-gnome-mark-all-read.so

%{evo_plugin_dir}/org-gnome-plugin-manager.eplug
%{evo_plugin_dir}/liborg-gnome-plugin-manager.so

%{evo_plugin_dir}/org-gnome-prefer-plain.eplug
%{evo_plugin_dir}/liborg-gnome-prefer-plain.so

%{evo_plugin_dir}/org-gnome-publish-calendar.eplug
%{evo_plugin_dir}/liborg-gnome-publish-calendar.so

%{evo_plugin_dir}/org-gnome-save-calendar.eplug
%{evo_plugin_dir}/liborg-gnome-save-calendar.so

%{evo_plugin_dir}/org-gnome-subject-thread.eplug
%{evo_plugin_dir}/liborg-gnome-subject-thread.so

%{evo_plugin_dir}/org-gnome-templates.eplug
%{evo_plugin_dir}/liborg-gnome-templates.so

%{evo_plugin_dir}/org-gnome-vcard-inline.eplug
%{evo_plugin_dir}/liborg-gnome-vcard-inline.so

%{evo_plugin_dir}/org-gnome-evolution-webdav.eplug
%{evo_plugin_dir}/liborg-gnome-evolution-webdav.so

%files devel
%defattr(-, root, root)
%{_includedir}/evolution-%{evo_major}
%{_libdir}/pkgconfig/*.pc
%{_libdir}/evolution/%{evo_major}/*.so
%{_datadir}/gtk-doc/html/eshell

%files help -f help.lang
%defattr(-, root, root)
%dir %{_datadir}/omf/evolution

%if %{build_conduits}
%files conduits
%defattr(-, root, root)
%dir %{_libdir}/evolution/%{evo_major}/conduits
%{_libdir}/evolution/%{evo_major}/conduits/libeaddress_conduit.so
%{_libdir}/evolution/%{evo_major}/conduits/libecalendar_common_conduit.so
%{_libdir}/evolution/%{evo_major}/conduits/libecalendar_conduit.so
%{_libdir}/evolution/%{evo_major}/conduits/libememo_conduit.so
%{_libdir}/evolution/%{evo_major}/conduits/libetodo_conduit.so
%{_libdir}/gnome-pilot/conduits/e-address.conduit
%{_libdir}/gnome-pilot/conduits/e-calendar.conduit
%{_libdir}/gnome-pilot/conduits/e-memo.conduit
%{_libdir}/gnome-pilot/conduits/e-todo.conduit
%endif

%files bogofilter
%defattr(-, root, root)
%{evo_plugin_dir}/org-gnome-bogo-junk-plugin.eplug
%{evo_plugin_dir}/liborg-gnome-bogo-junk-plugin.so
%{_sysconfdir}/gconf/schemas/bogo-junk-plugin.schemas

%files spamassassin
%defattr(-, root, root)
%{evo_plugin_dir}/org-gnome-sa-junk-plugin.eplug
%{evo_plugin_dir}/liborg-gnome-sa-junk-plugin.so

%changelog
* Mon Jun 21 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-1
- new upstream release
- fix %files (move evolution-alarm-notify from %{_bindir} to %{_libexecdir}/%{name}/%{evo_major})

* Sat May 01 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1.2-1
- new upstream release
- drop Patch10

* Sun Apr 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0.1-1
- new upstream release
- add BuildRequires: unique-devel, gstreamer-devel, gtkimageview-devel, libSM-devel, gnome-desktop-devel, rarian-compat
- remove BuildRequires: byacc, flex, libbonobo-devel, libbonoboui-devel
- remove Requires: libbonoboui
- add configure option (--disable-pst-import)
- remove unrecognized configure options (--enable-ipv6, --enable-nntp, --enable-exchange)
- change strict_build_settings (from 1 to 0)

* Sun Nov 01 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.28.1-1
- new upstream release

* Sat Aug 01 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.26.3-2
- added Japanese description 

* Sat Jul 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.3-1
- new upstream release

* Thu May 28 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.2-1
- new upstream release

* Sat Apr 25 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.1.1-1
- new upstream release

* Sat Apr  4 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.26.0-2
- rebuilt with openldap-2.4.11

* Mon Mar 23 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- new upstream release

* Sat Mar  7 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.24.5-1
- new upstream release

* Sat Jan 24 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.24.2-1
- new upstream release
- enabled krb5 support

* Wed Oct 22 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.1-1
- new upstream release

* Fri Sep 26 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- new upstream release

* Sun Jun  8 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.2-1
- new upstream release
- built with evolution-data-server 2.22.2
- removed Requires: libgnomeprint[ui], BuildRequires: libgnomeprint[ui]-devel

* Wed May  7 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.1.1-1
- new upstream release
- rebuilt with evolution-data-server 2.22.1.1

* Thu Apr 10 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.1-1vl5
- new upstream release

* Sun Apr  6 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.0-1vl5
- new upstream release based on Fedora package
  * Tue Mar 25 2008 Dan Williams <dcbw@redhat.com> - 2.22.0-4.fc9
  - Add patch for GNOME bug #524310
  * Fri Mar 14 2008 Matthew Barnes <mbarnes@redhat.com> - 2.22.0-3.fc9
  - Explicit require evolution-data-server since its shared object names
    still can't be trusted (RH bug #426511).
  * Mon Dec 10 2007 Matthew Barnes <mbarnes@redhat.com> - 2.21.3-4.fc9
  - Split junk filtering plugins into evolution-bogofilter and
    evolution-spamassassin subpackages, each of which requires the
    necessary backend packages.  (RH bug #377381)
  * Mon Nov 06 2006 Matthew Barnes <mbarnes@redhat.com> - 2.9.1-3.fc7
  - Add patch for RH bug #176400 (reset calendar IM context).


* Sat Jul 14 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.10.1-4vl1
- new upstream release based on Fedora package
  * Sat Apr 14 2007 Matthew Barnes <mbarnes@redhat.com> - 2.10.1-4.fc7
  - Add patch for RH bug #234315 (fix saving attachments).
  * Fri Apr 13 2007 Matthew Barnes <mbarnes@redhat.com> - 2.10.1-3.fc7
  - Add patch for RH bug #235878 (make Help->Contents work again).
  * Tue Apr 10 2007 Matthew Barnes <mbarnes@redhat.com> - 2.10.1-2.fc7
  - Revise patch for GNOME bug #362638 to fix RH bug #235096
    (crash when displaying a mail server message to user).
  * Mon Apr 09 2007 Matthew Barnes <mbarnes@redhat.com> - 2.10.1-1.fc7
  - Update to 2.10.1
  - Fix buggy gnome-doc-utils.make (GNOME bug #427939).
  - Remove patch for CVE-2007-1002 (fixed upstream).
  - Add libxml-2.0 requirement to evolution-plugin-2.10.pc.
  * Tue Apr 03 2007 Matthew Barnes <mbarnes@redhat.com> - 2.10.0-8.fc7
  - Revise patch for GNOME bug #419524 to fix RH bug #235082
    (crash in initial account setup wizard).
  * Fri Mar 30 2007 Matthew Barnes <mbarnes@redhat.com> - 2.10.0-6.fc7
  - Revise patch for GNOME bug #362638 (deprecate EThread).
  * Thu Mar 29 2007 Matthew Barnes <mbarnes@redhat.com> - 2.10.0-5.fc7
  - CVE-2007-1002 (Shared memo categories format string vulnerability)
  - Add -Wdeclaration-after-statement to strict build settings.
  * Sat Mar 17 2007 Matthew Barnes <mbarnes@redhat.com> - 2.10.0-3.fc7
  - Add flag to disable deprecated Camel symbols.
  - Add patch for GNOME bug #419469 (refactor shell/main.c).
  - Add patch for GNOME bug #419524 (use GLib's i18n macros).
  - Add patch for GNOME bug #418971 (drop support for GLib < 2.8).
  * Wed Mar 14 2007 Matthew Barnes <mbarnes@redhat.com> - 2.10.0-2.fc7
  - Add patch for GNOME bug #417999 (use ESourceComboBox).
  * Mon Mar 12 2007 Matthew Barnes <mbarnes@redhat.com> - 2.10.0-1.fc7
  - Update to 2.10.0.
  - Add patch for GNOME bug #376991 (refactor password handling).

* Mon Dec  4 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.2.1-0vl2
- fixed duplicated .desktop files

* Mon Nov 27 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.2.1-0vl1
- new upstream release
- updated eds_version to 1.8.2

* Mon Nov 13 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.1.1-0vl1
- new upstream release
- dropped Patch23, 26, 27, 29, 30, 31, 33 and 34 (merged into upstream)

* Sat Oct  7 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.0-7vl1
- new upstream release
- updated SOURCE1
- built with openssl instead of mozilla-nss and mozilla-nspr

* Tue Aug 29 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.2.1-0vl2
- rebuilt with openldap-2.3.24-0vl4

* Tue May 16 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.2.1-0vl1
- updated to 2.4.2.1
- added evolution-2.4.desktop

* Fri May  5 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.1-7vl2
- rebuilt with dbus 0.61

* Wed Nov  9 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.1-7vl1
- new upstream release
- added/updated some Patches from Fedora
  * Wed Oct 26 2005 David Malcolm <dmalcolm@redhat.com> - 2.4.1-7
  - Added a patch (110) to hide the component switcher buttons by default 
    on new windows (#170799) by patching the GConf schema.

* Sun Sep 25 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.0-2vl1
- new upstream release
- added/removed some Patches based on Fedora
  * Fri Aug 26 2005 David Malcolm <dmalcolm@redhat.com> - 2.3.8-3
  - Added patch for #157074 (patch 804)
  * Tue Aug  2 2005 David Malcolm <dmalcolm@redhat.com> - 2.3.6.1-4
  - Added patch to show correct mimetype for OpenOffice.org files when 
    guessing type for attachments with mimetype "application/octet-stream" 
    (#164957)
  * Thu Jul 28 2005 David Malcolm <dmalcolm@redhat.com> - 2.3.5.1-2
  - added experimental patch to port ETable printing to use Pango (#150458)
  * Mon Jul 25 2005 David Malcolm <dmalcolm@redhat.com> - 2.3.5.1-1
  - Updated evo-calendar-print-with-pango- patch from version 4 to 5
  - Removed Patch105: evolution-2.2.2-fix-new-mail-notify.patch as 
    configure.in in this branch tests for existance for dbus-glib-1, 
    rather than max-version.
  - Updated evolution-2.2.2-no-gnome-common.patch to include a patch to rename
    mozilla-nspr to nspr
  * Mon Jun 27 2005 David Malcolm <dmalcolm@redhat.com> - 2.2.2-9.fc5
  - Replaced patch to port conduits to pilot-link-0.12 with Mark G Adams's 
    version of same (#161817)
  * Thu May 26 2005 David Malcolm <dmalcolm@redhat.com> - 2.2.2-7
  - Added Akira Tagoh's patch for calendar keypress handling (#154360)
- not include *.a files
- removed dependency libgal2/libgal2-devel 

* Thu May 04 2005 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.2.2-0vl2
- rebuilt with mozilla-1.7.7

* Thu Apr 14 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.2-0vl1
- new upstream release

* Tue Apr 12 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1.1-0vl1
- new upstream release
- merged with FC package.
- split evolution-devel sub package

* Sat Mar 13 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.6-0vl1
- new upstream release
- remove obsolete patches

* Tue Feb 03 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.5-0vl3
- rebuild with new environment
- import patch8 from fedora

* Mon Nov 10 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.5-0vl2
- import patch0-7,100,101,200,500 from fedora.

* Wed Sep 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.5-0vl1
- new upstream release
- add Vine Linux errata rdf in preferences.

* Sun Aug 31 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.4-0vl2
- enable ldap support

* Fri Aug 29 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.4.4-0vl1
- new upstream release

* Fri Jul 11 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.4.3-0vl1
- new upstream release

* Tue Jun 10 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.0-0vl2
- rebuilt

* Tue Jun 10 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.0-0vl1
- new upstream release

* Tue Jun 03 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3.92-0vl1
- build for Vine Linux based on 1.3.92-1
- disable ldap, krb5, pilot, nntp

* Sun May 25 2003 Jeremy Katz <katzj@redhat.com> 1.3.92-1
- 1.3.92

* Wed May  7 2003 Jeremy Katz <katzj@redhat.com> 1.3.3-2
- fix default for /schemas/apps/evolution/mail/display/mime_types

* Tue May  6 2003 Jeremy Katz <katzj@redhat.com> 1.3.3-1
- 1.3.3

* Sun May  4 2003 Jeremy Katz <katzj@redhat.com> 1.3.2-2
- enable pilot support
- add redhatify patch back

* Tue Apr 22 2003 Jeremy Katz <katzj@redhat.com>
- add a /usr/bin/evolution symlink

* Mon Apr 21 2003 Jeremy Katz <katzj@redhat.com> 
- fix gnome-spell version requirement

* Wed Apr 16 2003 Jeremy Katz <katzj@redhat.com> 1.3.2-1
- add trivial fix for evolution-mail schema key (ximian #41419)

* Tue Apr 15 2003 Jeremy Katz <katzj@redhat.com> 
- update to 1.3
- don't build with pilot support for now
- don't redhat-ify the summary prefs for now

* Sun Apr  6 2003 Jeremy Katz <katzj@redhat.com> 1.2.4-2
- fix krb5 libdir for lib64 systems

* Sun Apr  6 2003 Jeremy Katz <katzj@redhat.com> 1.2.4-1
- update to 1.2.4

* Thu Apr  3 2003 Jeremy Katz <katzj@redhat.com> 1.2.2-7
- oops, fix a tyop

* Thu Apr  3 2003 Jeremy Katz <katzj@redhat.com> 1.2.2-6
- add a few cleanups for 64bit cleanliness (#86347)

* Sun Mar 30 2003 Jeremy Katz <katzj@redhat.com> 
- add some buildrequires (#87612)

* Mon Mar 24 2003 Jeremy Katz <katzj@redhat.com> 1.2.3-1
- update to 1.2.3

* Wed Mar 19 2003 Jeremy Katz <katzj@redhat.com> 1.2.2-5
- security patches from upstream
  - sanity check UUEncoding header before decoding (CAN-2003-0128)
  - don't decode doubly UUEncoded content (CAN-2003-0129)
  - don't use a bonobo component to display things without registered 
    handlers (CAN-2003-0130)

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com> 1.2.2-4
- debuginfo rebuild

* Thu Feb 20 2003 Jeremy Katz <katzj@redhat.com> 1.2.2-3
- memleak patch had some bits that weren't supposed to be there.  update 
  to newer from upstream.
- fix directory checking in proxy patch

* Thu Feb 20 2003 Jeremy Katz <katzj@redhat.com> 1.2.2-2
- add missing build dep (#84388)
- add patch from upstream for evolution-mail memleak
- add patch from upstream to use the gnome2 proxy settings by default

* Fri Feb  7 2003 Jeremy Katz <katzj@redhat.com> 1.2.2-1
- 1.2.2
- build on x86_64 

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 1.2.1-4
- rebuild

* Fri Jan  3 2003 Nalin Dahyabhai <nalin@redhat.com>
- if building with OpenSSL, attempt to get cflags and ldflags from pkgconfig

* Thu Jan  2 2003 Jeremy Katz <katzj@redhat.com> 1.2.1-3
- we don't want to use native POSIX threads for mutexes in db3, override them

* Mon Dec 16 2002 Tim Powers <timp@redhat.com> 1.2.1-2
- rebuild

* Fri Dec 13 2002 Jeremy Katz <katzj@redhat.com> 1.2.1-1
- update to 1.2.1

* Thu Dec 12 2002 Jeremy Katz <katzj@redhat.com> 1.2.0-6
- require a newer soup, the old one Has Bugs (tm)
- excludearch x86_64; getting a R_X86_64_32S relocation in libical 
  although everything appears to be built with -fPIC correctly

* Tue Dec 10 2002 Jeremy Katz <katzj@redhat.com> 1.2.0-5
- patch for multilib krb5

* Mon Dec  2 2002 Jeremy Katz <katzj@redhat.com> 1.2.0-4
- add upstream patch to handle LDAPv3 better
- add upstream patch to fix shell memory leaks
- add upstream patch to fix ldap scope selection
- build with openssl instead of mozilla-nss since it's available on 
  more platforms
- build on all arches

* Fri Nov 22 2002 Jeremy Katz <katzj@redhat.com>
- require bonobo-conf, not -devel (#78398)

* Wed Nov 20 2002 Florian La Roche <Florian.LaRoche@redhat.de> 1.2.0-3
- disable pilot support for mainframe

* Mon Nov 18 2002 Jeremy Katz <katzj@redhat.com> 1.2.0-2
- macro-ify the mozilla version to make it easier to build against 
  newer mozillas with headers in new locations
- buildrequire pilot-link-devel (#78077)
- drop uneeded ldapv3 patch (toshok says 1.2 already handles this)
- drop unneeded patch for ordering of the libdb checks
- add fejj's patch to always subscribe to the inbox from evolution-patches

* Tue Nov 12 2002 Jeremy Katz <katzj@redhat.com> 1.2.0-1
- 1.2.0

* Sat Nov  2 2002 Jeremy Katz <katzj@redhat.com> 1.1.90-2
- reenable pilot support
- redhatify

* Fri Nov  1 2002 Jeremy Katz <katzj@redhat.com> 1.1.90-1
- update to 1.1.90

* Thu Oct 31 2002 Jeremy Katz <katzj@redhat.com>
- include mozilla epochs in requires (#74577)
- add build requires on newer oaf (#76801)

* Thu Oct 24 2002 Jeremy Katz <katzj@redhat.com> 1.1.2-1
- update to 1.1.2
- remove unpackaged files from the buildrooot
- disable pilot support for now

* Tue Sep  3 2002 Jeremy Katz <katzj@redhat.com> 1.0.8-10
- add freetype-devel to build requires (#73319)

* Mon Sep  2 2002 Owen Taylor <otaylor@redhat.com>
- Fix a problem where evolution-mail right click items corrupted the stack
  (#67992)

* Thu Aug 29 2002 Jeremy Katz <katzj@redhat.com> 1.0.8-9
- don't install two desktop files (#72871)

* Wed Aug 28 2002 Preston Brown <pbrown@redhat.com> 1.0.8-8
- absolute symlink .desktop file (#72913)

* Thu Aug 22 2002 han Ngo <than@redhat.com> 1.0.8-7
- rebuild against new pilot-link

* Sat Aug 10 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- bzip2 source

* Tue Aug  6 2002 Than Ngo <than@redhat.com> 1.0.8-5
- rebuild against new pilot-link-0.11.2

* Thu Jul 18 2002 Jeremy Katz <katzj@redhat.com> 1.0.8-4
- rebuild against new gnome-pilot

* Tue Jul  9 2002 Jeremy Katz <katzj@redhat.com> 1.0.8-3
- remove static and libtool archives for importers and camel-providers (#68222)
- do desktop-file-install magic 
- remove dead sites from summary list (#64522)
- support openldap protocol version 3 based off of Nalin's autofs changes 

* Mon Jul  8 2002 Jeremy Katz <katzj@redhat.com> 1.0.8-2
- fix openldap-devel buildrequire

* Mon Jul  1 2002 Jeremy Katz <katzj@redhat.com> 1.0.8-1
- 1.0.8 

* Thu Jun 27 2002 Jeremy Katz <katzj@redhat.com> 1.0.7-2
- include patch to omf files from otaylor@redhat.com to fix 
  scrollkeeper validation errors

* Sun Jun 23 2002 Jeremy Katz <katzj@redhat.com> 1.0.7-1
- update to 1.0.7
- excludearch alpha while mozilla isn't being built there

* Sun May 26 2002 Tim Powers <timp@redhat.com> 1.0.5-2
- automated rebuild

* Mon May 13 2002 Jeremy Katz <katzj@redhat.com> 1.0.5-1
- update to 1.0.5

* Fri May  3 2002 Jeremy Katz <katzj@redhat.com> 1.0.3-6
- add patch to fix spool unread counts (#64198)
- build with the fix for the crasher mail sent to 
  evolution-list (ximian #24140)

* Mon Apr 15 2002 Jeremy Katz <katzj@redhat.com> 1.0.3-4
- include fejj(at)ximian.com's patch to fix the EINPROGRESS error with ssl 
  since it's been committed to the branch and fixes the problem for me
- include patch from tagoh(at)redhat.com to change the default charset 
  for Japanese to ISO-2022-JP (#63214)

* Wed Apr 10 2002 Jeremy Katz <katzj@redhat.com> 1.0.3-3
- minor tweaks to the redhatify patch
- make accepting appointments sent to mailing lists work
- use the RFC specified LDAP attribs for freebusy and calendarURI 
  in addressbook
- fix a crash in the startup wizard

* Sun Mar 31 2002 Jeremy Katz <katzj@redhat.com> 1.0.3-2
- move desktop file to /etc/X11/applnk (#62399)

* Sun Mar 24 2002 Jeremy Katz <katzj@redhat.com> 1.0.3-1
- update to evolution 1.0.3
- change summary view to show a recent errata list by default

* Thu Mar 14 2002 Jeremy Katz <katzj@redhat.com>
- put correct path to nspr includes on configure command line

* Mon Mar 11 2002 Jeremy Katz <katzj@redhat.com> 1.0.2-3
- mozilla 0.9.9 has nspr and nss subpackages, hooray!  rip out the static 
  libnss linkage and just link against what is provided dynamically
- kill the -devel subpackage since it's of questionable use
- explicitly require mozilla-nss and mozilla-nspr packages to make it easier
  to resolve the requirements

* Thu Feb 21 2002 Jeremy Katz <katzj@redhat.com> 1.0.2-2
- rebuild in new environment
- temporarily exclude on ia64 again

* Thu Jan 31 2002 Jeremy Katz <katzj@redhat.com> 1.0.2-1
- update to 1.0.2

* Mon Jan 28 2002 Jeremy Katz <katzj@redhat.com> 1.0.1-4
- build on ia64 now that mozilla exists for ia64

* Sun Jan 27 2002 Jeremy Katz <katzj@redhat.com> 1.0.1-3
- rebuild in new environment
- add pilot support

* Sun Jan 13 2002 Jeremy Katz <katzj@redhat.com> 1.0.1-2
- rebuild without mozilla-psm in the buildroot so libnss is linked 
  statically as intended

* Sat Jan 12 2002 Jeremy Katz <katzj@redhat.com> 1.0.1-1
- update to 1.0.1
- patch for autoconf 2.52 accepted upstream
- include man page
- use --with-sub-version=" (%%{version}-%%{release})"

* Tue Dec 18 2001 Jeremy Katz <katzj@redhat.com> 1.0-2
- really disable news
- add patch from Jens Petersen <juhp@redhat.com> to hopefully get 
  builds working with autoconf 2.52
- conditionalize static libnss stuff so that it can go away when we
  have a mozilla with shared libnss

* Thu Dec  6 2001 Jeremy Katz <katzj@redhat.com> 1.0-1.7.2
- add patches off of branch for:
  * do not show up as Preview Release in version string
  * have next/previous work with multiple selected messages
- build without pilot support

* Mon Dec  3 2001 Jeremy Katz <katzj@redhat.com> 1.0-1
- and bump to 1.0

* Sun Dec  2 2001 Jeremy Katz <katzj@redhat.com>
- let's build with an included copy of libnss now since OpenSSL is support
  is disabled on the 1.0 branch
- build with --enable-dot-locking=no
- excludearch ia64 again now that we need libnspr

* Mon Nov 26 2001 Jeremy Katz <katzj@redhat.com>
- build with gnome-pilot and krb5 support
- conditionalize ldap, pilot and krb5 support
- clean up buildrequires some

* Sat Nov 17 2001 Jeremy Katz <katzj@redhat.com>
- we can build on ia64 since we're using openssl instead of nspr
- disable non-functional nntp support 
- 0.99.2 (rc2) 

* Fri Nov  9 2001 Jeremy Katz <katzj@redhat.com>
- add explicit requires on current bonobo, oaf, and GConf to help people
  help themselves
- s/Copyright/License/

* Thu Nov  8 2001 Jeremy Katz <katzj@redhat.com>
- add a patch to revert changes to camel-tcp-stream-openssl; appears to 
  fix the SSL hangs

* Wed Nov  7 2001 Jeremy Katz <katzj@redhat.com>
- fix filelist to include libical zoneinfo
- add devel subpackage with includes and static libs

* Mon Nov  5 2001 Jeremy Katz <katzj@redhat.com>
- updated to 0.99.0 aka 1.0 RC1

* Tue Oct 23 2001 Havoc Pennington <hp@redhat.com>
- 0.16 snagged from Ximian GNOME

* Fri Oct  5 2001 Havoc Pennington <hp@redhat.com>
- initial build based on David Sainty's specfile

* Thu Oct 04 2001 David Sainty <dsainty@redhat.com>
- Updated to 0.15.99, 20011004 from cvs.

* Wed Sep 05 2001 David Sainty <dsainty@redhat.com>
- Updated to 0.13.99, 20010905 from cvs.

* Mon Sep 03 2001 David Sainty <dsainty@redhat.com>
- Updated to 0.13.99, 20010903 from cvs.
- Fixed Requires + BuildRequires

* Mon Aug 06 2001 David Sainty <dsainty@redhat.com>
- Updated to 0.12.99, 20010806 from cvs.

* Mon Aug 06 2001 David Sainty <dsainty@redhat.com>
- Relocated libical* from /usr/lib due to kdepim, -2

* Mon Aug 06 2001 David Sainty <dsainty@redhat.com>
- First spec file for evolution.

