%define glib2_version 2.24.0
%define gtk2_version 2.20.0
%define gconf2_version 2.28.1
%define nautilus_version 2.30.0
%define desktop_file_utils_version 0.9
%define gnome_doc_utils_version 0.3.2

Summary:	File Roller is a tool for viewing and creating archives.
Summary(ja):    File Roller - アーカイブの表示・作成ツール
Name:		file-roller
Version:	2.30.2
Release:        2%{?_dist_release}

License:	GPL
Group:		Applications/Archiving
Source0:	http://ftp.gnome.org/pub/GNOME/sources/file-roller/2.30/%{name}-%{version}.tar.bz2
Patch:		file-roller-dlg-update.patch
URL:		http://ftp.gnome.org/pub/gnome/sources/file-roller/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Requires(post,postun): scrollkeeper >= 0.3.11
Requires(post,postun): desktop-file-utils >= %{desktop_file_utils_version}
Requires(post,pre,preun): GConf2

BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: GConf2-devel >= %{gconf2_version}
BuildRequires: nautilus >= %{nautilus_version}
BuildRequires: nautilus-devel >= %{nautilus_version}
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}
BuildRequires: gnome-doc-utils >= %{gnome_doc_utils_version}
BuildRequires: libSM-devel
BuildRequires: docbook-dtds

%description
File Roller is an application for creating and viewing archives files, 
such as tar files.

%description -l ja
File Roller は tar ファイルのようなアーカイブの表示や作成をするための
アプリケーションです。

%prep
%setup -q
%patch -p1

# regenerate to fix path
rm -f src/fr-enum-types.c

%build
%configure --disable-scrollkeeper
export tagname=CC
make %{?_smp_mflags} LIBTOOL=/usr/bin/libtool

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export tagname=CC
make install DESTDIR=$RPM_BUILD_ROOT LIBTOOL=/usr/bin/libtool
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# temporary hack to add missing semicolon, fix sent upstream
#perl -pi -e 's/Categories=Application;Utility$/Categories=Application;Utility;/' $RPM_BUILD_ROOT%{_datadir}/applications/*

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-only-show-in GNOME                                  \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

rm -rf $RPM_BUILD_ROOT%{_localstatedir}/scrollkeeper
rm -f $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-2.0/lib*.*a

rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache

%find_lang %{name} --all-name --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database %{_datadir}/applications >& /dev/null ||:
scrollkeeper-update > /dev/null 2>&1 || :
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule   \
    %{_sysconfdir}/gconf/schemas/file-roller.schemas > /dev/null

touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:
fi

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule   \
      %{_sysconfdir}/gconf/schemas/file-roller.schemas > /dev/null
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule   \
      %{_sysconfdir}/gconf/schemas/file-roller.schemas > /dev/null
fi

%postun
update-desktop-database %{_datadir}/applications >& /dev/null ||:
scrollkeeper-update > /dev/null 2>&1 || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:
fi

%files -f %{name}.lang
%defattr(-, root, root)
%doc README COPYING ChangeLog NEWS AUTHORS
%{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/file-roller
%{_datadir}/icons/hicolor/*
%{_libexecdir}/file-roller
%{_libdir}/nautilus/extensions-2.0/libnautilus-fileroller.so

%changelog
* Sat Aug 21 2010 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.30.2-2
- add patch from https://bugzilla.gnome.org/show_bug.cgi?id=627387

* Tue Jun 29 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-1
- new upstream release
- add BuildRequires: docbook-dtds

* Sat May 01 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1-1
- new upstream release

* Sun Apr 18 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release

* Sat Mar 13 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.2-1
- new upstream release
- add BuildRequires: nautilus-devel, gnome-doc-utils, libSM-devel

* Sun Nov  1 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.28.1-1
- new upstream release

* Sat Jul 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.3-1
- new upstream release

* Thu May 28 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.2-1
- new upstream release

* Sat Apr 25 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.1-1
- new upstream release

* Mon Mar 23 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- new upstream release
- remove BR: libgnomeprint-devel, libgnomeprintui-devel

* Mon Jan 19 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.24.3-1
- new upstream release

* Wed Oct 28 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.1-1
- new upstream release

* Fri Sep 26 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- new upstream release

* Tue Apr 15 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.2-1vl5
- new upstream release

* Sun Apr  6 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.0-1vl5
- new upstream release

* Sun Dec 16 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.20.2-0vl1
- new upstream release

* Sun Aug 26 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.4-0vl1
- new upstream release

* Sat Apr 28 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.1-0vl1
- new upstream release

* Sat Jun 03 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.3-0vl1
- new upstream release

* Wed Apr 12 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.1-0vl1
- new upstream release

* Tue Mar 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl1
- new upstream release

* Wed Mar 08 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.13.92-0vl1
- new upstream release

* Sat Oct 08 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.1-0vl1
- new upstream release

* Mon Sep 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.0-0vl1
- new upstream release

* Tue Mar 22 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl1
- new upstream version

* Sun Feb 27 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.4-0vl1
- new upsteram release

* Thu Nov 18 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.3-0vl1
- new upsteram release

* Sun Jul 11 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.4.4-0vl3
- fix typo

* Sun Feb 15 2004 Tomoya TAKA <taka@vinelinux.org> 2.4.4-0vl2
- add Patch0 to fix segfaults on 64-bit architectures.

* Sat Jan 31 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.4-0vl1
- new upstream release

* Wed Dec 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.2-0vl2
- rebuild with new toolchain

* Tue Dec 09 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.2-0vl1
- new upstream release

* Thu Sep 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl1
- new upstream release

* Wed Sep 03 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.6-0vl1
- new upstream release

* Tue Jun 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.4-0vl1
- revert version to 2.2.4

* Tue Jun 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.2-0vl2
- rebuilt

* Wed Jun 18 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.2-0vl2
- new upstream release

* Thu Jan 30 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1-0vl1
- new upstream release

* Tue Jan 21 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0-0vl1
- new upstream release

* Fri Jan 10 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl1
- new upstream release

* Thu Jan  9 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.4-0vl1
- new upstream release

* Mon Dec  9 2002 Alexander Larsson <alexl@redhat.com> 2.1.3-3
- fix server file path

* Mon Dec  9 2002 Alexander Larsson <alexl@redhat.com> 2.1.3-2
- Remove unpackaged files

* Mon Dec  9 2002 Alexander Larsson <alexl@redhat.com> 2.1.3-1
- Update to 2.1.3

* Fri Dec  6 2002 Havoc Pennington <hp@redhat.com>
- 2.1.2
- fix unpackaged files

* Wed Jul 31 2002 Havoc Pennington <hp@redhat.com>
- fix URL field
- put icon in file list
- 2.0.0 stable release

* Fri Jun 21 2002 Havoc Pennington <hp@redhat.com>
- initial build

