# set 1 if you want to build input plugin for xmms
%define build_xmms_plugin 0

%define xmmsinputdir %{_libdir}/xmms/Input

#%%define extraver beta

Summary:	FLAC - Free Lossless Audio Codec
Summary(ja):	FLAC - フリーの可逆音声圧縮コーデック
Name:		flac
Version:	1.2.1
Release:	1%{?_dist_release}
License:	GPL/LGPL
Group:		Applications/Multimedia
Source:		http://prdownloads.sourceforge.net/flac/%{name}-%{version}%{?extraver:-%extraver}.tar.gz
Patch0:		flac-xmms-euc-jp-ms.patch
URL:		http://flac.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	libogg
BuildRequires:	libogg-devel
%ifarch %ix86
BuildRequires:	nasm
%endif

Vendor:		Project Vine
Distribution:	Vine Linux

%description
FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
similar to MP3, but lossless.

The FLAC project consists of:

  * the stream format
  * libFLAC  - reference encoders and decoders in library form
  * flac     - a command-line program to encode and decode FLAC files
  * metaflac - a command-line metadata editor for FLAC files
#  * input plugins for various music players (the xmms plugin is in a xmms-
#    flac package)

%description -l ja
FLAC (Free Lossless Audio Codec) はフリーの可逆音声圧縮コーデックです。
MP3 に似ていますが、音質が劣化しません。

FLAC プロジェクトは以下により構成されています。

  * ストリーム形式
  * libFLAC  - リファレンスエンコーダ/デコーダを実装するライブラリ
  * flac     - FLAC ファイルのエンコード/デコードに使用するコマンドライン版
               プログラム。
  * metaflac - FLAC ファイルのコマンドライン版メタデータエディタ
#  * 各種音楽再生プログラム用入力プラグイン (XMMS プラグインは xmms-flac パッ
#    ケージに含まれます)

%package devel
Summary:	Development libraries and header files from FLAC
Summary(ja):	FLAC アプリケーション開発用ライブラリ及びヘッダファイル
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	pkgconfig

%description devel
This package contains all the files needed to develop applications that
will use the Free Lossless Audio Codec (FLAC).

%description -l ja devel
このパッケージには FLAC (Free Lossless Audio Codec) を扱うアプリケーションを
開発するために必要なライブラリ及びヘッダファイルが含まれています。

%if %{build_xmms_plugin}
%package -n xmms-flac
Summary:	X MultiMedia System plugin to play FLAC files
Summary(ja):	FLAC ファイルを再生するための XMMS プラグイン
Group:		Applications/Multimedia
Requires:	xmms, %{name} = %{version}
BuildRequires:	xmms-devel >= 0.9.5.1, gtk+-devel

%description -n xmms-flac
An input plugin that enables playback of FLAC files in xmms.

%description -l ja -n xmms-flac
XMMS で FLAC ファイル (*.flac) を再生するための入力プラグインです。
%endif


%prep
%define srcver %{version}%{?extraver:-%extraver}

%setup -q -n %{name}-%{srcver}

%if %{build_xmms_plugin}
%patch0 -p1 -b .euc-jp-ms
%endif

%build
%ifarch ppc
%configure --disable-static --disable-asm-optimizations
%else
%configure --disable-static
%endif
%__make %{?_smp_mflags}

%install
%__rm -rf %{buildroot}
%makeinstall \
	xmmsinputplugindir=%{buildroot}%{xmmsinputdir}

# remove unneeded files
%{_bindir}/find %{buildroot} -name "*.la" -exec %__rm -f "{}" \;

%clean
%__rm -rf %{buildroot}

%post -p %{_syssbindir}/ldconfig

%postun -p %{_syssbindir}/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING.* README
%{_bindir}/*
%{_libdir}/*.so.*
%{_mandir}/*/*

%files devel
%defattr(-,root,root)
%doc doc/html COPYING.*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4

%if %{build_xmms_plugin}
%files -n xmms-flac
%defattr(-,root,root)
%{xmmsinputdir}/*.so
%endif


%changelog
* Sun Jul 21 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.1-1
- applied new versioning policy
- spec in UTF-8

* Sat Sep 22 2007 KAZUKI SHIMURA <ksh753@y5.dion.ne.jp> 1.2.1-0vl1
- new upstream release
- drop bmp-plugin.patch (patch1)
- disable xmms plugin

* Sat Aug 18 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.0-0vl1
- new upsteram release
- dropped Patch2 (merged into upstream)
- do not build beepmp plugin

* Sat May 12 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.1.2-0vl7
- rebuilt with new toolchain

* Sun Oct 29 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.2-0vl6
- add '--disable-static' option to %%configure
- remove *.la

* Wed Jul 26 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.2-0vl5
- rebuild

* Mon Mar 27 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.1.2-0vl4
- --disable-asm-optimizations on ppc

* Thu Feb 02 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.2-0vl3
- rebuild

* Wed Feb 09 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.2-0vl2
- initialize flac_cfg.stream with NULL to avoid crashing (patch2)

* Sun Feb 06 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.2-0vl1
- upstream release
- update bmp-plugin.patch

* Thu Feb 03 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.2-0vl0.0beta
- upstream release
- update bmp-plugin.patch

* Fri Jan 14 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.1-0vl5
- fix typo

* Sat Dec 18 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.1-0vl4
- move html docs to devel package

* Wed Dec 01 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.1-0vl3
- add input plugin for beepmp based on for xmms (patch1)
  - BuildRequires: beepmp-devel >= 0.9.7
- define build_*_plugin macros to build input plugin sub-packages
- update description

* Thu Nov 04 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.1-0vl2
- drop BuildRequires: zlib-devel (was required to build with id3lib)

* Fri Oct 01 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.1-0vl1
- upstream release
- drop (Build)Requires: id3lib(-devel)

* Sun Aug 01 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.1-0vl0.1
- 1.1.1-beta1
- add BuildRequires: gtk+-devel, zlib-devel

* Mon May 03 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.0-0vl3
- xmms-flac
  - enable to convert charset from/to EUC-JP-MS (Patch0)
  - Requires: glibc >= 2.3.3

* Tue Apr 20 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.0-0vl2
- fix docs

* Thu Apr 08 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.0-0vl1
- first build for Vine Linux

* Mon Mar 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 9.
- Exclude .la files.
- Updated description.

* Tue Mar 11 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Fix nasm dep to be only for ix86.

* Mon Jan 27 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.1.0.

* Sun Jan  5 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt against the latest id3lib for the xmms plugin.

* Thu Oct 10 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Fixed location of include files, doh!

* Sat Sep 28 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 8.0.

* Thu Sep 25 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.0.4.
- Removed obsolete build patch, the xmms plugin builds cleanly at last!

* Thu Jul  4 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.0.3.

* Tue Apr 23 2002 Daniel Resare <noa@resare.com>
- Fixed plugin build when flac is not already installed

* Mon Apr  8 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Replaced the hard-coded xmms input path with an expansion.
- Fixed spec (License tag and redundant Group for devel package).
- Fixed defattr for the xmms plugin.

* Sat Apr  6 2002 Daniel Resare <noa@resare.com>
- Update to 1.0.2.
- Splitted out xmms plugin to a separate subpackage.

* Tue Nov 20 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.0.1.

* Sun Oct 21 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat 7.2 and added xmms dependency.

* Thu Aug 16 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.
- You cannot rebuild this SRPM easily if you want the xmms plugin.

