Name:           font-manager
Version:        0.5.6
Release:        1%{?_dist_release}
Summary:        A font management application for the GNOME desktop environment
Summary(ja):    GNOME デスクトップ環境のフォント管理アプリケーション
BuildArch:      noarch
Group:          Applications/Publishing
License:        GPLv3+
URL:            http://code.google.com/p/font-manager
Source0:        http://font-manager.googlecode.com/files/%{name}-%{version}.tar.bz2
#Patch0:        font-manager-0.4.3-adjust-python-optimization.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Requires:       fontconfig libxml2-python pygtk2 pygobject gucharmap file-roller
BuildRequires:  python desktop-file-utils

%description
Font Manager is an application that allows users to easily manage fonts
on their system.

Although designed with the GNOME desktop environment in mind, it should
work well with most major desktop environments such as XFCE,
Enlightenment, and even KDE.

%description -l ja
Font manager はユーザーが簡単に自分のシステム上のフォントを
管理することができるアプリケーションです。

GNOME デスクトップ環境を念頭において設計していますが、
著名なデスクトップ環境である XFCE や Enlightment、KDE でも
十分動くはずです。

%prep
%setup -q
#%patch0 -p1

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/font-manager.desktop
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/font-sampler.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING TODO README
%{_bindir}/*
%{_libdir}/font-manager/
%{_datadir}/font-manager/
%{_datadir}/applications/font-manager.desktop
%{_datadir}/applications/font-sampler.desktop

%changelog
* Tue Aug 10 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.6-1
- new upstream release

* Fri Jul 2 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.5-1
- new upstream release
- added font-sampler.desktop

* Mon May 31 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.4-1
- new upstream release

* Sun May 16 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.3-1
- new upstream release

* Wed May 5 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.2-1
- new upstream release
- dropt Patch0
- added %{_datadir}/font-manager/ in %files

* Sat Mar 13 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.4.4-1
- new upstream release
- applied new naming policy to spec
- fixed typo in Japanese description 

* Wed Feb 17 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.4.3-1
- initial build for VineSeed

* Sun Jan 17 2010 Jean-Francois Saucier <jfsaucier@infoglobe.ca> - 0.4.3-1
- Update to new upstream version
- Remove patches as they are not necessary anymore
- Adjust python optimization

* Wed Jan  6 2010 Jean-Francois Saucier <jfsaucier@infoglobe.ca> - 0.4.2-5
- Fix license string
- Fix upstream Makefile to include *.py file with *.pyc and *.pyo

* Sun Jan  3 2010 Jean-Francois Saucier <jfsaucier@infoglobe.ca> - 0.4.2-4
- Fix permission problem on .desktop file directly with a patch

* Sun Jan  3 2010 Jean-Francois Saucier <jfsaucier@infoglobe.ca> - 0.4.2-3
- Fix permission problem on .desktop file
- Fix wildcards problem in file section

* Sun Jan  3 2010 Jean-Francois Saucier <jfsaucier@infoglobe.ca> - 0.4.2-2
- Fix as per the recommendations on bug #551878

* Sat Jan  2 2010 Jean-Francois Saucier <jfsaucier@infoglobe.ca> - 0.4.2-1
- Initial build for Fedora
