%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
Name:              fwbackups
Version:           1.43.2
Release:           2%{?_dist_release}
Summary:           A feature-rich user backup program
Summary(ja):       機能豊富なユーザバックアッププログラム
Group:             Applications/Archiving
License:           GPLv2+
URL:               http://www.diffingo.com/content/view/12/45/lang,en/
Source0:           http://www.diffingo.com/downloads/%{name}/%{name}-%{version}.tar.gz
BuildRoot:         %{_tmppath}/%{name}-%{version}-root
BuildArch:         noarch

BuildRequires:     desktop-file-utils
BuildRequires:     gettext
BuildRequires:     intltool, automake
BuildRequires:     libxml2
BuildRequires:     python-devel >= 2.4
BuildRequires:     scrollkeeper
BuildRequires:     gnome-doc-utils
BuildRequires:     perl-XML-Parser
Requires:          /usr/bin/crontab
Requires:          tar, rsync
Requires:          notify-python, gnome-python
Requires:          pygtk2, pygtk2-libglade
Requires:          python >= 2.4
Requires:          python-paramiko
Requires(post):    scrollkeeper
Requires(postun):  scrollkeeper

%description
fwbackups is a feature-rich user backup program that allows users (including
but not limited to root) to backup their files on demand or periodically via
backup sets. Each set may have different settings meaning users can backup
groups of files and folders to different destinations at different times.
Restores can be performed at any time using an existing backup from fwbackups
or from the contents of an external folder or archive.

%description -l ja
fwbackups はユーザ（rootを含むもこれに限定されず）がバックアップセットを介して
要求に応じて、或いは定期的にファイルのバックアップをとることができる
機能豊富なユーザバックアッププログラムです。
各々のセットには、ユーザが異なる時間・異なる目的地にファイルとフォルダのグループの
バックアップを取ることができることを意味している異なるセッティングがあるかもしれません。
リストアは、いつでも fwbackups 、或いは外部フォルダやアーカイブのコンテンツから
既存のバックアップを使用することで実行できます。

%prep
%setup -q

%build
%configure --disable-scrollkeeper
# We don't implement this yet: make %{?_smp_mflags}
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor vine\
    --dir ${RPM_BUILD_ROOT}%{_datadir}/applications\
    --delete-original \
    ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :

%postun
scrollkeeper-update -q || :

%files -f %{name}.lang
%defattr(-,root,root,-)

%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/pixmaps/*
%{_datadir}/applications/vine-*.desktop
%{python_sitelib}/%{name}/

%doc AUTHORS README COPYING COPYING-DOCS ChangeLog TODO

%changelog
* Thu Mar 4 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.43.2-2
- rebuilt with new environment

* Wed Jul 29 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.43.2-1
- initial build for VineSeed

* Wed Oct 1 2008 Stewart Adam <s.adam at diffingo.com> 1.43.2-1
- Update to 1.43.2 final
- BR: gnome-doc-utils

* Fri Jul 18 2008 Stewart Adam <s.adam at diffingo.com> 1.43.2-0.1.rc3
- Update to 1.43.2rc3

* Sat May 31 2008 Stewart Adam <s.adam at diffingo.com> 1.43.2-0.1.rc2
- Update to 1.43.2rc2

* Sat Apr 12 2008 Stewart Adam <s.adam at diffingo.com> 1.43.2-0.1.rc1
- Update to 1.43.2rc1

* Thu Jan 17 2008 Stewart Adam <s.adam at diffingo.com> 1.43.2-0.1.beta3
- Update to beta3 (not finished work yet)
- BR: libxml2
- Remove useless python >= 2.4 BR
- Remove scrollkeeper scriptlets; Only need that for .omf files
- Don't require vixie-cron, but do require /usr/bin/crontab

* Wed Oct 31 2007 Stewart Adam <s.adam at diffingo.com> 1.43.2-0.1.beta1
- Update to 1.43.2 beta1

* Mon Oct 22 2007 Stewart Adam <s.adam at diffingo.com> 1.43.2-0.1
- 1.42.3 spec using autotools/automake
- Remove Manual fields patch

* Sat Sep 1 2007 Stewart Adam <s.adam at diffingo.com> 1.43.1-5
- Add BR python-devel

* Thu Aug 16 2007 Stewart Adam <s.adam at diffingo.com> 1.43.1-4
- Add Requires vixie-rcron

* Mon Aug 13 2007 Stewart Adam <s.adam at diffingo.com> 1.43.1-3
- Update license field

* Wed Jul 25 2007 Stewart Adam <s.adam at diffingo.com> 1.43.1-2
- Add Manual fields patch (bz #249592)

* Sun Jul 22 2007 Stewart Adam <s.adam at diffingo.com> 1.43.1-1
- Change get_python_lib() to get_python_lib(1) for x86_64
- Add new Requires and Post(un) scripts because of new documentation
- Switch all instances of fwbackups to %%{name} for consistency
- Update to 1.43.1 (see CHANGELOG file for details on version changes)

* Sun Jul 8 2007 Stewart Adam <s.adam at diffingo.com> 1.43.0-1
- Add BuildRequires python 2.4, gettext
- Add Requires python 2.4, notify-python
- No longer requires redhat-artwork and usermode
- New description
- Update to 1.43.0 (see CHANGELOG file for details on version changes)

* Sat Apr 14 2007 Stewart Adam <s.adam AT diffingo DOT com> 1.43.0-0.1.beta3
- Update to 1.43.0 Beta3

* Mon Mar 26 2007 Stewart Adam <s.adam AT diffingo DOT com> 1.43.0-0.1.beta2
- Update to 1.43.0 Beta2

* Sun Mar 18 2007 Stewart Adam <s.adam AT diffingo DOT com> 1.43.0-0.1.beta1
- Make release a Beta1 so the upgrade to final upgrade goes smoothly...

* Fri Mar 16 2007 Stewart Adam <s.adam AT diffingo DOT com> 1.43.0-3
- Minor changes to package again

* Wed Mar 14 2007 Stewart Adam <s.adam AT diffingo DOT com> 1.43.0-2
- Minor changes

* Mon Feb 12 2007 Stewart Adam <s.adam AT diffingo DOT com> 1.43.0-1
- Update to version 1.43

* Sun Jan 28 2007 Stewart Adam <s.adam AT diffingo DOT com> 1.42.2-1
- Update to version 1.42.2 (see CHANGELOG file for details on version changes)

* Sat Sep 30 2006 Stewart Adam <s.adam AT diffingo DOT com> 1.42.1-3
- Clean up spec for final submission to Fedora Extras

* Sat Sep 30 2006 Stewart Adam <s.adam AT diffingo DOT com> 1.42.1-2
- Match upstream md5sum
- Fix capitals in %%Source0 tag

* Tue Sep 26 2006 Stewart Adam <s.adam AT diffingo DOT com> 1.42.1-1
- Clean up %%install section
- Don't install fwbackups.conf twice
- Make tarball match upstream
- Add the default configuration file to %%doc, and make it replaceable
- Update to version 1.42.1 (see CHANGELOG file for details on version changes)

* Thu Sep 21 2006 Stewart Adam <s.adam AT diffingo DOT com> 1.42-5
- Add %%requires: pygtk2-libglade

* Wed Sep 13 2006 Stewart Adam <s.adam AT diffingo DOT com> 1.42-4
- Fix the python_sitearch macro
- Update file paths
- Fix URL tag

* Wed Sep 06 2006 Stewart Adam <s.adam AT diffingo DOT com> 1.42-3
- Made pam use 'include' statements and not the old pam_stack
- Use relative symlinks

* Sun Sep 03 2006 Stewart Adam <s.adam AT diffingo DOT com> 1.42-2
- Added CHANGELOG file for detailed information on changes between versions
- Made this .spec and package files suitable for Fedora Extras submission

* Thu Aug 29 2006 Stewart Adam <s.adam AT diffingo DOT com> 1.42-1
- Fixed errors when removing symbolic links
- Make listing files in RemoveOldBackups list files and directory names, not their contents

* Thu Aug 15 2006 Stewart Adam <s.adam AT diffingo DOT com> 1.42-0
- Rebuild using sample .spec file from Fedora Extras
- Update to version 1.42 (see CHANGELOG file for details on version changes)

