%define build_vine5 0

%if "%{?_dist_release}" == "vl5"
%define build_vine5 1
%endif

Summary:	BASIC compiler, IDE and GUI builder
Summary(ja): 	GUI ビルダーを備えた BASIC ベースの統合開発環境(IDE)
Name:		gambas2
Version:	2.21.0
Release: 	2%{?_dist_release}
Source0:	%{name}-%{version}.tar.bz2
Source1:	gambas2.desktop
#Source2:	gambas2-2.6.0-ja.po
#Source3:	gambas2-2.6.0-ja.mo
Patch1:		gambas2-2.21.0-popup-menu.patch

License:	GPL
Group:		Applications/Development
URL:		http://gambas.sourceforge.net/

BuildRequires:	gcc >= 3.2, qt-devel >= 3.2, curl-devel >= 7.10.7
BuildRequires:	libxml2-devel, libxslt-devel, zlib-devel, bzip2-devel
BuildRequires:	MySQL-devel, postgresql-devel
%if %{build_vine5}
BuildRequires:	MySQL-shared
BuildRequires:	kdelibs-devel, kdebase
%else
BuildRequires:	libmysqlclient16
BuildRequires:	kdelibs3-devel, kdebase3
%endif
BuildRequires:	unixODBC-devel, sqlite-devel, sqlite3-devel
BuildRequires:	pcre-devel, librsvg2-devel
BuildRequires:	SDL-devel, SDL_mixer-devel, SDL_image-devel
BuildRequires:	SDL_ttf-devel,SDL_gfx-devel
BuildRequires:	glibc-devel, libpng-devel, libjpeg-devel
BuildRequires:	kernel-source, gamin-devel
BuildRequires:	poppler-devel, gtk2-devel >= 2.10, libffi-devel
BuildRequires:	xorg-x11-proto-devel, mesa-libGL-devel, mesa-libGLU-devel
BuildRequires:	xdg-utils, libXtst-devel

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	kazutaka

%description
Gambas is a free development environment based on a Basic interpreter
with object extensions, like Visual Basic(tm) (but it is NOT a clone!). 
With Gambas, you can quickly design your program GUI, access MySQL or
PostgreSQL databases, control KDE applications with DCOP, translate
your program into many languages, create network applications easily,
build RPMs of your apps automatically, and so on... You have to install
the necessary components


%description -l ja
Gambas はオブジェクト指向に拡張された BASIC インタプリタベースの、Visual
Basic(TM) に良く似た(でもクローンではありません！)フリーな開発環境です。
Gambas を使えば、GUI のすばやいデザイン、MySQL や PostgreSQL データベース
へのアクセス、DCOP 経由での KDE アプリケーションの制御、プログラムの多言
語への翻訳、ネットワークアプリケーションの手軽な開発、RPMパッケージの自動
作成、等々が可能になります。必要に応じてコンポーネントをインストールして
ください。

#-----------------------------------------------------------------------------

%package runtime
Summary:	The Gambas runtime
Summary(ja):	Gambas ランタイム
Group:		Applications/Development
Requires(post):	xdg-utils

%description runtime
This package includes the Gambas interpreter needed to run Gambas applications.

%description runtime -l ja
このパッケージには Gambas アプリケーションの実行に必要なインタプリタ
が含まれています。

#-----------------------------------------------------------------------------

%package ide
Summary:	BASIC compiler, IDE and GUI builder
Summary(ja): 	GUI ビルダーを備えた BASIC ベースの統合開発環境(IDE)
Group:		Applications/Development
Requires:	%{name}-gb-debug = %{version}
Requires:	%{name}-gb-eval = %{version}
Requires:	%{name}-gb-form = %{version}
Requires:	%{name}-gb-gtk = %{version}
Requires:	%{name}-gb-pcre = %{version}
Requires:	%{name}-gb-qt = %{version}
Requires:	%{name}-gb-qt-ext = %{version}
Requires:	%{name}-runtime = %{version}
Requires:	%{name}-gb-settings = %{version}
Requires:	%{name}-gb-form-mdi = %{version}
Requires:	%{name}-gb-draw = %{version}
Requires:	%{name}-gb-desktop = %{version}
Requires:	%{name}-gb-form-dialog = %{version}
Requires:	%{name}-gb-gui = %{version}

%description ide
Gambas is a free development environment based on a Basic interpreter
with object extensions, like Visual Basic(tm) (but it is NOT a clone!). 
With Gambas, you can quickly design your program GUI, access MySQL or
PostgreSQL databases, control KDE applications with DCOP, translate
your program into many languages, create network applications easily,
build RPMs of your apps automatically, and so on... You have to install
the necessary components

This package includes the complete Gambas Development Environment, with the
database manager, the help files, and all components.

%description ide -l ja
Gambas はオブジェクト指向に拡張された BASIC インタプリタベースの、Visual
Basic(TM) に良く似た(でもクローンではありません！)フリーな開発環境です。
Gambas を使えば、GUI のすばやいデザイン、MySQL や PostgreSQL データベース
へのアクセス、DCOP 経由での KDE アプリケーションの制御、プログラムの多言
語への翻訳、ネットワークアプリケーションの手軽な開発、RPMパッケージの自動
作成、等々が可能になります。必要に応じてコンポーネントをインストールして
ください。

このパッケージには IDE (統合開発環境)、データベースマネージャ、ヘルプ
ファイル、およびその他のコンポーネントが含まれています。

#-----------------------------------------------------------------------------

%package gb-compress
Summary:	A compression component
Summary(ja):	圧縮コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}

%description gb-compress
This component allows you to compress/uncompress data or files with
the bzip2 and zip algorithms.

%description gb-compress -l ja
このコンポーネントによりデータやファイルを bzip2 および zip 形式で圧縮
できるようになります。

#-----------------------------------------------------------------------------

%package gb-settings
Summary:	The Gambas settings component
SUmmary(ja):	Gambas 設定用コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}

%description gb-settings
Implements a persistent settings interface for Gambas.

%description gb-settings -l ja
Gambas 用の設定インターフェースの実装です。

#-----------------------------------------------------------------------------

%package gb-form
Summary:	The Gambas form component
SUmmary(ja):	Gambas 用フォームコンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}

%description gb-form
Implements a toolkit-independent form class for Gambas.

%description gb-form -l ja
Gambas 用のツールキットに依存しないフォームクラスの実装です。

#-----------------------------------------------------------------------------

%package gb-form-mdi
Summary:	The Gambas mdi form component
SUmmary(ja):	Gambas 用 MDI フォームコンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}

%description gb-form-mdi
Implements a new version of the Workspace control for Gambas.

%description gb-form-mdi -l ja
Gambas 用の新しいバージョンのワークスペースコントロールの実装です。

#-----------------------------------------------------------------------------

%package gb-form-dialog
Summary:	The Gambas enhanced dialog form component
SUmmary(ja):	Gambas 用拡張ダイアログフォームコンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}

%description gb-form-dialog
Implements a enhanced dialog form class for Gambas.

%description gb-form-dialog -l ja
Gambas 用の拡張されたダイアログフォームクラスの実装です。

#-----------------------------------------------------------------------------
%package gb-db
Summary:	The database component
Summary(ja):	データベースコンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}

%description gb-db
This component allows you to access many databases management systems,
provided that you install the needed driver packages.

%description gb-db -l ja
このコンポーネントにより様々な種類のデータベース管理システムにアクセス
できるようになります。(ただし各データベース用のドライバをあらかじめ
インストールしておく必要があります。)

#-----------------------------------------------------------------------------

%package gb-db-mysql
Summary:	The MySQL driver for the Gambas database component
Summary(ja):	Gambas データベースコンポーネント用の MySQL ドライバ
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}, %{name}-gb-db = %{version}, MySQL-client

%description gb-db-mysql
This component allows you to access MySQL databases.

%description gb-db-mysql -l ja
このコンポーネントにより MySQL データベースにアクセスできるように
なります。

#-----------------------------------------------------------------------------

%package gb-db-postgresql
Summary:	The postgresql driver for the Gambas database component
Summary(ja):	Gambas データベースコンポーネント用の postgresql ドライバ
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}, %{name}-gb-db = %{version}, postgresql, postgresql-libs

%description gb-db-postgresql
This component allows you to access postgresql databases.

%description gb-db-postgresql -l ja
このコンポーネントにより postgresql データベースにアクセスできるように
なります。

#-----------------------------------------------------------------------------

%package gb-db-sqlite
Summary:	The SQLite driver for the Gambas database component
Summary(ja):	Gambas データベースコンポーネント用の SQLite ドライバ
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}, %{name}-gb-db = %{version}, sqlite3
Obsoletes:	gambas2-gb-db-sqlite3

%description gb-db-sqlite
This component allows you to access SQLite databases.

%description gb-db-sqlite -l ja
このコンポーネントにより SQLite 及び SQLite3 データベースにアクセス
できるようになります。

#-----------------------------------------------------------------------------

%package gb-db-odbc
Summary:	The ODBC driver for the Gambas database component
Summary(ja):	Gambas データベースコンポーネント用の ODBC ドライバ
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}, %{name}-gb-db = %{version}

%description gb-db-odbc
This component allows you to access databases via unixODBC.

%description gb-db-odbc -l ja
このコンポーネントにより unixODBC経由でデータベースにアクセスできるよう
になります。

#-----------------------------------------------------------------------------

%package gb-debug
Summary:	A debugger helper for the IDE
Summary(ja):	IDE 用のデバッガヘルパー
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}

%description gb-debug
This component helps the IDE to debug Gambas programs.

%description gb-debug -l ja
このコンポーネントは IDE 上でのデバッグを支援します。

#-----------------------------------------------------------------------------

%package gb-eval
Summary:	An expression evaluator component
Summary(ja):	式評価用のコンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}

%description gb-eval
This component allows you to evaluate expressions at runtime. 
It is used by the Gambas Eval() function.

%description gb-eval -l ja
このコンポーネントにより実行時に式を評価できるようになります。
これは Gambas Eval() ファンクションで使用されます。

#-----------------------------------------------------------------------------

%package gb-net
Summary:	The networking component
Summary(ja):	ネットワーク制御用のコンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}

%description gb-net
This component allows you to use TCP/IP and UDP sockets, and to access
any serial ports.

%description gb-net -l ja
このコンポーネントにより TCP/IP と UDP ソケットの使用、およびシリアル
ポートへのアクセスができるようになります。

#-----------------------------------------------------------------------------

%package gb-net-curl
Summary:	The advanced networking component
Summary(ja):	高度なネットワーク制御用のコンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}, %{name}-gb-net = %{version}, curl

%description gb-net-curl
This component allows your programs to easily become FTP or HTTP clients.

%description gb-net-curl -l ja
このコンポーネントにより FTP または HTTP クライアントの開発が容易に
できるようになります。

#-----------------------------------------------------------------------------

%package gb-qt
Summary:	The Qt GUI component
Summary(ja):	Qt GUI コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}, qt >= 3.2

%description gb-qt
This package includes the Gambas QT GUI component.

%description gb-qt -l ja
このパッケージには Gambas 用の QT GUI コンポーネントが含まれています。

#-----------------------------------------------------------------------------

%package gb-gtk
Summary:	The Gambas Gtk GUI component
Summary(ja):	GTK GUI コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}, gtk2 >= 2.4

%description gb-gtk
This package includes the Gambas GTK GUI component.

%description gb-gtk -l ja
このパッケージには Gambas 用の GTK GUI コンポーネントが含まれています。

#-----------------------------------------------------------------------------

%package gb-qt-ext
Summary:	The extended Qt GUI component
Summary(ja):	拡張 Qt GUI コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}, %{name}-gb-qt = %{version}

%description gb-qt-ext
This component includes somme uncommon QT controls.

%description gb-qt-ext -l es
このコンポーネントには追加の Qt コントロールが含まれています。 

#-----------------------------------------------------------------------------

%package gb-qt-kde
Summary:	The KDE component
Summary(ja):	KDE コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}, %{name}-gb-qt = %{version}
Requires:	fam, kdelibs >= 3.1

%description gb-qt-kde
This component transforms your QT application in a KDE application, and
allows you to pilot any other KDE application with the DCOP protocol.

%description gb-qt-kde -l ja
このコンポーネントにより、Qt アプリケーションを KDE アプリケーションに
変換できます。また DCOP プロトコル経由で KDE アプリケーションを制御でき
るようになります。

#-----------------------------------------------------------------------------

%package gb-qt-kde-html
Summary:	The KHTML component
Summary(ja):	KHTML コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}, %{name}-gb-qt-kde = %{version}

%description gb-qt-kde-html
This component allows you to use the Web Browser widget included in KDE

%description gb-qt-kde-html -l ja
このコンポーネントにより KDE に含まれるウェブブラウザウィジェットを
使用できるようになります。

#-----------------------------------------------------------------------------

%package gb-qt-opengl
Summary:	The QT OpenGL component.
Summary(ja):	QT 用 OpenGL コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}, XOrg-gl

%description gb-qt-opengl
This component provides QT widget for OpenGL library.

%description gb-qt-opengl -l ja
このコンポーネントにより OpenGL ライブラリ用の QT ウィジェットが
利用できるようになります。


#-----------------------------------------------------------------------------

%package gb-gtk-ext
Summary:	The extended Gtk GUI component
Summary(ja):	拡張 GTK GUI コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}, %{name}-gb-gtk = %{version}

%description gb-gtk-ext
This component includes somme uncommon GTK controls.

%description gb-gtk-ext -l es
このコンポーネントには追加の GTK コントロールが含まれています。 

#-----------------------------------------------------------------------------

%package gb-sdl
Summary:	The Gambas SDL component
Summary(ja):	Gambas 用 SDL コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}, SDL

%description gb-sdl
This component provides access to the basic functions and the image
part of the SDL library.
It provides a drawing surface that is faster than normal X11 toolkits.

%description gb-sdl -l ja
このコンポーネントは SDL ライブラリの基本機能およびイメージ機能への
アクセスを提供しています。
これは X ツールキットよりも高速な描画サーフェースを提供します。

#-----------------------------------------------------------------------------

%package gb-sdl-sound
Summary:	The Gambas SDL sound component
Summary(ja):	SDL サウンドコンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}, SDL_mixer

%description gb-sdl-sound
This component uses only the sound part of the SDL library. It allows you to
simultaneously play many sounds and a music stored in a file.

%description gb-sdl-sound -l ja
このコンポーネントは SDL ライブラリのサウンド部分のみを使用しています。
これにより多くの種類の音声や音楽を同時に再生する事ができるようになります。

#-----------------------------------------------------------------------------

%package gb-vb
Summary:	The Visual Basic(tm) compatibility component
Summary(ja):	Visual Basic(TM) 互換性用コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}

%description gb-vb
This component aims at including some functions that imitate the behaviour
of Visual Basic(tm) functions. Use it only if you try to port some VB
projects.

%description gb-vb -l ja
このコンポーネントは Visual Basic(TM) の機能を模倣した関数を含むことを
目的としています。VB プロジェクトを移植する必要がある場合にのみインス
トールしてください。

#-----------------------------------------------------------------------------

%package gb-xml
Summary:	The Gambas XML components based on the libxml and libxslt libraries.
Summary(ja):	libXml および libxslt ライブラリベースの Gambas 用 XML コンポーネント
Group:		Applications/Development
Requires: 	%{name}-runtime = %{version}

%description gb-xml
These components brings the power of the libxml and libxslt libraries to 
Gambas.

%description gb-xml -l ja
このコンポーネントにより libxml および libxslt ライブラリを利用できる
ようになります。

#-----------------------------------------------------------------------------

%package gb-pcre
Summary:	The Gambas perl-compatible regular expression compon	ent.
Summary(ja):	Perl互換の正規表現ライブラリの Gambas 用コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}, pcre

%description gb-pcre
This component provides perl-compatible regular expressions to Gambas for
powerful text processing and pattern matching.

%description gb-pcre -l ja
このコンポーネントにより Perl 互換の正規表現ライブラリの持つ強力なテキスト
処理機能及びパターンマッチング機能が利用できるようになります。

#-----------------------------------------------------------------------------

%package gb-crypt
Summary:	The Gambas crypt component.
Summary(ja):	Gambas 用暗号化コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}, glibc

%description gb-crypt
This component provides crypt function to Gambas, that allows
to use the crypt() Gnu C library function.

%description gb-crypt -l ja
このコンポーネントにより GNU C ライブラリの crypt() を利用した
暗号化機能が利用できるようになります。

#-----------------------------------------------------------------------------

%package gb-opengl
Summary:	The Gambas OpenGL component.
Summary(ja):	Gambas 用 OpenGL コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}, XOrg-gl

%description gb-opengl
This component provides OpenGL library function to Gambas for
hardware assisted computer graphics.

%description gb-opengl -l ja
このコンポーネントにより OpenGL ライブラリを使用したハードウェア描画
機能が利用できるようになります。

#-----------------------------------------------------------------------------

%package gb-v4l
Summary:	The Gambas V4L(Video for Linux) component.
Summary(ja):	Gambas 用 V4L(Video for Linux) コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version},libpng, libjpeg

%description gb-v4l
This component provides access to all v4l devices with capture support.
Capturing images from webcams, TV cards and other sources supported by
the v4l (video for Linux) interface is available.
.
%description gb-v4l -l ja
このコンポーネントにより すべての V4L デバイスにアクセスできるようになります。
Webカメラ、TVカード及びその他の V4L がサポートするデバイスから、イメージの
取り込みが可能になります。

#-----------------------------------------------------------------------------

%package gb-info
Summary:	The Gambas info component.
Summary(ja):	Gambas 用 インフォーメションコンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}

%description gb-info
This component aims at providing all needed information about installed
components: classes, symbols, events, controls, properties, and so on.

%description gb-info -l ja
このコンポーネントは、インストール済みのコンポーネントに関する、クラス、
シンボル、イベント、コントロール、プロパティ等の、必要とされる全ての
情報を提供することを目的としています。

#-----------------------------------------------------------------------------

%package gb-pdf
Summary:	The Gambas PDF component.
Summary(ja):	Gambas 用 PDF コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}

%description gb-pdf
This component privides functions for decoding PDF documents using
poppler library.

%description gb-pdf -l ja
このコンポーネントにより、PDF 文書を描画できるようになります。

#-----------------------------------------------------------------------------

%package gb-image
Summary:	The Gambas image component.
Summary(ja):	Gambas 用のイメージ編集コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}

%description gb-image
This component allows you to apply various effects on Image objects.

%description gb-image -l ja
このコンポーネントにより、イメージオブジェクトに対して様々な効果を
適用できるようになります。

#-----------------------------------------------------------------------------

%package gb-db-form
Summary:	The database form component
Summary(ja):	データベース用フォームコンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}, %{name}-gb-db = %{version}

%description gb-db-form
This component provides some data bound controls, i.e. controls that can 
display and edit database records automatically.

%description gb-db-form -l ja
このコンポーネントはいくつかのデータバウンドコントロールを提供します。
(例えばデータベースのレコードを自動的に表示/編集できるコントロールなど)

#-----------------------------------------------------------------------------

%package gb-net-smtp
Summary:	The Gambas SMTP component
Summary(ja):	Gambas 用 SMTP コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}, %{name}-gb-net = %{version}, curl

%description gb-net-smtp
This component allows you to use SMTP (Simple Mail Transfer Protocol).

%description gb-net-smtp -l ja
このコンポーネントにより SMTP プロトコルを利用できるようになります。

#-----------------------------------------------------------------------------

%package gb-gtk-svg
Summary:	The Gambas SVG (Scalable Vector Graphics) component.
Summary(ja):	Gambas 用 SVG (Scalable Vector Graphics) コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}, %{name}-gb-gtk = %{version} 
Requires:	librsvg2 >= 2.14.3

%description gb-gtk-svg
This component is able to load SVG files and generate an image memory
of it.

%description gb-gtk-svg -l ja
このコンポーネントにより SVG (Scalable Vector Graphics) の読み込みと
画像イメージの生成が可能になります。

#-----------------------------------------------------------------------------

%package gb-web
Summary:	The Gambas web application development component.
Summary(ja):	Gambas 用 ウェブアプリケーション開発コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}

%description gb-web
This component allows to make a web application based on a CGI script.

%description gb-web -l ja
このコンポーネントにより CGI スクリプトによるウェブアプリケーションを
開発できるようになります。

#-----------------------------------------------------------------------------

%package gb-option
Summary:	The Gambas command line option component.
Summary(ja):	Gambas 用コマンドラインオプションコンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}

%description gb-option
This component is an interface to the getopt() C library function for
interpreting the program command-line.

%description gb-option -l ja
このコンポーネントはプログラムのコマンドラインを解釈する、C ライプラリの
getopt() 関数へのインターフェースです。

#-----------------------------------------------------------------------------

%package gb-report
Summary:	The Gambas report component.
Summary(ja):	Gambas 用 レポートコンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}

%description gb-report
This component will become the Gambas report designer.

%description gb-report -l ja
このコンポーネントはいずれ Gambas 用のレポートデザイナになる予定です。

#-----------------------------------------------------------------------------

%package gb-desktop
Summary:	The Gambas desktop component.
Summary(ja):	Gambas 用 デスクトップコンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}, %{name}-gb-form = %{version}

%description gb-desktop
This component provides some functions using xdg-tools of Portland Project.
It can be commonly used in diffrent desktop environment.

%description gb-desktop -l ja
このコンポーネントは Portland Project の xdg-utils を使った、
異なるデスクトップ環境で共用できる機能を提供します。

#-----------------------------------------------------------------------------

%package gb-chart
Summary:	The Gambas chart component.
Summary(ja):	Gambas 用 グラフコンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}

%description gb-chart
This component provides functions to draw chats.

%description gb-chart -l ja
このコンポーネントはグラフを作図する機能を提供します。

#-----------------------------------------------------------------------------

%package gb-draw
Summary:	The Gambas draw component.
Summary(ja):	Gambas 用 描画コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}

%description gb-draw
This component provides drawing class to gambas.
This component was originally implemented as an intenal
class, But now it is separated as a component. 

%description gb-draw -l ja
このコンポーネントはグ描画用の Class を提供します。
このコンポーネントは、元々内部 Class として実装されていましたが、
別コンポーネントとして分離されました。

#-----------------------------------------------------------------------------

%package gb-gui
Summary:	The Gambas GUI component.
Summary(ja):	Gambas 用 GUI コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}

%description gb-gui
This component allows you to load gb.qt component when KDE is
running or gtk component when GNOME is running.

%description gb-gui -l ja
このコンポーネントにより、KDE 環境では gb.qt コンポーネントを、
GNOME 環境では gb.gtk コンポーネントを読み込むことができるように
なります。

#-----------------------------------------------------------------------------


%prep
%setup -q
%patch1 -p3 -b popup
# copy updated message catalogue
#%{__cp} -f %{SOURCE2} app/src/gambas2/.lang/ja.po
#%{__cp} -f %{SOURCE3} app/src/gambas2/.lang/ja.mo

%ifarch ppc
find . -type f -name configure -exec sed -i 's/-Os/-O2/' {} \;
%endif


%build
export LDFLAGS="-L/usr/X11R6/%{_lib}"
%configure \
	--with-mysql-libraries=%{_libdir}/mysql \
	--with-qt-includes=%{_libdir}/qt3/include \
	--with-qt-libraries=%{_libdir}/qt3/lib \
	--disable-clanlib \
	--enable-kde
%{__make}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}

%{__make} install DESTDIR=${RPM_BUILD_ROOT}

# copy pixmap and menu entry.
%{__install} -d ${RPM_BUILD_ROOT}/%{_datadir}/pixmaps
%{__install} -m644 %{_builddir}/%{name}-%{version}/app/src/gambas2/img/logo/new-logo.png ${RPM_BUILD_ROOT}/%{_datadir}/pixmaps/gambas2.png
%{__install} -d %{buildroot}%{_datadir}/applications
%{__install} -p -m644 %{SOURCE1} %{buildroot}%{_datadir}/applications/

# copy mimetype xml to %{_datadir}
%{__install} -d ${RPM_BUILD_ROOT}/%{_datadir}/gambas2
%{__install} -m644 main/mime/application-x-gambas.xml ${RPM_BUILD_ROOT}/%{_datadir}/gambas2


%pre ide
# File type is changed from dir to sym link at 1.9.50 to 1.9.51,
# But rpm cannnot handle these changes. So we need to delete it 
# before upgrading.
# 2007/03/02 %{_datadir}/gambas2/help/help/odbc is changed from
# directory to file.
if [ "$1" -ge "2" ];then
   if [ -d %{_datadir}/gambas2/help/image ]; then
      %{__rm} -rf %{_datadir}/gambas2/help/image
   fi
   if [ -d %{_datadir}/gambas2/help/img ]; then
      %{__rm} -rf %{_datadir}/gambas2/help/img
   fi
   if [ -d %{_datadir}/gambas2/help/help/odbc ]; then
      %{__rm} -rf %{_datadir}/gambas2/help/help/odbc
   fi
fi

%post runtime
# register gambas executable mimetype
xdg-icon-resource install --context mimetypes --size 64 %{_datadir}/%{name}/icons/application-x-gambas.png application-x-gambas
xdg-mime install %{_datadir}/gambas2/application-x-gambas.xml

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files runtime
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README*
%{_bindir}/gbi2
%{_bindir}/gbx2
%{_bindir}/gbr2
%{_bindir}/gbs2
%{_bindir}/gbs2.gambas
%{_bindir}/gbw2
%{_libdir}/gambas2/gb.component
%{_libdir}/gambas2/gb.so*
%{_libdir}/gambas2/gb.la
%{_datadir}/gambas2/info/gb.info
%{_datadir}/gambas2/info/gb.list
%{_datadir}/gambas2/icons/application-x-gambas.png
%{_datadir}/gambas2/icons/application-x-gambasscript.png
%{_datadir}/gambas2/icons/application-x-gambasserverpage.png
%{_datadir}/gambas2/application-x-gambas.xml

%files ide
%defattr(-,root,root)
%{_bindir}/gambas2
%{_bindir}/gambas2.gambas
%{_bindir}/gbc2
%{_bindir}/gba2
%{_bindir}/gambas2-database-manager.gambas
%{_datadir}/gambas2/help
%{_datadir}/gambas2/examples
%{_datadir}/applications/gambas2.desktop
%{_datadir}/pixmaps/gambas2.png

%files gb-compress
%defattr(-,root,root)
%{_libdir}/gambas2/gb.compress.*
%{_datadir}/gambas2/info/gb.compress.*

%files gb-settings
%defattr(-,root,root)
%{_libdir}/gambas2/gb.settings.*
%{_datadir}/gambas2/info/gb.settings.*

%files gb-form
%defattr(-,root,root)
%{_libdir}/gambas2/gb.form.gambas
%{_libdir}/gambas2/gb.form.component
%{_datadir}/gambas2/info/gb.form.info
%{_datadir}/gambas2/info/gb.form.list

%files gb-form-mdi
%defattr(-,root,root)
%{_libdir}/gambas2/gb.form.mdi.gambas
%{_libdir}/gambas2/gb.form.mdi.component
%{_datadir}/gambas2/info/gb.form.mdi.info
%{_datadir}/gambas2/info/gb.form.mdi.list

%files gb-form-dialog
%defattr(-,root,root)
%{_libdir}/gambas2/gb.form.dialog.gambas
%{_libdir}/gambas2/gb.form.dialog.component
%{_datadir}/gambas2/info/gb.form.dialog.info
%{_datadir}/gambas2/info/gb.form.dialog.list

%files gb-db
%defattr(-,root,root)
%{_libdir}/gambas2/gb.db.la
%{_libdir}/gambas2/gb.db.so*
%{_libdir}/gambas2/gb.db.component
%{_datadir}/gambas2/info/gb.db.info
%{_datadir}/gambas2/info/gb.db.list

%files gb-db-mysql
%defattr(-,root,root)
%{_libdir}/gambas2/gb.db.mysql.*

%files gb-db-postgresql
%defattr(-,root,root)
%{_libdir}/gambas2/gb.db.postgresql.*

%files gb-db-sqlite
%defattr(-,root,root)
%{_libdir}/gambas2/gb.db.sqlite3.*
%{_libdir}/gambas2/gb.db.sqlite2.*

%files gb-db-odbc
%defattr(-,root,root)
%{_libdir}/gambas2/gb.db.odbc.*

%files gb-debug
%defattr(-,root,root)
%{_libdir}/gambas2/gb.debug.*
%{_datadir}/gambas2/info/gb.debug.*

%files gb-eval
%defattr(-,root,root)
%{_libdir}/gambas2/gb.eval.*
%{_datadir}/gambas2/info/gb.eval.*

%files gb-net
%defattr(-,root,root)
%{_libdir}/gambas2/gb.net.la
%{_libdir}/gambas2/gb.net.so*
%{_libdir}/gambas2/gb.net.component
%{_datadir}/gambas2/info/gb.net.info
%{_datadir}/gambas2/info/gb.net.list

%files gb-net-curl
%defattr(-,root,root)
%{_libdir}/gambas2/gb.net.curl.la
%{_libdir}/gambas2/gb.net.curl.so*
%{_libdir}/gambas2/gb.net.curl.component
%{_datadir}/gambas2/info/gb.net.curl.info
%{_datadir}/gambas2/info/gb.net.curl.list

%files gb-qt
%defattr(-,root,root)
%{_libdir}/gambas2/gb.qt.la
%{_libdir}/gambas2/gb.qt.so*
%{_libdir}/gambas2/gb.qt.component
%{_libdir}/gambas2/gb.qt.gambas
%{_datadir}/gambas2/info/gb.qt.info
%{_datadir}/gambas2/info/gb.qt.list

%files gb-gtk
%defattr(-,root,root)
%{_libdir}/gambas2/gb.gtk.la
%{_libdir}/gambas2/gb.gtk.so*
%{_libdir}/gambas2/gb.gtk.component
%{_libdir}/gambas2/gb.gtk.gambas
%{_datadir}/gambas2/info/gb.gtk.info
%{_datadir}/gambas2/info/gb.gtk.list

%files gb-qt-ext
%defattr(-,root,root)
%{_libdir}/gambas2/gb.qt.ext.la
%{_libdir}/gambas2/gb.qt.ext.so*
%{_libdir}/gambas2/gb.qt.ext.component
%{_datadir}/gambas2/info/gb.qt.ext.info
%{_datadir}/gambas2/info/gb.qt.ext.list

%files gb-qt-kde
%defattr(-,root,root)
%{_libdir}/gambas2/gb.qt.kde.la
%{_libdir}/gambas2/gb.qt.kde.so*
%{_libdir}/gambas2/gb.qt.kde.component
%{_datadir}/gambas2/info/gb.qt.kde.info
%{_datadir}/gambas2/info/gb.qt.kde.list

%files gb-qt-kde-html
%defattr(-,root,root)
%{_libdir}/gambas2/gb.qt.kde.html.la
%{_libdir}/gambas2/gb.qt.kde.html.so*
%{_libdir}/gambas2/gb.qt.kde.html.component
%{_datadir}/gambas2/info/gb.qt.kde.html.info
%{_datadir}/gambas2/info/gb.qt.kde.html.list

%files gb-qt-opengl
%defattr(-,root,root)
%{_libdir}/gambas2/gb.qt.opengl.*
%{_datadir}/gambas2/info/gb.qt.opengl.*

%files gb-gtk-ext
%defattr(-,root,root)
%{_libdir}/gambas2/gb.gtk.ext.la
%{_libdir}/gambas2/gb.gtk.ext.so*
%{_libdir}/gambas2/gb.gtk.ext.component
%{_datadir}/gambas2/info/gb.gtk.ext.info
%{_datadir}/gambas2/info/gb.gtk.ext.list

%files gb-sdl
%defattr(-,root,root)
%{_libdir}/gambas2/gb.sdl.la
%{_libdir}/gambas2/gb.sdl.so
%{_libdir}/gambas2/gb.sdl.so.*
%{_libdir}/gambas2/gb.sdl.component
%{_datadir}/gambas2/info/gb.sdl.info
%{_datadir}/gambas2/info/gb.sdl.list

%files gb-sdl-sound
%defattr(-,root,root)
%{_libdir}/gambas2/gb.sdl.sound.la
%{_libdir}/gambas2/gb.sdl.sound.so*
%{_libdir}/gambas2/gb.sdl.sound.component
%{_datadir}/gambas2/info/gb.sdl.sound.info
%{_datadir}/gambas2/info/gb.sdl.sound.list

%files gb-vb
%defattr(-,root,root)
%{_libdir}/gambas2/gb.vb.la
%{_libdir}/gambas2/gb.vb.so*
%{_libdir}/gambas2/gb.vb.component
%{_datadir}/gambas2/info/gb.vb.info
%{_datadir}/gambas2/info/gb.vb.list

%files gb-xml
%defattr(-,root,root)
%{_libdir}/gambas2/gb.xml.*
%{_datadir}/gambas2/info/gb.xml.*

%files gb-pcre
%defattr(-,root,root)
%{_libdir}/gambas2/gb.pcre.la
%{_libdir}/gambas2/gb.pcre.so*
%{_libdir}/gambas2/gb.pcre.component
%{_datadir}/gambas2/info/gb.pcre.info
%{_datadir}/gambas2/info/gb.pcre.list

%files gb-crypt
%defattr(-,root,root)
%{_libdir}/gambas2/gb.crypt.*
%{_datadir}/gambas2/info/gb.crypt.*

%files gb-opengl
%defattr(-,root,root)
%{_libdir}/gambas2/gb.opengl.*
%{_datadir}/gambas2/info/gb.opengl.*

%files gb-v4l
%defattr(-,root,root)
%{_libdir}/gambas2/gb.v4l.*
%{_datadir}/gambas2/info/gb.v4l.*

%files gb-info
%defattr(-,root,root)
%{_libdir}/gambas2/gb.info.*
%{_datadir}/gambas2/info/gb.info.*

%files gb-pdf
%defattr(-,root,root)
%{_libdir}/gambas2/gb.pdf.*
%{_datadir}/gambas2/info/gb.pdf.*

%files gb-image
%defattr(-,root,root)
%{_libdir}/gambas2/gb.image.*
%{_datadir}/gambas2/info/gb.image.*

%files gb-db-form
%defattr(-,root,root)
%{_libdir}/gambas2/gb.db.form.*
%{_datadir}/gambas2/info/gb.db.form.*

%files gb-net-smtp
%defattr(-,root,root)
%{_libdir}/gambas2/gb.net.smtp.*
%{_datadir}/gambas2/info/gb.net.smtp.*

%files gb-gtk-svg
%defattr(-,root,root)
%{_libdir}/gambas2/gb.gtk.svg.*
%{_datadir}/gambas2/info/gb.gtk.svg.*

%files gb-web
%defattr(-,root,root)
%{_libdir}/gambas2/gb.web.*
%{_datadir}/gambas2/info/gb.web.*

%files gb-option
%defattr(-,root,root)
%{_libdir}/gambas2/gb.option.*
%{_datadir}/gambas2/info/gb.option.*

%files gb-report
%defattr(-,root,root)
%{_libdir}/gambas2/gb.report.*
%{_datadir}/gambas2/info/gb.report.*

%files gb-desktop
%defattr(-,root,root)
%{_libdir}/gambas2/gb.desktop.*
%{_datadir}/gambas2/info/gb.desktop.*

%files gb-chart
%defattr(-,root,root)
%{_libdir}/gambas2/gb.chart.*
%{_datadir}/gambas2/info/gb.chart.*

%files gb-draw
%defattr(-,root,root)
%{_libdir}/gambas2/gb.draw.*

%files gb-gui
%defattr(-,root,root)
%{_libdir}/gambas2/gb.gui.*
%{_datadir}/gambas2/info/gb.gui.*


%changelog
* Sat Jul 31 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 2.21.0-2
- add Patch1 to fix popup menu on taryicon

* Sun Jul 25 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 2.21.0-1
- new upstream release
- add %%{_bindir}/gbw2 to runtime sub package
- add BuildRequires: libXtst-devel

* Thu Apr  8 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.20.1-2
- temporarily don't use "-Os" on ppc (a toolchain bug?)

* Tue Mar 09 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 2.20.1-1
- new upstream release
- change BuildRequires to kdelibs3-devel, kdebase3 (not version < 4)
  for Seed only (refer comment in <BTS:VineLinux:907>)

* Sat Mar 06 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 2.20.0-1
- new upstream release
- change BuildRequires: MySQL-shared to libmysqlclient16 (Seed only)
- add BuildRequires: xdg-utils (<BTS:VineLinux:907>)

* Sat Jan 09 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 2.19.0-1
- new upstream release

* Sun Nov 29 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.18.0-1
- new upstream release

* Thu Nov 05 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.17.0-3
- rebuilt with poppler-devel-0.12.1 again

* Wed Nov  4 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.17.0-2
- rebuilt with poppler-devel-0.12.1

* Fri Oct 30 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.17.0-1
- new upstream release

* Tue Sep 22 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.16.0-1
- new upstream release
- specify verision for BuildRequires: kdebase/kdelibs-devel < 4
- add BuildRequires: sqlite-devel, librsvg2-devel

* Fri Jul 31 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.15.2-1
- new upstream release

* Sun Jul 26 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.15.0-1
- new upstream release

* Sun Jun 28 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.14.0-1
- new upstream release

* Fri May 29 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.13.1-1
- new upstream release
- build with MySQL-5.1.34

* Fri May 15 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.13.0-1
- new upstream release
- re-enable configure option --enable-kde configure option with
  to create gb-qt-kde and gb-qt-kde-html (due to kdebase is updated)
- re-add BuildRequires: kdebase
- add Packager tag

* Mon Apr 13 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.12.0-2
- remove Requires:glibc, gcc, gcc-c++ from gambas2-runtime

* Sat Mar 21 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.12.0-1
- new upstream release

* Sat Mar 21 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.11.1-2
- remove Requires: libstdc++3 from gambas2-runtime

* Fri Feb 20 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.11.1-1
- new upstream release

* Tue Dec 30 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.10.1-1
- new upstream release

* Sun Dec 14 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.9.0-2
- rebuild with poppler-0.10.2

* Fri Oct 31 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.9.0-1
- new upstream release

* Sat Aug 30 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.8.2-1
- new upstream release

* Sat Aug 23 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.8.1-1
- new upstream release
- drop Patch1 (included in upstream)

* Mon Aug 18 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.8.0-1
- new upstream release
- spec in utf-8
- fix mime file location
- add Patch1 to fix trayicon bug in gb.gtk

* Sun Jun 15 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.7.0-1
- new upstream release.
- drop Source2 & Source3 (translation is already inclueded in upstream)
- register mimetype for gambas2 executable with runtime
  - add mimetype xml and icons
  - add Requires(post): xdg-utils 
  - run xdg tools in %%post

* Sun May 11 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.6.0-1
- new upstream release.
- drop patch0 (inclueded in upstream)
- add Requires: gb-desktop, gb-form-dialog, gb-gui for ide.
- update japanese message catalog.
- add --disable-kde configure option and not create gb-qt-kde and
  gb-qt-kde-html temporarily. (wait for update of kdebase)

* Fri Apr 04 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.5.0-1
- new upstream release.
- add updated japanese message as Source2 & Source3.

* Mon Mar 31 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.4.1-2
- rebuild with poppler-0.8.0.
- add Patch0 to compile with poppler-0.8.0.

* Thu Mar 20 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.4.1-1
- new upstream release.

* Wed Mar 19 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.4.0-1
- new upstream release.
- apply new versioning policy.

* Tue Mar 04 2008 Shu KONNO <owa@bg.wakwak.com> 2.2.1-0vl2
- rebuild for x86_64.
	- replace X11 libraries path with macro in LDFLAGS.
	- replace mysql libraries path with macro in %%configure.
	- add configure option --with-qt-{includes,libraries}.

* Sun Mar 02 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.2.1-0vl1
- new upstream release.
- drop Patch0. 
- add BuildRequires: libffi-devel.

* Wed Jan 02 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.0.0-0vl1
- new upstream release.
- drop Source2 & Source3 (Already included in upstream). 

* Wed Dec 19 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.9.92-0vl1
- new upstream release.
- added BuildRequires: MySQL-shared.

* Thu Dec 06 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.9.91-0vl1
- new upstream release.
- add new components gb-gtk-ext, gb-chart, gb-draw and gb-gui.
- remove gb-ldap component. (By upstream)
- drop Patch1. (Already merged in upstream)
- add workarund script in %%pre.
- update japanese message catalogues.ad

* Sun Sep 09 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.9.50-0vl3
- add Patch1 to build with poppler-0.6 (VineSeed).
- rebuild with poppler-0.6.

* Fri Aug 31 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.9.50-0vl2
- rebuild for Vine Seed.
  * Thu Aug 30 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.9.50-0vl1
  - new upstream release.
  - add new component gb-form-dialog.
  - export LDFLAGS in %%build section.
  - update japanese message catalogues.

* Thu Aug 30 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.9.50-0vl1
- new upstream release.
- add new component gb-form-dialog.
- export LDFLAGS in %%build section.
- update japanese message catalogues.

* Sat May 19 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.9.49-0vl1
- new upstream release.
- build with new environment/toolchain.
- add new component gb-desktop.
- update japanese message catalogues.

* Wed Apr 03 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.9.48-0vl1
- new upstream release.
- update japanese message catalogues.

* Fri Feb 09 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.9.47-0vl2
- add updated japanese message catalogues as Source2 & Source3.

* Sat Jan 27 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.9.47-0vl1
- new upstream release.
- add new components gb-option and gb-report.

* Sat Nov 25 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.9.46a-0vl1
- source update.
- add updated japanese message catalogue.(but it will remove in next release)

* Fri Nov 03 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.9.45-0vl1
- source update.
- add new component gb-web.
- build with MySQL-5.0.27.

* Wed Oct 18 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.9.44-0vl1
- source update.
- add new component gb-gtk-svg.

* Wed Sep 27 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.9.43-0vl1
- source update.

* Wed Sep 12 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.9.42-0vl1
- source update.
- enable to build gb-pdf component.

* Sun Sep 10 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.9.41-0vl1
- source update.
- drop BuildRequires: poppler-devel.
- add BuildRequres: gamin-devel.

* Sun Aug 28 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.9.40-0vl1
- source update.
- gb-sdl-image component is removed (merged into gb-sdl-common).
- gb-sdl-opengl component is removed (merged into gb-opengl).
- gb-sdl-common is renamed to gb-sdl.

* Mon Aug 11 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.9.38-0vl1
- source update.

* Mon Aug 07 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.9.37-0vl1
- source update.
- change logo image for .desktop.

* Fri Jul 28 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.9.35-0vl1
- source update.
- add /usr/bin/gambas2.gambas in ide package.
- add Requires gb-form-mdi in ide package.
- update Summary and Description of ide package.

* Mon Jul 03 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.9.33-0vl1
- source update.

* Sun Jun 18 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.9.32-0vl1
- source update.
- gb-qt-editor component is removed.
- add new component gb-form-mdi.

* Mon May 22 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.9.30-0vl1
- source update.

* Thu May 04 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.9.29-0vl1
- source update.

* Mon Apr 03 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.9.28-0vl1
- source update.
- add subpackage gb-net-smtp.
- add /usr/bin/gbr2 in runtime component.
- disable gb-pdf componet.(couldn't compile with poppler-0.5.1)
- change Group to Applications/Development.

* Tue Feb 21 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.9.25-0vl1
- source update.
- add subpackages gb-image and gb-db-form.
- minimize dependencies of ide subpackage.
- add patch0 (to be able to run renamed database-manager from ide).
- add postfix ".gambas" to renamed gambas2-database-manager.

* Sat Feb 05 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.9.24-0vl1
- source update.
- remove and obsolete gb-db-sqlite3 component.
  (New driver automatically switch between sqlite and sqlite3.)
- change gb-db-sqlite dependencies (from sqlite to sqlite3).

* Sat Jan 28 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.9.23-0vl1
- source update.

* Fri Dec 23 2005 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.9.22-0vl1
- source update.
- add subpackage gb-pdf, gb-ldap and gb-qt-opengl.
  (gb-corba require omniORB-4 but not exist in repositry.)
- 
* Sun Sep 18 2005 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.9.20-0vl1
- source update.

* Fri Aug 31 2005 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.9.18-0vl1
- source update.
- add subpackage gb-info.
- add %{_libdir}/gambas2/gb.sdl.image.gambas in gb-sdl-image.
- delete quick workaround for compilation problem.

* Fri Aug 12 2005 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.9.16-0vl1
- source update.
- remove SOURCE2.(problem solved)

* Wed Aug 10 2005 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.9.15-0vl1
- source update.
- add subpackages gb-{crypt,opengl,sdl-opengl,v4l}.
- add %{_libdir}/gambas2/gb.qt.gambas in gb.qt component.
- use '%{__make} install' instead of %%makeinstall.(to use DESIDIR viriable)
- unset perl script.(no more necessary)
- add SOURCE2 to temporarily fix compilation problem.
  (may solve in next release)
- add quick workaround for compilation problem.

* Sun Jun 25 2005 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.9.10-0vl1
- source update.

* Sun Jun 05 2005 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.9.9-0vl3
- add configure option --disable-clanlib (not usable yet).

* Fri Jun 03 2005 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.9.9-0vl1
- source update.

* Tue May 31 2005 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.9.8-0vl0
- build for Vine Plus/3.0.

* Sun May 15 2005 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.9.8-0vl1
- initial build for VineSeed Plus.(based on src.rpm for Mandrake?)
- install desktop file into %{_datadir}/applications
- install icon file into %{_datadir}/pixmaps
- modify Makefiles to enable non-root user build.
- change executable link.(original Makefile makes unwanted LINK.)

