%define gtk2_version 2.20.0
%define gconf2_version 2.28.1
%define desktop_file_utils_version 0.3
%define gnome_doc_utils_version 0.3

Summary: Editor/admin tool for GConf
Summary(ja): GConf の編集/管理ツール
Name: gconf-editor
Version: 2.30.0
Release: 1%{?_dist_release}
URL: http://www.gnome.org/
Source0: %{name}-%{version}.tar.bz2
Patch10: gconf-editor-2.14.0-fix-incorrect-g_free.patch
License: GPL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-root

Requires(post,pre,preun): GConf2
Requires(post): scrollkeeper

BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: GConf2-devel >= %{gconf2_version}
BuildRequires: dbus-glib-devel
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}
BuildRequires: gnome-doc-utils >= %{gnome_doc_utils_version}
BuildRequires: docbook-utils

%description
gconf-editor allows you to browse and modify GConf configuration 
sources.

%description -l ja
gconf-editor により GConf の設定を参照したり変更したりすることができます。

%prep
%setup -q
#patch10 -p1 -b .fix-incorrect-g_free

# fix desktop file Icon path
sed -i -e "s/gconf-editor\.png/gconf-editor/" \
    data/gconf-editor.desktop.in.in

%build
%configure --disable-schemas-install --disable-scrollkeeper
%__make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %{name} --with-gnome

# remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache
rm -rf $RPM_BUILD_ROOT%{_localstatedir}/scrollkeeper

%clean
rm -rf $RPM_BUILD_ROOT

%post
scrollkeeper-update > /dev/null 2>&1 || :
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gconf-editor.schemas > /dev/null

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      	%{_sysconfdir}/gconf/schemas/gconf-editor.schemas >/dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      	%{_sysconfdir}/gconf/schemas/gconf-editor.schemas >/dev/null || :
fi

%postun 
scrollkeeper-update > /dev/null 2>&1 || :

%files -f %{name}.lang
%defattr(-,root,root)
%config %{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/gconf-editor
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/man1/*

%changelog
* Sun Apr 18 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release
- add BuildRequires: gnome-doc-utils, docbook-utils

* Sun Nov  1 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.28.0-1
- new upstream release

* Wed Oct 28 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.1-1
- new upstream release

* Fri Sep 26 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0.1-1
- new upstream release

* Thu Apr 10 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.0-1vl5
- new upstream release

* Wed Jul  4 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.0-0vl1
- new upstream release

* Mon Sep 11 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl2
- add Patch10 to fix incorrect g_free. (<BTS:0168>)

* Tue Mar 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl1
- new upstream release

* Mon Sep 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.0-0vl1
- new upstream release

* Sun Dec 19 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.2-0vl1
- new upstream release
- added Japanese summary

* Sun Sep 07 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl1
- new upstream release

* Wed Dec 25 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.0-0vl2
- remove redhat category

* Mon Dec 16 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.0-0vl1
- build for Vine Linux
- new upstream release

* Thu Aug  8 2002 Havoc Pennington <hp@redhat.com>
- 0.3

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- require gconf 1.2.0, rebuild with that
- use desktop-file-install for .desktop file
- include .desktop file and pixmaps in file list

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue Jun 04 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- 0.2

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- rebuild with new libs

* Fri May 03 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Apr 17 2002 Havoc Pennington <hp@redhat.com>
- Initial build.

