Version:	2.30.0
Release:	2%{?_dist_release}

Name:		gdl
Summary:	Gnome Docking library
License:	LGPL
Group:		Development/Libraries
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	/var/tmp/%{name}-%{version}-root
URL:		http://www.gnome.org/
Summary(ja):	GNOMEドッキングライブラリ

Requires: 	gtk2 >= 2.12.0
#Requires: 	libgnomeui >= 2.6.0
Requires: 	libxml2 >= 2.2.8
#Requires: 	libglade2 >= 2.0.0

BuildRequires: 	gtk2-devel >= 2.12.0
BuildRequires: 	libxml2-devel >= 2.2.8
#BuildRequires:	libglade2 >= 2.0.0

Vendor: Project Vine
Distribution: Vine Linux
Packager: yasumichi

%description
Provides docking features for gtk+. Currently used by anjuta and lumiera.

%description -l ja
GTK+にドッキング機能を提供します。現在はAnjutaとLumieraで使用されています。

%package devel
Summary:	Libraries and include files for gdl.
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Libraries and header files if you want to make use of the gdl library in your
own programs.

%description devel -l ja
プログラムをgdlを使用して構築するのに必要なライブラリとヘッダファイルです。

%prep
%setup -q

%build
%ifarch x86_64
%configure
%else
./configure --prefix=%{_prefix} \
    --bindir=%{_bindir} --mandir=%{_mandir} \
    --localstatedir=%{_localstatedir} --libdir=%{_libdir} \
    --datadir=%{_datadir} --includedir=%{_includedir} \
    --sysconfdir=%{_sysconfdir}
%endif

CFLAGS="$RPM_OPT_FLAGS" make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%doc AUTHORS COPYING ChangeLog NEWS README
%defattr (-, root, root)
%{_libdir}/lib*.so.*
%{_prefix}/share/gdl
%{_prefix}/share/locale/*/LC_MESSAGES/*
%{_prefix}/share/gtk-doc/html/gdl


%files devel
%defattr (-, root, root)
%{_prefix}/include/libgdl-1.0
#%{_prefix}/lib/lib*.a
#%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*

%changelog
* Thu Sep 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-2
- rebuild with rpm-4.8.1 for pkg-config file

* Wed Mar 31 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release.

* Sun Mar 14 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.2-1
- new upstream release.

* Mon Nov 02 2009 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.28.1-1
- new upstream release.
- fixed BR.
- update summary, description and  license.
- add Vendor, Distribution and Packager.


* Thu Jul 30 2009 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.27.3-1
- update from upstream.
- remove libglade from Requires and BuildRequires.

* Thu Jul 30 2009 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.26.0-1
- update from upstream.

* Wed Apr 29 2009 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.26.0-1vl5
- update from upstream.

* Tue May 13 2008 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.7.11-2vl5
- use macro for Release

* Sat May 10 2008 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.7.11-1vl5
- update from upstream.

* Thu May 08 2008 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.7.7-1vl5
- apply new virsioning policy.
- remove *.la

* Sat Jan 05 2008 Shu KONNO <owa@bg.wakwak.com> 0.7.7-0vl1
- fixed %%{_prefix}/lib to %%{_libdir} in %%files section

* Sat Mar 31 2007 Yasumichi Akahoshi <yasumichi@vinelinux.org>
- update from upstream.

* Thu Feb 22 2007 Yasumichi Akahoshi <yasumichi@vinelinux.org>
- packaging for VineSeed.

* Tue Aug 10 2004 Pierre Sarrazin <http://sarrazip.com/>
- Update for version 0.4.0
* Tue Oct 24 2002 Jean Schurger <jschurger@schurger.org
- Update for gnome 2 version
* Wed Aug 8 2001 Jens Finke <jens@gnome.org>
- created spec file
