%define	ver	2.24.0
%define	rel	1%{?_dist_release}

Summary:	Binary file editor for GNOME
Summary(ja):	GNOME用バイナリ・ファイル・エディタ
Name:		ghex
Version:	%{ver}
Release:	%{rel}
License:	GPL
Group:		Applications/Editors

Source:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.22/%{name}-%{ver}.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  libglade2-devel
BuildRequires:  libgnomeprintui-devel
BuildRequires:  gtk2-devel >= 2.10.0
BuildRequires:  libgnomeui-devel >= 2.18.0
Requires:        libglade2
Requires:        libgnomeprintui
Requires:        gtk2 >= 2.10.0
Requires:        libgnomeui >= 2.18.0
Requires(post): scrollkeeper
Requires(post): GConf2
Requires(postun): scrollkeeper

Packager:	ryoichi, daisuke, kazutaka

%description
GHex allows the user to load data from any file, view and edit 
it in either hex or ascii. A must for anyone playing games that
use non-ascii format for saving.

%description -l ja
GHex は16進と ASCIIのどちらのモードでもファイルの読み込み、
表示及び編集が可能です。また 非 ASCII 形式のデータを保存する
機能も備えています。


%prep
%setup -q

%build
%configure --disable-schemas-install --disable-scrollkeeper
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -rf $RPM_BUILD_ROOT%{_localstatedir}/scrollkeeper

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
scrollkeeper-update > /dev/null 2>&1 || :
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="ghex2.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%postun
scrollkeeper-update > /dev/null 2>&1 || :

%files
%defattr(-,root,root)
%doc README COPYING NEWS AUTHORS ChangeLog
%{_bindir}/ghex2
%{_libdir}/*.so.*
%{_datadir}/applications/*
%{_datadir}/gnome/*
%{_datadir}/gnome-2.0/*
%{_datadir}/locale/*
%{_datadir}/icons/*
#{_datadir}/omf/*
%{_sysconfdir}/gconf/schemas/*
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Wed May 13 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.24.0-1
- new upstream release
- add japanese description

* Sun Oct  5 2008 Ryoichi INAGAKI <ryo1@@bc.wakwak.com> 2.22.0-1vl5
- new upstream release

* Thu Sep 25 2008 Shu KONNO <owa@bg.wakwak.com> 2.8.2-1vl5
- applied new versioning policy, spec in utf-8

* Sun Apr 29 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.2-0vl1
- new upstream release

* Fri Nov 12 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.1-0vl1
- new upstream release

* Wed Sep 11 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.0.1-0vl1
- new upstream release

* Sun Jun 22 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.2.1-0vl1
- rebuild with new toolchains and Gnome2

* Wed Dec 19 2001 Akira TAGOH <tagoh@gnome.gr.jp> 1.2.1-0vl1
- New upstream release.
- Fixed the font names for printing.

* Wed Mar 28 2001 Akira TAGOH <tagoh@gnome.gr.jp> 1.2-0vl1
- New upstream release.
- Use rpmmacros.

* Mon Mar 12 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- first release for vine

