Summary: Documentation utilities for the GNOME project
Summary(ja): GNOMEプロジェクト用ドキュメントユーティリティ
Name: gnome-doc-utils
Version: 0.20.1
Release: 2%{?_dist_release}
License: LGPL
Group: Development/Tools
URL: http://www.gnome.org/
Source0: http://ftp.gnome.org/pub/GNOME/sources/gnome-doc-utils/0.20/%{name}-%{version}.tar.bz2
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libxml2-devel >= 2.6.12
BuildRequires: libxslt-devel >= 1.1.8
BuildRequires: python-devel
BuildRequires: python-babel
BuildRequires: pkgconfig
Requires: libxml2 >= 2.6.12
Requires: libxslt >= 1.1.8
Requires: libxml2-python
Requires(post,postun): scrollkeeper

%description
gnome-doc-utils is a collection of documentation utilities for the GNOME
project. Notably, it contains utilities for building documentation and
all auxiliary files in your source tree, and it contains the DocBook
XSLT stylesheets that were once distributed with Yelp.

%prep
%setup -q

%build
%configure --disable-scrollkeeper
## %__make %{?_smp_mflags}
## don't use smp option
%__make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pkgconfig/

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
scrollkeeper-update > /dev/null 2>&1 || :

%postun
scrollkeeper-update > /dev/null 2>&1 || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS README NEWS
%{_bindir}/*
%{python_sitelib}/xml2po
%{_datadir}/pkgconfig/*
%{_datadir}/aclocal/gnome-doc-utils.m4
%{_datadir}/gnome/help/*
%{_datadir}/omf/*
%{_datadir}/xml/*
#{_datadir}/xml2po
%{_mandir}/man1/xml2po.1.gz
%{_datadir}/gnome-doc-utils

%changelog
* Sat Sep 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.20.1-2
- rebuild with rpm-4.8.1 for pkg-config file

* Sat Jul 24 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.20.1-1
- new upstream release

* Wed Mar 31 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.20.0-1
- new upstream release

* Wed Feb 03 2010 Shu KONNO <owa@bg.wakwak.com> 0.18.1-2
- rebuilt with python-2.6.4
- unuse '_smp_mflags'

* Sat Nov 28 2009 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.18.1-1
- new upstream release
- add python-babel, pkgconfig to BuildRequires
- use macro python_sitelib

* Sat Oct 31 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.18.0-1
- new upstream release

* Sun Mar 22 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.16.0-1
- new upstream release

* Mon Jan 19 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.14.2-1vl5
- new upstream release

* Tue Sep 23 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.14.0-1vl5
- spec in UTF-8
- new upstream release

* Thu Mar 20 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.12.2-1vl5
- new upstream release

* Sat Nov 17 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.12.0-0vl1
- new upstream release

* Mon Apr 30 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10.3-0vl1
- new upstream release

* Sat Apr 28 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.1-0vl1
- new upstream release

* Sat Mar 10 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.6.0-0vl3
- add Requires: libxml2-pyhon (required by xml2po)

* Sun Oct 15 2006 NAKAMURA Kenta <kenta@vinelinux.org> 0.6.0-0vl2
- moved pkgconfig/*.pc to %%{_datadir}

* Tue Mar 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.0-0vl1
- new upstream release

* Wed Mar 08 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.7-0vl1
- new upstream release

* Wed Oct 12 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.4.3-0vl1
- new upstream release
- added %post and %postun section for scrollkeeper 

* Sat Oct 08 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.2-0vl1
- new upstream release

* Mon Sep 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.0-0vl1
- new upstream release

* Thu Apr 14 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.2.0-0vl1
- new upstream release

* Thu Mar 24 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1.3-0vl1
- initial build for Vine Linux based on FC package

* Thu Mar 17 2005 Ray Strode <rstrode@redhat.com> - 0.1.3-1
- Update to upstream version 0.1.3

* Wed Feb  2 2005 Nalin Dahyabhai <nalin@redhat.com> - 0.1.2-2
- remove explicit libxml dependency (should have been libxml2)
- add libxml2-devel and libxslt-devel as buildprereqs

* Fri Jan 28 2005 Matthias Clasen <mclasen@redhat.com> - 0.1.2-1
- Initial build.
