%define gtk2_version 2.20.0
%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Summary: A framework for managing user passwords and other secrets
Summary(ja): ユーザのパスワードや秘匿情報を管理するためのフレームワーク
Name: gnome-keyring
Version: 2.30.3
Release: 2%{?_dist_release}
License: GPL/LGPL
Group: System Environment/Libraries
Source: gnome-keyring-%{version}.tar.bz2
URL: http://www.gnome.org
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: gtk2 >= %{gtk2_version}
Requires(post,pre,preun): GConf2
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: GConf2-devel >= 1.0
BuildRequires: dbus-devel >= 1.0
BuildRequires: gettext
BuildRequires: libgcrypt-devel
BuildRequires: libtasn1-devel
BuildRequires: pam-devel
BuildRequires: autoconf, automake, libtool
BuildRequires: intltool
BuildRequires: perl(XML::Parser)

# http://bugzilla.gnome.org/show_bug.cgi?id=484612 
Patch0:    gnome-keyring-2.20-selinux-pam.patch

# autounlock does not currently work, see
# https://bugzilla.redhat.com/show_bug.cgi?id=250147
Patch1: no-autounlock.patch

%description
gnome-keyring manages passwords and other types of secrets
for the user, storing them encrypted with a main password.
Applications can use the gnome-keyring library to integrate
with the keyring.

%package devel
Summary: The files needed for gnome-keyring application development.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: glib2-devel

%description devel
The gnome-keyring-devel package contains the libraries and
include files that you can use to develop applications that
use gnome-keyring.

%package pam
Summary: A pam module for unlocking keyrings at login time
License: LGPLv2+
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
# for /lib/security
Requires: pam

%description pam
The gnome-keyring-pam package contains a pam module that can
automatically unlock the "login" keyring when the user logs in 
and start the keyring daemon.

# compat32
%package -n compat32-%{name}
Summary: A framework for managing user passwords and other secrets
Summary(ja): ユーザのパスワードや秘匿情報を管理するためのフレームワーク
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description -n compat32-%{name}
gnome-keyring manages passwords and other types of secrets
for the user, storing them encrypted with a main password.
Applications can use the gnome-keyring library to integrate
with the keyring.

%package -n compat32-%{name}-devel
Summary: The files needed for gnome-keyring application development.
Group: Development/Libraries
Requires: %{name}-devel = %{version}-%{release}
Requires: compat32-%{name} = %{version}-%{release}
Requires: compat32-glib2-devel

%description -n compat32-%{name}-devel
The gnome-keyring-devel package contains the libraries and
include files that you can use to develop applications that
use gnome-keyring.

%package -n compat32-%{name}-pam
Summary: A pam module for unlocking keyrings at login time
License: LGPLv2+
Group: System Environment/Libraries
Requires: %{name}-pam = %{version}-%{release}
Requires: compat32-%{name} = %{version}-%{release}
# for /lib/security
Requires: compat32-pam

%description -n compat32-%{name}-pam
The gnome-keyring-pam package contains a pam module that can
automatically unlock the "login" keyring when the user logs in 
and start the keyring daemon.

%prep
%setup -q -n gnome-keyring-%{version}

#patch0 -p1 -b .selinux_pam
#patch1 -p1 -b .no-autounlock

%build
%configure --disable-gtk-doc --with-pam-dir=/%{_lib}/security --disable-schemas-install
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install install-pam DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/pam_gnome_keyring.so

%find_lang %{name}

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-keyring/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-keyring/*/*.la
rm -f $RPM_BUILD_ROOT/%{_lib}/security/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post 
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/gnome-keyring.schemas \
    > /dev/null || :
/sbin/ldconfig

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-install-rule \
      %{_sysconfdir}/gconf/schemas/gnome-keyring.schemas \
      > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gnome-keyring.schemas \
      > /dev/null || :
fi

%postun -p /sbin/ldconfig

%post -n compat32-%{name} -p /sbin/ldconfig

%postun -n compat32-%{name} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS NEWS README COPYING COPYING.LIB
%{_sysconfdir}/gconf/schemas/*.schemas
%{_sysconfdir}/xdg/autostart/gnome-keyring-pkcs11.desktop
%{_sysconfdir}/xdg/autostart/gnome-keyring-secrets.desktop
%{_sysconfdir}/xdg/autostart/gnome-keyring-ssh.desktop
%{_bindir}/*
%{_libdir}/lib*.so.*
%dir %{_libdir}/gnome-keyring
%{_libdir}/gnome-keyring/*.so
%{_libdir}/gnome-keyring/devel/*.so
%{_libdir}/gnome-keyring/standalone/*.so
%{_libexecdir}/*
%{_datadir}/dbus-1/services/*
%{_datadir}/gnome-keyring
%dir %{_datadir}/gcr
%{_datadir}/gcr/ui/*.ui

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
## %{_datadir}/gtk-doc/html/gnome-keyring
%{_datadir}/gtk-doc/html/gp11
%{_datadir}/gtk-doc/html/gcr

%files pam
%defattr(-, root, root)
/%{_lib}/security/*.so

# compat32
%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-, root, root)
%{_libdir}/lib*.so.*
%dir %{_libdir}/gnome-keyring
%{_libdir}/gnome-keyring/*.so
%{_libdir}/gnome-keyring/devel/*.so
%{_libdir}/gnome-keyring/standalone/*.so

%files -n compat32-%{name}-devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*

%files -n compat32-%{name}-pam
%defattr(-, root, root)
/%{_lib}/security/*.so
%endif

%changelog
* Tue Sep 21 2010 IWAI, Masaharu <iwai@alib.jp> 2.30.3-2
- build with rpm-4.8.1-1 for pkg-config file

* Sat Jun 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.3-1
- new upstream release

* Sat May 01 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1-1
- new upstream release

* Wed Mar 31 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release
- remove BuildRequires: hal-devel

* Sun Mar 14 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.2-1
- new upstream release
- add BuildRequires: GConf2-devel

* Sat Oct 31 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.28.1-1
- new upstream release

* Sun Jul 12 2009 NAKAMURA Kenta <kenta@vinelinux.org> 2.26.3-2
- added compat32 package for x86_64 arch support

* Sat Jul 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.3-1
- new upstream release

* Sat Apr 25 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.1-1
- new upstream release

* Mon Mar 23 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- new upstream release

* Wed Oct 28 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.1-1
- new upstream release

* Tue Sep 23 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- new upstream release

* Sat May 31 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.2-1
- new upstream release

* Wed Apr  9 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.1-1vl5
- new upstream release

* Sat Mar 22 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.0-1vl5
- new upstream release
- added BuildRequires: libtasn1-devel

* Tue Dec 11 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.20.2-0vl1
- new upstream release
- added a pam subpackage

* Fri Apr 27 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.8.1-0vl1
- new upstream release

* Tue May 16 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.9-0vl1
- new upstream release

* Mon Mar 06 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.8-0vl1
- new upstream release

* Sat Oct 08 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.5-0vl1
- new upstream release

* Wed Sep 21 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.4-0vl1
- new upstream release

* Fri Mar 25 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.2-0vl1
- new upstream version

* Sun Dec 12 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.4.0-0vl1
- new upstream release

* Sun Aug 01 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.2-0vl1
- initial build for Vine Linux based on fedora's spec file.

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Apr  1 2004 Alex Larsson <alexl@redhat.com> 0.2.0-1
- update to 0.2.0

* Wed Mar 10 2004 Alexander Larsson <alexl@redhat.com> 0.1.90-1
- update to 0.1.90

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 24 2004 Alexander Larsson <alexl@redhat.com> 0.1.4-1
- update to 0.1.4

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Jan 30 2004 Alexander Larsson <alexl@redhat.com> 0.1.3-1
- update to 0.1.3

* Mon Jan 26 2004 Bill Nottingham <notting@redhat.com>
- tweak summary

* Mon Jan 26 2004 Alexander Larsson <alexl@redhat.com> 0.1.2-2
- devel package only needs glib2-devel, not gtk2-devel

* Fri Jan 23 2004 Alexander Larsson <alexl@redhat.com> 0.1.2-1
- First version
