# Note that this is NOT a relocatable package
%define	name	gnome-libs
%define	ver	1.4.2
%define	rel	3%{?_dist_release}

Summary:	The libraries needed to run the GNOME GUI desktop environment.
Summary(ja):	GNOME GUI デスクトップ環境に必要なライブラリ集

Name:		%name
Version:	%ver
Release:	%rel
License:	LGPL
Group:		System Environment/Libraries
Source:		ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/1.4/%{name}-%{ver}.tar.bz2
Source2:        gnome-libs-pofiles.tar.gz

URL:		http://www.gnome.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	libutempter-devel
BuildRequires:	zlib-devel
BuildRequires:	db4-devel
BuildRequires:	imlib-devel
BuildRequires:	esound-devel
BuildRequires:	ORBit-devel
BuildRequires:	glib-devel
BuildRequires:	gtk+-devel >= 1.2.5
BuildRequires:	libpng-devel >= 1.2.5
BuildRequires:	libXt-devel
BuildRequires:	libXpm-devel
BuildRequires:  automake14
BuildRequires:  autoconf213

Requires:	gtk+ >= 1.2.5
Requires:	libpng >= 1.2.5
Requires:	gnome-audio
#Requires:	utempter
Requires:	ORBit
Requires:	imlib

Obsoletes:	gnome

# Red Hat-specific patches are prefaced with RH, please.
Patch5:		gnome-libs-gtkrc.patch

Patch25:	http://www.kr.freebsd.org/~hwang/patch/gnome-icon-item.c-preedit-diff
# Enable setting canvas into a "bghack" mode with gtk_object_set_data
Patch34:	gnome-libs-1.2.13-bghack.patch
Patch40:        gnome-libs-1.4.1.2.90-png10.patch
Patch41:        gnome-libs-1.4.1.2.90-db1.patch
Patch42:        gnome-libs-1.4.1.2.90-ac25.patch
Patch44:        gnome-libs-1.4.1.2.90-alpha_size_t.patch
Patch45:        gnome-libs-1.4.1.2.90-moz-remote-fix.patch
Patch46:        gnome-libs-1.4.1.2.90-ghelp.patch
Patch50:        gnome-libs-1.2.13-config-dir-variable.patch
Patch52:        gnome-libs-1.4.1.2.90-htmlview.patch
Patch53:        gnome-libs-1.4.1.2.90-remove-duplicate-definition.patch

# Fedora patches
Patch80:        gnome-libs-1.4.2-multilib.patch
Patch81:        gnome-libs-1.4.2-dateedit-fix1.patch

# source/patch for vine 
Source100:	gnome-libs-gtkrc.ja
Patch100:	gnome-libs-1.0.61-fontset.patch
Patch101:	gnome-libs-1.2.8-vine-font.patch
Patch107:	gnome-libs-1.2.4-zvt-fontsize.patch
Patch108:	gnome-libs-1.2.12-config.patch
Patch109:	gnome-libs-1.4.2-db48.patch
Patch110:	gnome-libs-1.4.2-noxalf.patch
Patch111:	gnome-libs-1.4.2-dentry.patch 
Patch112:	gnome-libs-1.4.2-html_escape.patch
Patch113:	gnome-libs-1.4.2-vine-font.patch
Patch120:	gnome-libs-1.4.2-iconfont.patch

# patch from kondara
Patch200:	gnome-libs-1.0.55-i18nfix.patch 

Packager:       inagaki

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System.  The gnome-libs package
includes libraries that are needed to run GNOME.

%description -l ja
GNOME (GNU Network Object Model Environment) は、
Xウィンドウ・システム用ウィンドウマネージャと結合して利用される、
ユーザ・フレンドリなGUIアプリケーションとデスクトップ・ツールの
セットです。gnome-libsパッケージはGNOMEの実行に必要なライブラリ
郡を含んでいます。

%package devel
Summary:	Libraries and include files for developing GNOME applications.
Summary(ja):	GNOMEアプリケーション開発用のライブラリとインクルードファイル郡
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	imlib-devel
Requires:	ORBit-devel
Requires:	esound-devel
Requires:	gtk+-devel
Obsoletes:	gnome-devel

%description devel
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The gnome-libs-devel package
includes the libraries and include files that you will need to develop
GNOME applications.

You should install the gnome-libs-devel package if you would like to
develop GNOME applications.  You don't need to install gnome-libs-devel
if you just want to use the GNOME desktop environment.

%description -l ja
GNOME (GNU Network Object Model Environment) は、
Xウィンドウ・システム用ウィンドウマネージャと結合して利用される、
ユーザ・フレンドリなGUIアプリケーションとデスクトップ・ツールの
セットです。gnome-libs-develパッケージはGNOMEアプリケーションの
開発に必要なライブラリ郡を含んでいます。

GNOMEアプリケーションを開発したい場合、gnome-libs-develパッケージ
をインストールする必要があります。単にGNOMEデスクトップ環境を利用
するだけなら、gnome-libs-develパッケージは必要ありません。

%prep
%setup -q

cp %{SOURCE100} libgnomeui/gtkrc.ja

%patch5 -p1 -b .gtkrc

%patch25 -p0 -b .iconedit
%patch34 -p1 -b .bghack

## using a perl munge instead to avoid rerunning autoconf
# %patch40 -p1 -b .png10
# %patch41 -p1 -b .db1
%patch42 -p1 -b .ac25
%patch44 -p1 -b .alpha_size_t

%patch45 -p1 -b .moz-remote-fix
%patch46 -p1 -b .ghelp
%patch50 -p1 -b .config-dir-variable
%patch52 -p1 -b .htmlview
%patch53 -p1 -b .remove-duplicate-definition

%patch80 -p1 -b .multilib
%patch81 -p1 -b .dateedit-fix1

%patch100 -p1 -b .fontset
#%patch101 -p1 -b .vine-font
%patch107 -p1 -b .zvt-fontsize
%patch108 -p1 -b .config
%patch109 -p1 -b .db46

%patch110 -p1 -b .noxalf
%patch111 -p1 -b .dentry
%patch112 -p1 -b .html_escape
%patch113 -p1 -b .vine-font
%patch120 -p0 -b .iconfont

%patch200 -p1 -b .i18nfix

# translations
tar zxf %{SOURCE2}


%build
#libtoolize --copy --force
## the gtkrc patch changes a Makefile.am
automake-1.4
autoconf-2.13
%configure --disable-static \
    --enable-prefer-db1 \
    --with-kde-datadir=/usr/share \
    --disable-gtk-doc
make %{?_smp_mflags}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall
mv $RPM_BUILD_ROOT%{_datadir}/doc/gnome-doc $RPM_BUILD_ROOT%{_bindir}
chmod a+x $RPM_BUILD_ROOT%{_bindir}/gnome-doc
mv $RPM_BUILD_ROOT%{_datadir}/doc/mkstub $RPM_BUILD_ROOT%{_bindir}
chmod a+x $RPM_BUILD_ROOT%{_bindir}/mkstub
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp
mv $RPM_BUILD_ROOT%{_datadir}/doc/gnome-doc.el $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp

%find_lang %{name}

## remove unused files
rm -f $RPM_BUILD_ROOT%{_prefix}/doc/*
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la
rm -f $RPM_BUILD_ROOT%{_datadir}/doc/*
rm -rf $RPM_BUILD_ROOT%{_datadir}/gtk-doc/*


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/dns-helper
%{_bindir}/gconfigger
%{_bindir}/gnome-bug
%{_bindir}/gnome-dump-metadata
%{_bindir}/gnome-gen-mimedb
%{_bindir}/gnome-moz-remote
%{_bindir}/gnome-name-service
%{_bindir}/gnome_segv
%{_bindir}/goad-browser
%{_bindir}/loadshlib
%{_bindir}/new-object
%attr(2755, root, utmp) %{_sbindir}/gnome-pty-helper
%{_libdir}/lib*.so.*
%{_datadir}/idl/*
%{_datadir}/pixmaps/*
%{_datadir}/mime-info/gnome.mime
%{_datadir}/type-convert/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%config %{_sysconfdir}/*

%files devel
%defattr(-, root, root)
%doc devel-docs
%{_bindir}/gnome-config
%{_bindir}/libart-config
%{_bindir}/gnome-doc
%{_bindir}/mkstub
%{_libdir}/lib*.so
#{_libdir}/*.a
#{_libdir}/*.la
%{_libdir}/*.sh
%{_libdir}/gnome-libs
%{_includedir}/*
%{_datadir}/aclocal/*
%{_datadir}/gnome
%{_datadir}/emacs/site-lisp/*

%changelog
* Fri Feb 12 2010 NAKAMURA Kenta <kenta@vinelinux.org> 1.4.2-3
- rebuilt with db4-4.8
- updated Patch109: gnome-libs-1.4.2-db48.patch

* Sat May  2 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.4.2-2
- updated Patch109 for using db-4.6.21
- BuildRequires: libutempter-devel instead of utempter
- removed lib*.a

* Sat Jul 26 2008 Shu KONNO <owa@bg.wakwak.com> 1.4.2-1vl5
- removed lib*.la
- removed unused files
- applied new versioning policy and spec in utf-8

* Sat Jun 16 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.4.2-0vl8
- rebuilt for fixing libgnorba.la

* Sun May 20 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.4.2-0vl7
- rebuilt with new toolchains/environment
- updated Patch109 for using db-4.3.29
- added patches from Fedora
  * Fri Mar  9 2007 Paul Howarth <paul@city-fan.org> 1:1.4.2-5
  - Fix GnomeDateEdit time format regression (#230186)
  * Tue Feb 13 2007 Paul Howarth <paul@city-fan.org> 1:1.4.2-4
  - Fix multilib conflict in /etc/mime-magic.dat (#228361)

* Tue Feb 28 2006 Shu KONNO <owa@bg.wakwak.com> 1.4.2-0vl6
- dropt libtoolize
- rebuilt for x86_64 architecture

* Mon Oct 11 2004 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.4.2-0vl5
- rebuilt with db4-4.2.25
- --disable-gtk-doc

* Tue Dec 23 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.4.2-0vl4
- rebuilt with new toolchains
- added Patch120 from Vine Linux 2.6r3 release
- s/Copyright/License/

* Wed Jan 15 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.4.2-0vl3
- rebuilt against libpng >= 1.2.5

* Wed Jan 15 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.4.2-0vl2
- rebuilt against db4 (disabled Patch41, added Patch109)

* Fri Oct 25 2002 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.4.2-0vl1
- new upstream release.
- cleaned patch files (several was merged source)
- noxalf.pactch was renewal   (Patch110)
- vine-font.patch was renewal (Patch113)

* Tue Dec 18 2001 Akira TAGOH <tagoh@gnome.gr.jp> 1.4.1.2-0vl1
- New upstream release.
- Merged several RH patches.

* Wed Mar 21 2001 Akira TAGOH <tagoh@gnome.gr.jp> 1.2.13-0vl1
- New upstream release.
- Use rpmmacros.

* Sat Dec  9 2000 Jun Nishii <jun@vinelinux.org>
- 1.2.8-0vl1

* Mon Oct 16 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.4-0vl3
- zvt default font size changed

* Mon Oct 16 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.4-0vl2
- XmHTML default font size changed

* Wed Jul 19 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 1.2.4
- added dialog_default patch to focus a specfied button for keybord.

* Fri Jun 21 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 1.2.3

* Mon Jun 19 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- added vine's gtkrc.ja.

* Fri Jun  2 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 1.2.1

* Wed May 31 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- modified zvt_mb pach to fix threshold value of MB_CUR_MAX for glibc 2.1.3.

* Mon May 29 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated 1.2.0

* Tue May 16 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated 1.0.61

* Mon May  8 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated 1.0.60
- removed some RH patch (RH-snd*) merged.
- add japo_fix patch to fix a bug that make popt to segfault.

* Wed Mar 29 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated 1.0.57
- remake SPEC from RH6.2 for vine

* Mon Feb 21 2000 Preston Brown <pbrown@redhat.com>
- keyboard mapping follows debian policy, xterm

* Tue Feb 15 2000 Owen Taylor <otaylor@redhat.com>
- Add checks to make sure gnome-terminal survives if the
  bg pixmap vanishes.

* Fri Feb 11 2000 Owen Taylor <otaylor@redhat.com>
- Install gtkrc files in /etc/gnome

* Fri Feb 11 2000 Owen Taylor <otaylor@redhat.com>
- Remove broken alpha timeval fix, fix bug in configure.in
  that was misdetecting ut_tv field of utmpx

* Thu Feb 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up escape sequences in zvt (Bug #9143)

* Fri Feb 04 2000 Elliot Lee <sopwith@redhat.com>
- Accept true/yes/non-zero as TRUE for gnome-config boolean values.

* Wed Feb 03 2000 Havoc Pennington <hp@redhat.com>
- set ECHOK for terminal widget, bug 8823

* Wed Feb 02 2000 Havoc Pennington <hp@redhat.com>
- include man pages in the file list, also bug 8017

* Wed Feb 02 2000 Havoc Pennington <hp@redhat.com>
- Fix an alpha warning bugzilla #8017

* Tue Feb 01 2000 Elliot Lee <sopwith@redhat.com>
- Update to 1.0.55

* Tue Aug 31 1999 Elliot Lee <sopwith@redhat.com>
- Update to 1.0.15

* Mon Aug 30 1999 Elliot Lee <sopwith@redhat.com>
- Merge in various minor things from RHL

* Mon Jun 14 1999 Gregory McLean <gregm@comstar.net>

- Added the -q option to the setup stage, quiet please!

* Tue Mar 2  1999 Gregory McLean <gregm@comstar.net>

- Added some hackage in for the brain dead libtool on the alpha
- Cleaned up the spec file abit to be more consistant.

* Wed Feb 17 1999 Elliot Lee <sopwith@redhat.com>

- Add debugging disabling flags to $CFLAGS

* Fri Nov 20 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>

- use --localstatedir=/var/lib in config state (score files for games
  for exemple will go there).
- added several more files to %files section, in particular language
  files and corba IDLs

* Wed Sep 23 1998 Michael Fulbright <msf@redhat.com>

- Updated to version 0.30

* Mon Apr 13 1998 Marc Ewing <marc@redhat.com>
- Added %{prefix}/lib/gnome-libs

* Fri Mar 13 1998 Marc Ewing <marc@redhat.com>

- Integrate into gnome-libs source tree
