Name: gnome-netstatus
Summary: Applet that displays the network status in a gnome panel.
Summary(ja): GNOMEパネル上にネットワークの状態を表示するアプレット
Version: 2.28.1
Release: 1%{?_dist_release}
Source: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-netstatus/2.28/%{name}-%{version}.tar.bz2
License: GPL
Group: Applications/System
URL: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-netstatus
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: glib2-devel >= 2.20.0
BuildRequires: gtk2-devel >= 2.16.0
BuildRequires: gnome-panel
BuildRequires: perl
BuildRequires: intltool >= 0.35.0
BuildRequires: gnome-doc-utils

%description
 This package contains an applet which provides information
about a network interface on your panel.

%description -l ja
このパッケージは、パネル上にネットワークインターフェースに関する情報を提供
するアプレットが含まれています。

%prep
%setup -q -n %{name}-%{version}

%build
%configure --disable-schemas-install --disable-scrollkeeper

make 

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall src_figdir=../../../../../icons/hicolor/48x48/apps
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache
rm -rf $RPM_BUILD_ROOT/var

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
scrollkeeper-update > /dev/null 2>&1 || :
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="netstatus.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi
  

%postun
scrollkeeper-update > /dev/null 2>&1 || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi


%files -f %{name}.lang
%defattr(-,root,root)
%{_libexecdir}/*
%{_datadir}/%{name}/*
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/icons/hicolor/48x48/apps/gnome-netstatus-*
%{_datadir}/omf/gnome-netstatus
%{_datadir}/gnome/help/gnome-netstatus
%{_libdir}/bonobo/servers/*
%{_sysconfdir}/gconf/schemas/*


%changelog
* Sun Apr 11 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.1-1
- new upstream version

* Mon Nov  2 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.28.0-1
- new upstream version

* Mon Mar 23 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- new upstream release

* Fri May 23 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.1-1
- new versioning policy
- new upstream release

* Mon May  8 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.0-0vl1
- new upstream version
- changed Group:

* Tue Mar 22 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl1
- new upstream version
- add post/pre script

* Wed Dec 15 2004 Yasumichi Akahoshi <w2linux@lapis.plala.or.jp>
- rewrite for Vine Linux.

* Fri Aug 15 2003 Rui M. Seabra <rms@1407.org>
- Create spec
