%define dbus_version 1.2.24
%define dbus_glib_version 0.82
%define gnome_panel_version 2.30.0

Summary: GNOME power management service
Summary(ja): GNOME 電源管理ツール
Name: gnome-power-manager
Version: 2.30.1
Release: 1%{?_dist_release}
License: GPLv2+ and GFDL
Group: Applications/System
URL: http://projects.gnome.org/gnome-power-manager/

Source: http://download.gnome.org/sources/gnome-power-manager/2.28/gnome-power-manager-%{version}.tar.bz2

# for Vine Linux
Patch10: gnome-power-manager-2.28.2-warningflags.patch
Patch11: gnome-power-manager-2.28.2-math.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: autoconf >= 2.65
BuildRequires: libgnomeui-devel
BuildRequires: libglade2-devel
BuildRequires: libwnck-devel
BuildRequires: dbus-devel >= %{dbus_version}
BuildRequires: libnotify-devel
BuildRequires: gnome-panel >= %{gnome_panel_version}
BuildRequires: scrollkeeper
BuildRequires: gnome-doc-utils >= 0.3.2
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: libtool
BuildRequires: cairo-devel
BuildRequires: libcanberra-devel >= 0.10
BuildRequires: unique-devel >= 1.1.6
## BuildRequires: DeviceKit-power-devel >= 008
BuildRequires: upower-devel >= 0.9.0
BuildRequires: intltool
BuildRequires: docbook-utils
Requires: gtk2 >= 2.10.0
Requires: gnome-mime-data
Requires: gnome-icon-theme
Requires: libnotify >= 0.4.3
Requires: dbus-glib >= %{dbus_glib_version}
Requires: dbus-x11 >= %{dbus_version}
Requires: libcanberra-gtk2 >= 0.10
Requires: unique >= 1.1.6
Requires: upower >= 0.9.0
Requires(post,postun): scrollkeeper
Requires(post,pre,preun): GConf2

Vendor:       Project Vine
Distribution: Vine Linux
Packager:     daisuke, Takemikaduchi

%description
GNOME Power Manager uses the information and facilities provided by HAL
displaying icons and handling user callbacks in an interactive GNOME session.
GNOME Power Preferences allows authorised users to set policy and
change preferences.

%package extra
Summary: GNOME Power Manager extra utility programs
Group: Applications/System
Requires: %{name} = %{version}-%{release}

%description extra
Extra GNOME power management applications that are not normally needed.

%prep
%setup -q
#%setup -q -n %{?name}-%{?version}-%{?alphatag}
## %patch10 -p1 -b .warnings
## %patch11 -p1 -b .math
autoreconf -i

%build
%configure \
	--disable-scrollkeeper 
make

# strip unneeded translations from .mo files
# ideally intltool (ha!) would do that for us
# http://bugzilla.gnome.org/show_bug.cgi?id=474987
cd po
grep -v ".*[.]desktop[.]in[.]in$\|.*[.]server[.]in[.]in$" POTFILES.in > POTFILES.keep
mv POTFILES.keep POTFILES.in
intltool-update --pot
for p in *.po; do
  msgmerge $p %{name}.pot > $p.out
  msgfmt -o `basename $p .po`.gmo $p.out
done

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

desktop-file-install --vendor gnome --delete-original                   \
  --dir $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart         		\
  $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart/gnome-power-manager.desktop

# save space by linking identical images in translated docs
helpdir=$RPM_BUILD_ROOT%{_datadir}/gnome/help/%{name}
for f in $helpdir/C/figures/*.png; do
  b="$(basename $f)"
  for d in $helpdir/*; do
    if [ -d "$d" -a "$d" != "$helpdir/C" ]; then
      g="$d/figures/$b"
      if [ -f "$g" ]; then
        if cmp -s $f $g; then
          rm "$g"; ln -s "../../C/figures/$b" "$g"
        fi
      fi
    fi
  done
done

%find_lang %name --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/gnome-power-manager.schemas >/dev/null || :
scrollkeeper-update -q &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
    gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gnome-power-manager.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gnome-power-manager.schemas > /dev/null || :
fi

%postun
scrollkeeper-update -q &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
    gtk-update-icon-cache -q %{_datadir}/icons/hicolor &> /dev/null || :
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_bindir}/gnome-power-bugreport.sh
%{_bindir}/gnome-power-manager
%{_bindir}/gnome-power-preferences
%dir %{_datadir}/gnome-power-manager
%{_datadir}/gnome-power-manager/acme.ui
%{_datadir}/gnome-power-manager/gpm-prefs.ui
%{_datadir}/gnome-power-manager/gpm-feedback-widget.ui
%{_mandir}/man1/gnome-power-manager.1.gz
%{_mandir}/man1/gnome-power-preferences.1.gz
%{_sysconfdir}/gconf/schemas/*.schemas
%{_datadir}/dbus-1/services/gnome-power-manager.service
#%{_datadir}/omf/gnome-power-manager
%{_sysconfdir}/xdg/autostart/*.desktop
%{_datadir}/gnome-power-manager/icons/hicolor/*/*/*.*
%{_datadir}/icons/hicolor/*/apps/gnome-power-manager.*
%{_datadir}/applications/gnome-power-preferences.desktop
%{_libexecdir}/gnome-brightness-applet
%{_libdir}/bonobo/servers/GNOME_BrightnessApplet.server
%{_datadir}/gnome-2.0/ui/GNOME_BrightnessApplet.xml
%{_datadir}/icons/hicolor/*/apps/gnome-brightness-applet.*

%files extra
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/gnome-power-statistics
%{_mandir}/man1/gnome-power-statistics.1.gz
%{_datadir}/gnome-power-manager/gpm-statistics.ui
%{_datadir}/applications/gnome-power-statistics.desktop
%{_datadir}/icons/hicolor/*/apps/gnome-power-statistics.*
%{_libexecdir}/gnome-inhibit-applet
%{_libdir}/bonobo/servers/GNOME_InhibitApplet.server
%{_datadir}/gnome-2.0/ui/GNOME_InhibitApplet.xml
%{_datadir}/icons/hicolor/*/apps/gnome-inhibit-applet.*

%changelog
* Sat May 01 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1-1
- new upstream release

* Sat Apr 10 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release
- remove Patch1, Patch2, Patch3
- change BuildRequires: DeviceKit-power-devel -> upower-devel
- change Requires: DeviceKit-power -> upower

* Sun Feb 28 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.3-1
- new upstream release
- change BuildRequires: xmlto -> docbook-utils
- remove BuildReuiqres: hal-devel

* Sun Feb 28 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.3-1
- new upstream release

* Tue Dec 29 2009 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.2-1
- merge spec file from FC package
- add Patch1, Patch2 and Patch3 from FC package
- add Patch10 and Patch11 for Vine Linux
- remove configure option --enable-policykit
- add new package (extra)

* Sun Apr 26 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.4-1
- new upstream release

* Wed Oct 28 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.1-1
- new upstream release

* Thu Sep 25 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- new upstream release

* Sun Apr 13 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.1-1vl5
- new upstream release

* Sun Jan 12 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.20.2-0vl1
- new upstream release

* Fri May 11 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.2-0vl2
- rebuild with new environment/toolchain

* Sat Apr 28 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.2-0vl1
- new upstream release
- drop Patch10 to enable suspend-to-ram.

* Thu Sep 07 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.16.0-0vl1
- new upstream release

* Tue Aug 08 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.15.91-0vl1
- new upstream release

* Mon Jul 24 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.15.90-0vl1
- new upstream release

* Wed Jun 21 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.15.3-0vl1
- new upstream release

* Wed May 31 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.15.2-0vl1
- new upstream release

* Wed Apr 26 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.15.1-0vl1
- new upstream release

* Mon Apr 17 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.15.0-0vl1
- new upstream release

* Mon Apr 10 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.1-0vl1
- new upstream release

* Thu Mar 30 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl3
- add Patch10 to disable suspend-to-ram by default.

* Thu Mar 30 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl2
- update ja.po from CVS head.

* Thu Mar 23 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl1
- new upstream release

* Sun Mar 12 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.13.93-0vl1
- initial build for Vine Linux based on FC package

* Mon Mar  6 2006 Ray Strode <rstrode@redhat.com> - 2.13.93-4
- fix the fix in -2 and -3

* Mon Mar  6 2006 Ray Strode <rstrode@redhat.com> - 2.13.93-3
- fix the fix in -2

* Mon Mar  6 2006 Ray Strode <rstrode@redhat.com> - 2.13.93-2
- fix icon in bubbles (bug 184192). 

* Fri Mar  3 2006 Ray Strode <rstrode@redhat.com> - 2.13.93-1
- Update to 2.13.93
- ignore d-bus timeout errors

* Thu Mar  2 2006 Ray Strode <rstrode@redhat.com> - 2.13.92-3
- Add patch from Richard Hughes to potentially fix a
  crasher bug (bug 183127)

* Tue Feb 28 2006 Karsten Hopp <karsten@redhat.de> 2.13.92-2
- Buildrequires: gnome-doc-utils

* Sun Feb 26 2006 Ray Strode <rstrode@redhat.com> - 2.13.92-1
- Update to 2.13.92

* Tue Feb 21 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.91-1
- Update to 2.13.91
- Drop upstreamed patch

* Wed Feb 15 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.90-1
- Update to 2.13.90
- Require dbus-x11 (#176656)

* Sun Feb 13 2006 Ray Strode <rstrode@redhat.com> - 2.13.5.0.20060207-2
- remove Hibernate and Suspend from menus as part of
  panel/g-p-m integration effort

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.13.5.0.20060207-1.1
- bump again for double-long bug on ppc(64)

* Tue Feb  7 2006 Ray Strode <rstrode@redhat.com> - 2.13.5.0.20060207-1
- pull cvs snapshot from HEAD and drop the patches caillon
  just added

* Tue Feb  7 2006 Christopher Aillon <caillon@redhat.com> - 2.13.5-3
- Install into the autostart directory
- Don't suspend on lid close while on AC power

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.13.5-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Jan 31 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.5-2
- rebuild 

* Thu Jan 26 2006 Ray Strode <rstrode@redhat.com> - 2.13.5-1
- packaging tweaks

* Thu Jan 26 2006 Christopher Aillon <caillon@redhat.com> 2.13.5-1
- Update to 2.13.5

* Tue Jan 24 2006 Christopher Aillon <caillon@redhat.com> - 0.3.4-2
- Left clicking on the applet should bring up the menu

* Tue Jan 17 2006 Ray Strode <rstrode@redhat.com> - 0.3.4-1
- update to 0.3.4
- disable updating scrollkeeper database in buildroot
  (move to %%post)

* Fri Jan  6 2006 Jeremy Katz <katzj@redhat.com> - 0.3.3-0.cvs.20060106
- update to a cvs snap so that it works with hal cvs snap
- make sure we use libnotify

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com> - 0.3.1-2.1
- rebuilt

* Thu Dec 01 2005 John (J5) Palmieri <johnp@redhat.com> - 0.3.1-2
- rebuild for new dbus

* Mon Nov 28 2005 Christopher Aillon <caillon@redhat.com> 0.3.1-1
- Update to 0.3.1

* Fri Nov 25 2005 Christopher Aillon <caillon@redhat.com> 0.3.0-1
- Update to 0.3.0

* Wed Oct 19 2005 Ray Strode <rstrode@redhat.com> 0.2.8-1
- update to 0.2.8

* Wed Oct  3 2005 Ray Strode <rstrode@redhat.com> 0.2.6-1
- update to 0.2.6

* Wed Sep 28 2005 Ray Strode <rstrode@redhat.com> 0.2.4-1
- update to 0.2.4

* Fri Sep 02 2005 David Zeuthen <davidz@redhat.com> 0.2.3.1-1
- Initial import based on an SRPM from Richard Hughes

