%define libbonobo_version 2.24.1
%define gconf2_version 2.26.0
%define gtkdoc_version 1.1
%define gnome_mime_data_version 2.18.0
%define gamin_version 0.1.10
%define vine_menus_version 3.0
%define samba_version 3.2.5
%define hal_version 0.5.11
%define gnome_mount_version 0.8
%define avahi_version 0.6.23
%define dbus_version 1.0
%define dbus_glib_version 0.73

%define po_package gnome-vfs-2.0

%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Summary: The GNOME virtual file-system libraries.
Summary(ja): GNOME 仮想ファイルシステムライブラリ
Name: gnome-vfs2
Version: 2.24.3
Release: 2%{?_dist_release}
License: LGPL
Group: System Environment/Libraries
Source: http://ftp.gnome.org/pub/GNOME/sources/gnome-vfs/2.24/gnome-vfs-%{version}.tar.bz2
URL: http://www.gnome.org/

BuildRoot:     %{_tmppath}/%{name}-%{version}-root
Requires:      gnome-mime-data >= %{gnome_mime_data_version}
Requires:      shared-mime-info
Requires:      gamin >= %{gamin_version}
Requires:      vine-menus >= %{vine_menus_version}
Requires(post,pre,preun): GConf2 >= %{gconf2_version}

BuildRequires: libbonobo-devel >= %{libbonobo_version}
BuildRequires: GConf2-devel >= %{gconf2_version}
BuildRequires: gnome-mime-data >= %{gnome_mime_data_version}
BuildRequires: gamin-devel >= %{gamin_version}
BuildRequires: glib2-devel, libxml2-devel, zlib-devel
BuildRequires: popt-devel, bzip2-devel, ORBit2-devel, openjade
BuildRequires: pkgconfig
BuildRequires: gnome-mime-data >= %{gnome_mime_data_version}
BuildRequires: gtk-doc >= %{gtkdoc_version}
BuildRequires: libsmbclient-devel >= %{samba_version}
BuildRequires: hal-devel >= %{hal_version}
BuildRequires: gnome-mount-devel >= %{gnome_mount_version}
BuildRequires: avahi-glib-devel >= %{avahi_version}
BuildRequires: dbus-devel >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: automake, autoconf

Patch3: gnome-vfs-2.9.90-modules-conf.patch

# send to upstream
Patch101: gnome-vfs-2.8.2-schema_about_for_upstream.patch

Patch201: gnome-vfs-2.8.1-console-mount-opt.patch

# RH bug #197868
Patch6: gnome-vfs-2.15.91-mailto-command.patch

# https://bugzilla.redhat.com/show_bug.cgi?id=333041
# https://bugzilla.redhat.com/show_bug.cgi?id=335241
Patch300: gnome-vfs-2.20.0-ignore-certain-mountpoints.patch

# vine default
Patch1000: gnome-vfs2-2.22.0-vine.patch


%description
GNOME VFS is the GNOME virtual file system. It is the foundation of
the Nautilus file manager. It provides a modular architecture and
ships with several modules that implement support for file systems,
http, ftp, and others. It provides a URI-based API, backend
supporting asynchronous file operations, a MIME type manipulation
library, and other features.

%package devel
Summary: Libraries and include files for developing GNOME VFS applications.
Summary(ja): GNOME VFS アプリケーション開発用ライブラリ
Group: Development/Libraries
Requires:  %{name} = %{version}-%{release}
Requires:  GConf2-devel >= %{gconf2_version}
Requires:  libbonobo-devel >= %{libbonobo_version}
Conflicts: bonobo-devel < 1.0.8
Conflicts: gnome-vfs-devel < 1.0.2

%description devel
This package provides the necessary development libraries for writing
GNOME VFS modules and applications that use the GNOME VFS APIs.

%package smb
Summary: Windows fileshare support for gnome-vfs
Summary(ja): gnome-vfs の Windows ファイル共有サポート
Group: System Environment/Libraries
Requires:  %{name} = %{version}
Requires:  samba-common >= %{samba_version}
Obsoletes: gnome-vfs2-extras
Provides:  gnome-vfs2-extras

%description smb
This package provides support for reading and writing files on windows
shares (SMB) to applications using GNOME VFS.

# compat32
%package -n compat32-%{name}
Summary: The GNOME virtual file-system libraries.
Summary(ja): GNOME 仮想ファイルシステムライブラリ
Group: System Environment/Libraries
Requires:  %{name} = %{version}-%{release}

%description -n compat32-%{name}
GNOME VFS is the GNOME virtual file system. It is the foundation of
the Nautilus file manager. It provides a modular architecture and
ships with several modules that implement support for file systems,
http, ftp, and others. It provides a URI-based API, backend
supporting asynchronous file operations, a MIME type manipulation
library, and other features.

%package -n compat32-%{name}-devel
Summary: Libraries and include files for developing GNOME VFS applications.
Summary(ja): GNOME VFS アプリケーション開発用ライブラリ
Group: Development/Libraries
Requires:  %{name}-devel = %{version}-%{release}
Requires:  compat32-%{name} = %{version}-%{release}
Requires:  compat32-GConf2-devel >= %{gconf2_version}
Requires:  compat32-libbonobo-devel >= %{libbonobo_version}

%description -n compat32-%{name}-devel
This package provides the necessary development libraries for writing
GNOME VFS modules and applications that use the GNOME VFS APIs.


%prep
%setup -q -n gnome-vfs-%{version}
  
%patch3 -p1 -b .modules-conf
%patch6 -p1 -b .mailto-command

# send to upstream
%patch101 -p1 -b .schema_about

%patch201 -p0 -b .console

%patch300 -p1 -b .ignore-certain-mount-points

# Vine
%patch1000 -p1 -b .browser_default

# for patch 10
autoheader
autoconf

%build
if pkg-config openssl ; then
	CPPFLAGS=`pkg-config --cflags openssl`; export CPPFLAGS
	LDFLAGS=`pkg-config --libs-only-L openssl`; export LDFLAGS
fi

%configure --disable-gtk-doc --enable-hal

export tagname=CC
make LIBTOOL=/usr/bin/libtool

%install
rm -fr $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export tagname=CC
make install DESTDIR=$RPM_BUILD_ROOT LIBTOOL=/usr/bin/libtool
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/lib*.{a,la}
rm -f $RPM_BUILD_ROOT%{_libdir}/*.{a,la}
rm -f $RPM_BUILD_ROOT%{_libdir}/bonobo/monikers/*.{a,la}

%find_lang %{po_package}

%clean
rm -fr $RPM_BUILD_ROOT

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="system_http_proxy.schemas system_dns_sd.schemas system_smb.schemas \
         desktop_gnome_url_handlers.schemas \
         desktop_default_applications.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule \
      %{_sysconfdir}/gconf/schemas/$S > /dev/null || :
done

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  SCHEMAS="system_http_proxy.schemas system_dns_sd.schemas system_smb.schemas \
           desktop_gnome_url_handlers.schemas \
           desktop_default_applications.schemas"
  for S in $SCHEMAS; do
      gconftool-2 --makefile-uninstall-rule \
	  %{_sysconfdir}/gconf/schemas/$S > /dev/null || :
  done
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  SCHEMAS="system_http_proxy.schemas system_dns_sd.schemas system_smb.schemas \
           desktop_gnome_url_handlers.schemas \
           desktop_default_applications.schemas"
  for S in $SCHEMAS; do
      gconftool-2 --makefile-uninstall-rule \
	  %{_sysconfdir}/gconf/schemas/$S > /dev/null || :
  done
fi

%postun -p /sbin/ldconfig

%post -n compat32-%{name} -p /sbin/ldconfig

%postun -n compat32-%{name} -p /sbin/ldconfig

%files -f %{po_package}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%dir %{_sysconfdir}/gnome-vfs-2.0
%dir %{_sysconfdir}/gnome-vfs-2.0/modules
%config %{_sysconfdir}/gnome-vfs-2.0/modules/*.conf
%exclude %{_sysconfdir}/gnome-vfs-2.0/modules/smb-module.conf
%{_bindir}/*
%{_libexecdir}/*
%{_libdir}/*.so.*
%{_libdir}/gnome-vfs-2.0/modules
%exclude %{_libdir}/gnome-vfs-2.0/modules/libsmb.so
%dir %{_libdir}/gnome-vfs-2.0
%{_sysconfdir}/gconf/schemas/*
%{_datadir}/dbus-1/services/gnome-vfs-daemon.service

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/gnome-vfs-2.0/include/*.h
%{_includedir}/*
%{_datadir}/gtk-doc/html/*

%files smb
%defattr(-, root, root)
%{_libdir}/gnome-vfs-2.0/modules/libsmb.so
%config %{_sysconfdir}/gnome-vfs-2.0/modules/smb-module.conf

# compat32
%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-, root, root)
%{_libdir}/*.so.*
%{_libdir}/gnome-vfs-2.0/modules
%exclude %{_libdir}/gnome-vfs-2.0/modules/libsmb.so
%dir %{_libdir}/gnome-vfs-2.0

%files -n compat32-%{name}-devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/gnome-vfs-2.0/include/*.h
%endif


%changelog
* Tue Sep 21 2010 IWAI, Masaharu <iwai@alib.jp> 2.24.3-2
- build with rpm-4.8.1-1 for pkg-config file

* Tue Jun 29 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.24.3-1
- new upstream release

* Sat Oct 31 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.24.2-1
- new upstream release

* Sun Jul 12 2009 NAKAMURA Kenta <kenta@vinelinux.org> 2.24.1-2
- added compat32 package for x86_64 arch support
- removed static libraries

* Fri Mar 20 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.1-1
- new upstream release

* Tue Sep 23 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- new upstream release

* Mon Mar 31 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.0-2vl5
- added Patches from Fedora Core
  * Tue Oct 16 2007 David Zeuthen <davidz@redhat.com> - 2.20.0-3
  - Also avoid showing /var/tmp as an icon on the desktop (#335241)
  * Wed Sep 12 2007 Matthias Clasen <mclasen@redhat.com> - 2.19.91-2
  - Fix a small memory leak
- updated Patch1000

* Sat Mar 22 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.0-1vl5
- new upstream release(Patch31 was merged into upstream)

* Sun Dec  9 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.20.1-0vl1
- new upstream release

* Sun May 20 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.1-0vl2
- rebuilt with new toolchain and openssl-0.9.8e

* Mon Apr 30 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.1-0vl1
- new upstream release
- add Paatch31/32 from fedora

* Fri Apr 27 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.0.1-0vl2
- rebuild with dbus-1.0/dbus-glib-0.73
- add BuildRequires: dbus-devel >= 1.0, dbus-glib-devel >= 0.73

* Wed Apr 25 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.0.1-0vl1
- new upstream release

* Mon Aug 28 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.2-0vl4
- add Requires: gamin and BuildRequires: gamin-devel
- remove fam dependency (replaced by gamin)

* Fri Jul 28 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.14.2-0vl3
- add BuildRequires: samba-libsmbclient-devel instead of samba-libsmbclient

* Sun Jun 11 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.2-0vl2
- remove Patch10 to fix smb browsing

* Sat Jun 03 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.2-0vl1
- new upstream release

* Mon May 08 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.1-0vl1
- new upstream release
- add BuildRequires: avahi-glib-devel instead of avahi-glib

* Tue Mar 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl1
- new upstream release
- build with avahi, add BuildRequires: avahi

* Sat Mar 11 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.13.92-0vl3
- re-numbering patches
- update Patch100 to change default url-handlers for vine

* Fri Mar 10 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.13.92-0vl2
- use "make install DESTDIR.." instead of "%%makeinstall" to remove
  bogus buildroot path from server location in GNOME_VFS_Daemon.server
- remove unneeded files

* Mon Mar 06 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.13.92-0vl1
- new upstream release

* Wed Nov 30 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.2-0vl1
- new upstream release

* Sat Oct 08 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.1.1-0vl1
- new upstream release

* Wed Oct 05 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.1-0vl1
- new upstream release

* Sun Sep 18 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.0-0vl1
- new upstream release

* Wed Aug 24 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.11.92-0vl1
- new upstream release

* Tue Aug 02 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.11.90-0vl1
- new upstream release

* Mon Jul 11 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.1-0vl1
- new upstream release
- build with hal

* Mon Mar 28 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl3
- remove bonobo-activation dependency

* Fri Mar 25 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl2
- add Patch1000 from ubuntu package

* Mon Mar 21 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl1
- new upstream version

* Thu Feb 24 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.4-0vl1
- new upstream release

* Sun Nov 07 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.3-0vl1
- new upstream release
- add smb subpackage and obsolete gnome-vfs2-extras

* Sun Jul 18 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.3-0vl2
- update vine patch to add missing patch for preferences vfolder.

* Sun Jul 18 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.3-0vl1
- new upstream release
- update vine patch

* Sat Jan 31 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.2-0vl1
- new upstream release

* Sun Dec 28 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.1-0vl2
- rebuild with new toolchain

* Fri Oct 17 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.1-0vl1
- new upstream release

* Wed Sep 10 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl1
- new upstream release

* Fri Sep 05 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.90-0vl1
- new upstream release

* Wed Sep 03 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.8-0vl2
- update applications-all-users.vfolder-info

* Wed Sep 03 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.8-0vl1
- new upstream release

* Tue Jun 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.5-0vl1
- new upstream release

* Sun May 18 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.4-0vl2
- modified vfolder-info for Vine Linux.

* Wed May 07 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.4-0vl1
- new upstream release
- drop redhat customized patches.

* Fri Apr 25 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.3-0vl1
- new upstream release

* Wed Jan 22 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0-0vl2
- rebuild

* Tue Jan 21 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0-0vl1
- new upstream release

* Thu Jan 16 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.91-0vl1
- new upstream release

* Fri Jan 10 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.6-0vl1
- new upstream release

* Wed Jan  8 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl2
- fixed dependancy.

* Thu Dec 26 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl1
- new upstream release

* Sun Dec 15 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.4-0vl2
- build for Vine Linux

* Sun Nov 10 2002 Havoc Pennington <hp@redhat.com>
- 2.1.3
- update moved-menu-files patch

* Wed Oct 23 2002 Havoc Pennington <hp@redhat.com>
- add patch for OnlyShowIn support
- use plain menu files for .vfolder-info-default
- don't install unused vfolder-info files

* Tue Oct  8 2002 Havoc Pennington <hp@redhat.com>
- require new gnome-mime-data in proper libdir
- 2.0.4
- drop most patches as they are now upstream or 
  don't apply to new vfolder code

* Fri Aug 30 2002 Owen Taylor <otaylor@redhat.com>
- Backport a gnome-vfs locking fix from CVS 
  (Hopefully fixes #71419)

* Fri Aug 23 2002 Havoc Pennington <hp@redhat.com>
- make vfolder method read-only #72208

* Mon Aug 19 2002 Jonathan Blandford <jrb@redhat.com>
- notice when new files are installed

* Tue Aug 13 2002 Havoc Pennington <hp@redhat.com>
- don't include pointless .a files

* Fri Aug  2 2002 Havoc Pennington <hp@redhat.com>
- 2.0.2
- use vfolders for system-settings and server-settings

* Tue Jul 16 2002 Havoc Pennington <hp@redhat.com>
- fix OnlyShowIn

* Tue Jun 25 2002 Owen Taylor <otaylor@redhat.com>
- Version 2.0.1, fix missing po files

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 2.0.0
- put schema files in file list, and install them
- put libdir/vfs in file list

* Tue Jun 11 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue Jun 11 2002 Havoc Pennington <hp@redhat.com>
- look for menus in redhat-menus

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 1.9.16

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- 1.9.15
- comment out docdir patch for now

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 1.9.14

* Thu Apr  4 2002 Jeremy Katz <katzj@redhat.com>
- 1.9.11
- update file list

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- 1.9.7

* Thu Jan 31 2002 Owen Taylor <otaylor@redhat.com>
- Fix location of installed docs not to conflict with gnome-vfs1

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Rebuild with new libs

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jan  3 2002 Havoc Pennington <hp@redhat.com>
- 1.0.4.91 snap

* Mon Nov 26 2001 Havoc Pennington <hp@redhat.com>
- 1.9.4.90 snap
- require gnome-mime-data

* Sun Oct 28 2001 Havoc Pennington <hp@redhat.com>
- new snap, rebuild for glib 1.3.10

* Fri Oct  5 2001 Havoc Pennington <hp@redhat.com>
- cvs snap

* Fri Sep 21 2001 Havoc Pennington <hp@redhat.com>
- rebuild cvs snap with changes merged upstream
- fix a requires
- fix up requires/buildrequires a bit

* Tue Sep 18 2001 Havoc Pennington <hp@redhat.com>
- initial gnome-vfs2 build, remove all patches
- change config files not to be noreplace

* Mon Aug 27 2001 Havoc Pennington <hp@redhat.com>
- Add po files from sources.redhat.com

* Mon Aug 20 2001 Havoc Pennington <hp@redhat.com>
- fix #51864 (Gimp can't handle file: URIs)

* Mon Aug 20 2001 Alexander Larsson <alexl@redhat.com> 1.0.1-15
- Moved gnome-conf and pkgconfig files to the devel package
- Fixes SHOULD-FIX bug #49795

* Mon Aug  6 2001 Alexander Larsson <alexl@redhat.com> 1.0.1-14
- Added a patch that fixed AbiWord mimetype handling.

* Fri Jul 27 2001 Jonathan Blandford <jrb@redhat.com>
- Add .desktop file sniffing

* Tue Jul 24 2001 Havoc Pennington <hp@redhat.com>
- don't do the giant trash scan thing; did not play nice
  with NFS.

* Tue Jul 24 2001 Havoc Pennington <hp@redhat.com>
- fix desktop-file.conf file

* Tue Jul 24 2001 Havoc Pennington <hp@redhat.com>
- change some URI scheme names

* Fri Jul 20 2001 Alexander Larsson <alexl@redhat.com>
- Add pkgconfig and gnome-libs-devel build reqs.
- Remove dependency on gnome-vfs-devel by doing some
- CPPFLAGS and LDFLAGS magic

* Wed Jul 11 2001 Havoc Pennington <hp@redhat.com>
- add missing directories

* Tue Jul 10 2001 Havoc Pennington <hp@redhat.com>
- fix a segv
- change which dirs the desktop VFS module points to

* Sun Jul 08 2001 Havoc Pennington <hp@redhat.com>
- add desktop VFS module hack

* Fri Jul  6 2001 Trond Eivind Glomsr藷?<teg@redhat.com>
- Remove Distribution and Vendor
- Make the config files noreplace
- Move .so links to devel subpackage
- langify
- Add BuildRequires
- Don't mess with /etc/ld.so.conf
- Use %%{_tmppath}
- s/Copyright/License/

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Wed May  9 2001 Jonathan Blandford <jrb@redhat.com>
- New Version.

* Tue Apr 17 2001 Jonathan Blandford <jrb@redhat.com>
- New Version.
- clean up spec file some.

* Mon Feb 19 2001 Gregory Leblanc <gleblanc@cu-portland.edu>
- fix paths and macros

* Tue Feb 22 2000 Ross Golder <rossigee@bigfoot.com>
- Integrate into source tree
