Summary:     gnubiff is a mail notification program
Summary(ja): Gnome 対応のメールチェッカー
Name:        gnubiff
Version:     2.2.11
Release:     1%{?_dist_release}
Source0:     %{name}-%{version}.tar.gz
Patch0:	     gnubiff-2.2.10-extradeps.patch
License:     GNU General Public License
Group:       Applications/Internet
URL:         http://gnubiff.sourceforge.net/

Requires:    gamin gtk2 libglade2 gnome-desktop gnome-desktop-libs 
Requires:    expat libexpat perl-XML-Parser popt openssl 
BuildRequires: gamin-devel gtk2-devel libglade2-devel gnome-desktop-devel 
BuildRequires: expat-devel perl-XML-Parser popt-devel openssl-devel 

Requires(post):	info
Requires(preun): info

BuildRoot:   %{_tmppath}/%{name}-%{version}-root

%description
gnubiff is a mail notification program that checks for mail and displays 
headers when new mail has arrived.

%description -l ja
gnubiff はメールサーバーに問い合わせをして，新着メールがあったときに
ヘッダーを表示するメール通知プログラムです．

%prep
%setup -q
%patch0 -p1 -b .extradeps

%build
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
    --enable-fam \
	--enable-gnome \
    --with-password \
	--with-password-string 
%__make

%install
%__rm -rf ${RPM_BUILD_ROOT}
%__make DESTDIR=${RPM_BUILD_ROOT} install


%find_lang %{name}

%post 
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :


%preun 
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/%{name}.info \
  %{_infodir}/dir >/dev/null 2>&1 || :
fi


%clean
%__rm -rf ${RPM_BUILD_ROOT}


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING LICENSE NEWS README THANKS TODO
%{_bindir}/gnubiff
%{_libdir}/bonobo/servers/GNOME_gnubiffApplet.server
%{_datadir}/gnome-2.0/ui/GNOME_gnubiffApplet.xml
%{_datadir}/gnubiff
%{_infodir}/gnubiff.info.gz
%{_mandir}/man1/gnubiff.1.gz
%{_datadir}/pixmaps/gnubiff.png


%changelog
* Sat May 23 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 2.2.11-1
- new upstream release
- added gnubiff-2.2.10-extradeps.patch from Fedora
- added %%post, %%preun for gnubiff.info

* Sat Dec 13 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 2.2.10-2
- fixed typo in spec

* Sun Sep 7 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 2.2.10-1
- apply new versioning policy 
- spec in utf-8
- source update
- rename BuildRequires: popt-devel

* Fri Feb 15 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 2.2.9-0vl1
- source update

* Sun Jan 06 2008 Shu KONNO <owa@bg.wakwak.com> 2.2.8-0vl3
- added libdir to configure

* Mon Sep 17 2007 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 2.2.8-0vl1
- source update

* Thu Jul 26 2007 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 2.2.7-0vl2
- rebuild for VineSeed

* Thu Jul 26 2007 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 2.2.7-0vl1
- source update

* Sun Jun 3 2007 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 2.2.6-0vl2
- rebuild for VineSeed

* Fri Apr 27 2007 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 2.2.6-0vl1
- source update

* Wed Mar 14 2007 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 2.2.5-0vl1
- initial build for Vine Linux 4.1

#* Sun Feb 25 2007 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 2.2.5-0vlmp1
#- initial build for Vine Linux 4.0


# end of file
