Name:           graphviz
Version:        2.20.3
Release:        2%{?_dist_release}
Group:          Applications/Graphics
License:        CPL
URL:            http://www.graphviz.org/
Summary:        Graph Visualization Tools
Source:         http://www.graphviz.org/pub/%{name}/ARCHIVE/%{name}-%{version}.tar.gz
Source:         http://www.graphviz.org/pub/%{name}/stable/SOURCES/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  freetype2-devel libjpeg-devel libpng-devel zlib-devel
BuildRequires:  expat-devel flex bison pkgconfig
BuildRequires:  swig ruby-devel
BuildRequires:  tcl >= 8.4, tk >= 8.4
BuildRequires:  libtool-ltdl-devel >= 2.2.6a
Requires:       freetype2 libjpeg libpng zlib libexpat

%description
A collection of tools and tcl packages for the manipulation and layout
of graphs (as in nodes and edges, not as in barcharts).

%package tcl
Group:          Applications/Graphics
Summary:        Tcl extension tools for version %{version} of %{name}
Requires:       tcl >= 8.4, tk >= 8.4
Requires:       %{name} = %{version}
Provides:       %{name}-tcl = %{version}

%description tcl
The %{name}-tcl package contains the various tcl packages (extensions)
for version %{version} of the %{name} tools.

%package devel
Group:          Development/Libraries
Summary:        Development tools for version %{version} of %{name}
Requires:       %{name} = %{version}
Provides:       %{name}-devel = %{version}

%description devel
The %{name}-devel package contains the header files
and man3 pages necessary for developing programs
using version %{version} of the %{name} libraries.

%prep
%setup -q

%build
CFLAGS=${CFLAGS-"$RPM_OPT_FLAGS"}
CXXFLAGS=${CXXFLAGS-"$CFLAGS"}
export CFLAGS CXXFLAGS
./configure \
      --prefix=%{_prefix} \
      --bindir=%{_bindir} \
      --libdir=%{_libdir} \
      --includedir=%{_includedir} \
      --datadir=%{_datadir} \
      --mandir=%{_mandir} \
      --disable-rpath \
      --disable-static \
      --without-ipsepcola \
      --with-mylibgd \
      --without-ming \
      --disable-sharp \
      --disable-guile \
      --disable-io \
      --disable-java \
      --disable-lua \
      --disable-ocaml \
      --disable-perl \
      --disable-php \
      --disable-python \
      --disable-ruby

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

find ${RPM_BUILD_ROOT} -type f -name "*.la" -exec rm -f {} ';'
chmod -x $RPM_BUILD_ROOT%{_datadir}/%{name}/lefty/*
cp -a $RPM_BUILD_ROOT%{_datadir}/%{name}/doc __doc
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/doc

# run "dot -c" to generate plugin config in %{_libdir}/%{name}/config
%post
%{_bindir}/dot -c

%post tcl
%{_bindir}/dot -c

%post devel
%{_bindir}/dot -c

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README __doc/*
%{_bindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/lefty
%{_mandir}/man1/*
%{_mandir}/man7/*
%dir %{_libdir}/%{name}
%{_libdir}/*.so.*
%{_libdir}/%{name}/*.so.*
%exclude %{_libdir}/graphviz/*/*

%files tcl
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/%{name}/tcl/*
%{_libdir}/tcl8.4/graphviz
%{_datadir}/%{name}/demo
%{_mandir}/mann/*

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/%{name}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/%{name}/graphs
%{_mandir}/man3/*

%changelog
* Thu Apr 16 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.20.3-3
- rebuild with libtool-2.2.6a

* Sun Nov 09 2008 Shu KONNO <owa@bg.wakwak.com> 2.20.3-1
- new upstream release

* Sun Nov 09 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.20.2-2
- rebuild with libXaw.so.7 (libXaw-1.0.5)

* Wed Jul 16 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.20.2-1
- new upstream release

* Wed Feb 20 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.16.1-0vl1
- new upstream release
- build with expat-2.0.1
- add man7

* Tue Oct 09 2007 Shu KONNO <owa@bg.wakwak.com> 2.12-0vl2
- rebuild with tcl/tk-8.4.16

* Sun May 13 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.12-0vl1
- new upstream release
- add BuildPrereq: swig
- delete BuildPrereq: gd-progs gd-devel
- add --with-mylibgd and --disable-FEATURE to configure option
- update %%files

* Sun Jul 30 2006 NAKAMURA Kenta <kenta@vinelinux.org> 2.6-0vl2
- added BuildPrereq: ruby-devel

* Tue Oct 11 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.6-0vl1
- new upstream release
- add BuildPrereq: libtool-ltdl-devel
- move pkgconfig files to %%{_libdir}/pkgconfig
- add --disable-rpath --disable-static to configure option
- add %%post to every package

* Mon Jan 24 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.2-0vl1
- new upstream release
- BuildPrereq: tcl >= 8.4, tk >= 8.4
- add BuildPrereq: gd-progs gd-devel flex bison pkgconfig
- update %%files
- remove lines about Vine2.6
- change License to CPL

* Sun May 16 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.12-0vl1
- source upgrade
- remove patch0 and commented lines

* Tue Dec 16 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.10-0vl2
- build for VineSeed

* Tue Dec 16 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.10-0vl1
- source upgrade
- change spec to build both VineSeed and Vine2.5/2.6
- add BuildPrereq: expat-devel and Requires: libexpat
- add patch0 to build against freetype2-2.1.7
- stop using autogen.sh script
- add BuildPrereq: tcl >= 8.3 tk >= 8.3 (VineSeed)
- add graphviz-tcl package (VineSeed)

* Thu Aug  7 2003 USAMI Kosuke <usami-k@yc5.so-net.ne.jp> - 1.9-0vl2
- rebuild for new Vine

* Wed Mar 05 2003 Kunio Murasawa <murasawa@fa2.so-net.ne.jp> 1.9-0vl1
- import from offical site (src.rpm)

