Summary:   The GNU Scientific Library for numerical analysis.
Summary(ja): 数値解析用の GNU 科学技術計算ライブラリ
Name:      gsl
Version:   1.14
Release:   1%{?_dist_release}
URL:       http://www.gnu.org/software/gsl/
Source:    %{name}-%{version}.tar.gz
License:   GPLv3
Group:     System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux

Packager: inagaki

%description
The GNU Scientific Library (GSL) is a collection of routines for 
numerical analysis, written in C

%description -l ja
gsl パッケージは、科学技術計算用のライブラリ、GNU Scientific Library (GSL)
を収めたものです。GSL は C で記述された数値解析ルーチンのコレクションです。

%package devel
Summary:  Static libraries and header files for GSL development.
Summary(ja):  GSL での開発に必要な静的ライブラリとヘッダファイル
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description devel
The gsl-devel package contains the header files and static libraries 
necessary for developing programs using the GSL (GNU Scientific Library).

%description devel -l ja
gsl-devel パッケージには GNU Scientific Library (GSL) を使ってプログラムを
開発する際に必要となる、ヘッダーファイルおよびスタティックライブラリが収め
られています。

%prep
%setup -q

%build
%configure --disable-static
touch doc/gsl-ref.info
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir} INFODIR=%{_infodir} install 

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
/sbin/install-info %{_infodir}/gsl-ref.info.gz %{_infodir}/dir

%preun devel 
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/gsl-ref.info.gz %{_infodir}/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog INSTALL NEWS  
%doc README NEWS THANKS TODO
%{_bindir}/gsl-histogram
%{_bindir}/gsl-randist
%{_libdir}/*.so.*
%{_mandir}/man1/gsl-histogram.*
%{_mandir}/man1/gsl-randist.*

%files devel
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_bindir}/gsl-config
%{_includedir}/*
%{_datadir}/aclocal/*.m4
%{_infodir}/*
#{_libdir}/*.a
#{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man1/gsl-config.*
%{_mandir}/man3/*

%changelog
* Sat Apr 24 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.14-1
- new upstream release
- built with new toolchain

* Wed Jun 24 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.12-1
- new upstream release
- spec in UTF-8
- removed lib*.a files from devel package

* Fri May 16 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.11-1
- new upstream release
- removed lib*.la files from devel package

* Tue Oct 23 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.10-0vl1
- new upstream release
- added Requires(post, preun) to devel package
- updated License to GPLv3

* Sun Aug  5 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.9-0vl1
- new upstream release

* Wed Jul 13 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.6-0vl1
- updated to 1.6

* Tue Nov 23 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.5-0vl1
- updated to 1.5
- rebuild with new toolchains
- added Japanese summary

* Tue Dec 26 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.4-0vl2
- rebuild with new toolchains

* Fri Dec 26 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.4-0vl2
- rebuild with new toolchains

* Sat Aug 30 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.4-0vl1
- update to 1.4
- rebuild with new toolchains
- change URL

* Thu Jul 18 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.2-0vl1
- update to 1.2
- modified for Vine.

* Sat Mar 16 2002 Fuhito Suguri <bitwalk@jcom.home.ne.jp> 1.1.1-5bw
- Update 1.1.1.

* Wed Feb 27 2002 Fuhito Suguri <bitwalk@jcom.home.ne.jp> 1.1-4bw
- Update 1.1.

* Mon Feb 18 2002 Fuhito Suguri <bitwalk@jcom.home.ne.jp> 1.0-3bw
- add Japanese descriptions and rebuild on RH7.2.

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Dec 13 2001 Trond Eivind Glomsrod <teg@redhat.com> 1.0-1
- 1.0
- Split into gsl and gsl-devel
- update description (#56926)

* Thu Jul 19 2001 Preston Brown <pbrown@redhat.com>
- upgrade to 0.9

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Thu Jan 18 2001 Preston Brown <pbrown@redhat.com>
- prereq install-info (#24250)

* Mon Dec 11 2000 Preston Brown <pbrown@redhat.com>
- 0.7, remove excludearch for ia64

* Sun Jul 30 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- fix %post to be a real shell and add ldconfig to %post

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 19 2000 Preston Brown <pbrown@redhat.com>
- don't include the info dir file...

* Sat Jun 17 2000 Bill Nottingham <notting@redhat.com>
- add %%defattr

* Mon Jun 12 2000 Preston Brown <pbrown@redhat.com>
- 0.6, FHS paths
- exclude ia64, it is having issues

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Thu Mar 11 1999 Bill Nottingham <notting@redhat.com>
- update to 0.3f
- add patches to fix glibc-2.1 compilation, doc oddity

* Thu Feb 25 1999 Bill Nottingham <notting@redhat.com>
- new summary/description, work around automake oddity

* Tue Jan 12 1999 Michael K. Johnson <johnsonm@redhat.com>
- libtoolize for arm

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- spec file fixups

* Sat May 9 1998 Michael Fulbright <msf@redhat.com>
- started with package for gmp from Toshio Kuratomi <toshiok@cats.ucsc.edu>
- cleaned up file list
- fixed up install-info support
