%define gtkhtml_major 3.14

Summary: gtkhtml version 3 library
Summary(ja): gtkhtml バージョン3 ライブラリ
Name: gtkhtml3
Version: 3.30.2
Release: 2%{?_dist_release}
License: LGPL/GPL
Group: System Environment/Libraries
Source: ftp://ftp.gnome.org/pub/gnome/sources/gtkhtml/3.30/gtkhtml-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk2-devel >= 2.20.0
BuildRequires: GConf2-devel
BuildRequires: libsoup-devel >= 2.30.0
BuildRequires: enchant-devel
BuildRequires: iso-codes
BuildRequires: perl-XML-Parser
BuildRequires: libtool, gettext
BuildRequires: gnome-icon-theme >= 2.30.0

%description
GtkHTML is a lightweight HTML rendering/printing/editing engine.  It
was originally based on KHTMLW, but is now being developed
independently of it.

%description -l ja
GtkHTML は軽量な HTML レンダリング/印刷/エディットエンジンです。元もとは
KHTMLW をベースとしていますが、現在は独立して開発されています。

%package devel
Summary: Libraries, includes, etc to develop gtkhtml applications
Summary(ja): gtkhtml アプリケーションの開発に必要なライブラリおよびヘッダファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gtk2-devel >= 2.20.0
Requires: GConf2-devel
Requires: enchant-devel
Requires: iso-codes

%description devel
Libraries and include files that can be used to develop GtkHTML applications.

%description -l ja devel
GtkHTML アプリケーションを開発するために必要なライブラリやヘッダファイルが
収録されています。


%prep
%setup -q -n gtkhtml-%{version}

%build
%configure 
export tagname=CC
make LIBTOOL=/usr/bin/libtool

%install
rm -rf $RPM_BUILD_ROOT
export tagname=CC
%makeinstall LIBTOOL=/usr/bin/libtool

rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.a

%find_lang gtkhtml-%{gtkhtml_major}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f gtkhtml-%{gtkhtml_major}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING TODO
%{_bindir}/gtkhtml-editor-test
%{_libdir}/*.so.*
%{_datadir}/gtkhtml-%{gtkhtml_major}

%files devel
%defattr(-, root, root)
%{_includedir}/libgtkhtml-%{gtkhtml_major}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Sep 21 2010 IWAI, Masaharu <iwai@alib.jp> 3.30.2-2
- build with rpm-4.8.1-1 for pkg-config file

* Mon Jun 21 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.30.2-1
- new upstream release

* Sat May 01 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.30.1-1
- new upstream release

* Sun Apr 04 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.30.0-1
- new upstream release
- add BuildRequires: gnome-icon-theme

* Sat Oct 31 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.28.1-1
- new upstream release

* Sat Jul 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.26.3-1
- new upstream release

* Sat Apr 25 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.26.1.1-1
- new upstream release

* Mon Mar 23 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.26.0-1
- new upstream release

* Sat Mar  7 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.24.5-1
- new upstream release

* Mon Jan 19 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.24.3-1
- new upstream release

* Wed Oct 28 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 3.24.1-1
- new upstream release

* Sat Oct 11 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.24.0-2
- added Requires: enchant-devel, iso-codes to devel package

* Fri Sep 26 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 3.24.0-1
- new upstream release

* Sun Jun  8 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.18.2-1
- new upstream release
- spec in UTF-8

* Thu Apr  3 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.18.0-1vl5
- new upstream release
- updated build dependancy

* Sat Jul 14 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.14.3-0vl2
- add BuildRequires: gnome-icon-theme

* Wed Jul 11 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.14.3-0vl1
- new upstream release

* Sun Apr 29 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 3.14.1-0vl1
- new upstream release

* Thu Sep 28 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.12.0-0vl1
- new upstream release

* Sun Jun 04 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 3.10.2-0vl1
- new upstream release

* Wed Nov 30 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.8.2-0vl1
- new upstream release

* Sun Sep 25 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.8.0-0vl1
- new upstream release

* Mon Apr 11 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 3.6.2-0vl1
- new upstream release

* Sat Mar 13 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.10-0vl1
- new upstream release

* Tue Feb 03 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.9-0vl3
- rebuild with new environment
- add patch0 from fedora

* Sat Nov 15 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.9-0vl2
- replace preedit patch by fedora's xim patch.

* Wed Sep 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.9-0vl1
- new upstream release

* Sat Sep 20 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.8-0vl1.3
- modified preedit patch
  - change html_engine_paste_text to html_engine_insert_text in
    gtk_html_im_commit_cb ()

* Sat Sep 20 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.8-0vl1.2
- update preedit patch

* Thu Sep 18 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.8-0vl1.1
- add tagoh's preedit_changed patch

* Fri Aug 29 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.0.8-0vl1
- new upstream release
- build with libgal2-1.99.9

* Fri Jul 11 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.0.7-0vl1
- new upstream release

* Tue Jun 10 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.5-0vl1
- new upstream release

* Tue Jun 03 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.4-0vl1
- new upstream release

* Sat May 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.3-0vl1
- build for Vine Linux
- add Japanese Summary/descriptions
- modified dependancies

* Tue May  6 2003 Jeremy Katz <katzj@redhat.com> 3.0.3-1
- 3.0.3

* Wed Apr 16 2003 Jeremy Katz <katzj@redhat.com> 3.0.2-2
- libtool's revenge

* Wed Apr 16 2003 Jeremy Katz <katzj@redhat.com> 3.0.2-1
- update to 3.0.2

* Sun Apr  6 2003 Jeremy Katz <katzj@redhat.com> 1.1.9-1
- update to 1.1.9

* Mon Mar 24 2003 Jeremy Katz <katzj@redhat.com> 1.1.8-6
- rebuild for new gal

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com> 1.1.8-5
- debuginfo rebuild

* Thu Feb 20 2003 Jeremy Katz <katzj@redhat.com> 1.1.8-4
- gtkhtml capplet doesn't need to be in the menus; it's configurable 
  from within evolution

* Mon Feb 10 2003 Akira TAGOH <tagoh@redhat.com> 1.1.8-3
- don't use fontset as default. (#83899)
- improve the default font for CJK.

* Sat Feb  8 2003 Akira TAGOH <tagoh@redhat.com> 1.1.8-2
- hack to modify po dynamically to add currect XLFD for CJK.
- re-enable patches.

* Fri Feb  7 2003 Jeremy Katz <katzj@redhat.com> 1.1.8-1
- 1.1.8
- disable tagoh's patch for now.  it's not applied upstream and ends up 
  backing out some translation changes

* Fri Feb  7 2003 Akira TAGOH <tagoh@redhat.com> 1.1.7-4
- gtkhtml-1.1.7-fixfont.patch: applied to allow fontset by default.
- gtkhtml-po.tar.bz2: to changes default display/print fonts for CJK.
  perhaps it should be removed when the upstream will releases the next version.
- gtkhtml-1.1.7-domain.patch: define GNOME_EXPLICIT_TRANSLATION_DOMAIN as gtkhtml-1.1.

* Wed Feb  5 2003 Bill Nottingham <notting@redhat.com> 1.1.7-2
- fix some spewage to stdout/stderr

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Dec 13 2002 Jeremy Katz <katzj@redhat.com> 1.1.7-1
- update to 1.1.7

* Tue Nov 12 2002 Jeremy Katz <katzj@redhat.com> 1.1.6-1
- update to 1.1.6

* Thu Nov  7 2002 Jeremy Katz <katzj@redhat.com> 1.1.5-3
- rebuild to really fix Xlib paths now that gnome-libs is fixed

* Tue Nov  5 2002 Jeremy Katz <katzj@redhat.com> 1.1.5-2
- rebuild to fix Xlib paths in .pc files

* Fri Nov  1 2002 Jeremy Katz <katzj@redhat.com> 1.1.5-1
- update to 1.1.5

* Thu Oct 24 2002 Jeremy Katz <katzj@redhat.com> 1.1.4-1
- remove unwanted files from buildroot
- update to 1.1.4

* Thu Sep 26 2002 Jeremy Katz <katzj@redhat.com>
- make sure we get all of the stuff from %%{_datadir}/gtkhtml-1.1

* Wed Sep 25 2002 Jeremy Katz <katzj@redhat.com>
- update to 1.1.2

* Tue Jul 23 2002 Owen Taylor <otaylor@redhat.com>
- Fix problem with finding the closest size

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun 19 2002 Jeremy Katz <katzj@redhat.com>
- update to 1.0.4
- remove .la files

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 14 2002 Jeremy Katz <katzj@redhat.com>
- tweak buildrequires for libcapplet0-devel

* Tue Mar 19 2002 Jeremy Katz <katzj@redhat.com>
- update to gtkhtml 1.0.2

* Thu Mar  7 2002 Jeremy Katz <katzj@redhat.com>
- remove superflous capplet entry (#59698)

* Mon Jan 14 2002 Jeremy Katz <katzj@redhat.com>
- rebuild to get rid of ridiculous libgal18 linkage

* Sat Jan 12 2002 Jeremy Katz <katzj@redhat.com>
- update to 1.0.1

* Sun Dec  2 2001 Jeremy Katz <katzj@redhat.com>
- update to 1.0.0

* Sat Nov 17 2001 Jeremy Katz <katzj@redhat.com>
- update to 0.16.1

* Mon Nov  5 2001 Jeremy Katz <katzj@redhat.com>
- updated to 0.16

* Tue Oct 23 2001 Havoc Pennington <hp@redhat.com>
- 0.15

* Thu Oct  4 2001 Havoc Pennington <hp@redhat.com>
- 0.14
- remove --without-bonobo
- langify

* Mon Aug 20 2001 Alexander Larsson <alexl@redhat.com> 0.9.2-9
- Moved gnome-conf file to the devel package
- Fixes SHOULD-FIX bug #49796

* Mon Jul 30 2001 Alexander Larsson <alexl@redhat.com> 
- Added dependencies on -devel packages from the gtkhtml-devel package

* Fri Jul 20 2001 Alexander Larsson <alexl@redhat.com>
- Add more build dependencies

* Thu Jul 17 2001 Bill Nottingham <notting@redhat.com>
- fix devel package requirements

* Sat Jul  7 2001 Tim Powers <timp@redhat.com>
- changed bad groups
- laguified package

* Tue Jul 03 2001 Havoc Pennington <hp@redhat.com>
- fix X11/libraries -> X11/Libraries, #47137 

* Wed Jun 13 2001 Bill Nottingham <notting@redhat.com>
- fix brokenness due to gal damage

* Wed Jun  6 2001 Bill Nottingham <notting@redhat.com>
- adapt included specfile
