Summary:	Simple image viewer widget for GTK
Summary(ja): 	GTK 用のシンプルなイメージビューワウィジェット
Name:		gtkimageview
Version:	1.6.4
Release: 	1%{?_dist_release}
Source0:	%{name}-%{version}.tar.gz
License:	LGPL
Group:		System Environment/Libraries
URL:		http://trac.bjourne.webfactional.com/

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	gtk2-devel
BuildRequires:  gtk-doc


%description
GtkImageView is a simple image viewer widget for GTK.
Similar to the image viewer panes in gThumb or Eye of
Gnome. It makes writing image viewing and editing
applications easy. 
Among its features are:

    * Mouse and keyboard zooming.
    * Scrolling and dragging.
    * Adjustable interpolation.
    * Fullscreen mode.
    * GIF animation support. 

%description -l ja
GtkImageView は GTK 用のシンプルなイメージビューワウィジ
ェットです。Eye of Gnome や gThumb のようなイメージビューア
ペインを提供します。これによりイメージを表示したり編集したり
するアプリケーションが簡単に開発できるようになります。
主な特徴は以下の通りです。

    * マウスやキーボードを使ったズーム
    * スクロールおよびドラッグ
    * 調整可能な画像補間
    * フルスクリーン表示
    * GIF アニメーションのサポート 

#-----------------------------------------------------------------------------

%package devel
Summary:        Libraries and header files for gtkimageview
Summary(ja):    gtkimageview 用のヘッダファイル及びライブラリ
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:	gtk2-devel

%description devel
This package contains the header files and libraries for
gtkimageview. If you like to develop programs using gtkimageview,
you will need to install gtkimageview-devel.

%description devel -l ja
このパッケージは gtkimageview 用のヘッダファイル及びライブラリ
を含んでいます。もし gtkimageview を使用したプログラムを開発す
る場合は、このパッケージをインストールする必要があります。

#-----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure --disable-static
make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# remove unnecessary file
rm -rf $RPM_BUILD_ROOT/%{_libdir}/libgtkimageview.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING README
%{_libdir}/libgtkimageview.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/gtkimageview/*
#{_libdir}/libgtkimageview.a
%{_libdir}/libgtkimageview.so
%{_libdir}/pkgconfig/gtkimageview.pc
%{_datadir}/gtk-doc/html/gtkimageview/*

%changelog
* Sat Apr 11 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.6.4-1
- new upstream release
- removed static library from devel package
- fixed License tag

* Sun Oct  5 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.6.1-1
- new upstream release
- applied new versioning policy
- spec in UTF-8

* Fri Aug 17 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.3.0-0vl2 
- rebuilt for VineSeed

* Wed Aug 07 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.3.0-0vl1
- initial build for Vine Linux.
