Summary: A multi-platform helper library for other libraries
Name: gwenhywfar
Version: 3.11.3
Release: 1%{?_dist_release}
Group: System Environment/Libraries
License: LGPLv2+
Source: %{name}-%{version}.tar.gz
URL: http://www.aquamaniac.de/sites/aqbanking/index.php
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: openssl-devel
BuildRequires: gnutls-devel
BuildRequires: libgcrypt-devel
BuildRequires: gettext

%description
This is Gwenhywfar, a multi-platform helper library for networking and
security applications and libraries. It is heavily used by libchipcard
and AqBanking/AqHBCI, the German online banking libraries.

%package devel
Summary: Gwenhywfar development kit
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
%description devel
This package contains gwenhywfar-config and header files for writing and
compiling programs using Gwenhywfar.


%prep
%setup -q

%build
%configure --disable-static --with-openssl-libs=%{_libdir}
#sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
#sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

find $RPM_BUILD_ROOT -name *.la -exec rm -f {} \;

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS README COPYING ChangeLog
%{_bindir}/gct-tool
%{_libdir}/*.so.*
%{_libdir}/%{name}
%dir %{_datadir}/%{name}
%config(noreplace) %{_datadir}/%{name}/ca-bundle.crt
%{_datadir}/locale/*/LC_MESSAGES/gwenhywfar.mo
%exclude %{_datadir}/%{name}/typemaker*


%files devel
%defattr(-,root,root)
%exclude %{_bindir}/gct-tool
%{_bindir}/*
%{_includedir}/gwenhywfar3
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/aclocal/gwenhywfar.m4
%{_datadir}/%{name}/typemaker*


%changelog
* Sat Feb 13 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 3.11.3-1
- new upstream release

* Mon Jan 19 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.6.0-1
- new upstream release
- built with gnutls-2.6.3

* Sat Sep 27 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.4.1-1
- new upstream release
- applied new versioning policy

* Sat Dec 29 2007 NAKAMURA Kenta <kenta@vinelinux.org> 2.6.2-0vl1
- new upstream release

* Sat Dec 29 2007 NAKAMURA Kenta <kenta@vinelinux.org> 2.6.1-2vl1
- initial build for VineSeed

* Wed Oct 10 2007 Bill Nottingham <notting@redhat.com> - 2.6.1-2
- fix build, rebuild for buildid

* Fri Aug  3 2007 Bill Nottingham <notting@redhat.com>
- tweak license tag

* Wed Jul 11 2007 Bill Nottingham <notting@redhat.com> - 2.6.1-1
- update to 2.6.1

* Mon Jun 11 2007 Bill Nottingham <notting@redhat.com> - 2.6.0-1
- update to 2.6.0

* Mon Mar 19 2007 Bill Nottingham <notting@redhat.com> - 2.5.4-1
- update to 2.5.4

* Thu Feb 22 2007 Bill Nottingham <notting@redhat.com> - 2.3.0-7
- build for Extras

* Wed Jan 10 2007 Bill Nottingham <notting@redhat.com> - 2.3.0-6
- make gwen-public-ca.crt %%config(noreplace)

* Tue Jan  9 2007 Bill Nottingham <notting@redhat.com> - 2.3.0-5
- spec tweaks

* Thu Sep  7 2006 Bill Nottingham <notting@redhat.com> - 2.3.0-4
- rebuild for fixed debuginfo (#205501)

* Tue Sep  5 2006 Bill Nottingham <notting@redhat.com> - 2.3.0-3
- fix multilib conflicts (#205213)

* Fri Jul 14 2006 Bill Nottingham <notting@redhat.com> - 2.3.0-2
- rather than modifying the m4 file, make gwenhywfar-config use pkgconfig

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.3.0-1.1
- rebuild

* Tue Jul 11 2006 Bill Nottingham <notting@redhat.com> - 2.3.0-1
- update to 2.3.0

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.99.2-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.99.2-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Thu Dec 22 2005 Bill Nottingham <notting@redhat.com> 1.99.2-1
- update to 1.99.2
- use the pkgconfig file, not gwenhywfar-config

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Nov  9 2005 Tomas Mraz <tmraz@redhat.com> 1.7.2-3
- rebuilt against new openssl

* Wed Mar  2 2005 Bill Nottingham <notting@redhat.com> 1.7.2-2
- rebuild against new openssl

* Wed Feb  9 2005 Bill Nottingham <notting@redhat.com> 1.7.2-1
- initial packaging, adopt upstream package
