Summary: a full-text search system for communities
Summary(ja): 全文検索システム
Name: hyperestraier
Version: 1.4.13
Release: 3%{?_dist_release}
License: LGPL 2.1
URL: http://hyperestraier.sourceforge.net/index.html
Group: Applications/Text
Source0: http://hyperestraier.sourceforge.net/%{name}-%{version}.tar.gz
Patch0: hyperestraier-1.4.13-perl-vendordir.patch

Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: qdbm-devel >= 1.8.75
BuildRequires: zlib-devel >= 1.2.1
BuildRequires: mecab-devel >= 0.92
BuildRequires: perl
Requires: qdbm >= 1.8.75
Requires: zlib >= 1.2.1
Requires: mecab >= 0.92
Requires: mecab-ipadic >= 2.7.0

Vendor: Project Vine
Distribution: Vine Linux

Packager: inagaki

%description
Hyper Estraier is a full-text search system. You can search lots of documents
for some documents including specified words. If you run a web site, it is
useful as your own search engine for pages in your site. Also, it is useful
as search utilities of mail boxes and file servers.

The characteristic of Hyper Estraier is the following.

    * High performance of search
    * High scalability of target documents
    * Perfect recall ratio by N-gram method
    * High precision by hybrid mechanism of N-gram and morphological analyzer
    * Phrase search, regular expressions, attribute search, and similarity search
    * Multilingualism with Unicode
    * Independent of file format and repository
    * Intelligent web crawler
    * Simple and powerful API
    * Supporting P2P architecture

Hyper Estraier is an open-source software released under the terms of the
GNU Lesser General Public License. It works on Linux, Windows, Mac OS X,
and other UNIX-like systems.

%description -l ja
Hyper Estraierは全文検索システムです。たくさんの文書の中から、特定の語句を含むものを探して、該当するものの一覧を表示することができます。Web サイトを運営している方なら、自分のサイト専用の検索エンジンとして利用することができます。メールボックスやファイルサーバを対象とした検索ツールとして利用することもできます。

Hyper Estraierには、次のような特徴があります。

    * インデックスを使った高速な検索ができます。
    * 大量の文書のインデックスを短時間で作成できます。
    * N-gram方式による漏れのない検索ができます。
    * 形態素解析とN-gramのハイブリッド機構で検索精度を向上させます。
    * フレーズ検索や正規表現検索や属性検索や類似検索をサポートします。
    * 世界各国の言語が扱えます。
    * 対象文書の所在や形式に依存しません。
    * 賢いWebクローラが付属しています。
    * ライブラリとして各種製品に組み込めます。
    * P2P連携機能をサポートします。

Hyper EstraierはGNU Lesser General Public Licenseに基づいて配布されるフリーソフトウェアです。Linux、Windows、Mac OS Xおよびその他のUNIX系OSの上で動作します。

%package devel
Summary: Header files and libraries for developing apps which will using Hyper Estraier
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: qdbm-devel >= 1.8.75
Requires: zlib-devel >= 1.2.1

%description devel
Header files and libraries for developing apps which will using Hyper Estraier

%package perl
Summary: Perl module for Hyper Estraier
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: perl

%description perl
Perl module for Hyper Estraier

%prep
%setup -q
%patch0 -p1 -b .perlvendordir

%build
%configure \
    --enable-stable \
    --enable-zlib \
    --enable-mecab
make

pushd perlnative
%configure
make
popd

%install
rm -rf %{buildroot}
%makeinstall DESTDIR=%{buildroot}
pushd perlnative
%makeinstall DESTDIR=%{buildroot}
popd

## delete
rm -rf %{buildroot}/usr/share/hyperestraier/doc
rm -rf %{buildroot}/usr/share/hyperestraier/{COPYING,ChangeLog,THANKS}

## for Perl
perllocalfile=`find %{buildroot} -name perllocal.pod`
echo "mv $perllocalfile ."
mv $perllocalfile .

sed -e "s@^%{buildroot}@@g" < %{buildroot}%{perl_vendorarch}/auto/Estraier/.packlist \
       > .packlist
mv -f .packlist %{buildroot}%{perl_vendorarch}/auto/Estraier/.packlist

%clean
rm -rf %{buildroot}

%check
make check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING ChangeLog README THANKS doc example
%{_bindir}/estbutler
%{_bindir}/estcmd
%{_bindir}/estconfig
%{_bindir}/estmaster
%{_bindir}/estwaver
%{_bindir}/estcall
%{_bindir}/estload
%{_bindir}/estmttest
%{_bindir}/estwolefind
%{_mandir}/man1/*
%{_libdir}/*.so.*
%{_libexecdir}/*
%{_datadir}/hyperestraier/*.*
%{_datadir}/hyperestraier/filter
%{_datadir}/hyperestraier/increm
%{_datadir}/hyperestraier/locale

%files devel
%defattr(-,root,root)
%{_mandir}/man3/estnode.3*
%{_mandir}/man3/estraier.3*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/hyperestraier.pc
%{_includedir}/*.h

%files perl
%defattr(-,root,root)
%doc perllocal.pod
%{_bindir}/estcmd.pl
%{perl_vendorarch}/Estraier.pm
%{perl_vendorarch}/Estraier.pod
%{perl_vendorarch}/auto/Estraier
%{_mandir}/man3/Estraier.3pm*

%changelog
* Mon Mar 29 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.4.13-3
- rebuilt with new toolchain

* Sun May 31 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.4.13-2
- added BR: qdbm-devel, zlib-devel to devel package

* Sat Sep 20 2008 Shu KONNO <owa@bg.wakwak.com> 1.4.13-1vl5
- applied new versioning policy, spec in utf-8
- built with perl-5.10.0

* Sat Jan 19 2008 IWAI, Masaharu <iwai@alib.jp> 1.4.13-0vl1
- initial release
