Summary:        A note taking application
Summary(ja):    ノート作成アプリケーション
Name:           keepnote
Version:        0.6.4
Release:        1%{?_dist_release}
Group:          Applications/Editors
License:        GPLv2+
URL:            http://rasm.ods.org/keepnote/
Source0:        %{name}/%{name}-%{version}.tar.gz
#Source1:        ja_JP.UTF8.po

Patch1:         Makefile_gettetxt.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  gtkspell-devel
BuildRequires:  desktop-file-utils
# for Japanese language file build
BuildRequires:  gettext

Requires:       pygtk2
Requires:       gnome-python-extras

%description
KeepNote is a note taking application that works on Windows, Linux, and Mac OS X.
With KeepNote, you can store your class notes, TODO lists, research notes,
journal entries, paper outlines, etc in a simple notebook hierarchy with
rich-text formatting, images, and more. Using full-text search, you can
retrieve any note for later reference.

%description -l ja	
KeepNote は Windows、Linux、Mac OS X で動作するノート作成アプリケーションです。
KeepNote では、あなたの分類ノート、TODO リスト、研究ノート、
日記のエントリ、新聞の概略などを階層化したリッチテキストフォーマットや
画像付きなどのシンプルなノートとして保存することができます。
フルテキスト検索を使い、後で参照するために取ったメモを検索できます。

%prep
%setup -q
%patch1 -p1

#%{__cp} -f %{SOURCE1} gettext/ja_JP.UTF8.po
make -f Makefile.gettext make LANG=ja_JP.UTF8

%build
python setup.py build


%install
rm -rf %{buildroot}
python setup.py install --skip-build --root %{buildroot}

desktop-file-install --vendor="" \
     --add-category="Office" \
     --dir=%{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
update-desktop-database > /dev/null 2>&1 || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
update-desktop-database > /dev/null 2>&1 || :


%files
%defattr(-,root,root,-)
%doc LICENSE README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/keepnote.png
%{_libdir}/python2.*/*


%changelog
* Sun Aug 1 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.4-1
- new upstream release
- recreated patch1

* Wed Jul 7 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.3-1
- new upstream release
- dropt source1
  - merged upstream

* Thu May 6 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.2-2
- updated Source1
- fixed desktop-file-install --add-category section

* Tue Feb 23 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.2-1
- new upstream release
- updated Source1 and Patch1

* Sat Feb 13 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.1-2
- updated Source1

* Sun Feb 7 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.1-1
- new upstream release

* Sat Nov 28 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6-2
- added BuildRequires:  gtkspell-devel
- updated Source1

* Sat Nov 21 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6-1
- initial build for VineSeed

* Fri Jul 31 2009 Texstar <texstar@gmail.com> 0.5.3-1pclos2009
- create
