%define ver 0.4.4
%define rel 4%{?_dist_release}

Summary: a IRC client for Gtk2
Summary(ja): GTK2 を使った IRC クライアント
Name: loqui
Version: %{ver}
Release: %{rel}
Group: Applications/Internet
Source: http://loqui.good-day.net/src/%{name}-%{ver}.tar.gz
Patch0: loqui-0.4.4-default-application.patch
Patch1: loqui-0.4.4-desktopfile.patch
License: GPL
Requires: gtk2 >= 2.2.0, gnet2 >= 2.0.0
BuildRequires: gtk2-devel >= 2.2.0, gnet2-devel >= 2.0.0, gettext
URL: http://loqui.good-day.net/
BuildRoot: %{_tmppath}/%{name}-root 
PreReq: desktop-file-utils
BuildRequires: desktop-file-utils

%description
Loqui is a 4-paned IRC client, which supports multiple servers.

%description -l ja
Loqui は、複数のサーバへの接続に対応した 4-ペインの IRC クライアントです。

%prep
rm -rf %{buildroot}
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure
make desktopdir=%{_datadir}/applications

%install
rm -rf %{buildroot}
%makeinstall desktopdir=%{buildroot}%{_datadir}/applications
%{find_lang} %{name}

%check
make check
desktop-file-validate %{buildroot}%{_datadir}/applications/loqui.desktop

%clean
rm -rf %{buildroot}

%post
update-desktop-database %{_datadir}/applications

%postun
update-desktop-database %{_datadir}/applications

%files -f %{name}.lang
%defattr (-,root,root)
%doc README COPYING* INSTALL ChangeLog AUTHORS NEWS
%{_bindir}/loqui
%{_datadir}/pixmaps/loqui.png
%{_datadir}/applications/loqui.desktop


%changelog
* Mon Apr 13 2009 IWAI, Masaharu <iwai@alib.jp> 0.4.4-4
- fix changelog 0.4.4-4: update installed patch -> update installed path

* Sun Mar  8 2009 IWAI, Masaharu <iwai@alib.jp> 0.4.4-3
- update loqui.desktop (Patch1)
- update installed path for loqui.desktop
- validate desktop file in %%check
  - add BuildRequires: desktop-file-utils
- update desktop database in %%post and %%postun
  - add PreReq: desktop-file-utils

* Wed Feb 18 2009 IWAI, Masaharu <iwai@alib.jp> 0.4.4-2
- using paplay for notification command in default setting (Patch0)
  - update default-browser.patch for only default web browser

* Fri Oct 03 2008 Shu KONNO <owa@bg.wakwak.com> 0.4.4-1vl5
- applied new versioning policy, spec in utf-8

* Thu Jan 18 2007 IWAI, Masaharu <iwai@alib.jp> 0.4.4-0vl2
- add default browser patch (Patch0): firefox

* Thu Apr  6 2006 IWAI, Masaharu <iwai@alib.jp> 0.4.4-0vl1
- new upstream release

* Fri Oct 22 2004 IWAI, Masaharu <iwai@alib.jp> 0.3.9-0vl2
- add Japanese summary and description

* Wed Sep 22 2004 IWAI, Masaharu <iwai@alib.jp> 0.3.9-0vl1
- new upstream release

* Wed Sep  1 2004 IWAI, Masaharu <iwai@alib.jp> 0.3.8-0vl1
- new upstream release

* Fri Jul  2 2004 IWAI, Masaharu <iwai@alib.jp> 0.3.7-0vl1
- new upstream release

* Sun May 30 2004 IWAI, Masaharu <iwai@alib.jp> 0.3.5-0vl1
- new upstream release

* Wed May  5 2004 IWAI, Masaharu <iwai@alib.jp> 0.3.3-0vl1
- new upstream release

* Sun May  2 2004 IWAI, Masaharu <iwai@alib.jp> 0.3.2-0vl1
- new upstream release

* Tue Apr 20 2004 IWAI, Masaharu <iwai@alib.jp> 0.3.1-0vl1
- new upstream release
- add loqui.png and loqui.desktop in %%files
- add COPYING.LIB in %%doc directory

* Sun Mar  7 2004 IWAI, Masaharu <iwai@alib.jp> 0.2.5-0vl1
- new upstream release

* Fri Feb 27 2004 IWAI, Masaharu <iwai@alib.jp> 0.2.4-0vl1
- new upstream release

* Mon Feb  9 2004 IWAI, Masaharu <iwai@alib.jp> 0.2.3-0vl1
- new upstream release

* Sun Jan 25 2004 IWAI, Masaharu <iwai@alib.jp> 0.2.2-0vl1
- new upstream release

* Wed Jan 21 2004 IWAI, Masaharu <iwai@alib.jp> 0.2.1-0vl1
- build for VineSeed Plus

* Sat Jun 7 2003 Yoichi Imai <yoichi@silver-forest.com>
- created spec.in
