Name:           lxappearance
Version:        0.4.0
Release:        1%{?_dist_release}
Summary:        Feature-rich GTK+ theme switcher for LXDE
Summary(ja):    LXDE の機能豊かな GTK+ テーマスイッチャ

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://lxde.sourceforge.net/
Source0:        http://downloads.sourceforge.net/sourceforge/lxde/%{name}-%{version}.tar.gz

Vendor:         Project Vine
Distribution:   Vine Linux

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:  gtk2-devel > 2.6, gettext, desktop-file-utils

%description
LXAppearance is a new GTK+ theme switcher developed for LXDE, the Lightweight 
X11 Desktop Environment. It is able to change GTK+ themes, icon themes, and 
fonts used by applications. All changes done by the users can be seen 
immediately in the preview area. After clicking the "Apply" button, the 
settings will be written to gtkrc, and all running programs will be asked to 
reload their themes.

%description -l ja
LXAppearance は LXDE -the Lightweight X11 Desktop Environment- のために開発された
新しい GTK+ テーマスイッチャです。GTK テーマ・アイコンテーマ・フォントを
アプリケーションによって変えることができます。
ユーザーにより行われたすべての変更はプレビューエリアで迅速に見ることができます。
"適用"ボタンを押した後、設定は gtkrc に書き込まれ、すべての起動中のプログラムが
それらのテーマを再読み込みするようます。

%prep
%setup -q

sed -i 's|X-LXDE-Settings;Gtk;|X-Settings;|g' \
       %{name}.desktop

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor="vine" \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
  --delete-original \
  --add-category X-System \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%attr(755,root,root) %{_datadir}/%{name}/install-icon-theme.sh
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/demo.ui
%{_datadir}/%{name}/%{name}.ui
%{_mandir}/man1/%{name}*.1*


%changelog
* Wed Jan 13 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.4.0-1
- new upstream release

* Mon Dec 14 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.3.0-1
- new upstream release
- fixed desktop file for build

* Mon Jul 6 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.2.1-1vl5
- new upstream release
- dropt Source1 and Patch0

* Wed Apr  1 2009 IWAI, Masaharu <iwai@alib.jp> 0.2-3
- enable ja.po
  - drop lxappearance-LINGUAS (Source2)
  - add enable lang ja patch (Patch0)
  - run autogen.sh

* Fri Mar 27 2009 IWAI, Masaharu <iwai@alib.jp> 0.2-2
- replace ja.po: from upstream repository
- update %%files section: drop unnecessary extension in mandir
- add Vendor and Distribution tags for Vine Linux

* Mon Mar 23 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.2-1vl5
- initial build for VineSeed (import Fedora package)

* Sun Apr 20 2008 Christoph Wickert <fedora christoph-wickert de> - 0.2-1
- Update to 0.2
- Remove install-patch, applied upstream

* Sat Apr 12 2008 Christoph Wickert <fedora christoph-wickert de> - 0.1-1
- Initial Fedora RPM
