Summary: X.Org X11 libXpm runtime library
Summary(ja): X.Org X11 libXpm ランタイムライブラリ
Name: libXpm
Version: 3.5.8
Release: 2%{?_dist_release}
License: MIT/X11
Group: System Environment/Libraries
URL: http://www.x.org

Source0: ftp://ftp.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gettext
BuildRequires: pkgconfig
BuildRequires: xorg-x11-proto-devel
BuildRequires: libX11-devel
# FIXME: Although ./configure checks for libXt and libXext, and indicates
# that they are missing, it continues to build anyway, and just does not
# build sxpm if they are not present.  Therefore, libXt-devel and
# libXext-devel are required build deps in order to get sxpm built.
BuildRequires: libXt-devel
BuildRequires: libXext-devel
BuildRequires: libXau-devel

Obsoletes: XFree86-libs, XOrg-libs

%description
X.Org X11 libXpm runtime library

%package devel
Summary: X.Org X11 libXpm development package
Group: Development/Libraries
Requires(pre): xorg-x11-filesystem
Requires: %{name} = %{version}-%{release}
Requires: libX11-devel
Obsoletes: XFree86-devel, XOrg-devel

%description devel
X.Org X11 libXpm development package

%prep
%setup -q

# Disable static library creation by default.
%define with_static 0

%build
%configure \
%if ! %{with_static}
	--disable-static
%endif
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# We intentionally don't ship *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README ChangeLog
%{_libdir}/libXpm.so.4
%{_libdir}/libXpm.so.4.11.*

%files devel
%defattr(-,root,root,-)
%defattr(-,root,root,-)
%{_bindir}/cxpm
%{_bindir}/sxpm
%dir %{_includedir}/X11
%{_includedir}/X11/xpm.h
%if %{with_static}
%{_libdir}/libXpm.a
%endif
%{_libdir}/libXpm.so
%{_libdir}/pkgconfig/xpm.pc
#%dir %{_mandir}/man1x
%{_mandir}/man1/*.1*
#%{_mandir}/man1/*.1x*

%changelog
* Fri Sep 24 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.5.8-2
- rebuild with rpm-4.8.1 for pkg-config file

* Wed Nov 18 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.5.8-1
- new upstream release

* Tue Mar 31 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.5.7-2
- spec in utf-8

* Sun May 18 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 3.5.7-1
- new versioning policy

* Mon Jan 14 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 3.5.7-0vl1
- initial build for Vine Linux

* Mon Sep 24 2007 Adam Jackson <ajax@redhat.com> 3.5.7-1
- libXpm 3.5.7

* Tue Aug 21 2007 Adam Jackson <ajax@redhat.com> - 3.5.6-2
- Rebuild for build id

* Sat Apr 21 2007 Matthias Clasen <mclasen@redhat.com> 3.5.6-2
- Don't install INSTALL

* Mon Nov 20 2006 Adam Jackson <ajax@redhat.com> 3.5.6-1
- Update to 3.5.6

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 3.5.5-3
- rebuild

* Mon Jun 05 2006 Mike A. Harris <mharris@redhat.com> 3.5.5-2
- Added "BuildRequires: pkgconfig" for (#193427)
- Replace "makeinstall" with "make install DESTDIR=..."
- Remove package ownership of mandir/libdir/etc.

* Thu Apr 26 2006 Adam Jackson <ajackson@redhat.com> 3.5.5-1
- Update to 3.5.5

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> 3.5.4.2-2.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> 3.5.4.2-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Jan 23 2006 Mike A. Harris <mharris@redhat.com> 3.5.4.2-2
- Bumped and rebuilt

* Fri Dec 16 2005 Mike A. Harris <mharris@redhat.com> 3.5.4.2-1
- Updated libXpm to version 3.5.4.2 from X11R7 RC4

* Tue Dec 13 2005 Mike A. Harris <mharris@redhat.com> 3.5.4.1-1
- Updated libXpm to version 3.5.4.1 from X11R7 RC3
- Added "Requires(pre): xorg-x11-filesystem >= 0.99.2-3", to ensure
  that /usr/lib/X11 and /usr/include/X11 pre-exist.
- Removed 'x' suffix from manpage directories to match RC3 upstream.
- Added "Requires: libX11-devel" to devel subpackage as xpm.h includes various
  X headers. (#174163)
- Added missing build dep libXau-devel

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Nov 11 2005 Mike A. Harris <mharris@redhat.com> 3.5.4-1
- Updated libXpm to version 3.5.4 from X11R7 RC2
- Changed 'Conflicts: XFree86-devel, xorg-x11-devel' to 'Obsoletes'
- Changed 'Conflicts: XFree86-libs, xorg-x11-libs' to 'Obsoletes'

* Mon Oct 24 2005 Mike A. Harris <mharris@redhat.com> 3.5.3-1
- Updated libXpm to version 3.5.3 from X11R7 RC1
- Added manpages for sxpm, cxpm

* Thu Sep 29 2005 Mike A. Harris <mharris@redhat.com> 3.5.2-5
- Renamed package to remove xorg-x11 from the name due to unanimous decision
  between developers.
- Use Fedora Extras style BuildRoot tag.
- Disable static library creation by default.
- Add missing defattr to devel subpackage
- Add missing documentation files to doc macro
- Fix BuildRequires to use new style X library package names

* Sun Sep 4 2005 Mike A. Harris <mharris@redhat.com> 3.5.2-4
- Although ./configure checks for libXt and libXext, and indicates
  that they are missing, it continues to build anyway, and just does not
  build sxpm if they are not present.  Therefore, libXt-devel and
  libXext-devel are required build deps in order to get sxpm built.
- Added missing defattr to devel subpackage.

* Wed Aug 24 2005 Mike A. Harris <mharris@redhat.com> 3.5.2-3
- Changed all virtual BuildRequires to the "xorg-x11-" prefixed non-virtual
  package names, as we want xorg-x11 libs to explicitly build against
  X.Org supplied libs, rather than "any implementation", which is what the
  virtual provides is intended for.

* Tue Aug 23 2005 Mike A. Harris <mharris@redhat.com> 3.5.2-2
- Renamed package to prepend "xorg-x11" to the name for consistency with
  the rest of the X11R7 packages.
- Added "Requires: %%{name} = %%{version}-%%{release}" dependency to devel
  subpackage to ensure the devel package matches the installed shared libs.
- Added missing sxpm binary to devel subpackage
- Added virtual "Provides: lib<name>" and "Provides: lib<name>-devel" to
  allow applications to use implementation agnostic dependencies.
- Added post/postun scripts which call ldconfig.
- Added Conflicts with XFree86-libs and xorg-x11-libs to runtime package,
  and Conflicts with XFree86-devel and xorg-x11-devel to devel package.

* Mon Aug 22 2005 Mike A. Harris <mharris@redhat.com> 3.5.2-1
- Initial build.
