Name:           libcompizconfig
Version:        0.8.2
Release:        2%{?_dist_release}
Summary:        Configuration backend for compiz
Summary(ja):    compiz の設定バックエンド

Group:          System Environment/Libraries
# backends/libini.so is GPLv2+, other parts are LGPLv2+
License:        LGPLv2+ and GPLv2+
URL:            http://www.opencompositing.org/

Source0:        http://releases.compiz-fusion.org/%{version}/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

# libdrm is not available on these arches
ExcludeArch:    s390 s390x ppc64
BuildRequires:  compiz-devel >= %{version}, compiz-bcop >= %{version}
BuildRequires:  libX11-devel, gettext, intltool
BuildRequires:  perl(XML::Parser)

%description
The Compiz Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
through plugins and themes contributed by the community giving a
rich desktop experience.

This package contains the library for plugins to configure compiz 
settings.

%package        devel
Summary:        Development files for %{name}
Summary(ja):    %{name} の開発ファイル
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release} , pkgconfig , compiz-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

%build
%configure --disable-static 
           
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS VERSION
%{_sysconfdir}/compizconfig/
%{_libdir}/*.so.*
%{_datadir}/compiz/ccp.xml
%{_libdir}/compiz/*.so
%dir %{_libdir}/compizconfig/
%dir %{_libdir}/compizconfig/backends/
%{_libdir}/compizconfig/backends/libini.so

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libcompizconfig.pc


%changelog
* Sat Sep 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.2-2
- rebuild with rpm-4.8.1 for pkg-config file

* Mon May 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.8.2-1
- new upstream release

* Sat Oct 11 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.8-1
- new upstream release

* Wed Jun 11 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.6-1
- new upstream release

* Mon May 19 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.4-1
- new upstream release

* Sat May 10 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.2-1
- initial build for Vine Linux

* Tue Mar 27 2008 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.7.2-1
- 0.7.2 update

* Sun Feb 10 2008 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-7
- rebuild for gcc43

* Tue Jan 08 2008 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-5
- patched also the configure script

* Tue Jan 08 2008 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-4
- applied gcc43 buildfix

* Wed Oct 24 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-3
- -devel requires compiz-devel >= version

* Wed Oct 24 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-2
- >= instead of = to allow compiz upgrade flexibility

* Tue Oct 23 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-1
- official 0.6.0 release

* Tue Oct 16 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-0.3.20071011git5615ca
- added LICENSE.gpl and LICENSE.lgpl into doc
- license tag changed to LGPLv2+ and GPLv2+

* Tue Oct 16 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-0.2.20071011git5615ca
- 20071011git
- added BuildDep libX11-devel
- added patch to fix weak symbols

* Sat Oct 6 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.5.2-0.3
- owns created directories
- updated license tag

* Tue Aug 14 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.5.2-0.1
- 0.5.2 release

* Sun Jul 03 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.0.1-0.4.20070703git
- 20070703git

* Sun Jun 24 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.0.1-20070622git
- Initial specfile, borrowing descriptions from Trevino ubuntu debs

