%define pkg_version 0.6.4
%define pkg_release 3%{?_dist_release}

Summary:	A library for accessing online service APIs using the GData protocol
Summary(ja):	GData プロトコルを使用しているオンラインサービス API にアクセスするためのライブラリ
Name:		libgdata
Version:	%{pkg_version}
Release:	%{pkg_release}
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgdata/0.6/%{name}-%{version}.tar.bz2
License:	LGPLv2+
Group:		System Environment/Libraries 
URL:		http://live.gnome.org/libgdata 

BuildRequires:	glib2-devel >= 2.19.0
BuildRequires:	libsoup-devel >= 2.26.1
BuildRequires:	libxml2-devel
BuildRequires:	gobject-introspection-devel
BuildRequires:	gir-repository-devel
BuildRequires:	gtk-doc

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
libgdata is a GLib-based library for accessing online service APIs using the
GData protocol - most notably, Google's services. It provides APIs to access
the common Google services, and has full asynchronous support. 


%package	devel
Summary:	Development files for libgdata
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libsoup-devel >= 2.26.1
Requires:	libxml2-devel

%description	devel
Development files for libdata.


%prep
%setup -q


%build
%configure --disable-static
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

%{__rm} -rf ${RPM_BUILD_ROOT}%{_libdir}/*.la

%find_lang gdata

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%check
# Only the general test can be run without network access
cd gdata/tests
./general

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f gdata.lang
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README
%{_libdir}/libgdata.so.*
%{_libdir}/girepository-1.0/GData-0.0.typelib
%{_datadir}/gir-1.0/GData-0.0.gir
%{_datadir}/gtk-doc/html/gdata

%files devel
%defattr(-,root,root,-)
%{_includedir}/libgdata
%{_libdir}/libgdata.so
%{_libdir}/pkgconfig/libgdata.pc


%changelog
* Sat Sep 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.4-3
- rebuild with rpm-4.8.1 for pkg-config file

* Sat Sep 04 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.4-2
- fixed Group typo

* Sun May 09 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.4-1
- initial build for Vine Linux

