Name:		libgdiplus
Summary:	An Open Source implementation of the GDI+ API.
Summary(ja):	GDI+ API のオープンソースな実装
Version: 	2.6.7
Release:	1%{?_dist_release}
License:	MIT
Group:		System Environment/Libraries
URL:		http://go-mono.com
Source:		http://go-mono.com/sources/libgdiplus/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	cairo-devel >= 1.8.0
BuildRequires:	glib2-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libungif-devel
BuildRequires:	libtiff-devel
BuildRequires:	freetype2-devel

%description
An Open Source implementation of the GDI+ API.
This is part of the Mono project.

%description -l ja
GDI+ API のオープンソースな実装です．
これは Mono Project の一部です．

%package devel
Summary:	Libraries for developing with libgdiplus.
Summary(ja):	libgdiplus の開発用ライブラリ
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel
Requires:	cairo-devel
Requires:	libjpeg-devel
Requires:	libungif-devel
Requires:	libtiff-devel
Requires:	freetype2-devel

%description devel
This package provides the necessary development libraries to allow
you to develop with libgdiplus.

%description devel -l ja
libgdiplus を使って開発する時に必要なライブラリ集です。

%prep
%setup -q

%build
%configure --without-libexif --disable-static
make

%install
rm -rf %{buildroot}

%makeinstall

rm -f %{buildroot}%{_libdir}/*.la

%post  -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}


%files 
%defattr(0644, root, root, 0755)
%doc AUTHORS COPYING src/ChangeLog
%{_libdir}/*.so.*

%files devel
%defattr(0644, root, root, 0755)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%changelog
* Mon Jul 26 2010 Shu KONNO <owa@bg.wakwak.com> 2.6.7-1
- updated libgdiplus to 2.6.7

* Sat May 01 2010 Shu KONNO <owa@bg.wakwak.com> 2.6.4-1
- updated libgdiplus to 2.6.4

* Sat Apr 10 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.6.2-2
- added --disable-static option to %%configure
- added Requires to devel package

* Thu Apr 08 2010 Shu KONNO <owa@bg.wakwak.com> 2.6.2-1
- updated libgdiplus to 2.6.2

* Sun Dec 27 2009 Shu KONNO <owa@bg.wakwak.com> 2.6-1
- updated libgdiplus to 2.6

* Sun Apr 05 2009 Shu KONNO <owa@bg.wakwak.com> 2.4-1
- new upstream release
- dropt static library

* Mon Oct 06 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0-1
- new upstream release

* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 1.2.5-1vl5
- applied new versioning policy, spec in utf-8

* Fri Sep 14 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.5-0vl1
- new upstream release
- added --without-libexif option

* Sat Oct 14 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.13.6-0vl1
- new upstream release

* Wed Mar 29 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.13.4-0vl1
- new upstream release

* Sun Dec 19 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.5-0vl1
- new upstream release

* Tue Nov 23 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.4-0vl2
- fixed spec file encofing (was iso-2022-jp?)
- changed Groups of each packages

* Sat Nov 06 2004 Satoshi MACHINO <machino@vinelinux.org> 1.0.4-0vl1
- new upstream version
- added japanese description

* Sat Nov 06 2004 Satoshi MACHINO <machino@vinelinux.org> 1.0.2-0vl2
- build on cairo-0.2.0

* Sat Oct 16 2004 Satoshi MACHINO <machino@vinelinux.org> 1.0.2-0vl1
- built for VineLinux


