# Note that this is NOT a relocatable package
%define name	libglade
%define ver	0.17
%define rel	15%{?_dist_release}

Summary:	libglade library
Summary(ja):	libglade ライブラリ
Name:		%{name}
Version:	%{ver}
Release:	%{rel}
License:	LGPL
Group:          System Environment/Libraries
URL:		http://www.gnome.org
Source:		ftp://ftp.gnome.org/pub/GNOME/stable/sources/%{name}/%{name}-%{ver}.tar.gz
Patch0:		libglade-0.16-fixquote.patch
Patch1:         libglade-0.17-gtkdoc.patch
Patch2:         libglade-0.17-clist-gettext.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  libxml-devel >= 1.8.16
BuildRequires:  gnome-libs-devel >= 1.4.2-2vl5
Requires:	libxml >= 1.8.16
Requires:       gnome-libs >= 1.4.2-2vl5

%description
This library allows you to load user interfaces in your program, which are
stored externally.  This allows alteration of the interface without
recompilation of the program.

The interfaces can also be edited with GLADE.

%description -l ja
このライブラリを使うと、外部に格納されたユーザインタフェースを
プログラムに読み込むことができます。これによりプログラムを
再コンパイルすることなくインタフェースの見た目を変えることが
可能になります。

このインタフェースは GLADE を使って編集することができます。

%package devel
Summary:	Libraries, includes, etc to develop libglade applications
Summary(ja):	libglade アプリケーション開発の為のライブラリ/ヘッダ等
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:       libxml-devel >= 1.8.16
Requires:       gnome-libs-devel >= 1.4.2-2vl5


%description devel
Libraries, include files, etc you can use to develop libglade applications.

%description devel -l ja
libglade アプリケーションを開発するのに必要なライブラリ/ヘッダファイル等


%prep
%setup -q
%patch0 -p1 -b .fixquote
%patch1 -p1 -b .gtkdoc
%patch2 -p1 -b .clist-gettext

%build
autoconf
%configure --without-bonobo --disable-static
make %{?_smp_mflags}


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall

# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/{libglade-gnome.la,libglade.la}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
%{_bindir}/*
%{_libdir}/lib*.so
#{_libdir}/*a
%{_libdir}/*Conf.sh
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%{_datadir}/aclocal/*

%doc test-libglade.c
%doc *.glade
%doc %{_datadir}/gnome/html/libglade/*


%changelog
* Fri Feb 12 2010 NAKAMURA Kenta <kenta@vinelinux.org> 0.17-15
- rebuilt with db4-4.8

* Sat May  2 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.17-14
- rebuilt with gnome-libs-1.4.2-2vl5 (linking db-4.6.21)
- removed lib*.a files

* Sat Jul 26 2008 Shu KONNO <owa@bg.wakwak.com> 0.17-13vl5
- applied new versioning policy and spec in utf-8

* Sun May 20 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.17-12vl3
- rebuilt with db4-4.3.29

* Wed Oct 13 2004 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.17-12vl2
- rebuilt with db4-4.2.52

* Wed Jan 15 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.17-12vl1
- based on Fedora 0.17-12.2
  * Wed Jun 19 2002 Jeremy Katz <katzj@redhat.com>
  - remove .la files
  * Tue Apr 16 2002 Havoc Pennington <hp@redhat.com>
  - patch from Harald to call gettext on clist column titles, #63338
  * Tue Mar  5 2002 Havoc Pennington <hp@redhat.com>
  - install .pc files, #59522
  - fix more prefix/lib->libdir sort of things
  - use autoconf-2.52 binary- s/Copyright/License/
- rebuild with new toolchains

* Wed Jan 15 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.17-0vl2
- rebuilt against gnome-libs-1.4.2-0vl2 (for db1/db4 matters)

* Tue Dec 18 2001 Akira TAGOH <tagoh@gnome.gr.jp> 0.17-0vl1
- New upstream release.

* Tue Mar 13 2001 Akira TAGOH <tagoh@gnome.gr.jp> 0.16-0vl1
- New upstream release.
- Added relative execute for config.

* Wed Jan 24 2001 Lisa Sagami <czs14350@mb.infoweb.ne.jp>
- corrected Group

* Wed Sep 06 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 0.14-0vl1
- updated to 0.14
- added Japanese summary and description

* Sun Nov  1 1998 James Henstridge <james@daa.com.au>
- Updated the dependencies of the devel package, so users must have gtk+-devel.

* Sun Oct 25 1998 James Henstridge <james@daa.com.au>
- Initial release 0.0.1
