# $Id: libid3tag.spec,v 1.9 2004/02/19 09:37:51 dude Exp $

Summary: Library for reading and writing ID3v1 and ID3v2 tags.
Summary(ja): ID3 タグを読み書きするためのライブラリ
Name: libid3tag
Version: 0.15.1b
Release: 3%{_dist_release}
Group: System Environment/Libraries
Source: ftp://ftp.mars.org/pub/mpeg/%{name}-%{version}.tar.gz
Patch10: libid3tag-0.15.1b-gentoo-CVE-2008-2109_fix_overflow.patch
URL: http://www.underbit.com/products/mad/
License: GPLv2
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: zlib-devel
BuildRequires: gcc-c++
Conflicts: libmad < 0.15.1b

Vendor: Project Vine
Distribution: Vine Linux

Packager: inagaki

%description
A library for reading and (eventually) writing ID3 tags, both ID3v1 and the
various versions of ID3v2.

%package devel
Summary: Header and library for developing programs that will use libid3tag.
Summary(ja): libid3tag を使うプログラムを開発するためのライブラリ
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: zlib-devel

%description devel
A library for reading and (eventually) writing ID3 tags, both ID3v1 and the
various versions of ID3v2.

This package contains the header file as well as the static library needed
to develop programs that will use libid3tag for ID3 tar reading and writing.


%prep
%setup -q

%patch10 -p0 -b .CVE-2008-2109

%build
%configure --disable-static
make %{_smp_mflags}

cat << EOF > id3tag.pc
prefix=%{_prefix}
exec_prefix=%{_prefix}
libdir=%{_libdir}
includedir=%{_includedir}

Name: id3tag
Description: ID3 tag library
Requires:
Version: %{version}
Libs: -L%{_libdir} -lid3tag -lz
Cflags: -I%{_includedir}
EOF

%install
rm -rf %{buildroot}
%makeinstall
install -m 644 -D id3tag.pc %{buildroot}%{_libdir}/pkgconfig/id3tag.pc

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files 
%defattr(-, root, root)
%doc CHANGES COPYING COPYRIGHT CREDITS README TODO
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
#{_libdir}/*.a
%exclude %{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*

%changelog
* Fri Jul  3 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.15.1b-3
- spec in UTF-8
- added --disable-static option to %%configure

* Sun Jun 15 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.15.1b-2vl5
- rebuilt for VineSeed

* Sat Jun 07 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> - 0.15.1b-2vl4
- add patch10 for fix CVE-2008-2109 (ID3_FIELD_TYPE_STRINGLIST field)
- new versioning policy
- add Vendor/Distribution tag

* Thu Mar 11 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.15.1b-1vl1
- based on freshrpms package
- rebuild for Vine Linux
- added Japanese summary
- added %post and %postun script

* Thu Feb 19 2004 Matthias Saou <http://freshrpms.net/> - 0.15.1b-1.fr
- Update to 0.15.1b.

* Sun Nov  2 2003 Matthias Saou <http://freshrpms.net/> - 0.15.0b-4.fr
- Rebuild for Fedora Core 1.

* Wed Sep  3 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Fixed the -I in the pkgconfig file, thanks to Michael A. Peters.

* Thu Aug 28 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added id3tag.pc required by gstreamer-plugins.
- Added zlib-devel dep to the devel package.

* Mon Jul 21 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added zlib-devel build dep.

* Wed Jun 25 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial release of 0.15.0b.

