%define glib2_version		2.10.0

Summary: libnotify notification library 
Name: libnotify 
Version: 0.4.5
Release: 2%{?_dist_release}
URL: http://www.galago-project.org/specs/notification/ 
License: LGPL
Group: System Environment/Libraries

Source0: %{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: gtk2-devel
BuildRequires: dbus-devel >= 1.0
BuildRequires: dbus-glib-devel
Requires: glib2 >= %{glib2_version}
Requires: notification-daemon

%description
libnotify is an implementation of the freedesktop.org desktop 
notification specification.

%package devel
Summary:	Files for development using %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:       glib2-devel >= %{glib2_version}
Requires:       gtk2-devel
Requires:       dbus-devel >= 0.36
Requires:       dbus-glib-devel

%description devel
This package contains the headers and pkg-config file for
development of programs using %{name}.

%prep
%setup -q

%build
%configure
%__make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%__make install DESTDIR=$RPM_BUILD_ROOT

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a

%clean
rm -rf $RPM_BUILD_ROOT 

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS
%{_bindir}/notify-send
%{_libdir}/lib*.so*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/pkgconfig/libnotify.pc
%{_datadir}/gtk-doc/html/%{name}


%changelog
* Fri Feb 26 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.4.5-2
- rebuilt with new toolchain

* Fri Mar 27 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.4.5-1
- new upstream release

* Sat Nov 15 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.4.4-2
- added Requires: notification-daemon
- added BuildRequires: dbus-glib-devel
- added Requires: dbus-glib-devel to devel package

* Sun Jun  1 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.4.4-1
- applied new versioning policy

* Fri Apr 27 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.4-0vl2
- rebuild with dbus-1.0

* Fri Mar 16 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.4.4-0vl1
- new upstream release
- added BuildRequires: gtk2-devel, dbus-devel
- added Requires: gtk2-devel, dbus-devel to devel package

* Wed Nov 15 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.4.3-0vl1
- new upstream release

* Sun Jun 25 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.2-0vl1
- new upstream release

* Fri Jun 02 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.0-0vl1
- new upstream release

* Sat Mar 11 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.2-0vl1
- initial build for Vine Linux partialy based on FC package

* Thu Mar  2 2006 Ray Strode <rstrode@redhat.com> - 0.3.0-5
- patch out config.h include from public header

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.3.0-4.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.3.0-4.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Thu Jan 12 2006 Christopher Aillon <caillon@redhat.com> - 0.3.0-4
- Require a desktop-notification-daemon to be present.  Currently,
  this is notify-daemon, but libnotify doesn't specifically require
  that one.  Require 'desktop-notification-daemon' which daemons
  providing compatible functionality are now expected to provide.

* Wed Jan 11 2006 Christopher Aillon <caillon@redhat.com> - 0.3.0-3
- Let there be libnotify-devel...

* Tue Nov 15 2005 John (J5) Palmieri <johnp@redhat.com> - 0.3.0-2
- Actual release of the 0.3.x series

* Tue Nov 15 2005 John (J5) Palmieri <johnp@redhat.com> - 0.3.0-1
- Bump version to not conflict with older libnotify libraries

* Tue Nov 15 2005 John (J5) Palmieri <johnp@redhat.com> - 0.0.2-1
- inital build
