%define ver 2.6

Summary: A C++ wrapper for gnome-panel
Summary(ja): gnome-panel の C++ ラッパー
Name: libpanelappletmm
Version: 2.26.0
Release: 1%{?_dist_release}
License: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/sources/libpanelappletmm/2.26/%{name}-%{version}.tar.bz2

Buildroot: %{_tmppath}/%{name}-%{version}-root

Requires:	gnome-panel-libs >= 2.14.0
Requires:	gtkmm2 >= 2.4.0
Requires:	gconfmm >= 2.6.0
BuildRequires:	gnome-panel-devel >= 2.14.0
BuildRequires:	gtkmm2-devel >= 2.4.0
BuildRequires:	gconfmm-devel >= 2.6.0

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
Libpanelappletmm is a C++ wrapper for gnome-panel.


%package	devel
Summary: 	Development tools for gnome-panel applications.
Summary(ja): 	gnome-panel アプリケーションの開発用ファイル
Group: 		Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:	gnome-panel-devel >= 2.14.0
Requires:	gtkmm2-devel >= 2.4.0
Requires:	gconfmm-devel >= 2.6.0


%description devel
Header files and libraries for building a extension library for the gnome-panel.

%prep
%setup -q 

%build
%configure --disable-static
make %{?_smp_mflags}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name "*.a" -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

# remove demos, examples
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}-%{ver}/demo
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}-%{ver}/examples

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/lib*.so.*

%files  devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/%{name}-%{ver}/include
%{_libdir}/%{name}-%{ver}/proc/m4
%{_libdir}/pkgconfig/*.pc

%changelog
* Sun Aug 15 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.26.0-1
- initial build for Vine Linux

