Name:           libsynce
Version:        0.15
Release:        1%{?_dist_release}
Summary:        Connection library for Pocket PC devices

Group:          System Environment/Libraries
License:        MIT
URL:            http://www.synce.org
Source0:        http://download.sf.net/synce/libsynce-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  dbus-glib-devel
BuildRequires:  hal-devel

# Provide an upgrade path from the monilithic synce package
Provides:       synce = %{version}-%{release}
Obsoletes:      synce <= 0.9.1-10

%description
The purpose of the SynCE project is to provide a means of
communication with a Windows CE device from a computer running Linux,
FreeBSD or a similar operating system.

%package devel
Summary: Development libraries and header files for SynCE
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package contains the header files and link libraries for SynCE
application development. SynCE provides support for communication
between a Windows CE device (PDA, smart phone) and a Linux machine.

For more details on the SynCE project, please refer to the project's
homepage at http://www.synce.org

%prep
%setup -q 

%build
%configure --disable-static --disable-rpath
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc README TODO ChangeLog
%{_libdir}/libsynce.so.0*
%{_mandir}/man7/synce.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*.h
%{_libdir}/lib*.so
%{_mandir}/man3/*
%{_libdir}/pkgconfig/*.pc

%changelog
* Wed Jun 09 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp>
- initial build for Vine Linux


* Tue May 11 2010 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.15-1
- version upgrade

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 21 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.14-1
- version upgrade

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 08 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.13-1
- version upgrade (#457949)

* Mon Dec 15 2008 Caolán McNamara <caolanm@redhat.com> - 0.11.1-2
- rebuild to get provides pkgconfig(libsynce)

* Tue Jun 17 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.11.1-1
- version upgrade

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.11-3
- Autorebuild for GCC 4.3

* Wed Jan 09 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.11-2
- fix BR

* Wed Jan 09 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.11-1
- version upgrade

* Wed May 09 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.10.0-1
- version 0.10.0

* Sat Mar 03 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.9.3-1
- split off the synce package
