%define name libupnp
%define version 1.6.6
%define release 1%{?_dist_release}

Summary: Universal Plug and Play (UPnP) SDK
Summary(ja): ユニバーサルプラグアンドプレイ開発キット
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Patch0: %{name}-1.6.5.patch
License: BSD
Group: System Environment/Libraries
URL: http://pupnp.sourceforge.net/

BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The Universal Plug and Play (UPnP) SDK for Linux provides 
support for building UPnP-compliant control points, devices, 
and bridges on Linux.

%package devel
Summary: Header files, libraries and development documentation for %{name}.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%setup -q
%patch -p1

%build
%configure --with-documentation="/rpm-doc"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR="${RPM_BUILD_ROOT}"

#
%{__rm} ${RPM_BUILD_ROOT}%{_libdir}/*.la

### Clean up buildroot
cp -pr ${RPM_BUILD_ROOT}/rpm-doc/ .
rm -rf ${RPM_BUILD_ROOT}/rpm-doc/
#{__mv} -f ${RPM_BUILD_ROOT}/rpm-doc/ .

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING INSTALL LICENSE NEWS README THANKS TODO
%{_libdir}/libixml.so.*
%{_libdir}/libthreadutil.so.*
%{_libdir}/libupnp.so.*

%files devel
%defattr(-, root, root, 0755)
%doc rpm-doc/*
%{_includedir}/upnp/
%{_libdir}/libixml.a
%{_libdir}/libixml.so
%{_libdir}/libthreadutil.a
%{_libdir}/libthreadutil.so
%{_libdir}/libupnp.a
%{_libdir}/libupnp.so
%{_libdir}/pkgconfig/libupnp.pc

%changelog
* Sun Mar 01 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.6.6-1
- new upstream release

* Fri Oct 03 2008 Shu KONNO <owa@bg.wakwak.com> 1.6.5-1vl5
- applied new versioning policy, spec in utf-8

* Tue Feb 14 2008 Masahiro INOUE <miyabi.-.inoue@nifty.com> 1.6.5
- new upstream release

* Tue Jul 31 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.6.0-0vl1
- new upstream release

* Sat May 26 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.2-0vl1
- initial build for Vine Linux

* Wed Feb 21 2007 Dag Wieers <dag@wieers.com> - 1.4.2-1 - +/
- Initial package. (using DAR)
