Summary:        Collection of video4linux support libraries 
Summary(ja):    video4linux サポートライブラリ集
Name:           libv4l
Version:        0.4.2
Release:        1%{?_dist_release}
Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://hansdegoede.livejournal.com/3636.html
Source0:        http://people.atrpms.net/~hdegoede/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  kernel-headers

%description
libv4l is a collection of libraries which adds a thin abstraction layer on
top of video4linux2 devices. The purpose of this (thin) layer is to make it
easy for application writers to support a wide variety of devices without
having to write separate code for different devices in the same class. libv4l
consists of 3 different libraries: libv4lconvert, libv4l1 and libv4l2.

libv4lconvert offers functions to convert from any (known) pixelformat
to V4l2_PIX_FMT_BGR24 or V4l2_PIX_FMT_YUV420.

libv4l1 offers the (deprecated) v4l1 API on top of v4l2 devices, independent
of the drivers for those devices supporting v4l1 compatibility (which many
v4l2 drivers do not).

libv4l2 offers the v4l2 API on top of v4l2 devices, while adding for the
application transparent libv4lconvert conversion where necessary.


%package        devel
Summary:        Development files for %{name}
Summary(ja):    %{name} の開発ファイル
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}, pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" \
  PREFIX=%{_prefix} LIBDIR=%{_libdir}


%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=%{_prefix} LIBDIR=%{_libdir} DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING.LIB ChangeLog README TODO
%{_libdir}/libv4l*.so.*
%{_libdir}/libv4l

%files devel
%defattr(-,root,root,-)
%doc README.multi-threading
%{_includedir}/libv4l*.h
%{_libdir}/libv4l*.so
%{_libdir}/pkgconfig/libv4l*.pc


%changelog
* Mon Sep 29 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.2-1
- initial build for Vine Linux

* Fri Aug 29 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.2-1
- New upstream release 0.4.2

* Tue Aug 26 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.1-1
- New upstream release 0.4.1

* Sun Aug  3 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.0-1
- New upstream release 0.4.0

* Tue Jul 30 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.3.8-1
- New upstream release 0.3.8

* Sat Jul 26 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.3.7-1
- Initial Fedora package
