Name:           libxfce4menu
Version:        4.6.2
Release:        1%{?_dist_release}
Summary:        A freedesktop.org compliant menu implementation for Xfce

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://www.xfce.org/
Source0:        http://www.xfce.org/archive/xfce-%{version}/src/libxfce4menu-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires: gettext
BuildRequires: glib2-devel >= 2.6.0
BuildRequires: gtk2-devel >= 2.6.0
BuildRequires: libxfce4util-devel >= 4.6.0
BuildRequires: intltool

%description
libxfce4menu is a freedesktop.org compliant menu library written for Xfce. 
It implements the Desktop Menu Specification version 1.0

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Requires:       glib2-devel >= 2.6.0
Requires:       libxfce4util-devel >= 4.6.0

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%find_lang %{name}-0.1

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}-0.1.lang
%defattr(-,root,root,-)
%doc AUTHORS HACKING COPYING NEWS README TODO
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/xfce4/*
%{_libdir}/*.so
%doc %{_datadir}/gtk-doc/html/libxfce4menu
%{_libdir}/pkgconfig/%{name}-0.1.pc

%changelog
* Sun May 23 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 4.6.2-1
- new upstream release
- built with new toolchain

* Fri May 22 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 4.6.1-2
- initial build for Vine

* Sun Apr 19 2009 Kevin Fenzi <kevin@tummy.com> - 4.6.1-1
- Update to 4.6.1

* Mon Mar 02 2009 Christoph Wickert <cwickert@fedoraproject.org> - 4.6.0-2
- Fix directory ownership problems
- Mark gtk-doc files as %%doc

* Thu Feb 26 2009 Kevin Fenzi <kevin@tummy.com> - 4.6.0-1
- Update to 4.6.0 final

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.5.99.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan 26 2009 Kevin Fenzi <kevin@tummy.com> - 4.5.99.1-1
- Update to 4.5.99.1

* Tue Jan 13 2009 Kevin Fenzi <kevin@tummy.com> - 4.5.93-1
- Update to 4.5.93

* Tue Dec 23 2008 Kevin Fenzi <kevin@tummy.com> - 4.5.92-1
- Initial packaging for Fedora
