%define mono_dir %{_prefix}/lib/mono
Summary: Mono Debugger
Summary(ja): Mono デバッガ
Name: mono-debugger
Version: 2.6.3
Release: 2%{?_dist_release}
Group: Development/Languages
License: MIT/X11 (include GPL files)
URL: http://www.mono-project.com/Debugger
Source0: %{name}-%{version}.tar.bz2
BuildRequires: mono-devel mono-nunit mono-web
BuildRequires: pkgconfig
BuildRequires: ncurses-devel
Requires: mono-core >= 2.4
Provides: mono-debugger = %{version}-%{release}
ExclusiveArch: %ix86 x86_64
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
A debugger is an important tool for development. The Mono Debugger
(MDB) can debug both managed and unmanaged applications.  It provides a
reusable library that can be used to add debugger functionality to
different front-ends. The debugger package includes a console debugger
named "mdb", and MonoDevelop (http://www.monodevelop.com) provides a
GUI interface to the debugger.

%description -l ja
デバッガは開発にかかせないツールです。Mono デバッガはマネージ、非マネージアプリ
ケーションのどちらでもデバッグできます。Mono デバッガは二つの異なるフロントエン
ドに再利用可能なライブラリを提供します。このパッケージは mdb というコンソールデ
バッガを含んでいます。また MonoDevelop (http://www.monodevelop.com) の GUI から
このデバッガを利用することもできます。


%prep
%setup  -q -n mono-debugger-%{version}


%build
%configure
make


%install
make DESTDIR="$RPM_BUILD_ROOT" install

# Remove unnecessary devel files
rm -f $RPM_BUILD_ROOT%_libdir/libmonodebuggerreadline.*a
rm -f $RPM_BUILD_ROOT%_libdir/libmonodebuggerserver.*a


%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_bindir}/mdb
%{_bindir}/mdb-symbolreader
%{_libdir}/*.so*
%{mono_dir}/2.0/*
%{mono_dir}/gac/Mono.Debugger
%{mono_dir}/gac/Mono.Debugger.Frontend
%{mono_dir}/gac/Mono.Debugger.SymbolWriter
%{mono_dir}/mono-debugger
%{_libdir}/pkgconfig/mono-debugger.pc
%{_libdir}/pkgconfig/mono-debugger-frontend.pc


%changelog
* Wed Sep 22 2010 IWAI, Masaharu <iwai@alib.jp> 2.6.3-2
- build with rpm-4.8.1-1 for pkg-config file

* Thu Apr 08 2010 <owa@bg.wakwak.com> 2.6.3-1
- updated mono-debugger to 2.6.3

* Sun Dec 27 2009 <owa@bg.wakwak.com> 2.6-1
- updated mono-debugger to 2.6

* Tue Dec 15 2009 <owa@bg.wakwak.com> 2.4.3-1
- new upstream release

* Wed Jul 08 2009 <owa@bg.wakwak.com> 2.4.2.1-1
- new packaged for VineLinux

