Summary: .NET runtime environment
Summary(ja): .NET ランタイム環境
Name: mono
Version: 2.6.7
Release: 2%{?_dist_release}
Group: Development/Languages
License: GPL, LGPL, MIT X11
URL: http://www.mono-project.com/
Source0: http://ftp.novell.com/pub/mono/sources/mono/%{name}-%{version}.tar.bz2
Source1: monodir.c

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: bison
BuildRequires: glib2-devel
BuildRequires: pkgconfig
BuildRequires: libicu-devel
BuildRequires: libgdiplus-devel >= 2.0
BuildRequires: zlib-devel
# JIT only availible on these:
ExclusiveArch: %{ix86} x86_64 ppc ia64 s390 s390x armv4l sparc

%description
The Mono runtime implements a JIT engine for the ECMA CLI
virtual machine (as well as a byte code interpreter, the
class loader, the garbage collector, threading system and
metadata access libraries.

%description -l ja
Mono ランタイムは ECMA CLI 仮想機械用 JIT エンジンの実装です。バイト
コードインタプリタ、クラスローダ、ガベージコレクタ、スレッドシステム
およびメタデータアクセスライブラリの機能を持ちます。

%package core
Summary: The Mono CIL runtime, suitable for running .NET code
Summary(ja): .NET の実行に適した Mono CIL ランタイム
Group: Development/Languages
Requires: libgdiplus

%description core
This package contains the core of the Mono runtime including its
Virtual Machine, Just-in-time compiler, C# compiler, security
tools and libraries (corlib, XML, System.Security, ZipLib,
I18N, Cairo and Mono.*).

%package devel
Summary:        Development tools for Mono
Summary(ja):    Mono 開発ツール
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}
Requires:       glib2-devel

%description devel
This package completes the Mono developer toolchain with the mono profiler,
assembler and other various tools.

%package nunit
Summary:        NUnit Testing Framework
Summary(ja):    NUnit テストフレームワーク
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}
Requires:       glib2-devel

%description nunit
NUnit is a unit-testing framework for all .NET languages. Initially
ported from JUnit, the current release, version 2.2, is the fourth
major release of this Unit based unit testing tool for Microsoft .NET.
It is written entirely in C# and  has been completely redesigned to
take advantage of many .NET language features, for example
custom attributes and other reflection related capabilities. NUnit
brings xUnit to all .NET languages.

%package locale-extras
Summary:        Extra locale information for Mono
Summary(ja):    Mono 用追加ロケール情報
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}

%description locale-extras
This package contains assemblies to support I18N applications for
non-latin alphabets.

# The above seems safe

%package jscript
Summary:        JScript .NET support for Mono
Summary(ja):    Mono 用 JScript .NET サポート
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}

%description jscript
This package contains the JScript .NET compiler and language runtime.
This allows you to compile and run JScript.NET application and
assemblies.

%package extras
Summary:        Provides the infrastructure for running and building daemons and services with Mono as well as various stub assemblies
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}

%description extras
This package provides the libary and application to run services
and daemons with Mono. It also includes stubs for the following
.NET 1.1 and 2.0 assemblies: Microsoft.Vsa,
System.Configuration.Install, System.Management, System.Messaging.

%package winforms
Summary:        Windows Forms implementation for Mono
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}

%description winforms
This package provides a fully managed implementation of
System.Windows.Forms, the default graphical toolkit for .NET
applications.

%package web
Summary:        ASP.NET, Remoting, and Web Services for Mono
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}

%description web
This package provides the ASP.NET libraries and runtime for
development of web application, web services and remoting support.

%package data
Summary:        Database connectivity for Mono
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}

%description data
This package provides a Mono assembly to facilitate data access
and manipulation with databases, LDAP compatible directory servers
and/or XML data exchange. Beyond the ADO.NET, Novell.LDAP and
System.DirectoryServices assemblies, it also includes a command
line sql application as well as the Microsoft SQL Server and ODBC
data providers.

%package data-sqlite
Summary:        sqlite database connectivity for Mono
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}
Requires:       sqlite

%description data-sqlite
This package contains the ADO.NET Data provider for the sqlite
database.

%package data-sybase
Summary:        Sybase database connectivity for Mono
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}

%description data-sybase
This package contains the ADO.NET Data provider for the Sybase
database.

%package data-oracle
Summary:        Oracle database connectivity for Mono
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}

%description data-oracle
This package contains the ADO.NET Data provider for the Oracle
database.

%package data-postgresql
Summary:        Postgresql database connectivity for Mono
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}

%description data-postgresql
This package contains the ADO.NET Data provider for the PostgreSQL
database.

%package data-firebird
Summary:        Firebird database connectivity for Mono
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}

%description data-firebird
This package contains the ADO.NET Data provider for the Firebird
database.

%package -n ibm-data-db2
Summary:        IBM DB2 database connectivity for Mono
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}

%description -n ibm-data-db2
This package contains the ADO.NET Data provider for the IBM DB2
Universal database.

%package -n bytefx-data-mysql
Summary:        MySQL database connectivity for Mono
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}

%description -n bytefx-data-mysql
This package contains the ADO.NET Data provider for MySQL. This is
no longer maintained. MySQL AB now provides MySQL Connector/Net
which is fully managed and actively maintained.

%package -n monodoc
Summary:	The Mono documentation system
Group:		Development/Tools
Requires:	mono-core = %{version}-%{release}
Requires:	libgluezilla >= 2.4
Obsoletes:      monodoc-core <= 2.0-1vl5

%description -n monodoc
monodoc is the documentation package for the mono .NET environment


## macros
%define mono_dir %{_prefix}/lib/mono
%define mono_doc %{_prefix}/lib/monodoc
%define gac_and_1dll(dll)  %{mono_dir}/gac/%{1} \
	%{mono_dir}/%{2}/%{1}.dll \
	%{nil}
%define gac_and_2dll(dll)  %{mono_dir}/gac/%{1} \
	%{mono_dir}/%{2}/%{1}.dll \
	%{mono_dir}/%{3}/%{1}.dll \
	%{nil}
%define bin_and_exe(bin, exe) %{_bindir}/%{1} \
	%{mono_dir}/%{2}.exe \
	%{mono_dir}/%{2}.exe.mdb \
	%{nil}
%define bin_exe_and_conf(bin, exe) %{_bindir}/%{1} \
	%{mono_dir}/%{2}.exe \
	%{mono_dir}/%{2}.exe.mdb \
	%{mono_dir}/%{2}.exe.config \
	%{nil}


%prep
%setup -q
## These are only needed if there are patches to the runtime
#rm -f libgc/libtool.m4
#autoreconf --force --install
#autoreconf --force --install libgc

# Remove prebuilt binaries
rm -rf mcs/class/lib/monolite/*


%build
gcc -o monodir %{SOURCE1} -DMONODIR=\"%{mono_dir}\"

export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure \
	--with-jit=yes \
	--with-ikvm=yes \
	--with-sigaltstack=no \
	--with-moonlight=yes \
	--with-libgdiplus=installed

# don't use parallel builds
# make %{?_smp_mflags}
make


%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && %{__rm} -rf %{buildroot}
make install DESTDIR=%{buildroot}

install monodir %{buildroot}%{_bindir}

%{__rm} %{buildroot}%{_libdir}/*.la
%{__rm} %{buildroot}%{_libdir}/*.a

## Remove unused files
%{__rm} %{buildroot}%{_bindir}/mono-find-provides
%{__rm} %{buildroot}%{_bindir}/mono-find-requires

# This was removed upstream:
%{__rm} -fr %{buildroot}%{mono_dir}/gac/Mono.Security.Win32/[12]*
%{__rm} -rf %{buildroot}%{mono_dir}/1.0/Mono.Security.Win32.dll
%{__rm} -rf %{buildroot}%{mono_dir}/2.0/Mono.Security.Win32.dll
%{__rm} %{buildroot}%{_datadir}/libgc-mono/README*
%{__rm} %{buildroot}%{_datadir}/libgc-mono/barrett_diagram
%{__rm} %{buildroot}%{_datadir}/libgc-mono/*.html
%{__rm} %{buildroot}%{_datadir}/libgc-mono/gc.man
%{__rm} %{buildroot}/%{_bindir}/jay
%{__rm} -r %{buildroot}%{_datadir}/jay
%{__rm} %{buildroot}%{_mandir}/man1/jay.1
%{__rm} %{buildroot}%{_mandir}/man1/monostyle.1
%{__rm} %{buildroot}%{_mandir}/man1/oldmono.1
%{__rm} %{buildroot}%{_mandir}/man1/mint.1
%{__rm} %{buildroot}%{mono_dir}/1.0/browsercaps-updater.exe*

%find_lang mcs


%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && %{__rm} -rf %{buildroot}

%post core -p /sbin/ldconfig
%postun core -p /sbin/ldconfig
%post devel -p /sbin/ldconfig
%postun devel -p /sbin/ldconfig

%files core -f mcs.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING.LIB ChangeLog NEWS README
%dir %{mono_dir}
%dir %{mono_dir}/1.0
%dir %{mono_dir}/2.0
%dir %{mono_dir}/3.5
%dir %{mono_dir}/gac
%dir %{mono_dir}/compat-*
%bin_and_exe csharp 2.0/csharp
%bin_and_exe certmgr 1.0/certmgr
%bin_and_exe chktrust 1.0/chktrust
%bin_and_exe lc 2.0/lc
%{_bindir}/gacutil
%bin_and_exe gacutil1 1.0/gacutil
%bin_and_exe gacutil2 2.0/gacutil
%bin_exe_and_conf gmcs 2.0/gmcs
%bin_and_exe installvst 1.0/installvst
%bin_and_exe mconfig 2.0/mconfig
%bin_and_exe mod 1.0/mod
%{_bindir}/mono
%{_bindir}/monodir
%{_bindir}/mono-api-*
%bin_and_exe mono-cil-strip 1.0/mono-cil-strip
%{_bindir}/mono-test-install
%bin_and_exe monolinker 2.0/monolinker
%bin_and_exe mozroots 1.0/mozroots
%{_bindir}/mcs
%bin_exe_and_conf mcs1 1.0/mcs
%bin_and_exe setreg 1.0/setreg
%bin_and_exe sn 1.0/sn
%bin_exe_and_conf sqlmetal 2.0/sqlmetal
%bin_and_exe svcutil 2.0/svcutil
%{_libdir}/libMonoPosixHelper.so
%{_libdir}/libmono.so.*
%{_libdir}/libmono-profiler-logging.so.*
%{mono_dir}/1.0/ictool.exe
%{mono_dir}/1.0/ictool.exe.mdb
%{mono_dir}/?.0/installutil.*
%{mono_dir}/?.0/mono-api-info*
%{mono_dir}/?.0/mscorlib.dll
%{mono_dir}/?.0/mscorlib.dll.mdb
%{mono_dir}/3.5/System.Web.Extensions*
%{mono_dir}/3.5/Microsoft.Build.*
%{mono_dir}/compat-*/ICSharpCode.SharpZipLib.dll
%{mono_dir}/gac/Mono.Cecil
%{mono_dir}/gac/Mono.Cecil.Mdb
%{mono_dir}/xbuild/*
%gac_and_2dll cscompmgd 2.0 1.0
%gac_and_2dll Commons.Xml.Relaxng 2.0 1.0
%gac_and_2dll CustomMarshalers 2.0 1.0
%gac_and_2dll I18N 2.0 1.0
%gac_and_2dll I18N.West 2.0 1.0
%gac_and_2dll ICSharpCode.SharpZipLib 2.0 1.0
%gac_and_1dll Mono.C5 2.0
%gac_and_2dll Mono.Cairo 2.0 1.0
%gac_and_2dll Mono.CompilerServices.SymbolWriter 2.0 1.0
%gac_and_2dll Mono.GetOptions 2.0 1.0
%gac_and_2dll Mono.Posix 2.0 1.0
%gac_and_2dll Mono.Security 2.0 1.0
%gac_and_2dll System 2.0 1.0
%gac_and_1dll System.Configuration 2.0
%gac_and_2dll System.Drawing 2.0 1.0
%gac_and_2dll System.Security 2.0 1.0
%gac_and_2dll System.Xml 2.0 1.0
%gac_and_1dll System.Xml.Linq 2.0
%gac_and_1dll System.Core 2.0
%gac_and_1dll Mono.CSharp 2.0
%gac_and_1dll Mono.Debugger.Soft 2.0
%gac_and_1dll Mono.Management 2.0
%gac_and_1dll Mono.Simd 2.0
%gac_and_1dll Mono.Tasklets 2.0
%gac_and_1dll System.ComponentModel.DataAnnotations 2.0
%gac_and_1dll System.IdentityModel.Selectors 2.0
%gac_and_1dll System.IdentityModel 2.0
%gac_and_1dll System.Runtime.Serialization 2.0
%gac_and_2dll OpenSystem.C 2.0 1.0
%gac_and_1dll WindowsBase 2.0
%dir %{_sysconfdir}/mono
%dir %{_sysconfdir}/mono/1.0
%dir %{_sysconfdir}/mono/2.0
%dir %{_sysconfdir}/mono/mconfig
%config (noreplace) %{_sysconfdir}/mono/config
%config (noreplace) %{_sysconfdir}/mono/1.0/machine.config
%config (noreplace) %{_sysconfdir}/mono/2.0/machine.config
%config (noreplace) %{_sysconfdir}/mono/mconfig/config.xml
%config (noreplace) %{_sysconfdir}/mono/2.0/settings.map
%{_prefix}/lib/mono-source-libs/
%{_mandir}/man1/certmgr.1.gz
%{_mandir}/man1/chktrust.1.gz
%{_mandir}/man1/csharp.1.gz
%{_mandir}/man1/gacutil.1.gz
%{_mandir}/man1/lc.1.gz
%{_mandir}/man1/mconfig.1.gz
%{_mandir}/man1/mcs.1.gz
%{_mandir}/man1/mono.1.gz
%{_mandir}/man1/monolinker.1.gz
%{_mandir}/man1/mozroots.1.gz
%{_mandir}/man1/setreg.1.gz
%{_mandir}/man1/sn.1.gz
%{_mandir}/man1/resgen.1.gz
%{_mandir}/man1/mono-cil-strip.1.gz
%{_mandir}/man1/xbuild.1.gz
%{_mandir}/man5/mono-config.5.gz

%files devel
%defattr(-,root,root,-)
%{_bindir}/al
%{_bindir}/genxs
%{_bindir}/ilasm1
%{_bindir}/mkbundle
%bin_and_exe mkbundle1 1.0/mkbundle
%bin_and_exe mkbundle2 2.0/mkbundle
%{_bindir}/monodis
%{_bindir}/monograph
%{_bindir}/monop1
%{_bindir}/mono-gdb.py
%{_bindir}/pedump
%{_bindir}/resgen1
%bin_and_exe al1 1.0/al
%bin_and_exe al2 2.0/al
%bin_and_exe caspol 1.0/caspol
%bin_and_exe cert2spc 1.0/cert2spc
%bin_and_exe cilc 1.0/cilc
%bin_and_exe dtd2xsd 1.0/dtd2xsd
%bin_and_exe dtd2rng 1.0/dtd2rng
%bin_and_exe genxs1 1.0/genxs
%bin_and_exe sgen 2.0/sgen
%bin_and_exe ilasm 1.0/ilasm
%bin_and_exe ilasm2 2.0/ilasm
%bin_and_exe macpack 1.0/macpack
%bin_and_exe makecert 1.0/makecert
%bin_and_exe monop 1.0/monop
%bin_and_exe monop2 2.0/monop
%bin_exe_and_conf mono-shlib-cop 2.0/mono-shlib-cop
%bin_and_exe mono-xmltool 2.0/mono-xmltool
%bin_and_exe pdb2mdb 2.0/pdb2mdb
%bin_and_exe permview 1.0/permview
%bin_and_exe prj2make 1.0/prj2make
%bin_and_exe resgen 1.0/resgen
%bin_and_exe resgen2 2.0/resgen
%bin_and_exe secutil 1.0/secutil
%bin_and_exe signcode 1.0/signcode
%bin_and_exe xbuild 2.0/xbuild
%bin_and_exe xbuild 3.5/xbuild
%{mono_dir}/1.0/culevel*
%{mono_dir}/2.0/MSBuild
%{mono_dir}/2.0/Microsoft.Build.xsd
%{mono_dir}/2.0/Microsoft.*.targets
%{mono_dir}/2.0/Microsoft.Common.tasks
%{mono_dir}/2.0/xbuild.rsp
%{mono_dir}/3.5/MSBuild
%{mono_dir}/3.5/Microsoft.*.targets
%{mono_dir}/3.5/Microsoft.Common.tasks
%{mono_dir}/3.5/xbuild.rsp
%gac_and_2dll PEAPI 2.0 1.0
%gac_and_2dll Microsoft.Build.Engine 3.5 2.0
%gac_and_2dll Microsoft.Build.Framework 3.5 2.0
%gac_and_1dll Microsoft.Build.Tasks 2.0
%gac_and_1dll Microsoft.Build.Tasks.v3.5 3.5
%gac_and_1dll Microsoft.Build.Utilities 2.0
%gac_and_1dll Microsoft.Build.Utilities.v3.5 3.5
%gac_and_2dll Microsoft.VisualC 2.0 1.0
%{_libdir}/libmono-profiler-aot.*
%{_libdir}/libmono-profiler-cov.*
%{_libdir}/libmono.so
%{_libdir}/libMonoSupportW.so
%{_libdir}/libmono-profiler-logging.so
%{_libdir}/libikvm-native.so
%{_libdir}/pkgconfig/dotnet.pc
%{_libdir}/pkgconfig/mono-cairo.pc
%{_libdir}/pkgconfig/mono.pc
%{_libdir}/pkgconfig/cecil.pc
%{_libdir}/pkgconfig/dotnet35.pc
%{_libdir}/pkgconfig/mono-lineeditor.pc
%{_libdir}/pkgconfig/mono-options.pc
%{_libdir}/pkgconfig/wcf.pc
%{_includedir}/mono-1.0
%dir %{_datadir}/mono-1.0
%dir %{_datadir}/mono-1.0/mono
%dir %{_datadir}/mono-1.0/mono/cil
%{_datadir}/mono-1.0/mono/cil/cil-opcodes.xml
%{_mandir}/man1/al.1.gz
%{_mandir}/man1/cert2spc.1.gz
%{_mandir}/man1/cilc.1.gz
%{_mandir}/man1/dtd2xsd.1.gz
%{_mandir}/man1/genxs.1.gz
%{_mandir}/man1/ilasm.1.gz
%{_mandir}/man1/macpack.1.gz
%{_mandir}/man1/makecert.1.gz
%{_mandir}/man1/mkbundle.1.gz
%{_mandir}/man1/mono-shlib-cop.1.gz
%{_mandir}/man1/mono-xmltool.1.gz
%{_mandir}/man1/monodis.1.gz
%{_mandir}/man1/monop.1.gz
%{_mandir}/man1/pdb2mdb.1.gz
%{_mandir}/man1/permview.1.gz
%{_mandir}/man1/prj2make.1.gz
%{_mandir}/man1/secutil.1.gz
%{_mandir}/man1/sgen.1.gz
%{_mandir}/man1/signcode.1.gz

%files nunit
%defattr(-,root,root,-)
%bin_exe_and_conf nunit-console 1.0/nunit-console
%bin_exe_and_conf nunit-console2 2.0/nunit-console
%gac_and_2dll nunit.core 2.0 1.0
%gac_and_2dll nunit.framework 2.0 1.0
%gac_and_2dll nunit.util 2.0 1.0
%gac_and_2dll nunit.mocks 2.0 1.0
%gac_and_2dll nunit-console-runner 2.0 1.0
%gac_and_2dll nunit.core.extensions 2.0 1.0
%gac_and_2dll nunit.core.interfaces 2.0 1.0
%gac_and_2dll nunit.framework.extensions 2.0 1.0
%{_libdir}/pkgconfig/mono-nunit.pc

%files locale-extras
%defattr(-,root,root,-)
%gac_and_2dll I18N.MidEast 2.0 1.0
%gac_and_2dll I18N.Rare 2.0 1.0
%gac_and_2dll I18N.CJK 2.0 1.0
%gac_and_2dll I18N.Other 2.0 1.0

%files jscript
%defattr(-,root,root,-)
%bin_and_exe mjs 1.0/mjs
%gac_and_2dll Microsoft.JScript 2.0 1.0

%files extras
%defattr(-,root,root,-)
%{_mandir}/man1/mono-service.1.gz
%bin_and_exe mono-service 1.0/mono-service
%bin_and_exe mono-service2 2.0/mono-service
%{mono_dir}/gac/mono-service
%gac_and_2dll System.Management 2.0 1.0
%gac_and_2dll System.Messaging 2.0 1.0
%gac_and_2dll System.ServiceProcess 2.0 1.0
%gac_and_1dll System.ServiceModel 2.0
%gac_and_2dll System.Configuration.Install 2.0 1.0
%gac_and_2dll Microsoft.Vsa 2.0 1.0
%gac_and_2dll Mono.Messaging.RabbitMQ 2.0 1.0
%gac_and_2dll Mono.Messaging 2.0 1.0
%gac_and_2dll RabbitMQ.Client 2.0 1.0
%{mono_dir}/1.0/RabbitMQ.Client.Apigen.exe*
%{mono_dir}/2.0/RabbitMQ.Client.Apigen.exe*

%files winforms
%defattr(-,root,root,-)
%gac_and_2dll System.Windows.Forms 2.0 1.0
%gac_and_2dll Accessibility 2.0 1.0
%gac_and_2dll System.Design 2.0 1.0
%gac_and_2dll System.Drawing.Design 2.0 1.0

%files web
%defattr(-,root,root,-)
%bin_and_exe httpcfg 2.0/httpcfg

%bin_and_exe disco 1.0/disco
%bin_and_exe soapsuds 1.0/soapsuds
%bin_and_exe wsdl 1.0/wsdl
%{_bindir}/wsdl1
%bin_and_exe wsdl2 2.0/wsdl
%bin_and_exe xsd2 2.0/xsd
%bin_and_exe xsd 1.0/xsd

%gac_and_2dll Mono.Http 2.0 1.0
%gac_and_1dll Mono.Web 2.0
%gac_and_2dll Mono.WebBrowser 2.0 1.0
%gac_and_2dll System.Runtime.Remoting 2.0 1.0
%gac_and_2dll System.Web 2.0 1.0
%gac_and_2dll System.Runtime.Serialization.Formatters.Soap 2.0 1.0
%{mono_dir}/compat-2.0/System.Web.Extensions*dll
%{mono_dir}/compat-2.0/System.Web.Mvc.dll
%gac_and_1dll System.ServiceModel.Web 2.0
%gac_and_1dll System.Web.Abstractions 2.0
%gac_and_1dll System.Web.DynamicData 2.0
%gac_and_1dll System.Web.Mvc 2.0
%gac_and_1dll System.Web.Routing 2.0
%gac_and_2dll System.Web.Services 2.0 1.0
%gac_and_2dll System.Web.Extensions.Design 3.5 2.0
%gac_and_1dll System.Web.Extensions 2.0
%{_mandir}/man1/disco.1.gz
%{_mandir}/man1/soapsuds.1.gz
%{_mandir}/man1/wsdl.1.gz
%{_mandir}/man1/xsd.1.gz
%config (noreplace) %{_sysconfdir}/mono/browscap.ini
%config (noreplace) %{_sysconfdir}/mono/2.0/Browsers/Compat.browser
%config (noreplace) %{_sysconfdir}/mono/1.0/DefaultWsdlHelpGenerator.aspx
%config (noreplace) %{_sysconfdir}/mono/2.0/DefaultWsdlHelpGenerator.aspx
%config (noreplace) %{_sysconfdir}/mono/2.0/web.config
%{_mandir}/man1/httpcfg.1.gz
%{_libdir}/pkgconfig/mono.web.pc
%{_libdir}/pkgconfig/system.web.extensions_1.0.pc
%{_libdir}/pkgconfig/system.web.extensions.design_1.0.pc
%{_libdir}/pkgconfig/system.web.mvc.pc

%files data
%defattr(-,root,root,-)
%bin_and_exe sqlsharp 2.0/sqlsharp
%{mono_dir}/gac/System.Data.Services
%gac_and_2dll System.Data 2.0 1.0
%gac_and_1dll System.Data.DataSetExtensions 2.0
%gac_and_1dll System.Data.Linq 2.0
%gac_and_2dll Mono.Data 2.0 1.0
%gac_and_2dll Mono.Data.Tds 2.0 1.0
%gac_and_2dll Mono.Data.TdsClient 2.0 1.0
%gac_and_2dll System.EnterpriseServices 2.0 1.0
%gac_and_2dll Novell.Directory.Ldap 2.0 1.0
%gac_and_2dll System.DirectoryServices 2.0 1.0
%gac_and_1dll System.Transactions 2.0
%{_mandir}/man1/sqlsharp.1.gz

%files data-sqlite
%defattr(-,root,root,-)
%gac_and_2dll Mono.Data.SqliteClient 2.0 1.0
%gac_and_2dll Mono.Data.Sqlite 2.0 1.0

%files data-sybase
%defattr(-,root,root,-)
%gac_and_2dll Mono.Data.SybaseClient 2.0 1.0

%files data-oracle
%defattr(-,root,root,-)
%gac_and_2dll System.Data.OracleClient 2.0 1.0

%files data-postgresql
%defattr(-,root,root,-)
%gac_and_2dll Npgsql 2.0 1.0

%files data-firebird
%defattr(-,root,root,-)
%gac_and_1dll FirebirdSql.Data.Firebird 1.0

%files -n bytefx-data-mysql
%defattr(-,root,root,-)
%gac_and_2dll ByteFX.Data 2.0 1.0

%files -n ibm-data-db2
%defattr(-,root,root,-)
%gac_and_2dll IBM.Data.DB2 2.0 1.0

%files -n monodoc
%defattr(-, root, root)
%bin_and_exe mdoc 2.0/mdoc
%{_bindir}/mdoc-*
%{_bindir}/mdass*
%{_bindir}/mdval*
%{_bindir}/mod
%{_bindir}/monodoc*
%{mono_dir}/gac/monodoc
%{mono_dir}/monodoc/monodoc.dll
%{mono_doc}/*
%{_mandir}/man1/md*
%{_mandir}/man1/monodoc*
%{_mandir}/man5/mdoc*
%{_libdir}/pkgconfig/monodoc.pc

%changelog
* Tue Sep 21 2010 IWAI, Masaharu <iwai@alib.jp> 2.6.7-2
- build with rpm-4.8.1-1 for pkg-config file

* Mon Jul 26 2010 Shu KONNO <owa@bg.wakwak.com> 2.6.7-1
- updated mono to 2.6.7

* Thu Apr 08 2010 Shu KONNO <owa@bg.wakwak.com> 2.6.4-1
- updated mono to 2.6.4

* Thu Apr 08 2010 Shu KONNO <owa@bg.wakwak.com> 2.6.3-1
- updated mono to 2.6.3
  added RabbitMQ.Client.Apigen.exe

* Thu Dec 31 2009 Shu KONNO <owa@bg.wakwak.com> 2.6.1-2
- unuse _smp_mflags

* Sat Dec 26 2009 Shu KONNO <owa@bg.wakwak.com> 2.6.1-1
- updated mono to 2.6.1
- simplified macros

* Mon Dec 14 2009 Shu KONNO <owa@bg.wakwak.com> 2.4.3-1
- updated mono to 2.4.3
  added %%{mono_dir}/2.0/lc.exe*
  added %%gac_dll System.Web.Mvc
  added %%{mono_dir}/xbuild/*
  added %%{_mandir}/man1/lc.1.gz
  added %%{_mandir}/man1/xbuild.1.gz

* Wed Jul 29 2009 Shu KONNO <owa@bg.wakwak.com> 2.4.2.3-1
- updated mono to 2.4.2.3

* Fri Jul 24 2009 Shu KONNO <owa@bg.wakwak.com> 2.4.2.2-1
- updated mono to 2.4.2.2

* Tue Jul 07 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.4.2.1-1
- new upstream release
- build with latest rpm to update mono-dependencies

* Thu Jul 02 2009 Shu KONNO <owa@bg.wakwak.com> 2.4.2-1
- updated mono to 2.4.2

* Mon Apr 27 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.4-3
- fix temporary workaround against build failure on ppc,
  from RH bugzilla #494026
  - statically link mono to libmono: remove "--disable-static" from configure
  - ensure removing *.a files in the install section
- remove prebuilt binaries under mcs/class/lib/monolite/ before building

* Sun Apr  5 2009 Shu KONNO <owa@bg.wakwak.com> 2.4-2
- fixed paths using %%mono_dir, %%mono_doc macros
- added Requires:libgluezilla >= 2.4 in monodoc

* Sat Apr  4 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4-1
- new upstream release
- added monodoc package (Obsoletes: monodoc-core <= 2.0-1vl5)

* Mon Nov 03 2008 Shu KONNO <owa@bg.wakwak.com> 2.0.1-1
- new upstream release
- dropt %%{_bindir}/mono-find-{provides,requires}
- added --with-libgdiplus=installed

* Mon Oct 06 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0-3
- update to mono-2.0 released source
- BR: libgdiplus-devel >= 2.0

* Fri Sep 26 2008 Shu KONNO <owa@bg.wakwak.com> 2.0-2vl5
- removed *.la

* Wed Sep 17 2008 Shu KONNO <owa@bg.wakwak.com> 2.0-1vl5
- updated mono to 2.0
- updated url
- changed macro %%monodir to %%mono_dir
- dropt mono-1.1.13.4-selinux-ia64.patch
- dropt mono-1.1.13.4-ppc-threading.patch
- dropt mono-1.2.3-use-monodir.patch

* Tue Aug 26 2008 Shu KONNO <owa@bg.wakwak.com> 1.2.5.1-1vl5
- applied new versioning policy, spec in utf-8
- dropt mono-1.2.5-libdir.patch
- reverted monodir macro to using %%{_prefix}/lib/mono

* Sat Dec 29 2007 Shu KONNO <owa@bg.wakwak.com> 1.2.5.1-0vl2
- updated monodir to %%{_libdir}/mono

* Sat Sep 22 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.5.1-0vl1
- new upstream release
- splited mono-basic package

* Sat Oct 14 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.13.8.1-0vl1
- new upstream release

* Fri May  5 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.13.6-0vl1
- new upstream release

* Thu Apr 13 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.1.13.4-2vl2
- disabled Patch2 on Vine/ppc environment

* Wed Mar 29 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.13.4-2vl1
- updated source and sub-packages based on Fedora packages
  * Tue Feb 22 2005 Satoshi MACHINO <machino@vinelinux.org> 1.0.6-0vl1
  - new upstream version(mono-1.0.6)
  * Sun Jan 16 2005 Satoshi MACHINO <machino@vinelinux.org> 1.0.5-0vl1
  - new upstream version(mono-1.0.5)
  * Sat Nov 06 2004 Satoshi MACHINO <machino@vinelinux.org> 1.0.4-0vl1
  - new upstream version(mono-1.0.4)
	-- changed to use configure 
  * Sun Oct 24 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.2-0vl1
  - rebuild for Vine Linux (based on mono.spec inside src archive)
  - Fixed BuildRequires: gc-devel, libicu-devel
  - add Japanese translation

* Fri Mar 10 2006 Bill Nottingham <notting@redhat.com> - 1.1.13.4-2
- rebuild for ppc TLS issue (#184446)

* Fri Mar  3 2006 Christopher Aillon <caillon@redhat.com> - 1.1.13.4-1
- Update to 1.1.13.4
- Add patch so mono doesn't segfault on PPC SMP machines
- Minor spec cleanup

* Thu Mar  2 2006 Ray Strode <rstrode@redhat.com> - 1.1.13.2-5
- Updated patch from Jakub (1.1.13.2-3 to 1.1.13.2-5 are 
  for bug 182965)

* Tue Feb 28 2006 Ray Strode <rstrode@redhat.com> - 1.1.13.2-4
- Updated patch from Paolo Molaro <lupus@ximian.com>

* Mon Feb 27 2006 Ray Strode <rstrode@redhat.com> - 1.1.13.2-3
- Patch from Jakub to make work with SELinux better

* Sun Feb 12 2006 Christopher Aillon <caillon@redhat.com> - 1.1.13.2-2
- Rebuild

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.1.13.2-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Jan 31 2006 Christopher Aillon <caillon@redhat.com> - 1.1.13.2-1
- Update to 1.1.13.2

* Fri Jan 13 2006 Alexander Larsson <alexl@redhat.com> - 1.1.13-1
- Update to 1.13
- Add libgdiplus dep to mono-core
- Add s390x to build

* Mon Jan  9 2006 Alexander Larsson <alexl@redhat.com> - 1.1.12.1-1
- Update to 1.1.12.1

* Mon Jan  9 2006 Alexander Larsson <alexl@redhat.com> - 1.1.10-4
- rebuild

* Fri Nov 18 2005 Alexander Larsson <alexl@redhat.com> 1.1.10-3
- Disable s390 due to some build failure

* Thu Nov 17 2005 Alexander Larsson <alexl@redhat.com> 1.1.10-2
- Build on s390 and x86-64 now

* Tue Nov 15 2005 Alexander Larsson <alexl@redhat.com> - 1.1.10-1
- Initial version
