Summary:	Nautilus extension for customizing the context menu
Summary(ja): コンテキストメニューをカスタマイズするための Nautilus 拡張
Name:		nautilus-actions
Version:	2.30.3
Release:	1%{?_dist_release}
Group:		User Interface/Desktops
License:	GPLv2+
URL:		http://www.grumz.net/node/8
#Source0:	ftp://ftp2.grumz.net/grumz/%{name}-%{version}.tar.gz
Source0:	ftp://pwi.dyndns.biz/tarballs/%{name}/%{name}-%{version}.tar.bz2
#Patch0:	nact-gnome_vfs_workaround.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	libgnomeui-devel, libglade2-devel, nautilus-devel
BuildRequires:	e2fsprogs-devel, gettext, perl-XML-Parser
BuildRequires:  unique-devel
BuildRequires:  libSM-devel

%if %{?_dist_release} == "vl6"
BuildRequires:  libuuid-devel
%endif

BuildRequires:	desktop-file-utils intltool
Requires(pre):	GConf2
Requires(preun):GConf2

%description
Nautilus actions is an extension for Nautilus, the GNOME file manager.
It provides an easy way to configure programs to be launch on files 
selected in Nautilus interface.

%description -l ja
Nautilus actions は、GNOME のファイルマネージャである Nautilus の機能拡張です。
Nautilus のインターフェイスにて選択されたファイル上でプログラムを起動するための
簡単な設定方法を提供します。

%prep
%setup -q
#%patch0 -p0 -b .fix

%build
%configure --enable-commandline-tool --disable-schemas-install
make %{?_smp_mflags} 

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

rm -rf %{buildroot}/%{_libdir}/nautilus-actions/*.la
rm -rf %{buildroot}/%{_libdir}/nautilus/extensions-2.0/libnautilus-actions-menu.la
rm -rf %{buildroot}/%{_libdir}/nautilus/extensions-2.0/libnautilus-actions-tracker.la
rm -rf %{buildroot}%{_datadir}/applications/fedora-nact.desktop

desktop-file-install --delete-original			\
	--vendor vine				\
	--dir %{buildroot}%{_datadir}/applications	\
	--mode 0644					\
	--remove-category Application			\
	--remove-category AdvancedSettings		\
	--add-category GNOME				\
	--add-category Settings				\
	%{buildroot}%{_datadir}/applications/nact.desktop

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/nautilus-actions-*
%{_libdir}/nautilus-actions/libna*.so
%{_libdir}/nautilus/extensions-2.0/libnautilus-actions-menu.so
%{_libdir}/nautilus/extensions-2.0/libnautilus-actions-tracker.so
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/nautilus-actions.*
%{_datadir}/applications/vine-nact.desktop
%{_includedir}/nautilus-actions

%changelog
* Tue Jun 15 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 2.30.3-1
- new upstream release

* Sat May 01 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.30.2-1
- new upstream release

* Sun Apr 11 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.30.0-1
- new upstream release
- add BuildRequires: libSM-devel

* Tue Feb 2 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.12.3-1
- new upstream release

* Sun Jan 24 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.12.0-3
- BuildRequires: libuuid-devel enabled VineSeed, disabled Stable
  (Because VineSeed provide libuuid-* packages, but Stable don't provide now) 

* Thu Jan 21 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.12.0-2
- added BuildRequires: libuuid-devel, unique-devel (see [BTS:VineLinux:0893]) 

* Wed Aug 19 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.12.0-1vl5
- new upstream release
- added  --disable-schemas-install in cofigure option

* Sun Aug 2 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.11.2-1vl5
- new upstream release

* Sun Jun 14 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.10.1-1vl5
- new upstream release
- changed Source0 URL
- dropt Patch0

* Sat May 23 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.9-0.20090508-1vl5
- updated Source0
- imported Patch0 from fedora
- added Description -l ja
- spec in UTF-8

* Mon Apr 20 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.9-0.20081020-1vl5
- initial build for VineSeed

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-0.4.svn20081020
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Oct 23 2008 Deji Akingunola <dakingun@gmail.com> - 1.9-0.3.svn20081020
- Update to a svn snapshot to fix bug #450988

* Sat May 17 2008 Deji Akingunola <dakingun@gmail.com> - 1.4.1-4
- Fix the nautilus-extension directory

* Sun Feb 10 2008 Deji Akingunola <dakingun@gmail.com> - 1.4.1-3
- Rebuild for gcc43

* Wed Aug 22 2007 Deji Akingunola <dakingun@gmail.com> - 1.4.1-2
- Update the Source url
- Rebuild

* Fri Aug 03 2007 Deji Akingunola <dakingun@gmail.com> - 1.4.1-2
- License tag update

* Thu May 03 2007 Deji Akingunola <dakingun@gmail.com> - 1.4.1-1
- New (bug-fix) release

* Wed Sep 13 2006 Deji Akingunola <dakingun@gmail.com> - 1.4-4
- Fix issue with nautilus-action-config, bug #205967

* Mon Aug 28 2006 Deji Akingunola <dakingun@gmail.com> - 1.4-3
- Rebuild for FC6

* Tue Aug 22 2006 Deji Akingunola <dakingun@gmail.com> - 1.4-2
- Requires nautilus-devel instead of just nautilus to build

* Tue Aug 22 2006 Deji Akingunola <dakingun@gmail.com> - 1.4-1
- Update to version 1.4

* Tue May 30 2006 Deji Akingunola <dakingun@gmail.com> - 1.2-2
- Add gettext and perl(XML::Parser) to BRs

* Mon May 01 2006 Deji Akingunola <dakingun@gmail.com> - 1.2-1
- Update to version 1.2
- Make sure fix for upgrade from ver. < 1.0 doesn't throw up errors

* Mon Feb 13 2006 Deji Akingunola <dakingun@gmail.com> - 1.0-2
- Rebuild for Fedora Extras 5

* Wed Feb 8 2006 Deji Akingunola <dakingun@gmail.com> - 1.0-1
- New upstream version
- Do away with gconf schemas installation

* Mon Jan 2 2006 Deji Akingunola <dakingun@gmail.com> - 0.99-6
- Add nautilus extensions dir to configure arguments

* Sun Jan 1 2006 Deji Akingunola <dakingun@gmail.com> - 0.99-5
- Remove libXdmcp-devel as BR, nautilus now takkes care of it

* Sun Dec 18 2005 Deji Akingunola <dakingun@gmail.com> - 0.99-4
- Remove libSM-devel from build require as libgnomeui now build-requires
- Add libXdmcp-devel to the build requires

* Tue Nov 29 2005 Deji Akingunola <dakingun@gmail.com> - 0.99-2
- Remove unnecesary configure options
- Clean-up the desktop file installation
- Add e2fsprogs-devel buildrequire and remove explicit require on nautilus

* Fri Nov 25 2005 Deji Akingunola <dakingun@gmail.com> - 0.99-1
- initial Extras release
