%define name	libdvdcss
%define version	1.2.10
%define release	3%{?_dist_release}

%define major  	2
%define libname %{name}%{major}

Summary:	Library for accessing DVDs like block devices with transparent decryption
Summary(ja): 	CSS を解除し DVD をブロックデバイスのように利用できるライブラリ
Name:		%{name}
Version:	%{version}
Release: 	%{release}
Source0:	%{name}-%{version}.tar.bz2
Patch0:		libdvdcss-1.2.10-doxygen-fix.patch
# (See http://mailman.videolan.org/pipermail/libdvdcss-devel/2007-July/000471.html)

License:	GPL
Group:		System Environment/Libraries
URL:		http://www.videolan.org/developers/libdvdcss.html

BuildRoot:	%{_tmppath}/%{name}-%{version}-root


%description
libdvdcss is a simple library designed for accessing DVDs like a block device
without having to bother about the decryption. The important features are:
 * Portability: currently supported platforms are GNU/Linux, FreeBSD, NetBSD,
   OpenBSD, BSD/OS, BeOS, Windows 95/98/ME, Windows NT/2000/XP, MacOS X,
   Solaris, HP-UX and OS/2.
 * Adaptability: unlike most similar projects, libdvdcss doesn't require the
   region of your drive to be set and will try its best to read from the disc
   even in the case of a region mismatch.
 * Simplicity: a DVD player can be built around the libdvdcss API using no
   more than 6 library calls.

%description -l ja
libdvdcss は CSS (Content Scranble System) の解除に煩わされずに DVD を
ブロックデバイスのように利用するためのシンプルなライブラリです。 
主要な特徴は以下の通り:
 * 可搬性; 現在サポートされているプラットフォームは GNU/Linux、FreeBSD、
   NetBSD、OpenBSD、BSD/OS、BeOS、Windows 95/98/ME、Windows NT/2000/XP、
   MacOS X、Solaris、HP-UX と OS/2 です。
 * 適応性: 似たような他のプロジェクトとは違い、libdvdcss は DVD ドライブ
   にリージョンコードが設定されている必要が無く、またリージョンが異なる
   場合でもできるだけディスクを読み込もうと努力します。
 * シンプル: libdvdcss を使えば 6種類の API を使うだけで DVD プレイヤー
   を作成することができます。

#-------------------------------------------------------------------------------
%package -n %{libname}
Summary:	Library for accessing DVDs like block devices with transparent decryption
Summary(ja):	CSS を解除し DVD をブロックデバイスのように利用できるライブラリ
Group:		System Environment/Libraries
Provides:	%name = %version-%release

%description -n %{libname}
libdvdcss is a simple library designed for accessing DVDs like a block device
without having to bother about the decryption. The important features are:
 * Portability: currently supported platforms are GNU/Linux, FreeBSD, NetBSD,
   OpenBSD, BSD/OS, BeOS, Windows 95/98/ME, Windows NT/2000/XP, MacOS X,
   Solaris, HP-UX and OS/2.
 * Adaptability: unlike most similar projects, libdvdcss doesn't require the
   region of your drive to be set and will try its best to read from the disc
   even in the case of a region mismatch.
 * Simplicity: a DVD player can be built around the libdvdcss API using no
   more than 6 library calls.

%description -n %{libname} -l ja
libdvdcss は CSS (Content Scranble System) の解除に煩わされずに DVD を
ブロックデバイスのように利用するためのシンプルなライブラリです。 
主要な特徴は以下の通り:
 * 可搬性; 現在サポートされているプラットフォームは GNU/Linux、FreeBSD、
   NetBSD、OpenBSD、BSD/OS、BeOS、Windows 95/98/ME、Windows NT/2000/XP、
   MacOS X、Solaris、HP-UX と OS/2 です。
 * 適応性: 似たような他のプロジェクトとは違い、libdvdcss は DVD ドライブ
   にリージョンコードが設定されている必要が無く、またリージョンが異なる
   場合でもできるだけディスクを読み込もうと努力します。
 * シンプル: libdvdcss を使えば 6種類の API を使うだけで DVD プレイヤー
   を作成することができます。

#-------------------------------------------------------------------------------
%package -n %{libname}-devel
Summary:	Development tools for programs which will use the %{name} library
Summary(ja):	%{name} 用の開発ライブラリおよびヘッダファイル
Group:		Development/Libraries
Requires:	%{libname} = %version-%release
Provides:	%{name}-devel = %version-%release
 
%description -n %{libname}-devel
The %{name}-devel package includes the header files and static libraries
necessary for developing programs which will manipulate DVDs files using
the %{name} library.
 
If you are going to develop programs which will manipulate DVDs, you
should install %{name}-devel.  You'll also need to have the %{name}
package installed.

%description -n %{libname}-devel -l ja
%{name}-devel パッケージは %{name} ライブラリを使って DCD を操作する
アプリケーションを開発するのに必要なライブラリやヘッダファイルを含ん
でいます。

もし DVD を操作するプログラムを開発するなら、 %{name}-devel パッケージ
をインストールしてください。また %{name} パッケージもインストールされて
いる必要があります。

#'

%prep
%setup -q
%patch0 -p0 -b .doxygen-fix

%build
%configure
%{__make}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%makeinstall

# remove unnecessary file.
%{__rm} -rf ${RPM_BUILD_ROOT}/%{_libdir}/libdvdcss.la

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%post -n %{libname} -p /sbin/ldconfig
 
%postun -n %{libname} -p /sbin/ldconfig


%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%{_libdir}/libdvdcss.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/dvdcss/dvdcss.h
%{_libdir}/libdvdcss.a
%{_libdir}/libdvdcss.so
%{_libdir}/pkgconfig/lib*.pc

%changelog
* Sat Mar 20 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.2.10-3
- change release to sync with self-build-libdvdcss

* Tue May 26 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.2.10-2
- change release to sync with self-build-libdvdcss

* Tue Nov 25 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.2.10-1
- new upstream release
- applied libdvdcss-1.2.10-doxygen-fix.patch

* Sun Nov 02 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.2.9-2
- spec in utf8

* Sat May 03 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.2.9-1
- apply new versioning policy

* Thu Nov  1 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.2.9-0vl1
- initial build for Vine Linux
- add Patch0 to fix doxygen error
