%define pkgname vlc
%define name    self-build-%{pkgname}
%define version 1.1.4
%define release 1%{?_dist_release}

%if %{?_dist_release} == "vl4"
## dummy echo
echo This package cannot build on Vine Linux 4.2.
exit 1
%endif

%define with_mozilla	 		0
%define with_dc1394			0
%define with_directfb			1

%define with_samba			0

%define sourceurl0	http://download.videolan.org/pub/videolan/%{pkgname}/%{version}/%{pkgname}-%{version}.tar.bz2


Summary:	Package to automatically build %{pkgname} rpm package
Summary(ja): 	%{pkgname} の rpm パッケージを自動作成するパッケージ
Name:		%{name}
Version:	%{version}
Release: 	%{release}

Obsoletes:	vlc < 1.1.0
Obsoletes:	vlc-devel < 1.1.0

Source0:	%{pkgname}-vl.spec

Source10:       vlc-handlers.schemas
Source100:      vlc-1.1.0-vlc-cache-gen_noerror.patch

License:	GPLv2+
Group:		Restricted Software

Requires(post):		self-build-setup >= 0.9.9

Requires(post):	desktop-file-utils
Requires(post):	gettext
Requires(post):	gettext-devel
Requires(post):	libtool
Requires(post):	aalib-devel
Requires(post):	alsa-lib-devel
Requires(post):	avahi-devel
Requires(post):  cdparanoia-devel
Requires(post):  dbus-devel
%{?_with_dirac: Requires(post): dirac-devel >= 1.0.0}
%if %with_directfb
Requires(post):  libdirectfb-devel
%endif
Requires(post):	flac-devel
Requires(post):	fribidi-devel
Requires(post):  gnome-vfs2-devel
Requires(post):	gnutls-devel >= 1.0.17
Requires(post):	gsm-devel
Requires(post):	hal-devel
Requires(post):	jack-audio-connection-kit-devel
Requires(post):  libavc1394-devel
Requires(post):	libcdio-devel >= 0.77-3
Requires(post):	libdv-devel
Requires(post):	libdvdread-devel
Requires(post):  libebml-devel
Requires(post):	libid3tag-devel
%{?_with_kate:  Requires(post): libkate-devel}
Requires(post):	libmatroska-devel >= 0.7.6
Requires(post):	libmpcdec-devel
Requires(post):	libmtp-devel
Requires(post):  libnotify-devel
Requires(post):	librsvg2-devel >= 2.5.0
Requires(post):  libshout-devel
Requires(post):  libsmbclient-devel
Requires(post):	libtheora-devel
Requires(post):  libtiff-devel
Requires(post):  libupnp-devel
Requires(post):	libv4l-devel
Requires(post):	libvorbis-devel
Requires(post):  libxml2-devel
Requires(post):	lirc
Requires(post):  kernel-headers >= 2.6.20
Requires(post):  libmusicbrainz-devel
Requires(post): lua-devel
Requires(post):	ncurses-devel
Requires(post):	openslp-devel
Requires(post):  qt4-devel
Requires(post):	SDL_image-devel
Requires(post):	speex-devel >= 1.1.5
%ifarch %{ix86} x86_64
Requires(post):  svgalib-devel
%endif
Requires(post):  taglib-devel
Requires(post):	twolame-devel
Requires(post):	xosd-devel
Requires(post):	zlib-devel

# X-libs
Requires(post):	libXt-devel
Requires(post):	libXv-devel
Requires(post):  libXxf86vm-devel
Requires(post):  libX11-devel
Requires(post):  libXext-devel
Requires(post):  libXpm-devel
%ifarch %{ix86} x86_64
Requires(post):  libXvMC-devel
%endif
Requires(post):  xorg-x11-proto-devel

%if %with_samba
Requires(post):  samba-libsmbclient-devel
%endif

Requires(post):  pulseaudio-libs-devel >= 0.9.8

%if %with_mozilla
Requires(post):  gecko-devel
Requires(post):  nspr-devel
%endif

Requires(post):  libraw1394-devel

Requires: TrueType-dejavu

## vine
%if %{?_dist_release} == "vl6"
Requires(post):	libva-devel
%endif
Requires(post):	libgcrypt-devel
Requires(post):	wx-gtk2-devel
Requires:	mesa-libGL
Requires(post):	xorg-x11-devel 
Requires(post):	mesa-libGL-devel
Requires(post):	self-build-libmpeg2
Requires(post):	self-build-a52dec
Requires(post):	self-build-faac
Requires(post):	self-build-faad2
Requires(post):	self-build-ffmpeg >= 0.4.9
Requires(post):	self-build-libdca
Requires(post):	self-build-libdvbpsi
Requires(post):	self-build-libdvdnav
Requires(post):	self-build-libmad
Requires(post):	self-build-libmp4v2
Requires(post):	self-build-x264 >= 0.0.0-9.20090522
Requires(post):	self-build-xvidcore

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	munepi

%description
VLC (initially VideoLAN Client) is a highly portable multimedia player
for various audio and video formats (MPEG-1, MPEG-2, MPEG-4, DivX,
mp3, ogg, ...) as well as DVDs, VCDs, and various streaming protocols.
It can also be used as a server to stream in unicast or multicast in
IPv4 or IPv6 on a high-bandwidth network.


[Note]
This package requires many other packages to compile
targetsoftware. So it consume more disk space than usual.
Also installation takes logner time because of compilation.
(This will take a few minutes to quarter or half of an hour,
depends on building environment)

[About self-build package]
For some kind of software, distributing of binary package
may viorate the patent or law. Therefore we chose self-build
packge, create binary package on your machine, for such kind
of softwares instead of distributing binary package.

Please obey the national law when you use the created binary
packages. And if you want to use the softwares using patented 
thechnology, it may be required to get a permission, make an 
agreement or purchas a license. Please consider it with your
purpose or way of use and take appropriate action.

%description -l ja
VLC（初期は VideoLAN Client）は高い可搬性のあるマルチメディアプレーヤーで，
様々なオーディオおよびビデオフォーマット（MPEG-1, MPEG-2, MPEG-4, DivX,
mp3, ogg など）だけでなく，DVD や VCD，様々なストリーミングプロトコルにも
対応しています．
また，高帯域幅上の IPv4 や IPv6 で，
ユニキャストやマルチキャストのストリームに，
サーバーとして使用することもできます．


このパッケージをインストールすると、自動的にソースコードを
ダウンロードしてコンパイルし、%{pkgname}-%{version}
の rpm パッケージを作成します。
また apt-get コマンドや synaptic パッケージマネージャから実行
した場合は、作成された rpm パッケージのインストールも自動的に
行います。

[注意]
コンパイルに必要な多くの関連パッケージを要求するので通常より
ディスクの領域を多く消費します。
またインストール時にコンパイルを行うため、通常より時間がかか
る場合があります。(環境にもよりますが数分から数十分程度)

[self-build パッケージについて]
ソフトウェアによってはバイナリパッケージの配布が特許や法律に
違反する可能性があるものがあります。その為、このような問題が
懸念されるソフトウェアについてはバイナリパッケージを直接配布
せずに、ユーザの環境でバイナリを作成する self-build パッケー
ジという方法を採っています。

作成されたバイナリパッケージの利用にあたっては、各ソフトウェ
アのライセンス、および利用する国の各種法令に従ってください。
また特許に関連するソフトウェアの場合、利用許諾や契約、ライ
センスの購入などが必要となる場合がありますので、利用する目的
や形態に応じて各自で判断し適切な対応を取ってください。

%prep
[ "%{version}-%{release}" != $(rpm -q --queryformat "%%{version}-%%{release}\n" --specfile %{SOURCE0} | tail -1) ] && exit 1

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__install} -d ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE0} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE10} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}

%{__install} -m 644 \
    %{SOURCE100} \
    ${RPM_BUILD_ROOT}/%{_datadir}/%{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%posttrans
/usr/lib/rpm/self-build-rpm.sh %{name} %{pkgname}-vl.spec "%{sourceurl0}" 1195000
/usr/lib/rpm/pre-allocate-rpm.sh %{pkgname}-%{version}-%{release} \
                                 %{pkgname}-devel-%{version}-%{release}

%files
%defattr(-,root,root)
%{_datadir}/%{name}


%changelog
* Mon Aug 30 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.1.4-1
- new upstream release

* Sat Aug 14 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.1.2-1
- new upstream release

* Sun Jun 27 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.1.0-2
- for only vl6, supported libva
- set Obsoletes: vlc < 1.1.0 vlc-devel < 1.1.0

* Sat Jun 26 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.1.0-1
- new upstream release
- added Requires(post): libva-devel

* Sat Mar 20 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.5-3
- renamed %%{Source0} to vlc-vl.spec

* Wed Feb 17 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.5-2
- added Requires(post): libsmbclient-devel

* Wed Feb 17 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.5-1
- new upstream release

* Sat Jan 16 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.4-2
- built with libdvbpsi-devel
- dropped 0002-Default-aout-for-pulse.patch

* Tue Jan 05 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.4-1
- new upstream release
- updated 0002-Default-aout-for-pulse.patch

* Tue Nov 10 2009 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.3-2
- added Requires(post): libmtp-devel

* Sun Nov 01 2009 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.3-1
- new upstream release

* Sat Sep 26 2009 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.2-2
- rebuilt to add signature

* Sat Sep 26 2009 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.2-1
- new upstream release
  - applied vlc-1.0.2-compiler.patch from RPM Fusion
- added Requires(post): lua-devel

* Sat Aug 01 2009 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.1-1
- new upstream release

* Sat Jul 11 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0.0-2
- added Obsoletes: vlc < 1.0.0, vlc-devel < 1.0.0

* Wed Jul 08 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0.0-1
- new upstream release
- clean-up some old patches and merged some patches from RPM Fusion package
- added vlc-trunk-default_font-vine.patch
- added vlc-handlers.schemas
  - Gonf2 url-handler support
- added shine.c, enc_base.h
  - missing sources
- check version between original spec and self-build spec in %%prep

* Sun Jun 07 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.9.9a-3
- dropped BuildArch: noarch (with svglib-devel for %%{ix86} x86_64)

* Sat May 23 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> - 0.9.9a-2
- rebuild with x264 >= 0.0.0-9.20090522
- avoided to execute self-build-rpm.sh on RPM transaction
  - moved %%post actions to %%posttrans

* Sat May 09 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> - 0.9.9a-1
- new upstream release
- added BuildArch: noarch
- s/TrueType-DejaVu/TrueType-dejavu/

* Sat Feb 14 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> - 0.9.8a-7
- corrected release number in vlc.spec
- dropped ExclusiveArch

* Fri Feb 13 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.9.8a-6
- add ppc to ExclusiveArch

* Sun Feb 08 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.9.8a-5
- changed to PreReq:  self-build-faad2 from faad2-devel
- changed to PreReq:  self-build-libmad from libmad-devel

* Sun Feb 01 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.9.8a-4
- initial build

### end of file
