%define pkgname xine-lib-extras
%define source_name xine-lib
##########################
## %define For pre-allocate-rpm.sh

Summary:	Package to automatically build %{pkgname} rpm package
Summary(ja): 	%{pkgname} の rpm パッケージを自動作成するパッケージ
Name:		self-build-%{pkgname}
Version:	1.1.18.1
Release: 	1%{?_dist_release}
License:	GPL
Group:		Restricted Software

Source0:	%{pkgname}-vl.spec

%define sourceurl http://jaist.dl.sourceforge.net/sourceforge/xine/%{source_name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Requires(post):	self-build-setup

# (build)requies of target package.
Requires(post): xine-lib = %{version}
%if %{?_dist_release} == "vl4"
Requires(post): XOrg-devel
Requires(post): XOrg-gl-devel
%else
Requires(post): libX11-devel
Requires(post): libXv-devel
Requires(post): libXinerama-devel
Requires(post): libXvMC-devel
Requires(post): libGLU-devel
Requires(post): libxcb-devel
%endif
# Video
# Audio
Requires(post):  self-build-faad2
Requires(post):  pkgconfig
Requires(post):  libtool-ltdl-devel
Requires(post):  vine-release >= 4.2-1vl4

Provides: self-build-xine-lib-faad = %{version}-%{release}
Obsoletes: self-build-xine-lib-faad

%description
addtional plugins for xine

If you install this package, it automaticaly downloads source
code, compile it, and create rpm packages of 
%{pkgname}-%{version}.
And the created rpm packages are automatically installed
if installation is executed by apt-get command or synaptic
package manager.


[Note]
This package requires many other packages to compile
targetsoftware. So it consume more disk space than usual.
Also installation takes logner time because of compilation.
(This will take a few minutes to quarter or half of an hour,
depends on building environment)

[About self-build package]
For some kind of software, distributing of binary package
may viorate the patent or law. Therefore we chose self-build
packge, create binary package on your machine, for such kind
of softwares instead of distributing binary package.

Please obey the national law when you use the created binary
packages. And if you want to use the softwares using patented 
thechnology, it may be required to get a permission, make an 
agreement or purchas a license. Please consider it with your
purpose or way of use and take appropriate action.

%description -l ja
このパッケージには  xine 向けの追加プラグインが含まれています。

このパッケージをインストールすると、自動的にソースコードを
ダウンロードしてコンパイルし、%{pkgname}-%{version}
の rpm パッケージを作成します。
また apt-get コマンドや synaptic パッケージマネージャから実行
した場合は、作成された rpm パッケージのインストールも自動的に
行います。


[注意]
コンパイルに必要な多くの関連パッケージを要求するので通常より
ディスクの領域を多く消費します。
またインストール時にコンパイルを行うため、通常より時間がかか
る場合があります。(環境にもよりますが数分から数十分程度)

[self-build パッケージについて]
ソフトウェアによってはバイナリパッケージの配布が特許や法律に
違反する可能性があるものがあります。その為、このような問題が
懸念されるソフトウェアについてはバイナリパッケージを直接配布
せずに、ユーザの環境でバイナリを作成する self-build パッケー
ジという方法を採っています。

作成されたバイナリパッケージの利用にあたっては、各ソフトウェ
アのライセンス、および利用する国の各種法令に従ってください。
また特許に関連するソフトウェアの場合、利用許諾や契約、ライ
センスの購入などが必要となる場合がありますので、利用する目的
や形態に応じて各自で判断し適切な対応を取ってください。


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__install} -d ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE0} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%posttrans
/usr/lib/rpm/self-build-rpm.sh %{name} %{pkgname}-vl.spec %{sourceurl}

#/usr/lib/rpm/pre-allocate-rpm.sh %{pkgname_2}-%{version_2}-%{release_2} \
#                                 %{pkgname_2}-devel-%{version_2}-%{release_2}
%files
%defattr(-,root,root)
%{_datadir}/%{name}

%changelog
* Fri Mar 19 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.18.1-1
- new upstream release
- built with new toolchain

* Tue May 26 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.1.16.3-2
- added BuildArch: noarch
- avoided to execute self-build-rpm.sh on RPM transaction
  - moved %%post actions to %%posttrans

* Sat Apr  4 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.16.3-1
- new upstream release with security fix
  - Fix another possible int overflow in the 4XM demuxer.
    (ref. TKADV2009-004, CVE-2009-0385)
  - Fix an integer overflow in the Quicktime demuxer.

* Sun Mar  1 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.16.2-3
- removed BuildRequires: faad2-devel
- updated URL

* Wed Feb 25 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.16.2-2
- fixed Provides and Obsoletes

* Sat Feb 14 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.16.2-1
- new upstream release
- changed Group to Restricted Software

* Wed Feb 11 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.16.1-1
- new upstream release

* Sun Feb 08 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.15-7
- changed name xine-lib-extras

* Sun Nov 02 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.1.15-6
- spec in utf8
- add the list of all PreReq: packages in self-build-xine-lib-faad.spec
  to BuildRequires: in xine-lib-faad.spec

* Sun Sep 28 2008 TOSHI <milk-tea1977@dune.ocn.ne.jp> 1.1.15-5
- Typo Fixes(xine-lib-faad.spec)
* Sun Sep 28 2008 TOSHI <milk-tea1977@dune.ocn.ne.jp> 1.1.15-4
- drop self-build-faac(PreReq)
- drop pre-allocate-rpm.sh
* Mon Sep 22 2008 TOSHI <milk-tea1977@dune.ocn.ne.jp> 1.1.15-3
- add: pre-allocate-rpm.sh
* Tue Sep 16 2008 TOSHI <milk-tea1977@dune.ocn.ne.jp> 1.1.15-2
- devel package to add prereq.
- Drop BuildRequires.
- Add prereq: faad2-devel, self-build-faac
* Sun Aug 24 2008 TOSHI <milk-tea1977@dune.ocn.ne.jp> 1.1.15-1
- initial build for Vine Linux.
