Summary: Utilities belonging to the Reiser filesystem
Summary(ja): ReiserFS ファイルシステム用のユーティリティ
Name: reiserfsprogs
Version: 3.6.19
Release: 1%{?_dist_release}
Group: System Environment/Base
License: GPL
Source0: reiserfsprogs-%{version}.tar.gz
#Patch0: reiserfsprogs-%{version}-detectkernel.patch
Patch1: header-fix.patch

Conflicts: kernel-utils < 2.2.19-0vl15
BuildRequires: e2fsprogs-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Vendor: Project Vine
Distribution: Vine Linux

%description
The reiserfsprogs package contains programs for creating (mkreiserfs),
checking and correcting any inconsistencies (reiserfsck) and resizing
(resize_reiserfs) of a reiserfs filesystem.

%description -l ja
reiserfsprogs パッケージは、ReiserFS の作成(mkreiserfs)、整合性のチェック
と修整(reiserfsck)、ファイルシステムサイズの変更(resize_reiserfs)、をする
ためのプログラムを含んでいます。

%prep
%setup -q
#%patch0 -b .detectkernel
%patch1 -p1

%build
find . -name "config.cache" |xargs rm -f
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --sbindir=%{_syssbindir} --mandir=%{_mandir}
make all

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_syssbindir}
make DESTDIR=%{buildroot} install
( cd %{buildroot}%{_syssbindir}
  ln -sf reiserfsck fsck.reiserfs
  ln -sf mkreiserfs mkfs.reiserfs )

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING CREDITS README NEWS ChangeLog
%{_syssbindir}/*
%{_mandir}/*/*

%changelog
* Mon Jun  9 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.6.19-1
- applied new versinoing policy

* Sat Jul  7 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.6.19-0vl2
- rebuilt with new toolchain
- added Patch1 from Fedora
  * Mon Jun  5 2006 Dave Jones <davej@redhat.com>
  - Remove broken asm/unaligned include. (#191889)
- added e2fsprogs-devel to BuildRequires

* Sat Dec 25 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.6.19-0vl1
- new upstream release

* Wed Jun  2 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.6.17-0vl1
- new upstream release
- added some files to %doc

* Sun Jul 27 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.6.10-0vl1
- rebuild with new toolchains
- new upstream release

* Sun Sep 29 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 3.6.3-0vl1
- new upstream release

* Sat Aug 18 2001 Toru Sagami <sagami@vinelinux.org>
- 3.x.0j-1vl3: create mkfs.reiserfs fsck.reisrfs symlinks

* Mon Aug  6 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 3.x.0j-1vl2
- add Patch0 for mkreiserfs to detect kernel version and
  use old type reiser filesystem.

* Sun Aug  5 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 3.x.0j-1vl1
- build from original reiserfsprogs specs.
- clean up spec file for Vine Linux.
- add Japanese Summary and Description.
