%define ruby     /usr/bin/ruby
%define rbindir  %(%{ruby} -r rbconfig -e 'print Config::CONFIG["bindir"]')
%define rlibdir  %(%{ruby} -r rbconfig -e 'print Config::CONFIG["rubylibdir"]')
%define rarchdir %(%{ruby} -r rbconfig -e 'print Config::CONFIG["archdir"]')
%define gtk	 gtk2
%define gnome    gnome2
%define glade    glade2

Summary:     language bindings for %{gnome} for use with Ruby
Summary(ja): Ruby から %{gnome} を使う為のライブラリ
Name:        ruby-%{gnome}
Version:     0.19.3
Release:     1%{?_dist_release}
Group:       Development/Libraries
License:     GPL
URL:         http://ruby-%{gnome}.sourceforge.net/
Source0:     http://prdownloads.sourceforge.net/ruby-%{gnome}/ruby-%{gnome}-all-%{version}.tar.gz
Source1:     ruby-gnome2-vine.csh
Patch14:     ruby-gnome2-all-0.19.0-xulrunner.patch

Patch20:     ruby-gnome2-all-0.16.0-rbglib_unicode.patch
Patch21:     ruby-gnome2-all-0.16.0-rbglib_maincontext.patch
Patch22:     ruby-gnome2-all-0.16.0-rbgobj_boxed.patch
Patch23:     ruby-gnome2-all-0.16.0-rbgtktreeiter.patch

Requires:    libgnome >= 2.8.0
Requires:    ruby-%{gtk} = %{version}-%{release}
# Obsoletes:   gnome-ruby < %{version}
Obsoletes:   ruby-libgda

BuildRequires: gtksourceview-devel >= 1.0.1
#BuildRequires: libgnome-devel >= 2.0.0
#BuildRequires: libgnomeui-devel >= 2.0.0
#BuildRequires: libpng-devel, libjpeg-devel
BuildRoot:   %{_tmppath}/%{name}-%{version}-root
BuildRequires: ruby-devel
BuildRequires: rcairo-devel >= 1.8.0
BuildRequires: glib2-devel
BuildRequires: pango-devel
BuildRequires: atk-devel
BuildRequires: gtk2-devel
BuildRequires: gtkhtml2-devel
BuildRequires: libbonobo-devel
BuildRequires: libbonoboui-devel
BuildRequires: libgnomeprint-devel
BuildRequires: libgnomeprintui-devel
BuildRequires: gnome-vfs2-devel 
BuildRequires: libglade2-devel 
BuildRequires: libgnomecanvas-devel
#BuildRequires: libgda-devel
BuildRequires: librsvg2-devel >= 2.8.0
BuildRequires: libart_lgpl-devel >= 2.3.12
#BuildRequires: firefox-devel
BuildRequires: gecko-devel-unstable
BuildRequires: gstreamer-devel
BuildRequires: gstreamer-plugins-base-devel
BuildRequires: gtksourceview2-devel
BuildRequires: gnome-panel
BuildRequires: vte-devel
BuildRequires: GConf2-devel >= 2.0.0
BuildRequires: gtkglext-devel >= 1.0.3
BuildRequires: mesa-libGLU-devel 
BuildRequires: libXmu-devel
BuildRequires: poppler-devel
BuildRequires: sed
#BuildRequires: glibc-kernheaders

%description
Ruby-gnome2 provides both %{gnome} and %{gtk} bindings for ruby.
 * You can handle %{gtk} objects as Ruby objects and do natural GUI programming.
 * Simple signal description by block(anonymous procedure) or singleton method.
 * Works with Ruby threading.

This package provides %{gnome} bindings for ruby.

%package -n ruby-%{gtk}
Summary:     language bindings for GTK+2 for use with Ruby
Summary(ja): Ruby から GTK+2 を使う為のライブラリ
Group:       Development/Libraries
Requires:    ruby
Requires:    rcairo >= 1.8.0

%description -n ruby-%{gtk}
Ruby-%{gnome} provides both %{gnome} and %{gtk} bindings for ruby.
 * You can handle %{gtk} objects as Ruby objects and do natural GUI programming.
 * Simple signal description by block(anonymous procedure) or singleton method.
 * Interface for Imlib.
 * Works with Ruby threading.

This package provides %{gtk} bindings for ruby.

%package -n ruby-lib%{glade}
Summary:     bindings for Lib%{glade} for use with Ruby
Summary(ja): Ruby から Lib%{glade} を使う為のライブラリ
Group:       Development/Libraries
Requires:    ruby-%{gtk} = %{version}-%{release}
Requires:    ruby-%{gnome} = %{version}-%{release}
Epoch:       1

%description -n ruby-lib%{glade}
Ruby-%{gnome} provides both %{gnome} and %{gtk} bindings for ruby.
 * You can handle %{gtk} objects as Ruby objects and do natural GUI programming.
 * Simple signal description by block(anonymous procedure) or singleton method.
 * Works with Ruby threading.

This package provides Lib%{glade} bindings for ruby.

%package -n %{name}-devel
Summary:     The header files for the ruby-gnome2.
Summary(ja): ruby-gnome2 用のヘッダーファイル群
Group:       Development/Libraries
Requires:    ruby-%{gtk} = %{version}-%{release}
Requires:    ruby-%{gnome} = %{version}-%{release}

%description -n %{name}-devel
%{name}-devel provides the header files for the ruby-gnome2.

%package -n ruby-gstreamer
Summary:    Ruby binding of GStreamer
Group:      Development/Libraries
Requires:   ruby-%{gtk} = %{version}-%{release}

%description -n ruby-gstreamer
Ruby/GStreamer is a Ruby binding for GStreamer

%package -n ruby-gtkglext
Summary:     bindings for GtkGLExt for use with Ruby
Summary(ja): Ruby から GtkGLExt を使う為のライブラリ
Group:       Development/Libraries
Requires:    ruby-%{gtk} = %{version}-%{release}
Requires:    rbogl

%description -n ruby-gtkglext
Ruby-%{gnome} provides both %{gnome} and %{gtk} bindings for ruby.
 * You can handle %{gtk} objects as Ruby objects and do natural GUI programming.
 * Simple signal description by block(anonymous procedure) or singleton method.
 * Works with Ruby threading.

This package provides GtkGLExt bindings for ruby.

%package -n ruby-gtkmozembed
Summary:     bindings for mozilla-gtkmozembed for use with Ruby
Summary(ja): Ruby から mozilla-gtkmozembed を使う為のライブラリ
Group:       Development/Libraries
License:     LGPL
Requires:    ruby-%{gtk} = %{version}-%{release}
Requires:    gecko-libs

%description -n ruby-gtkmozembed
Ruby-%{gnome} provides both %{gnome} and %{gtk} bindings for ruby.
 * You can handle %{gtk} objects as Ruby objects and do natural GUI programming.
 * Simple signal description by block(anonymous procedure) or singleton method.
 * Works with Ruby threading.

This package provides gtkmozembed bindings for ruby.

%package -n ruby-gtksourceview2
Summary:     Ruby binding of gtksourceview-2.x
Summary(ja): Ruby の gtksourceview-2.x バインディング
Group:       Development/Libraries
Requires:    ruby-%{gtk} = %{version}-%{release}

%description -n ruby-gtksourceview2
Ruby/GtkSourceView2 is a Ruby binding of gtksourceview-2.x.


%package -n ruby-poppler
Summary:     bindings for poppler for use with Ruby
Summary(ja): Ruby から poppler を使う為のライブラリ
Group:       Development/Libraries
License:     LGPL
Requires:    ruby-%{gtk} = %{version}-%{release}

%description -n ruby-poppler
Ruby-%{gnome} provides both %{gnome} and %{gtk} bindings for ruby.
 * You can handle %{gtk} objects as Ruby objects and do natural GUI programming.
 * Simple signal description by block(anonymous procedure) or singleton method.
 * Works with Ruby threading.

This package provides poppler bindings for ruby.

%package -n ruby-vte
Summary:     bindings for vte for use with Ruby
Summary(ja): Ruby から vte を使う為のライブラリ
Group:       Development/Libraries
License:     LGPL
Requires:    ruby-%{gtk} = %{version}-%{release}

%description -n ruby-vte
Ruby-%{gnome} provides both %{gnome} and %{gtk} bindings for ruby.
 * You can handle %{gtk} objects as Ruby objects and do natural GUI programming.
 * Simple signal description by block(anonymous procedure) or singleton method.
 * Works with Ruby threading.

This package provides vte bindings for ruby.

%prep
%setup -q -n ruby-%{gnome}-all-%{version}
#{RPM_SOURCE_DIR}/ruby-gnome2-vine.csh

%patch14 -p1
#patch20 -p1 -b .rbglib_unicode
#patch21 -p1 -b .rbglib_maincontext
#patch22 -p1 -b .rbgobj_boxed
#patch23 -p1 -b .rbgtktreeiter

for file in `find . -regex '.*/sample/.*\.rb'` 
do
    sed -e 's/^#! *\/usr\/local\/bin\/ruby/#!\/usr\/bin\/env ruby/' < $file > $file.mod
    mv $file.mod $file
done

%build
%{ruby} extconf.rb
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT \
     sitearchdir=$RPM_BUILD_ROOT%{rarchdir} \
     sitelibdir=$RPM_BUILD_ROOT%{rlibdir} install


rm -rf docs-to-install-ruby-%{gnome}
rm -rf docs-to-install-ruby-%{gtk}

for srcname in atk gdkpixbuf glib gtk pango 
do
    mkdir -p docs-to-install-ruby-%{gtk}/$srcname
    cp -a $srcname/{COPYING,ChangeLog,README}* \
	docs-to-install-ruby-%{gtk}/$srcname/
   if [ -d $srcname/sample ]; then
      cp -a $srcname/sample docs-to-install-ruby-%{gtk}/$srcname/
   fi
done

for srcname in bonobo bonoboui gconf gnome gnomecanvas gnomeprint gnomeprintui gnomevfs gtkhtml2 gtksourceview libart panel-applet rsvg
do
    mkdir -p docs-to-install-ruby-%{gnome}/$srcname
    cp -a $srcname/{COPYING,ChangeLog,README}* \
	docs-to-install-ruby-%{gnome}/$srcname/
   if [ -d $srcname/sample ]; then
      cp -a $srcname/sample docs-to-install-ruby-%{gnome}/$srcname/
   fi
   if [ -d $srcname/tests ]; then
      cp -a $srcname/tests docs-to-install-ruby-%{gnome}/$srcname/
   fi
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS NEWS README ChangeLog
%doc docs-to-install-ruby-%{gnome}/*

%{rlibdir}/bonobo2.rb
%{rarchdir}/bonobo2.so

%{rlibdir}/bonoboui2.rb
%{rarchdir}/bonoboui2.so

%{rlibdir}/gconf2.rb
%{rarchdir}/gconf2.so

%{rlibdir}/%{gnome}.rb
%{rarchdir}/%{gnome}*.so

%{rlibdir}/gnomecanvas2.rb
%{rarchdir}/gnomecanvas2.so

%{rlibdir}/gnomeprint2.rb
%{rarchdir}/gnomeprint2.so

%{rlibdir}/gnomeprintui2.rb
%{rarchdir}/gnomeprintui2.so

%{rlibdir}/gnomevfs.rb
%{rarchdir}/gnomevfs.so

%{rlibdir}/gtkhtml2.rb
%{rarchdir}/gtkhtml2.so

%{rlibdir}/gtksourceview.rb
%{rarchdir}/gtksourceview.so

%{rlibdir}/libart2.rb
%{rarchdir}/libart2.so

%{rlibdir}/panelapplet2.rb
%{rarchdir}/panelapplet2.so
%{rarchdir}/panelapplet2_main.so

%{rlibdir}/rsvg2.rb
%{rarchdir}/rsvg2.so

%{rlibdir}/mkmf-gnome2.rb
%{rlibdir}/pkg-config.rb

%files -n ruby-%{gtk}
%defattr(-,root,root)
%doc docs-to-install-ruby-%{gtk}/*

%{rlibdir}/glib2.rb
%{rlibdir}/glib-mkenums.rb
%{rarchdir}/glib2.so

%{rlibdir}/atk.rb
%{rarchdir}/atk.so

%{rlibdir}/pango.rb
%{rarchdir}/pango.so

%{rlibdir}/gdk_pixbuf2.rb
%{rarchdir}/gdk_pixbuf2.so

%{rlibdir}/%{gtk}/base.rb
%{rlibdir}/%{gtk}.rb
%{rarchdir}/%{gtk}*so

%files -n ruby-lib%{glade}
%defattr(-,root,root)
%doc libglade/ChangeLog libglade/README libglade/sample

%{rlibdir}/libglade2.rb
%{rarchdir}/libglade2.so
%{_bindir}/ruby-glade-create-template

%files -n %{name}-devel
%defattr(-,root,root)
%{rarchdir}/*.h

%files -n ruby-gstreamer
%defattr(-,root,root,-)
%doc gstreamer/ChangeLog gstreamer/COPYING.LIB gstreamer/README
%{rlibdir}/gst.rb
%{rarchdir}/gst.so

%files -n ruby-gtkglext
%defattr(-,root,root)
%doc gtkglext/ChangeLog gtkglext/README gtkglext/sample
%{rlibdir}/gtkglext.rb
%{rarchdir}/gtkglext.so

%files -n ruby-gtkmozembed
%defattr(-,root,root)
%doc gtkmozembed/COPYING.LIB gtkmozembed/ChangeLog gtkmozembed/README gtkmozembed/sample
%{rlibdir}/gtkmozembed.rb
%{rarchdir}/gtkmozembed.so

%files -n ruby-gtksourceview2
%defattr(-,root,root,-)
%doc gtksourceview2/ChangeLog gtksourceview2/COPYING.LIB gtksourceview2/README gtksourceview2/sample
%{rlibdir}/gtksourceview2.rb
%{rarchdir}/gtksourceview2.so

%files -n ruby-poppler
%defattr(-,root,root)
%doc poppler/COPYING.LIB poppler/ChangeLog poppler/README poppler/sample
%{rlibdir}/poppler.rb
%{rarchdir}/poppler.so

%files -n ruby-vte
%defattr(-,root,root)
%doc vte/COPYING.LIB vte/ChangeLog vte/README vte/sample
%{rlibdir}/vte.rb
%{rarchdir}/vte.so


%changelog
* Fri Mar 19 2010 IWAI, Masaharu <iwai@alib.jp> 0.19.3-1
- new upstream release
- drop gtkmozembed.patch (Patch15): upstream fixed
- add BuildRequires:
  - gtksourceview-devel >= 1.0.1
  - gstreamer-plugins-base-devel
  - mesa-libGLU-devel 
  - libXmu-devel

* Tue Jun 30 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.19.0-1
- new upstream release
- build with xulrunner-1.9.1

* Sun Dec 14 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.18.1-2
- rebuild with poppler-0.10.2

* Sat Nov 15 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.18.1-1vl5
- new upstream release
- changed Group to Development/Libraries

* Tue Oct 14 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.18.0-1vl5
- applied new versioning policy
- spec in UTF-8
- new upstream release
- added Patch14 from Fedora for building with xulrunner
  * Fri Dec 28 2007 Alex Lancaster <alexlan@fedoraproject.org> 0.16.0-21
  - Add xulrunner patch from bugzilla #402591
  - Rebuild against gecko-lib 1.9 (xulrunner)
- dropped Patch20-23
- new ruby-gstreaner, ruby-gtksourceview2 subpackage

* Fri Aug 31 2007 Shu KONNO <owa@bg.wakwak.com> 0.16.0-0vl3
- add Patch20: ruby-gnome2-all-0.16.0-rbglib_unicode.patch
- add Patch21: ruby-gnome2-all-0.16.0-rbglib_maincontext.patch
- add Patch22: ruby-gnome2-all-0.16.0-rbgobj_boxed.patch
- add Patch23: ruby-gnome2-all-0.16.0-rbgtktreeiter.patch
- set iffox is true if x86_64

* Thu Jun 25 2006 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.16.0-0vl2
- upstream release
- add BuildRequires: poppler-devel, vte-devel
- add new packages: ruby-poppler, ruby-vte
- add Obsoletes: ruby-libgda (no longer supported)
- drop Patch10
- add Requires: mozilla to ruby-gtkmozembed

* Tue May 16 2006 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.14.1-0vl5
- rebuild with Ruby-1.8.4

* Sat Apr 1 2006 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.14.1-0vl4
- rebuild with GNOME-2.14
- change BuildRequires: from gstreamer-devel to gstreamer08-devel
- change BuildRequires: from firefox-devel to mozilla-devel
  (Patch 10 is kept in package)

* Sat Feb 25 2006 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.14.1-0vl3
- add Requires: ruby-gtk2 to ruby-gtkmozembed
- add Requires: ruby-gnome2 to ruby-libglade2

* Tue Feb 21 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.14.1-0vl2
- added Patch10 (use firefox-devel instead of mozilla-devel)

* Sat Feb 18 2006 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.14.1-0vl1
- upstream release
- temporally remove ruby-libgda
  (libgda binding is not available with libgda-1.9.100-0vl1)

* Sun Oct 30 2005 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.14.0-0vl2
- fix typo in Summary: of ruby-gtk2
- add Requires: rcairo for ruby-gtk2
- add BuildRequires: rcairo-devel to support rcairo

* Sun Oct 23 2005 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.14.0-0vl1
- upstream release
- add BuildRequires: mozilla-devel to build ruby-gtkmozembed

* Sun Sep 4 2005 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.13.0-0vl1
- upstream release
- change BuildRequires: kernel-headers to glibc-kernheaders

* Mon May 9 2005 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.12.0-0vl2
- add gtkglext and libgda modules as independent VineSeedPlus package

* Fri May 6 2005 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.12.0-0vl1
- catch up to upstream release
- replace Patch10 with eqivalent C-shell script
- replace BuildRequires
- add new modules to ruby-gnome2
- remove gtkglext modules (currently in VineSeedPlus)

* Fri Nov 12 2004 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.9.1-0vl3
- rebuilt with newest gnome in VineSeed

* Sun Sep 26 2004 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.9.1-0vl2
- remove ruby-libglade2's ruby-gnome2 dependency
- temporarily removed libgda module (libgda is in VineSeedPlus)

* Fri Mar 26 2004 Seiya Nishizawa <seiya@kugi.kyoto-u.ac.jp> 0.9.1-0vl1
- updated to newest upstream release
- add ruby-gnome2-0.9.1-vine.patch for remove /usr/local/bin/ruby
- add atk to ruby-gtk2 and libgda and gtkglext to ruby-gnome2
- remove sentence for Imlib from description

* Sun Dec 07 2003 Seiya Nishizawa <seiya@kugi.kyoto-u.ac.jp> 0.8.1-0vl1
- updated to newest upstream releas
- added to kernel-headers and libgnomeui-devel in BuildPrereq
- new subpackage ruby-gnome2-devel for header files

* Sun Oct 10 2003 Satoshi MACHINO <machino@vinelinux.org> 0.7.0-0vl2
- added to gstreamer-devel in BuildPrereq

* Thu Oct 09 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.7.0-0vl1
- updated to newest upstream release

* Mon May 26 2003 Kazuhisa TAKEI <takei@vinelinux.org> 0.4.0-0vl6
- add html_stream_close

* Sun May 25 2003 Kazuhisa TAKEI <takei@vinelinux.org> 0.4.0-0vl5
- fixed lack of HtmlStrem's free.

* Sun May 25 2003 Kazuhisa TAKEI <takei@vinelinux.org> 0.4.0-0vl4
- add html_stream_write.

* Sun May 25 2003 Kazuhisa TAKEI <takei@vinelinux.org> 0.4.0-0vl3
- add libgtkhtml2

* Mon May 12 2003 kazuhisa TAKEI <takei@vinelinux.org> 0.4.0vl2
- rebuild for new gtk2,gnome2

* Fri Apr 11 2003 Kazuhisa TAKEI <takei@linux.or.jp> 0.4.0-0vl1
- new upstream version 

* Wed Jan 1 2003 Kazuhisa TAKEI <takei@linux.or.jp> 0.2-0vl1
- initial package for ruby-gnome2 based on ruby-gnme package.

* Sat Sep 14 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.30-0vl1
- updated to new upstream release
- ruby-libgrade requires ruby-gnome

* Fri Aug 02 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.29-0vl2
- increased release number to avoid confusion between VinePlus and VineSeedPlus
- put ruby-classbrowser-{%{gtk},gnome} to %%{_bindir}

* Mon Jul 01 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.29-0vl1
- updated to 0.29 upstream release
- Patch0 removed
- added forgottten %%clean section

* Mon Jun 03 2002 Satoshi MACHINO <machino@vinelinux.org> 0.28-0vl1
- updated ruby-gnome-0.28
- dropped ruby-gnome-itemfactory.patch
	-- merged upstream
- added ruby-gnome-0.28-extconf.patch
	-- To install gnome.rb
	
* Wed May 08 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.27-0vl1
- tons of changes since 0.27-0vl0 :)
- now ruby-gtk and ruby-libglade are separated subpackages
- files installed to rlibdir, NOT sitedir
- added Obsoletes: gnome-ruby < %%{version}

* Fri Apr 12 2002 Seiya Nishizawa <seiya@kugi.kyoto-u.ac.jp>
- First package.
