%define name		streamtuner
%define version		0.99.99
%define release 	2%{?_dist_release}
%define iconsdir %{_datadir}/pixmaps/%{name}

Name: 	 	%{name}
Summary: 	Internet audio stream browser.
Summary(ja):	インターネット オーディオ ストリーム ブラウザ
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.gz
Source1:	streamtuner-0.99.99-ja.po
Patch1:		http://savannah.nongnu.org/download/streamtuner/streamtuner-0.99.99-pygtk-2.6.diff
Patch2:		http://savannah.nongnu.org/download/streamtuner/streamtuner-0.99.99-live365.diff
URL:		http://www.nongnu.org/streamtuner/
License:	distributable
Group:		Applications/Multimedia
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Buildrequires:  gettext, glibc, ImageMagick, scrollkeeper
Buildrequires:  gtk2-devel, curl-devel, openssl-devel, atk-devel
BuildRequires:  glib2-devel, libidn-devel, zlib-devel
BuildRequires:	taglib-devel, libxml2-devel, python-devel, pygtk2-devel
Requires:	xmms, taglib, atk, glib2, libidn, pango
#Requires:	XOrg
Requires:	xorg-x11-libs
Requires:	gtk2, curl, openssl, zlib, glibc, python, pygtk2
Prereq:         scrollkeeper

%description
Streamtuner is a stream directory browser. It offers an intuitive and unified
interface to various streaming directories through the use of a plugin system.

%description -l ja
Streamtunerはストリームディレクトリブラウザです。
プラグインシステムを使って様々なストリーミング
ディレクトリ向けの直感的で統一したインターフェースを提供します。

%package 	devel
Summary:	Development files from %{name}.
Summary(ja):	%{name} の開発向けのファイル
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}

%description 	devel
Headers and static libraries from %{name}.

%description devel -l ja
%{name} のヘッダファイルやスタティックなライブラリ

%package 	plugins
Summary:	Plugins files for %{name}
Summary(ja):	%{name} 用プラグインファイル
Group:		Applications/Multimedia
Provides:	%{name}-plugins = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}

%description 	plugins
Plugins file for streamtuner, including Xiph.org station,
Live365, Shoutcast and other...

%description plugins -l ja
Streamtuner用のプラグインファイルで、Xiph.orgステーションやLive365や
Shoutcastなどです。

%prep
%setup -q
%patch1 -p0 -b .pygtk-2.6
%patch2 -p0 -b .live365

rm -f po/ja.*
cp %{SOURCE1} po/ja.po
pushd po
msgfmt -o ja.gmo ja.po
popd

%build
%configure --disable-gtktest
make
										
%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

# remove unpackaged files
rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

%find_lang %{name}

#icons
mkdir -p $RPM_BUILD_ROOT/%{iconsdir}
convert -size 48x48 art/%name.png $RPM_BUILD_ROOT/%{iconsdir}/%name-48.png
convert -size 32x32 art/%name.png $RPM_BUILD_ROOT/%{iconsdir}/%name-32.png
convert -size 16x16 art/%name.png $RPM_BUILD_ROOT/%{iconsdir}/%name-16.png

echo "Icon=/usr/share/pixmaps/streamtuner/streamtuner-48.png" >> $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
		
%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc README COPYING AUTHORS NEWS TODO
%{_bindir}/%{name}*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/ui/*
%{_datadir}/%{name}/python/scripts/*
%{_datadir}/%{name}/python/icons/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/%{name}/*.png
##%{_datadir}/locale
%{_datadir}/gtk-doc
%{_datadir}/help/%{name}
##%{_docdir}/%{name}-%{version}
%{_datadir}/omf/%{name}

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}
#%{_libdir}/%{name}/plugins/*.la
%{_libdir}/%{name}/plugins/*.a
%{_libdir}/pkgconfig/*.pc

%files plugins
%defattr(-,root,root)
%{_libdir}/%{name}/plugins/*.so

%changelog
* Mon Apr 19 2010 Shu KONNO <owa@bg.wakwak.com> 0.99.99-2
- rebuilt with python-2.6

* Sat Aug 16 2008 Shu KONNO <owa@bg.wakwak.com> 0.99.99-1vl5
- applied new versioning policy, spec in utf-8
- dropt plugins/*.la

* Sun Jun 10 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.99.99-0vl10
- rebuilt with openssl-0.9.8e

* Mon May 14 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.99.99-0vl9
- rebuild with curl-7.16.2

* Thu Jun  1 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.99.99-0vl8
- changed Group to Applications/Multimedia
- added Prereq: scrollkeeper

* Sun May 15 2005 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.99.99-0vl7
- commented out duplicated two lines in the %files section (see ##)

* Fri May 13 2005 Satoshi MACHINO <machino@vinelinux.org> 0.99.99-0vl6
- added live365.patch from upstream

* Sat Apr 16 2005 Satoshi MACHINO <machino@vinelinux.org> 0.99.99-0vl5
- rebuilt with python-2.4.1
- added patch1(pygtk-2.6.diff)

* Sun Feb 27 2005 Satoshi MACHINO <machino@vinelinux.org> 0.99.99-0vl4
- added BuildRequies: atk-devel, glib2-devel, libidn-devel, zlib-devel, taglib-devel, python-devel, pygtk2-devel
- added Requires: atk, glib2, libidn, pango, gtk2, curl, openssl, zlib, glibc, python, pygtk2
- added icon to gnome-panel
- enabled python scripts and icons

* Sat Feb 19 2005 Satoshi MACHINO <machino@vinelinux.org> 0.99.99-0vl3
- added BuildRequires: openssl-devel

* Sun Feb 13 2005 Satoshi MACHINO <machino@vinelinux.org> 0.99.99-0vl2
- rebuilt with curl-7.13.0

* Mon Feb 07 2005 Satoshi MACHINO <machino@vinelinux.org> 0.99.99-0vl1
- new upstream version(streamtuner-0.99.99)
- updated ja.po

* Sun Nov 21 2004 Satoshi MACHINO <machino@vinelinux.org> 0.99-0vl3
- updated ja.po
	-- changed charset to UTF-8

* Fri Nov 19 2004 Satoshi MACHINO <machino@vinelinux.org> 0.99-0vl2
- updated ja.po

* Wed Nov 17 2004 Satoshi MACHINO <machino@vinelinux.org> 0.99-0vl1
- built for VineLinux
- added japanese descriptions
- added ja.po
