Summary: Simple kernel loader which uses a FAT ot iso9660 filesystem ot a PXE network
Summary(ja): FAT/iso9660 ファイルシステムまたは PXE ネットワークを利用するシンプルなカーネルローダー
Name: syslinux
Version: 3.83
Release: 1%{?_dist_release}
License: GPL
Group: Applications/System
Source0: ftp://ftp.kernel.org/pub/linux/utils/boot/syslinux/%{name}-%{version}.tar.bz2
URL: http://syslinux.zytor.com/
ExclusiveArch: %{ix86} x86_64
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: nasm, perl, netpbm-progs
Requires: mtools
Obsoletes: %{name}-devel

Vendor: Project Vine
Distribution: Vine Linux
Packager: Daisuke SUZUKI <daisuke@linux.or.jp>


%description
SYSLINUX is a suite of bootloaders, currently supporting DOS FAT filesystems,
Linux ext2/ext3 filesystems (EXTLINUX), PXE network boots
(PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).  It also includes a tool,
MEMDISK, which loads legacy operating systems from these media.

%description -l ja
SYSLINUX はカーネルローダー集です。現在は FAT ファイルシステム、Linux の
ext2/ext3 ファイルシステム(EXTLINUX)、PXE ネットワークブート (PXELINUX) および
ISO 9660 CDROM (ISOLINUX) に対応しています。


%prep
%setup -q -n syslinux-%{version}


%build
make clean
make installer
make -C sample tidy


%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_syssbindir}
mkdir -p %{buildroot}%{_libdir}/syslinux
mkdir -p %{buildroot}%{_includedir}
make install-all \
	INSTALLROOT=%{buildroot} BINDIR=%{_bindir} SBINDIR=%{_syssbindir} \
       	LIBDIR=%{_libdir} INCDIR=%{_includedir} MANDIR=%{_mandir}
ln -sf %{_syssbindir}/extlinux %{buildroot}%{_sbindir}/extlinux

install -m 755 linux/syslinux-nomtools %{buildroot}%{_datadir}/syslinux
install -m 755 linux/syslinux %{buildroot}%{_datadir}/syslinux

mkdir -p %{buildroot}/%{_docdir}/%{name}-%{version}/sample
install -m 644 sample/sample.* %{buildroot}/%{_docdir}/%{name}-%{version}/sample/

# don't ship libsyslinux, at least, not for now
rm -f %{buildroot}%{_prefix}/lib/libsyslinux*
rm -f %{buildroot}%{_includedir}/syslinux.h

# don't want this for now...
rm -rf %{buildroot}/boot
rm -rf %{buildroot}/tftpboot


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc NEWS README* TODO COPYING
%doc doc/*
%doc sample
%{_bindir}/*
%{_sbindir}/extlinux
%{_syssbindir}/extlinux
%{_mandir}/*/*
%dir %{_datadir}/syslinux
%{_datadir}/syslinux/*.com
%{_datadir}/syslinux/*.exe
%{_datadir}/syslinux/*.c32
%{_datadir}/syslinux/*.bin
%{_datadir}/syslinux/*.0
%{_datadir}/syslinux/memdisk
%{_datadir}/syslinux/com32
%{_datadir}/syslinux/syslinux
%{_datadir}/syslinux/syslinux-nomtools


%changelog
* Sat Nov 28 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 3.83-1
- new upstream release

* Fri Jun 12 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 3.82-1
- new upstream release w/ bugfixes

* Thu May 14 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 3.80-1
- new upstream release 3.80 w/ dozens of bugfixes and new features :)

* Thu Dec 11 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.63-3
- add missing files to the filelist

* Fri May 23 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.63-2
- spec in UTF-8

* Mon May 19 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.63-1
- updated to new upstream release

* Wed Nov 21 2007 Shu KONNO <owa@bg.wakwak.com> 3.53-0vl1
- new upstream source

* Wed May 18 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 3.07-0vl1
- new upstream source
- add extlinux
- remove and obsolete syslinux-devel

* Fri Dec 17 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.13-0vl1
- new upstream release

* Fri Jun 25 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10-0vl1
- new upstream release

* Wed Mar 26 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.52-2vl1
- rebuild for Vine Linux

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Sat Feb 10 2001 Matt Wilson <msw@redhat.com>
- 1.52

* Wed Jan 24 2001 Matt Wilson <msw@redhat.com>
- 1.51pre7

* Mon Jan 22 2001 Matt Wilson <msw@redhat.com>
- 1.51pre5

* Fri Jan 19 2001 Matt Wilson <msw@redhat.com>
- 1.51pre3, with e820 detection

* Tue Dec 12 2000 Than Ngo <than@redhat.com>
- rebuilt with fixed fileutils

* Thu Nov 9 2000 Than Ngo <than@redhat.com>
- update to 1.49
- update ftp site
- clean up specfile
- add some useful documents

* Tue Jul 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- add %%defattr (release 4)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jul 06 2000 Trond Eivind Glomsr藷?<teg@redhat.com>
- use %%{_tmppath}
- change application group (Applications/Internet doesn't seem
  right to me)
- added BuildRequires

* Tue Apr 04 2000 Erik Troan <ewt@redhat.com>
- initial packaging
