# Note that this is NOT a relocatable package
%define ver      	2.10.1
%define rel		1%{?_dist_release}

Summary:	System Tools Backends
Summary(ja):	システムツールバックエンド
Name: 		system-tools-backends
Version: 	%ver
Release: 	%rel
License: 	LGPL
Group: 		Applications/System
Source:		%{name}-%{version}.tar.bz2
Source1:	system-tools-backends.init
Patch0:		%{name}-2.6.0-vine.patch
URL: 		http://www.gnome.org/projects/gst/

BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	dbus-glib-devel
BuildRequires:	perl-XML-Parser
BuildRequires:  polkit-devel
Requires:	vine-release >= 3.0
Requires:	perl, coreutils
Conflicts:	gnome-system-tools < 1.2.0

%description
The System Tools Backends are a set of cross-platform scripts for Linux and
other Unix systems. The backends provide an standard XML interface for
modifying the configuration regarless of the distribution that's being used.

%description -l ja
システムツールバックエンドは Linux および Unix 用のクロスプラットフォーム
スクリプトの集合です。このバックエンドスクリプトはディストリビューション
の設定を尊重しつつ変更を行うための標準的な XML インタフェースを提供します。

%prep
%setup -q
%patch0 -p1 -b .vine

%build
%configure
CFLAGS="$RPM_OPT_FLAGS" make %{?_smp_mflags}

%install
%__make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
install -m755 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/system-tools-backends

%find_lang %{name}

%clean
rm -rf %{buildroot}

%preun
if [ "$1" = "0" ] ; then
    /sbin/service system-tools-backends stop > /dev/null 2>&1
    /sbin/chkconfig --del system-tools-backends
fi
 
%postun
if [ "$1" -ge "1" ]; then
    service system-tools-backends condrestart > /dev/null 2>&1
fi
   
%post
/sbin/chkconfig --add system-tools-backends


%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS COPYING NEWS ChangeLog
%{_sysconfdir}/rc.d/init.d/system-tools-backends
%{_sysconfdir}/dbus-1/system.d/*
%{_sbindir}/*
%{_datadir}/dbus-1/system-services/*
%{_datadir}/polkit-1/actions/*
%dir %{_datadir}/system-tools-backends-2.0
%{_datadir}/system-tools-backends-2.0/*
%{_libdir}/pkgconfig/*


%changelog
* Sat Sep 18 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.10.1-1
- new upstream release

* Tue May 04 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.10.0-2
- fix Source1(system-tools-backends.init)

* Wed Mar 31 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.10.0-1
- new upstream release
- change BuildRequires: PolicyKit-devel -> polkit-devel

* Thu Mar 11 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.8.3-1
- new upstream release

* Thu Jul  3 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.6.0-1
- updated to newest upstream release
- new versioning policy; spec in UTF-8

* Fri Apr 27 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1-0vl2
- add initscript for system-tools-backends

* Fri Apr 27 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1-0vl1
- new upstream release

* Sat Dec 23 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.4.2-0vl5
- move system-tools-backends.pc to %%{_datadir}/pkgconfig

* Thu Oct 26 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.2-0vl4
- update Patch0
  - add some services

* Sat Aug 26 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.2-0vl3
- update Patch0
  - fix Vine Linux 4.x support

* Tue Jun 15 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.2-0vl2
- update Patch0
  - support Vine Linux 4.[01]
  - support {disks,shares}-conf

* Tue Mar 07 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.2-0vl1
- new upstream release

* Thu Sep 22 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.0-0vl1
- new upstream release
- support Vine Linux 3.2

* Sun Jul 10 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3.0-0vl1
- new upstream release

* Fri Mar 25 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.0-0vl1
- initial build for Vine Linux
