Summary:        Central control for Telepathy connection manager

Name:           telepathy-mission-control
Version:        5.3.2
Release:        1%{?_dist_release}

Group:          System Environment/Libraries
License:        LGPLv2
URL:            http://mission-control.sourceforge.net/
Source0:        http://prdownloads.sourceforge.net/mission-control/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires:  GConf2-devel 
BuildRequires:  libtelepathy-devel
BuildRequires:  dbus-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  telepathy-glib-devel >= 0.7.37
BuildRequires:  libxslt
BuildRequires:  python

%description
Mission Control, or MC, is a Telepathy component providing a way for
"end-user" applications to abstract some of the details of connection
managers, to provide a simple way to manipulate a bunch of connection
managers at once, and to remove the need to have in each program the
account definitions and credentials.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       libtelepathy-devel
Requires:       telepathy-glib-devel >= 0.7.37
Requires:       dbus-devel
Requires:       dbus-glib-devel

%description    devel
The %{name}-devel package contains libraries and header
files for developing applications that use %{name}.


%prep
%setup -q

%build
libtoolize --force --copy
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

#need to own this dir
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mission-control/profiles

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING
%{_bindir}/*
%dir %{_datadir}/mission-control/profiles
%{_libdir}/libmcclient-*.so
%{_datadir}/dbus-1/services/*.service
%{_libexecdir}/mission-control-5
%{_mandir}/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/libmcclient.so
%{_libdir}/pkgconfig/*.pc
%doc %{_datadir}/gtk-doc/html/libmcclient
%doc %{_datadir}/gtk-doc/html/libmissioncontrol-server


%changelog
* Sat Nov  7 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.3.2-1
- new upstream release

* Tue Sep 30 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 4.65-1
- initial build for Vine Linux

* Tue May 29 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 4.65-2
- Update to new upstream release (4.65)

* Mon Mar 17 2008 Matej Cepl <mcepl@redhat.com> 4.64-1
- Upgrade to the current upstream release (4.64) (Resolves: #437766)
- Fix building on x86_64 (upstream libtool is not aware of /usr/lib64 and
  produces rpaths)
- Fix invalid License tag.

* Mon Mar 10 2008 Peter Gordon <peter@thecodergeek.com> - 4.63-1
- Update to new upstream release (4.63)

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 4.55-2
- Autorebuild for GCC 4.3

* Tue Jan 15 2008 Peter Gordon <peter@thecodergeek.com> - 4.55-1
- Update to new upstream release (4.55)
- Drop obsolete 64-bit patch.
  - size_t_vs_guint.patch

* Sat Dec 15 2007 Peter Gordon <peter@thecodergeek.com> - 4.51-1
- Update to new upstream release (4.51)

* Mon Nov 12 2007 Sindre Pedersen Bjørdal <foolish@guezz.net> - 4.49-1
- Bump to latest release

* Sun Aug 26 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 4.35-1
- Bump to latest release

* Thu Jun 14 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 4.24-3
- New release
- Remove patch, applied upstream

* Sat Jun 02 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 4.22-2
- Add missing requires on -devel package

* Sat May 26 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 4.22-1
- Initial build
