Summary: Traces the route taken by packets over a TCP/IP network.
Summary(ja): TCP/IPネットワーク上でパケットがたどる経路をトレースするツール
Name: traceroute
Version: 2.0.12
Release: 1%{?_dist_release}
Epoch: 1
License: GPL
Group: Applications/Internet
URL:  http://traceroute.sourceforge.net
Source0: http://dl.sourceforge.net/traceroute/traceroute-%{version}.tar.gz
#Patch0: traceroute-1.0.4-compat.patch
#Patch1: traceroute-1.0.4-trace_stop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Conflicts: iputils <= 20020927-13vl2

%description
The traceroute utility displays the route used by IP packets on their
way to a specified network (or Internet) host.  Traceroute displays
the IP number and host name (if possible) of the machines along the
route taken by the packets.  Traceroute is used as a network debugging
tool.  If you're having network connectivity problems, traceroute will
show you where the trouble is coming from along the route.

Install traceroute if you need a tool for diagnosing network connectivity
problems.

%prep
%setup -q
#patch0 -p1 -b .compat
#patch1 -p1 -b .trace_stop

%build
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=""

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/bin
install -m755 traceroute/traceroute $RPM_BUILD_ROOT/bin
pushd $RPM_BUILD_ROOT/bin
ln -s traceroute traceroute6
ln -s traceroute tracert
popd

install -d $RPM_BUILD_ROOT%{_mandir}/man8
install -p -m644 traceroute/traceroute.8 $RPM_BUILD_ROOT%{_mandir}/man8
pushd $RPM_BUILD_ROOT%{_mandir}/man8
ln -s traceroute.8 traceroute6.8
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING README TODO CREDITS
/bin/*
%{_mandir}/man?/*

%changelog
* Wed Apr 15 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1:2.0.12-1
- update to 2.0.12
- spec in utf-8

* Fri Mar 21 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1:2.0.9-1vl5
- updated to 2.0.9

* Wed Sep 20 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1:1.0.4-0vl1
- replace to new traceroute implementation.

* Tue Oct 21 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4a12-20vl2
- fix missing traceroute executable
  - add real executable file of traceroute to %%files

* Mon Oct 20 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.4a12-20vl1
- rebuild with new toolchains
- s/Copyright/License/
- based on Redhat Rawhide 1.4a12-20

* Wed Feb 20 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4a5-18vl4
- rebuild to remove rpmlib dependancy

* Fri Jun 01 2001 <sagami@vinelinux.org>
- 1.4a5-18vl3: quick hack for build failure and install manpage into _mandir

* Mon Oct 16 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 1.4a5-18vl2
- merged traceroute-1.4a5-security.patch

* Mon Jul 10 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 1.4a5-18vl1
- modified %patch5 -p1 -> %patch5 -p0

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Fri Jan 14 2000 Bill Nottingham <notting@redhat.com>
- add patch for tracing to really long hostnames

* Thu May 27 1999 Richard Henderson <rth@twiddle.net>
- avoid unaligned traps writing into the output data area.

* Fri May 14 1999 Jeff Johnson <jbj@redhat.com>
- fix segfault when host cannot be reached through if (#2819)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 14)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- strip binaries.

* Sun Feb 07 1999 Preston Brown <pbrown@redhat.com>
- patch added to automatically determine interface to route through

* Fri Jan 22 1999 Jeff Johnson <jbj@redhat.com>
- use %configure
- fix 64 bit problem on alpha (#919)

* Wed Jan 13 1999 Bill Nottingham <notting@redhat.com>
- configure fix for arm

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Dec 16 1997 Cristian Gafton <gafton@redhat.com>
- updated the security patch (ouch!). Without the glibc fix, it could be
  worthless anyway

* Sat Dec 13 1997 Cristian Gafton <gafton@redhat.com>
- added a security patch fix

* Wed Oct 22 1997 Erik Troan <ewt@redhat.com>
- added fix from Christopher Seawood

* Mon Sep 22 1997 Erik Troan <ewt@redhat.com>
- updated to 1.4a5 for security fixes; release 1 is for RH 4.2, release 2
  is against glibc

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
