Summary: Valgrind Memory Debugger
Summary(ja): Valgrind メモリデバッガ
Name: valgrind
Version: 3.4.1
Release: 1%{?_dist_release}
License: GPL
URL: http://www.valgrind.org/
Group: Development/Tools
Source: http://valgrind.org/downloads/%{name}-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description 
Valgrind is an award-winning suite of tools for debugging and profiling
Linux programs. With the tools that come with Valgrind, you can
automatically detect many memory management and threading bugs, avoiding
hours of frustrating bug-hunting, making your programs more stable. You can
also perform detailed profiling, to speed up and reduce memory use of your
programs.

The Valgrind distribution currently includes five tools: two memory error
detectors, a thread error detector, a cache profiler and a heap profiler.


%prep
%setup -q -n %{name}-%{version}

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%makeinstall

rm -rf docs.installed
mkdir docs.installed
mv $RPM_BUILD_ROOT%{_datadir}/doc/valgrind/* docs.installed/


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc ACKNOWLEDGEMENTS AUTHORS COPYING FAQ.txt INSTALL NEWS README*
%doc docs.installed/html docs.installed/valgrind_manual.{pdf,ps}
%{_bindir}/*
%{_includedir}/valgrind
%{_libdir}/valgrind
%{_libdir}/pkgconfig/*

%doc
%defattr(-,root,root)
%{_mandir}/*/*

%changelog
* Sun Apr 19 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.4.1-1vl5
- new upstream release
- changed Group to Development/Tools

* Sun Aug 24 2008 Shu KONNO <owa@bg.wakwak.com> 3.3.1-1vl5
- packaged new

