Summary:	Handles user special directories
Summary(ja):	ユーザー用の特別なディレクトリの設定
Name:		xdg-user-dirs
Version:	0.10
Release:	3%{?_dist_release}
Source0:	http://www.gnome.org/~alexl/%{name}-%{version}.tar.gz
Source1:	xdg-user-dirs.sh
Patch0:		xdg-user-dirs_update-ja.po.patch
License:	GPL
Group:		User Interface/Desktops
URL:		http://freedesktop.org/wiki/Software/xdg-user-dirs

Requires:	%{_sysconfdir}/X11/xinit/xinitrc.d
BuildRequires:	gettext
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Contains xdg-user-dirs-update that updates folders in a users
homedirectory based on the defaults configured by the administrator.

%description -l ja
このパッケージは、システムの設定に基づいてユーザーのホームディレクトリ
にある特別なフォルダの名前を更新する xdg-user-dirs-update コマンドを含
んでいます。

%prep
%setup -q
%patch0 -p0 -b .update

%build
%configure
%{__make} %{?_smp_mflags}
# compile ja.po
pushd po
  msgfmt ja.po -o ja.gmo
popd

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}
%{__mkdir} -p ${RPM_BUILD_ROOT}/%{_sysconfdir}/X11/xinit/xinitrc.d
%{__install} -p -m 755 %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/X11/xinit/xinitrc.d

%find_lang %{name}

%clean
rm -rf ${RPM_BUILD_ROOT}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc NEWS AUTHORS README ChangeLog COPYING
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/xdg/user-dirs.conf
%config(noreplace) %{_sysconfdir}/xdg/user-dirs.defaults
%{_sysconfdir}/X11/xinit/xinitrc.d/*

%changelog
* Fri Jan 02 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.10-3
- fix japanese translation update

* Sat Nov 29 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.10-2
- add Patch0 to modify japanese translation

* Fri Nov 07 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.10-1
- initial build for Vine Linux based on fedora package

* Tue Feb 12 2008 Alexander Larsson <alexl@redhat.com> - 0.10-1
- Update to 0.10 (new translations)

* Tue Aug 21 2007 Alexander Larsson <alexl@redhat.com> - 0.9-1
- Update to 0.9 (new translations)

* Tue May 29 2007 Matthias Clasen <mclasen@redhat.com> - 0.8-2
- Fix a possible crash.

* Wed May 16 2007  <alexl@redhat.com> - 0.8-1
- Update to 0.8, (only) fixing bug that always recreated deleted directories (#240139)

* Wed Apr 11 2007 Alexander Larsson <alexl@redhat.com> - 0.6-1
- Update to 0.6 (minor fixes)

* Mon Mar 26 2007 Alexander Larsson <alexl@redhat.com> - 0.5-1
- update to 0.5 (more translations)

* Wed Mar  7 2007 Alexander Larsson <alexl@redhat.com> - 0.4-1
- Update to 0.4

* Thu Mar  1 2007 Alexander Larsson <alexl@redhat.com> - 0.3-1
- Update to 0.3

* Fri Feb 23 2007 Alexander Larsson <alexl@redhat.com> - 0.2-1
- initial version
