%define nspr_version 4.8.6
%define nss_version 3.12
%define cairo_version 1.8.6
%define libnotify_version 0.4
%define tarballdir mozilla-1.9.2

%define build_vine6 0
%define build_vine5 0
%if "%{?_dist_release}" == "vl6"
%define build_vine6 1
%define build_vine5 1
%endif
%if "%{?_dist_release}" == "vl5"
%define build_vine5 1
%endif

%if %build_vine6
%define sqlite_version 3.7.2
%endif

%define version_internal  1.9.2
%define mozappdir         %{_libdir}/%{name}-%{version_internal}

# Separated plugins are supported on x86(64) only
%ifarch %{ix86} x86_64
%define separated_plugins 1
%else
%define separated_plugins 0
%endif

Summary:        XUL Runtime for Gecko Applications
Summary(ja):    Gecko アプリケーションのための XUL ランタイム
Name:           xulrunner
Version:        1.9.2.9
Release:        2%{?_dist_release}
URL:            http://www.mozilla.org/projects/xulrunner/
License:        MPLv1.1 or GPLv2+ or LGPLv2+
Group:          Applications/Internet
Source0:        %{name}-%{version}.source.tar.bz2
Source10:       %{name}-mozconfig
Source11:       %{name}-mozconfig-vine5
Source12:       %{name}-vine-default-prefs.js
Source21:       %{name}.sh.in
Source23:       %{name}.1

# locale sources
%define MOZ_BUILD_LOCALES "ja"
Source1000:     xulrunner-%{version}-ja.tar.bz2

# build patches
Patch0:		xulrunner-version.patch
Patch1:         mozilla-build.patch
Patch3:         mozilla-jemalloc.patch
Patch7:         xulrunner-1.9.2.1-build.patch
Patch8:         mozilla-plugin.patch
Patch9:         mozilla-build-sbrk.patch
Patch10:	mozilla-libjpeg-turbo.patch

# patches from Fedora
Patch100:       mozilla-192-pkgconfig.patch

# Upstream patches
Patch200:        mozilla-ps-pdf-simplify-operators.patch


# ---------------------------------------------------

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  nspr-devel >= %{nspr_version}
BuildRequires:  nss-devel >= %{nss_version}
BuildRequires:  cairo-devel >= %{cairo_version}
BuildRequires:  libpng-devel
BuildRequires:  libjpeg-turbo-devel
BuildRequires:  bzip2-devel
BuildRequires:  zlib-devel
BuildRequires:  lcms-devel
BuildRequires:  libIDL-devel
BuildRequires:  gtk2-devel
BuildRequires:  gnome-vfs2-devel
BuildRequires:  libgnome-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  pango-devel
BuildRequires:  freetype2-devel >= 2.1.9
BuildRequires:  libXt-devel
BuildRequires:  libXrender-devel
%if %{build_vine6}
BuildRequires:  sqlite3-devel >= %{sqlite_version}
%endif
BuildRequires:  libnotify-devel >= %{libnotify_version}
BuildRequires:  startup-notification-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  lcms-devel
BuildRequires:  zip
# For -sqlite.patch
BuildRequires:  autoconf213

Requires:       nspr >= %{nspr_version}
Requires:       nss >= %{nss_version}

Provides:       gecko-libs = %{version}

%description
XULRunner provides the XUL Runtime environment for Gecko applications.

%package devel
Summary: Development files for Gecko
Group: Development/Libraries

Obsoletes: mozilla-devel
Obsoletes: firefox-devel < 2.1
Obsoletes: xulrunner-devel-unstable

Provides: gecko-devel = %{version}
Provides: gecko-devel-unstable = %{version}

Requires: xulrunner = %{version}-%{release}
Requires: nspr-devel >= %{nspr_version}
Requires: nss-devel >= %{nss_version}
Requires: cairo-devel >= %{cairo_version}
Requires: libjpeg-turbo-devel
Requires: zip
Requires: bzip2-devel
Requires: zlib-devel
Requires: lcms-devel
Requires: libIDL-devel
Requires: gtk2-devel
Requires: gnome-vfs2-devel
Requires: libgnome-devel
Requires: libgnomeui-devel
Requires: pango-devel
Requires: freetype2-devel >= 2.1.9
Requires: libXt-devel
Requires: libXrender-devel
%if %{build_vine6}
Requires: sqlite3-devel >= %{sqlite_version}
%endif
Requires: startup-notification-devel
Requires: alsa-lib-devel

%description devel
Gecko development files.

#---------------------------------------------------------------------

%prep
%setup -q -c -b 1000
cd %{tarballdir}

sed -e 's/__RPM_VERSION_INTERNAL__/%{version_internal}/' \
    %{P:%%PATCH0} > version.patch
%{__patch} -p1 -b --suffix .version < version.patch

%patch1  -p1 -b .build
%patch3  -p1 -b .jemalloc
%patch7  -p2 -b .del
%patch8  -p1 -b .plugin
%patch9  -p2 -b .sbrk
%patch10 -p1 -b .libjpeg-turbo

%patch100 -p1 -b .pkgconfig

%patch200 -p1 -b .ps-pdf-simplify-operators

%{__rm} -f .mozconfig
%if %{build_vine6}
%{__cp} %{SOURCE10} .mozconfig
%else
%{__cp} %{SOURCE11} .mozconfig
%endif

%if !%{?separated_plugins}
echo "ac_add_options --disable-ipc" >> .mozconfig
%endif

#---------------------------------------------------------------------

%build
cd %{tarballdir}

INTERNAL_GECKO=%{version_internal}
MOZ_APP_DIR=%{_libdir}/%{name}-${INTERNAL_GECKO}

# Mozilla builds with -Wall with exception of a few warnings which show up
# everywhere in the code; so, don't override that.
MOZ_OPT_FLAGS=$(echo $RPM_OPT_FLAGS | %{__sed} -e 's/-Wall//')
export CFLAGS=$MOZ_OPT_FLAGS
export CXXFLAGS=$MOZ_OPT_FLAGS

export PREFIX='%{_prefix}'
export LIBDIR='%{_libdir}'

MOZ_SMP_FLAGS=-j1
%ifnarch ppc ppc64 s390 s390x
[ -z "$RPM_BUILD_NCPUS" ] && \
     RPM_BUILD_NCPUS="`/usr/bin/getconf _NPROCESSORS_ONLN`"
[ "$RPM_BUILD_NCPUS" -gt 1 ] && MOZ_SMP_FLAGS=-j2
%endif

export LDFLAGS="-Wl,-rpath,${MOZ_APP_DIR}"
make -f client.mk configure STRIP="/bin/true" MOZ_MAKE_FLAGS="$MOZ_SMP_FLAGS"
make -f client.mk build STRIP="/bin/true" MOZ_MAKE_FLAGS="$MOZ_SMP_FLAGS"

# build locales
LOCALEDIRS=`find . -print | grep 'locales/Makefile$' | \
            sed -e 's|\./\(.*\)/locales/.*|\1|g'`
for dir in $LOCALEDIRS
do
  for lang in %{MOZ_BUILD_LOCALES} ; do
    make -C $dir/locales AB_CD=$lang
  done
done

#---------------------------------------------------------------------

%install
cd %{tarballdir}
%{__rm} -rf $RPM_BUILD_ROOT

INTERNAL_GECKO=%{version_internal}

INTERNAL_APP_NAME=%{name}-${INTERNAL_GECKO}
MOZ_APP_DIR=%{_libdir}/${INTERNAL_APP_NAME}

INTERNAL_APP_SDK_NAME=%{name}-sdk-${INTERNAL_GECKO}
MOZ_APP_SDK_DIR=%{_libdir}/${INTERNAL_APP_SDK_NAME}

#DESTDIR=$RPM_BUILD_ROOT make -f client.mk install STRIP="/bin/true" MOZ_MAKE_FLAGS="$MOZ_SMP_FLAGS"
DESTDIR=$RPM_BUILD_ROOT make install

%{__mkdir_p} $RPM_BUILD_ROOT/${MOZ_APP_DIR} \
             $RPM_BUILD_ROOT%{_datadir}/idl/${INTERNAL_APP_SDK_NAME} \
             $RPM_BUILD_ROOT%{_includedir}/${INTERNAL_APP_SDK_NAME}
%{__install} -p dist/sdk/bin/regxpcom $RPM_BUILD_ROOT/$MOZ_APP_DIR

%{__mkdir_p} $RPM_BUILD_ROOT{%{_libdir},%{_bindir},%{_datadir}/applications}

# set up our default preferences
%{__cat} %{SOURCE12} | %{__sed} -e 's,RPM_VERREL,%{version}-%{release},g' > vl-default-prefs
%{__install} -p -D -m 644 vl-default-prefs $RPM_BUILD_ROOT/${MOZ_APP_DIR}/defaults/pref/all-vine.js
%{__rm} vl-default-prefs

# Start script install
%{__rm} -rf $RPM_BUILD_ROOT%{_bindir}/%{name}
%{__cat} %{SOURCE21} | %{__sed} -e 's,XULRUNNER_VERSION,%{version_internal},g' > \
  $RPM_BUILD_ROOT%{_bindir}/%{name}
%{__chmod} 755 $RPM_BUILD_ROOT%{_bindir}/%{name}

%{__rm} -f $RPM_BUILD_ROOT${MOZ_APP_DIR}/%{name}-config

cd $RPM_BUILD_ROOT${MOZ_APP_DIR}/chrome
find . -name "*" -type d -maxdepth 1 -exec %{__rm} -rf {} \;
cd -

# install locales
for lang in %{MOZ_BUILD_LOCALES} ; do
  %{__install} -p -D -m 664 dist/bin/chrome/$lang.{jar,manifest} $RPM_BUILD_ROOT/${MOZ_APP_DIR}/chrome/
done

# Prepare our devel package
%{__mkdir_p} $RPM_BUILD_ROOT/%{_includedir}/${INTERNAL_APP_SDK_NAME}
%{__mkdir_p} $RPM_BUILD_ROOT/%{_datadir}/idl/${INTERNAL_APP_SDK_NAME}
%{__mkdir_p} $RPM_BUILD_ROOT/%{_libdir}/pkgconfig

%{__cp} -rL dist/include/* \
  $RPM_BUILD_ROOT/%{_includedir}/${INTERNAL_APP_SDK_NAME}

# Copy pc files (for compatibility with 1.9.1)
%{__cp} $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/libxul.pc \
        $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/libxul-unstable.pc
%{__cp} $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/libxul-embedding.pc \
        $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/libxul-embedding-unstable.pc

# Fix multilib devel conflicts...
%ifarch x86_64 ia64 s390x ppc64
%define mozbits 64
%else
%define mozbits 32
%endif

function install_file() {
genheader=$*
mv ${genheader}.h ${genheader}%{mozbits}.h
cat > ${genheader}.h << EOF
// This file exists to fix multilib conflicts
#if defined(__x86_64__) || defined(__ia64__) || defined(__s390x__) || defined(__powerpc64__)
#include "${genheader}64.h"
#else
#include "${genheader}32.h"
#endif
EOF
}

pushd $RPM_BUILD_ROOT/%{_includedir}/${INTERNAL_APP_SDK_NAME}
install_file "mozilla-config"
popd

pushd $RPM_BUILD_ROOT/%{_includedir}/${INTERNAL_APP_SDK_NAME}
install_file "jsautocfg"
popd

%{__install} -p -c -m 755 dist/bin/xpcshell \
  dist/bin/xpidl \
  dist/bin/xpt_dump \
  dist/bin/xpt_link \
  $RPM_BUILD_ROOT/${MOZ_APP_DIR}

%{__rm} -rf $RPM_BUILD_ROOT/%{_includedir}/${INTERNAL_APP_NAME}
%{__rm} -rf $RPM_BUILD_ROOT/%{_datadir}/idl/${INTERNAL_APP_NAME}

%{__rm} -rf $RPM_BUILD_ROOT${MOZ_APP_SDK_DIR}/include
ln -s  %{_includedir}/${INTERNAL_APP_SDK_NAME} \
       $RPM_BUILD_ROOT${MOZ_APP_SDK_DIR}/include

%{__rm} -rf $RPM_BUILD_ROOT${MOZ_APP_SDK_DIR}/idl
ln -s  %{_datadir}/idl/${INTERNAL_APP_SDK_NAME} \
       $RPM_BUILD_ROOT${MOZ_APP_SDK_DIR}/idl

%{__rm} -rf $RPM_BUILD_ROOT${MOZ_APP_SDK_DIR}/sdk/include
ln -s  %{_includedir}/${INTERNAL_APP_SDK_NAME} \
       $RPM_BUILD_ROOT${MOZ_APP_SDK_DIR}/sdk/include

%{__rm} -rf $RPM_BUILD_ROOT${MOZ_APP_SDK_DIR}/sdk/idl
ln -s  %{_datadir}/idl/${INTERNAL_APP_SDK_NAME} \
       $RPM_BUILD_ROOT${MOZ_APP_SDK_DIR}/sdk/idl

find $RPM_BUILD_ROOT/%{_includedir} -type f -name "*.h" | xargs chmod 644
find $RPM_BUILD_ROOT/%{_datadir}/idl -type f -name "*.idl" | xargs chmod 644

%{__rm} -rf $RPM_BUILD_ROOT${MOZ_APP_SDK_DIR}/sdk/lib/*.so
pushd $RPM_BUILD_ROOT${MOZ_APP_DIR}
for i in *.so; do
    ln -s ${MOZ_APP_DIR}/$i $RPM_BUILD_ROOT${MOZ_APP_SDK_DIR}/sdk/lib/$i
done
popd

# GRE stuff
%ifarch x86_64 ia64 ppc64 s390x
%define gre_conf_file gre64.conf
%else
%define gre_conf_file gre.conf
%endif

MOZILLA_GECKO_VERSION=`./config/milestone.pl --topsrcdir=.`
%{__mv} $RPM_BUILD_ROOT/etc/gre.d/$MOZILLA_GECKO_VERSION".system.conf" \
        $RPM_BUILD_ROOT/etc/gre.d/%{gre_conf_file}
chmod 644 $RPM_BUILD_ROOT/etc/gre.d/%{gre_conf_file}

# Library path
%ifarch x86_64 ia64 ppc64 s390x
%define ld_conf_file xulrunner-64.conf
%else
%define ld_conf_file xulrunner-32.conf
%endif

%{__mkdir_p} $RPM_BUILD_ROOT/etc/ld.so.conf.d
%{__cat} > $RPM_BUILD_ROOT/etc/ld.so.conf.d/%{ld_conf_file} << EOF
${MOZ_APP_DIR}
EOF
                        
# Copy over the LICENSE
%{__install} -p -c -m 644 LICENSE $RPM_BUILD_ROOT${MOZ_APP_DIR}

# Use the system hunspell dictionaries
%{__rm} -rf ${RPM_BUILD_ROOT}${MOZ_APP_DIR}/dictionaries
ln -s %{_datadir}/myspell ${RPM_BUILD_ROOT}${MOZ_APP_DIR}/dictionaries

# ghost files
%{__mkdir_p} $RPM_BUILD_ROOT${MOZ_APP_DIR}/components
touch $RPM_BUILD_ROOT${MOZ_APP_DIR}/components/compreg.dat
touch $RPM_BUILD_ROOT${MOZ_APP_DIR}/components/xpti.dat

#---------------------------------------------------------------------

%clean
%{__rm} -rf $RPM_BUILD_ROOT

#---------------------------------------------------------------------

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%preun
# is it a final removal?
if [ $1 -eq 0 ]; then
  %{__rm} -rf ${MOZ_APP_DIR}/components
fi

%files
%defattr(-,root,root,-)
%{_bindir}/xulrunner
%dir /etc/gre.d
/etc/gre.d/%{gre_conf_file}
%dir %{mozappdir}
%doc %attr(644, root, root) %{mozappdir}/LICENSE
%doc %attr(644, root, root) %{mozappdir}/README.txt
%{mozappdir}/chrome
%{mozappdir}/dictionaries
%dir %{mozappdir}/components
%ghost %{mozappdir}/components/compreg.dat
%ghost %{mozappdir}/components/xpti.dat
%{mozappdir}/components/*.so
%{mozappdir}/components/*.xpt
%attr(644, root, root) %{mozappdir}/components/*.js
%{mozappdir}/defaults
%{mozappdir}/greprefs
%dir %{mozappdir}/icons
%attr(644, root, root) %{mozappdir}/icons/*
%{mozappdir}/modules
%{mozappdir}/plugins
%{mozappdir}/res
%{mozappdir}/*.so
%{mozappdir}/mozilla-xremote-client
%{mozappdir}/run-mozilla.sh
%{mozappdir}/regxpcom
%{mozappdir}/xulrunner
%{mozappdir}/xulrunner-bin
%{mozappdir}/xulrunner-stub
%if %{?separated_plugins}
%{mozappdir}/plugin-container
%endif
%{mozappdir}/platform.ini
%{mozappdir}/dependentlibs.list
%{_sysconfdir}/ld.so.conf.d/xulrunner*.conf

# XXX See if these are needed still
%{mozappdir}/updater*
%exclude %{mozappdir}/update.locale
%exclude %{mozappdir}/components/components.list

%files devel
%defattr(-,root,root,-)
%dir %{_datadir}/idl/%{name}*%{version_internal}
%{_datadir}/idl/%{name}*%{version_internal}/*
%{_includedir}/%{name}*%{version_internal}
%dir %{_libdir}/%{name}-sdk-*
%dir %{_libdir}/%{name}-sdk-*/sdk
%{_libdir}/%{name}-sdk-*/*
%{_libdir}/%{name}-sdk-*/sdk/*
%{_libdir}/pkgconfig/*.pc
%{mozappdir}/xpcshell
%{mozappdir}/xpidl
%{mozappdir}/xpt_dump
%{mozappdir}/xpt_link

#---------------------------------------------------------------------

%changelog
* Thu Sep 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.9.2.9-2
- rebuild with rpm-4.8.1 for pkg-config file

* Mon Sep 13 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.9.2.9-1
- update to 1.9.2.9 (sync with firefox-3.6.9)
- add patch10 to build with libjpeg-turbo
- build with sqlite-3.7.2
- BR: nspr >= 4.8.6

* Mon Jul 26 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.9.2.8-1
- update tp 1.9.2.8 (sync with firefox-3.6.8)

* Wed Jul 21 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.9.2.7-1
- update tp 1.9.2.7 (sync with firefox-3.6.7)

* Wed Jun 23 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.9.2.4-2
- enable ipc only on ix86/x86_64 arches

* Wed Jun 23 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.9.2.4-1
- update to 1.9.2.4 (sync with firefox-3.6.4)
- add patch10 to fix build failure

* Sat Apr 03 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.9.2.3-1
- update to 1.9.2.3 (sync with firefox-3.6.3)

* Fri Apr 02 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.9.2.2-1
- update to 1.9.2.2 (sync with firefox-3.6.2)
- add patch7,9 for fix build failure

* Sat Jan 23 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.9.2-3
- enable libnotify support
  - add ac_add_options --enable-libnotify
- disable Necko wifi monitor
  - add ac_add_options --disable-necko-wifi
  - remove BR: wireless-tools-devel
- fix %%files devel
- add patch3,5 to fix jemalloc alignment assertion
- add Patch8 to fix mozilla-plugin.pc

* Sat Jan 23 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.9.2-2
- add BR: libnotify-devel, wireless-tools-devel

* Thu Jan 21 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.9.2-1
- update to 1.9.2 (sync with firefox-3.6)
- obsoletes xulrunner-devel-unstable

* Sat Jan 16 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.9.1.7-2
- use internal sqlite3 on vine5

* Fri Jan 08 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.9.1.7-1
- update to 1.9.1.7

* Tue Jan 05 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.9.1.6-1
- update to 1.9.1.6
- build with sqlite3-3.6.21

* Sat Nov 21 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.9.1.5-1
- update to 1.9.1.5

* Sun Oct 18 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.9.1.3-1
- update to 1.9.1.3

* Fri Aug 07 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.9.1.2-2
- really update to 1.9.1.2 (<BTS:0748>)

* Wed Aug 05 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.9.1.2-1
- update to 1.9.1.2 (sync with firefox-3.5.2)

* Sun Jul 19 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.9.1.1-1
- update to 1.9.1.1 (sync with firefox-3.5.1)
- add missing Requires to -devel
- add missing BR

* Wed Jul 01 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.9.1-2
- enable-system-cairo

* Tue Jun 30 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.9.1-1
- update to 1.9.1 (based on firefox 3.5)

* Tue Jun 30 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.9.1-0.2.rc3
- update to 1.9.1rc3 (sync with firefox 3.5rc3)

* Sun Jun 21 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.9.1-0.1.rc2
- update to xulrunner 1.9.1rc2 (based on firefox 3.5rc2)
- remove old patches
- require nspr >= 4.8

* Fri Jun 12 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.9.0.11-1
- new upstream release

* Sun May 03 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.9.0.10-2
- update mozconfig
  - disable-system-cairo for stability

* Tue Apr 28 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.9.0.10-1
- new upstream release

* Sun Apr 26 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.9.0.9-1
- new upstream release
- add ja locale

* Sun Mar 22 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.9.0.7-1
- new upstream release

* Thu Oct 02 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.9.0.3-1
- new upstream release

* Fri Sep 26 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.9.0.2-2
- add Patch3

* Fri Sep 26 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.9.0.2-1
- update to xulrunner 1.9.0.2 byild 6
- build with gnome-2.24

* Fri Aug 22 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.9.0.1-1
- new upstream release

* Sun Jun 22 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.9-1
- initial build for Vine Linux

* Tue Jun 17 2008 Christopher Aillon <caillon@redhat.com> 1.9-1
- Update to 1.9 final

* Thu May 29 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.63
- Simplify PS/PDF operators

* Thu May 22 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.62
- Upstream patch to fsync() less

* Thu May 08 2008 Colin Walters <walters@redhat.com> 1.9-0.61
- Ensure we enable startup notification; add BR and modify config
  (bug #445543)

* Wed Apr 30 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.60
- Some files moved to mozilla-filesystem; kill them and add the Req

* Mon Apr 28 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.59
- Clean up the %%files list and get rid of the executable bit on some files

* Sat Apr 26 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.58
- Fix font scaling

* Fri Apr 25 2008 Martin Stransky <stransky@redhat.com> 1.9-0.57
- Enabled phishing protection (#443403)

* Wed Apr 23 2008 Martin Stransky <stransky@redhat.com> 1.9-0.56
- Changed "__ppc64__" to "__powerpc64__", 
  "__ppc64__" doesn't work anymore
- Added fix for #443725 - Critical hanging bug with fix 
  available upstream (mozbz#429903)

* Fri Apr 18 2008 Martin Stransky <stransky@redhat.com> 1.9-0.55
- Fixed multilib issues, added starting script instead of a symlink
  to binary (#436393)

* Sat Apr 12 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.54
- Add upstream patches for dpi, toolbar buttons, and invalid keys
- Re-enable system cairo

* Mon Apr  7 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.53
- Spec cleanups

* Wed Apr  2 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.52
- Beta 5

* Mon Mar 31 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.51
- Beta 5 RC2

* Thu Mar 27 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.50
- Update to latest trunk (2008-03-27)

* Wed Mar 26 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.49
- Update to latest trunk (2008-03-26)

* Tue Mar 25 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.48
- Update to latest trunk (2008-03-25)

* Mon Mar 24 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.47
- Update to latest trunk (2008-03-24)

* Thu Mar 20 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.46
- Update to latest trunk (2008-03-20)

* Mon Mar 17 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.45
- Update to latest trunk (2008-03-17)

* Mon Mar 17 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.44
- Revert to trunk from the 15th to fix crashes on HTTPS sites

* Sun Mar 16 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.43
- Update to latest trunk (2008-03-16)
- Add patch to negate a11y slowdown on some pages (#431162)

* Sat Mar 15 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.42
- Update to latest trunk (2008-03-15)

* Sat Mar 15 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.41
- Avoid conflicts between gecko debuginfo packages

* Wed Mar 12 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.40
- Update to latest trunk (2008-03-12)

* Tue Mar 11 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.39
- Update to latest trunk (2008-03-11)

* Mon Mar 10 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.38
- Update to latest trunk (2008-03-10)

* Sun Mar  9 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.37
- Update to latest trunk (2008-03-09)

* Fri Mar  7 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta4.36
- Update to latest trunk (2008-03-07)

* Thu Mar  6 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta4.35
- Update to latest trunk (2008-03-06)

* Tue Mar  4 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta4.34
- Update to latest trunk (2008-03-04)

* Sun Mar  2 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta3.33
- Update to latest trunk (2008-03-02)

* Sat Mar  1 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta3.32
- Update to latest trunk (2008-03-01)

* Fri Feb 29 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta3.31
- Update to latest trunk (2008-02-29)

* Thu Feb 28 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta3.30
- Update to latest trunk (2008-02-28)

* Wed Feb 27 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta3.29
- Update to latest trunk (2008-02-27)

* Tue Feb 26 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta3.28
- Update to latest trunk (2008-02-26)

* Sat Feb 23 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta3.27
- Update to latest trunk (2008-02-23)

* Fri Feb 22 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta3.26
- Update to latest trunk (2008-02-22)

* Thu Feb 21 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta3.25
- Update to latest trunk (2008-02-21)

* Wed Feb 20 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta3.24
- Update to latest trunk (2008-02-20)

* Sun Feb 17 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta3.23
- Update to latest trunk (2008-02-17)

* Fri Feb 15 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta3.22
- Update to latest trunk (2008-02-15)

* Thu Feb 14 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta3.21
- Update to latest trunk (2008-02-14)
- Use system hunspell

* Mon Feb 11 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta2.19
- Update to latest trunk (2008-02-11)

* Mon Feb 11 2008 Adam Jackson <ajax@redhat.com> 1.9-0.beta2.19
- STRIP="/bin/true" on the %%make line so xulrunner-debuginfo contains,
  you know, debuginfo.

* Sun Feb 10 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta2.18
- Update to latest trunk (2008-02-10)

* Sat Feb  9 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta2.17
- Update to latest trunk (2008-02-09)

* Wed Feb  6 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta2.16
- Update to latest trunk (2008-02-06)

* Tue Jan 29 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta2.15
- Update to latest trunk (2008-01-30)

* Wed Jan 25 2008 Martin Stransky <stransky@redhat.com> 1.9-0.beta2.14
- rebuild agains new nss
- enabled gnome vfs

* Wed Jan 23 2008 Martin Stransky <stransky@redhat.com> 1.9-0.beta2.13
- fixed stable pkg-config files (#429654)
- removed sqlite patch

* Mon Jan 21 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta2.12
- Update to latest trunk (2008-01-21)

* Tue Jan 15 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta2.11
- Update to latest trunk (2008-01-15)
- Now with system extensions directory support

* Sat Jan 13 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta2.10
- Update to latest trunk (2008-01-13)
- Use CFLAGS instead of configure arguments
- Random cleanups: BuildRequires, scriptlets, prefs, etc.

* Sat Jan 12 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta2.9
- Provide gecko-devel-unstable as well

* Wed Jan 9 2008 Martin Stransky <stransky@redhat.com> 1.9-0.beta2.8
- divided devel package to devel and devel-unstable

* Mon Jan 7 2008 Martin Stransky <stransky@redhat.com> 1.9-0.beta2.7
- removed fedora specific pkg-config files
- updated to the latest trunk (2008-01-07)
- removed unnecessary patches
- fixed idl dir (#427965)

* Thu Jan 3 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta2.6
- Re-enable camellia256 support now that NSS supports it

* Thu Jan 3 2008 Martin Stransky <stransky@redhat.com> 1.9-0.beta2.5
- updated to the latest trunk (2008-01-03)

* Mon Dec 24 2007 Christopher Aillon <caillon@redhat.com> 1.9-0.beta2.4
- Don't Provide webclient (xulrunner is not itself a webclient)
- Don't Obsolete old firefox, only firefox-devel
- Kill legacy obsoletes (phoenix, etc) that were never in rawhide

* Thu Dec 21 2007 Martin Stransky <stransky@redhat.com> 1.9-0.beta2.3
- added java and plugin subdirs to plugin includes

* Thu Dec 20 2007 Martin Stransky <stransky@redhat.com> 1.9-0.beta2.2
- dependency fixes, obsoletes firefox < 3 and firefox-devel now

* Wed Dec 12 2007 Martin Stransky <stransky@redhat.com> 1.9-0.beta2.1
- updated to Beta 2.
- moved SDK to xulrunner-sdk

* Thu Dec 06 2007 Martin Stransky <stransky@redhat.com> 1.9-0.beta1.4
- fixed mozilla-plugin.pc (#412971)

* Tue Nov 27 2007 Martin Stransky <stransky@redhat.com> 1.9-0.beta1.3
- export /etc/gre.d/gre.conf (it's used by python gecko applications)

* Mon Nov 26 2007 Martin Stransky <stransky@redhat.com> 1.9-0.beta1.2
- added xulrunner/js include dir to xulrunner-js

* Tue Nov 20 2007 Martin Stransky <stransky@redhat.com> 1.9-0.beta1.1
- update to beta 1

* Mon Nov 19 2007 Martin Stransky <stransky@redhat.com> 1.9-0.alpha9.6
- packed all gecko libraries (#389391)

* Thu Nov 15 2007 Martin Stransky <stransky@redhat.com> 1.9-0.alpha9.5
- registered xulrunner libs system-wide
- added xulrunner-gtkmozembed.pc

* Wed Nov 14 2007 Martin Stransky <stransky@redhat.com> 1.9-0.alpha9.4
- added proper nss/nspr dependencies

* Wed Nov 14 2007 Martin Stransky <stransky@redhat.com> 1.9-0.alpha9.3
- more build fixes, use system nss libraries

* Tue Nov 6 2007 Martin Stransky <stransky@redhat.com> 1.9-0.alpha9.2
- build fixes

* Tue Oct 30 2007 Martin Stransky <stransky@redhat.com> 1.9-0.alpha9.1
- updated to the latest trunk

* Thu Sep 20 2007 David Woodhouse <dwmw2@infradead.org> 1.9-0.alpha7.4
- build fixes for ppc/ppc64

* Tue Sep 20 2007 Martin Stransky <stransky@redhat.com> 1.9-0.alpha7.3
- removed conflicts with the current gecko-based apps
- added updated ppc64 patch

* Tue Sep 18 2007 Martin Stransky <stransky@redhat.com> 1.9-0.alpha7.2
- build fixes

* Wed Sep  5 2007 Christopher Aillon <caillon@redhat.com> 1.9-0.alpha7.1
- Initial cut at XULRunner 1.9 Alpha 7
- Temporarily revert camellia 256 support since our nss doesn't support it yet
